<?php

namespace App\Console;

use App\Jobs\ScheduleNotificationPost;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    protected $commands = [
        Commands\MerchantCloneCommand::class,
        Commands\LocationCloneCommand::class,
        commands\BenefitTypesCloneCommand::class,
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('queue:work --stop-when-empty')
            ->everyMinute()
            ->withoutOverlapping();

        $schedule->command('sync:merchants')
            ->everyFourHours();
        $schedule->command('sync:locations')
            ->everyFourHours();
        $schedule->command('sync:benefit_types')
            ->everyFourHours();
//        $schedule->job(new ScheduleNotificationPost())->everyFiveMinutes();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
