<?php

use \App\Models\Lookup;

function hasStartedVerification($status_id) {
    $lookup = Lookup::find($status_id);
    if ($lookup) {
        if ($lookup->process_action > 0) {
            return true;
        }
        else {
            return false;
        }
    }
    else {
        return false;
    }
}

function startVerification($status_id) {
    $lookup = Lookup::find($status_id);
    if ($lookup) {
        if ($lookup->process_action == 1) {
            return true;
        }
        else {
            return false;
        }
    }
    else {
        return false;
    }
}

function endVerification($status_id) {
    $lookup = Lookup::find($status_id);
    if ($lookup) {
        if ($lookup->process_action == 100) {
            return true;
        }
        else {
            return false;
        }
    }
    else {
        return false;
    }
}

function endVerificationByRejecting($status_id) {
    $lookup = Lookup::find($status_id);
    if ($lookup) {
        if ($lookup->process_action == 101) {
            return true;
        }
        else {
            return false;
        }
    }
    else {
        return false;
    }
}

function getVerificationStatusData($status_id) {
    return Lookup::find($status_id);
}

function getVerificationLabel($status_id) {
    $lookup = Lookup::find($status_id);
    if ($lookup) {
        return '<span style="color:'.$lookup->color_code.'">'.$lookup->fullName.'</span>';
    }
    else {
        return 'Draft';
    }
}

//function getVerificationLabel($status_id) {
//    $lookup = Lookup::find($status_id);
//    if ($lookup) {
//        return '<span class="label label-pill label-inline mr-2" style="color:#ffffff;background-color:'.$lookup->color_code.'">'.$lookup->fullName.'</span>';
//    }
//    else {
//        return 'Draft';
//    }
//}

function getVerificationStartIDByLookupCode($lookupCode_id) {
    $lookupCode = \App\Models\LookupCode::find($lookupCode_id);
    $start_lookup_id = null;
    if ($lookupCode) {
        $start_lookup_id = $lookupCode->options->where('process_action','=',1)->pluck('id')->first();
    }
    return $start_lookup_id;

}

function getComplaintLabel($stage) {
    switch ($stage) {
        case 'Opened':
            return '<span class="label label-light-primary label-pill label-inline mr-2">'.$stage.'</span>';
        case 'Pending Review':
            return '<span class="label label-light-info label-pill label-inline mr-2">'.$stage.'</span>';
        case 'Resolved':
            return '<span class="label label-success label-pill label-inline mr-2">'.$stage.'</span>';
        case 'Close':
            return '<span class="label label-danger label-pill label-inline mr-2">'.__("Closed").'</span>';
        default:
            return '<span class="label label-secondary label-pill label-inline mr-2">'.$stage.'</span>';
    }
}

function getCaseLabel($stage) {
    switch ($stage) {
        case 'Opened':
            return '<span class="mr-2">'.$stage.'</span>';
        case 'Pending Review':
            return '<span class="text-info mr-2">'.$stage.'</span>';
        case 'Resolved':
            return '<span class="text-primary mr-2">'.$stage.'</span>';
        case 'Close':
            return '<span class=" text-success mr-2">'.__("Closed").'</span>';
        default:
            return '<span class="text-muted mr-2">'.$stage.'</span>';
    }
}

function getSeverityLabel($level) {
    switch ($level) {
        case 'Low':
            return '<span class="text-info">'.$level.'</span>';
        case 'Normal':
            return '<span class="text-warning">'.$level.'</span>';
        case 'Critical':
            return '<span class="text-danger">'.$level.'</span>';
        default:
            return '<span class="text-secondary">'.$level.'</span>';
    }
}
