<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CheckMyPermission
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    /*public function handle(Request $request, Closure $next, string $roles, string $permissions=null)
    {
        session()->forget('error-page');
        session()->forget('page-message-title');
        session()->forget('page-message');

        if ('beneficiary' != session()->get('role')) {
            if (!canDo($roles,$permissions)) {

                if ($permissions == 'view-dashboard') {
                    return redirect()->route('account.editAccount');
                }

                session()->flash('error-page', true);
                session()->flash('page-message-title', __('Unauthorized Access'));
                session()->flash('page-message', __('Sorry! You are not authorized to perform this action.'));

                return back();
            }
        }

        return $next($request);
    }*/

    public function handle(Request $request, Closure $next, string $roles, string $permissions = null)
    {
        session()->forget('error-page');
        session()->forget('page-message-title');
        session()->forget('page-message');

        // Get the current user role
        $userRole = session()->get('role');

        // Ensure 'beneficiary' role is not bypassing
        if ($userRole != 'beneficiary') {
            // If the user is not an administrator
            if ($userRole != 'administrator') {
                // If the user is 'support', check the permission strictly
                if ($userRole == 'support') {
                    if (!canDo('support', $permissions)) {
                        return $this->denyAccess($permissions);
                    }
                } 
                // Otherwise, check based on the usual role and permission check
                else {
                    if (!canDo($roles, $permissions)) {
                        return $this->denyAccess($permissions);
                    }
                }
            }
        }

        return $next($request);
    }

    // Helper function to handle unauthorized access
    protected function denyAccess($permissions)
    {
        if ($permissions == 'view-dashboard') {
            return redirect()->route('account.editAccount');
        }

        session()->flash('error-page', true);
        session()->flash('page-message-title', __('Unauthorized Access'));
        session()->flash('page-message', __('Sorry! You are not authorized to perform this action.'));

        return back();
    }



}
