<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\View;

class LoadUserPermissions
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::guard('web')->check()){
            $user = Auth::user()->load('roles');

            $roles = !empty($roles = $user->roles->pluck('id')->toArray()) ? $roles: [0];
            $roles_name = !empty($roles_name = $user->roles->pluck('name')->toArray()) ? $roles_name: [0];

            $roles = implode(',', $roles);


            $res = DB::select("select `permissions`.name
                from `permissions`
                   inner join `permission_role` on `permissions`.`id` = `permission_role`.`permission_id`
                where `permission_role`.`role_id` in ($roles)

                union

                select `permissions`.name
                from `permissions`
                   inner join `permission_user` on `permissions`.`id` = `permission_user`.`permission_id`
                where `permission_user`.`user_id` = '$user->id'
                and `permission_user`.`user_type` = 'App\\Models\\User';");


            View::share('user_permissions', collect($res)->pluck('name')->toArray());
//            View::share('user_roles', $roles_name);
        }

        return $next($request);
    }
}
