<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class SystemUserPermission
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next, string $permissions=null)
    {
        session()->forget('error-page');
        session()->forget('page-message-title');
        session()->forget('page-message');

        if (!systemUserCan($permissions)) {

            session()->flash('error-page', true);
            session()->flash('page-message-title', __('Unauthorized Access'));
            session()->flash('page-message', __('Sorry! You are not authorized to perform this action.'));

            return back();
        }
        return $next($request);
    }
}
