<?php
namespace App\Http\Traits\App;

use App\Models\Survey;

trait BaseSurvey
{
    /**
     * Get All User Survey Entries
     */
    public function mySurveysList()
    {
        $surveys = Survey::with(['form:id,name,category',
            'surveyEntries' => function ($query) {
                $query->where('participant_id','=', auth()->id())->orderBy('created_at','desc');
            },'program:id,name,description','_type:id,fullName,shortName'])
            ->whereDate('start_date','<=',now())
            //Draft=155, Open=154, In Progress=156, Paused=158
            ->where('status','=',155)
            ->where('mode','=','self');

        if (auth()->user()->is_admin){
            $surveys = $surveys->whereIn('self_respondents',['all-users','administrators'])->get();
        }
        else {
            $surveys = $surveys->whereIn('self_respondents',['all-users','applicants'])->get();
        }

        return $surveys;
    }

    /**
     * Get Survey Entry
     */
    public function getSurveyFormEntryById($survey_id)
    {
        $survey = Survey::with(['entries' => function ($query) {
            $query->with([
                'answers'=>['question:id,content,type'=>['section:id,name']]
            ])->where('participant_id','=', auth()->id());
        },])->where('id',$survey_id)->first();

        return $survey;
    }
}
