<?php

namespace App\Jobs;

use App\Mail\SendNotificationPostEmailAlert;
use App\Models\Announcement;
use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class AnnouncementAlert implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    public $announcement;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(Announcement $announcement)
    {
        $this->announcement = $announcement;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
//        $customers_emails = User::verified()->where('is_admin','=',0)->where('email','!=',null)->pluck('email')->toArray();
        $customers_emails = ['asowa45@gmail.com','jedisi3031@meogl.com'];
        foreach ($customers_emails as $key=>$email) {
            Mail::to([$email])->send(new SendNotificationPostEmailAlert($this->announcement));
        }
        $this->announcement->update(['pending_alert'=>false]);
    }
}
