<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class NewUserAccount extends Mailable
{
    use Queueable, SerializesModels;

    protected $code;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($code=null)
    {
        $this->code = $code;
    }

    public function build()
    {
        return $this->view('emails.signed-up')
            ->with([
                'header_1' => __('Congratulations!'),
                'code'  => $this->code,
            ])->subject(__('New User Account - ').env('APP_NAME'));
    }

    /**
     * Get the message envelope.
     *
     * @return \Illuminate\Mail\Mailables\Envelope
     */
    public function envelope()
    {
        return new Envelope(
            subject: 'New User Account',
        );
    }

    /**
     * Get the message content definition.
     *
     * @return \Illuminate\Mail\Mailables\Content
     */
    public function content()
    {
        return new Content(
            view: 'emails.signed-up',
            with:[
                'header_1'  => 'Congratulations!',
                'code'  => $this->code,
            ]
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array
     */
    public function attachments()
    {
        return [];
    }
}
