<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Area extends Model
{
    use HasFactory;

    public function country() {
        return $this->belongsTo(Country::class);
    }

    public function region() {
        return $this->belongsTo(Region::class);
    }

    public function county() {
        return $this->belongsTo(County::class);
    }

    public function city() {
        return $this->belongsTo(City::class);
    }

    public function scopeActive($query)
    {
        return $query->where('status','=', 1);
    }
}
