<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BenefitRegistration extends Model
{
    use HasFactory;

    protected $fillable = ['form_id','user_id','modified_by','status','application_id','responsible_role','rejected','applicant_number'];

    public function form() {
        return $this->belongsTo('App\Models\Form');
    }

    public function addedBy() {
        return $this->belongsTo('App\Models\User','user_id');
    }

    public function modifiedBy() {
        return $this->belongsTo('App\Models\User','modified_by');
    }

    public function processLog() {
        return $this->hasMany('App\Models\BenefitVerificationProcessLog','benefit_registration_id');
    }
}
