<?php
/**
 * Created by PhpStorm.
 * User: stephen
 * Date: 28/05/18
 * Time: 09:25
 */

namespace App\Models;


use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Contracts\Auditable;

class Comments  extends Model implements Auditable
{
    use \OwenIt\Auditing\Auditable;

    protected $table = 'comments';

    protected $guarded = [];

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

    public function replies()
    {
        return $this->hasMany(Comments::class, 'parent_id');
    }

    public function commentable()
    {
        return $this->morphTo();
    }
}
