<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Constituency extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'country_id', 'county_id'];

    /**
     * Get the country that the constituency belongs to.
     */
    public function country()
    {
        return $this->belongsTo(Country::class);
    }

    public function villages()
    {
        return $this->hasMany(Village::class);
    }

    public function districts()
    {
        return $this->hasMany(District::class);
    }

}
