<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Country extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function regions()
    {
        return $this->hasMany(Region::class);
    }

    public function counties()
    {
        return $this->hasMany(County::class);
    }

    public function cities()
    {
        return $this->hasMany(City::class);
    }

    public function areas()
    {
        return $this->hasMany(Area::class);
    }

    public function scopeActive($query)
    {
        return $query->where('status','=', 1);
    }

    public function hasRegions($query)
    {
        return $query->where('status','=', 1);
    }
}
