<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;

class CountryPlan extends Model implements Auditable
{
    use HasFactory;
    use \OwenIt\Auditing\Auditable;

    protected $fillable = ['country_id','currency_id','plan_id','cost'];

    public function country()
    {
        return $this->belongsTo(Country::class, 'country_id');
    }

    public function currency()
    {
        return $this->belongsTo(Country::class, 'currency_id');
    }

    public function planPricing()
    {
        return $this->hasMany(CountryPlanPricing::class, 'country_plan_id');
    }
}
