<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class County extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function country() {
        return $this->belongsTo(Country::class);
    }

    public function region() {
        return $this->belongsTo(Region::class);
    }

    public function cities() {
        return $this->hasMany(City::class);
    }

    public function subcounty() {
        return $this->hasMany(SubCounty::class);
    }

    public function scopeActive($query)
    {
        return $query->where('status','=', 1);
    }
}
