<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DebtRecovery extends Model
{
    use HasFactory;

    protected $table = 'debt_recoveries';
    protected $guarded = [];

    public function benefit() {
        return $this->belongsTo(Benefit::class,'benefit_id');
    }

    public function beneficiary() {
        return $this->belongsTo(Beneficiary::class,'beneficiary_id');
    }

    public function addedBy() {
        return $this->belongsTo('App\Models\User','user_id');
    }

    public function editedBy() {
        return $this->belongsTo('App\Models\User','last_edited_by');
    }

    public function paidAmounts() {
        return $this->hasMany(DebtRecoveryAmountPaidHistory::class,'debt_recovery_id');
    }
}
