<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class GeneralNotification extends Model
{
    use HasFactory;

    protected $fillable = ['user_id','receivers','has_read','instance_id','message','route','table','subject_id'];

    protected $casts = [
        'receivers'=>'json',
        'has_read'=>'json'
    ];

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
