<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InventoryItem extends Model
{
    use HasFactory;

    protected $fillable = ['item', 'monetary_value', 'quantity', 'created_by', 'deployment_id', 'budget'];

    public function deployment()
    {
        return $this->belongsTo(Deployment::class,'deployment_id');
    }

    public function benefits()
    {
        return $this->belongsToMany(Benefit::class, 'benefit_inventory_item', 'inventory_item_id', 'benefit_id');
    }
}
