<?php

namespace App\Models;

use Illuminate\Database\Query\Builder;
use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;


class OfficeRank extends Model
{

    protected $table = 'office_ranks';
    protected $guarded = [];

    public function newQuery($excludeStatus = true) {
        $status = Status::query()->where('status','Active')->first();

        return parent::newQuery($excludeStatus)
            ->where('status', '=', $status->id);
    }

    public function office()
    {

        return $this->belongsTo(Office::class,'office_rank','id');
    }

    public function roles()
    {
        return $this->hasOne(Role::class,'id','id');
    }

    public function scopeStatus($query)
    {
        return $query
            ->where('status', 1);

    }

    public function getStatus($status){

        $status_name = Status::query()
            ->where('id', '=',$status)
            ->orWhere('status', '=', $status)
            ->first();

        if(is_numeric($status))
            return $status_name->status;
        else
            return $status_name->id;
    }
}
