<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Partner extends Model
{
    use HasFactory;

    protected $fillable = ['instance_id','name','phone','email','logo_url','status','type',
    'website','created_by','description','updated_by'];

    public function _type()
    {
        return $this->belongsTo(Lookup::class,'type');
    }

    public function createdBy()
    {
        return $this->belongsTo(User::class,'created_by');
    }

    public function updatedBy()
    {
        return $this->belongsTo(User::class,'updated_by');
    }

    public function deployment()
    {
        return $this->belongsTo(Deployment::class,'instance_id');
    }

    public function programs()
    {
        return $this->belongsToMany(Program::class);
    }
}
