<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payroll extends Model
{
    use HasFactory;
    protected $table = 'payrolls';
    protected $guarded = [];
    protected $casts = [
        'pension_tax'       => 'json',
        'beneficiaries_id'  => 'json',
    ];

    public function benefit() {
        return $this->belongsTo('App\Models\Benefit','benefit_id');
    }

    public function history() {
        return $this->hasOne('App\Models\PayrollHistory','payroll_id');
    }

    public function paymentSchedule() {
        return $this->belongsTo('App\Models\PaymentSchedule','payment_schedule_id','id');
    }

    public function creator() {
        return $this->belongsTo('App\Models\User','created_by','id');
    }

    public function verifier() {
        return $this->belongsTo('App\Models\User','approved_by','id');
    }

    public function processLog() {
        return $this->hasMany('App\Models\PayrollVerificationProcessLog','payroll_id');
    }
}
