<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Program extends Model
{
    use HasFactory;

    protected $fillable = ['instance_id', 'name', 'description', 'document','created_by','status','updated_by'];

    public function locations()
    {
        return $this->belongsToMany(Lookup::class,'location_program','program_id','location');
    }

    public function team()
    {
        return $this->hasMany(Team::class);
    }

    public function surveys()
    {
        return $this->hasMany(Survey::class);
    }

    public function partners()
    {
        return $this->belongsToMany(Partner::class);
    }

    public function benefits()
    {
        return $this->belongsToMany(Benefit::class);
    }

    public function managers()
    {
        return $this->belongsToMany(User::class);
    }

    public function currencies()
    {
        return $this->belongsToMany(Currency::class);
    }

    public function createdBy()
    {
        return $this->belongsTo(User::class,'created_by');
    }

    public function updatedBy()
    {
        return $this->belongsTo(User::class,'updated_by');
    }

    public function scopeActive($query)
    {
        return $query->where('status','=',1);
    }
}
