<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RecordTracker extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected $casts = [
        'new_values' =>  'array',
        'old_values' =>  'array',
        'evidences' =>  'array'
    ];

    public function applicant() {
        return $this->belongsTo(Applicant::class,'applicant_number','regID');
    }

    public function requester() {
        return $this->belongsTo(User::class,'request_by','id');
    }

    public function scopePending($query) {
        $query->whereIn('status',['New','In Progress']);
    }

    public function scopeNew($query) {
        $query->where('status','=','New');
    }

    public function scopeProgress($query) {
        $query->where('status','=','In Progress');
    }

    public function scopeOnHold($query) {
        $query->where('status','=','On Hold');
    }

    public function scopeDeclined($query) {
        $query->where('status','=','Declined');
    }

    public function scopeVerified($query) {
        $query->where('status','=','Verified');
    }
}
