<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Region extends Model
{
    use HasFactory;

    public function country()
    {
        return $this->belongsTo(Country::class,'country_id');
    }

    public function counties()
    {
        return $this->hasMany(County::class,'region_id');
    }

    public function scopeActive($query)
    {
        return $query->where('status','=', 1);
    }
}
