<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TeamMember extends Model
{
    use HasFactory, SoftDeletes;
    protected $fillable = ['team_id','user_id','role','status','created_by','updated_by','instance_id'];

    public function createdBy()
    {
        return $this->belongsTo(User::class,'created_by');
    }

    public function updatedBy()
    {
        return $this->belongsTo(User::class,'updated_by');
    }

    public function team()
    {
        return $this->belongsTo(Team::class);
    }

    public function _role()
    {
        return $this->belongsTo(Lookup::class,'role');
    }

    public function teamMember()
    {
        return $this->belongsTo(TeamManagementMember::class,'user_id');
    }
}
