<?php

namespace App\Providers;

use App\Models\Permission;
use Illuminate\Auth\Notifications\VerifyEmail;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //

    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Paginator::useBootstrapFive();

        View::composer('layouts.app', function ($view) {
            $view->with('module_permissions', Permission::all());
        });

        VerifyEmail::toMailUsing(function ($notifiable, $url) {
            return (new MailMessage)
                ->subject('Verify Email Address')
                ->view('emails.verify-email',['url'=>$url,'header_1'=>'Welcome to Alleviate!']);
//                ->greeting('Welcome to Alleviate!')
//                ->line('Thanks for signing up with Alleviate! We are thrilled to have you on board and look forward
//                to making the management of your social protection scheme convenient and effective for your organization.')
//                ->line('To get started, please click the button below to confirm your email address:')
//                ->action('Confirm my email', $url)
//                ->line('If you have any questions or need assistance, feel free to reach out.
//                We are here to support you every step of the way.')
//                ->line('Let us make managing social protection a breeze!');

        });
    }
}
