<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEntriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(config('survey.database.tables.entries'), function (Blueprint $table) {
            $table->increments('id');
            $table->foreignIdFor(\App\Models\Survey::class);
            $table->foreignIdFor(\App\Models\SurveyForm::class);
            $table->unsignedInteger('participant_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists(config('survey.database.tables.entries'));
    }
}
