<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('contact_details', function (Blueprint $table) {
            $table->renameColumn('island', 'city');
            $table->unsignedBigInteger('country')->after('address')->nullable();
            $table->unsignedBigInteger('region')->after('country')->nullable();
            $table->string('landmark')->after('region')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('contact_details', function (Blueprint $table) {
            $table->renameColumn('city', 'island');
            $table->dropColumn(['country','region','landmark']);
        });
    }
};
