<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('applicants', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('applications', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('benefits', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('cases', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('households', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('master_payment_vouchers', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('modules', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('notification_posts', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('partners', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('payment_vouchers', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('programs', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('projects', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('questions', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('record_trackers', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('roles', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('survey_forms', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('surveys', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
        Schema::table('teams', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('applicants', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('applications', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('benefits', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('cases', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('households', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('master_payment_vouchers', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('modules', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('notification_posts', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('partners', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('payment_vouchers', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('programs', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('projects', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('questions', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('record_trackers', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('roles', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('survey_forms', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('surveys', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('teams', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
    }
};
