<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('team_members', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id')->constrained('deployments')->cascadeOnDelete();
        });
        Schema::table('team_management_members', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class,'instance_id')->after('id')->constrained('deployments')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('team_members', function (Blueprint $table) {
            $table->dropColumn('instance_id');
        });
        Schema::table('team_management_members', function (Blueprint $table) {
            $table->dropColumn('instance_id');
        });
    }
};
