$(document).ready(function () {



    $(".role-edit").on('click', function () {
        var form = $('#role-edit-form');
        var update_url = $(this).attr('data-update-url');
        $.get($(this).attr('data-fetch-url'))
            .then(function (response) {

                form.find('#role').val(response.role.display_name);
                form.find('#rank').val(response.rank.rank);

                form.find('#status').find('option').remove();
                $.each(response.statuses, function (key, value) {
                    var option = $("<option></option>");
                    option.attr("value", value.id).text(value.status);
                    if (value.id == response.rank.status) {
                        option.attr('selected', 'selected');
                    }
                    form.find('#status').append(option);
                });

                form.find('#health_status').find('option').remove();
                var option_first = $("<option></option>");
                var option_second = $("<option></option>");
                option_first.attr("value", '1').text("Yes");

                if (response.rank.health_status == "1") {
                    option_first.attr('selected', 'selected');
                }
                option_second.attr("value", '0').text("No");
                if (response.rank.health_status == "0") {
                    option_second.attr('selected', 'selected');
                }
                form.find('#health_status').append(option_first);
                form.find('#health_status').append(option_second);



                form.find('#permissions').find('option').remove();

                $.each(response.permissions, function (key, value) {
                    var option = $("<option></option>");
                    option.attr("value", value.id).text(value.display_name);
                    if ($.inArray(value.id, response.selected_permissions) !== -1) {
                        option.attr('selected', 'selected');
                    }
                    form.find('#permissions').append(option);

                });

                form.find('form').attr('action', update_url)
            }).catch(function (error) {

        });
        form.modal('show');
    });

    $('.role-delete').on('click', function (e) {
        e.preventDefault();
        swal({
            title: "Confirm Delete!",
            text: "Are you sure you want to delete "+ $(this).attr('data-title')+"?",
            icon: "warning",
            dangerMode: true,
            buttons: {
                cancel: {
                    text: "Cancel!",
                    value: null,
                    visible: true,
                    className: "",
                    closeModal: true,
                },
                confirm: {
                    text: "Yes",
                    value: true,
                    visible: true,
                    className: "",
                    closeModal: false
                }
            }
        }).then(isConfirm => {
            if (isConfirm) {
                axios.delete($(this).attr('href'))
                    .then(function (response) {
                        if (response.data.deleted){
                            window.location.href = response.data.route;
                        }
                    }).catch(function (error) {
                    notify('Oops!', error.response.data.message, 'error', 'right')
                });
            } else {

            }
        });
    });
});
