$(document).ready(function () {
    $('.select2').select2();
    $('#user-form').modal({
        backdrop: 'static',
        keyboard: false,
        show: false
    });

    $('.action-delete').on('click', function (e) {
        e.preventDefault();
        swal({
            title: "Confirm Deactivation!",
            text: "Are you sure you want to deactivate "+ $(this).attr('data-title')+" account ?",
            icon: "warning",
            buttons: {
                cancel: {
                    text: "Cancel!",
                    value: null,
                    visible: true,
                    className: "",
                    closeModal: true,
                },
                confirm: {
                    text: "Yes",
                    value: true,
                    visible: true,
                    className: "",
                    closeModal: false
                }
            }
        }).then(isConfirm => {
            if (isConfirm) {
                axios.delete($(this).attr('href'))
                    .then(function (response) {
                        if (response.data.deleted){
                            window.location.href = response.data.route;
                        }
                    }).catch(function (error) {
                    notify('Oops!', error.response.data.message, 'error', 'right')
                });
            } else {

            }
        });
    });

    $('.action-activate').on('click', function (e) {
        e.preventDefault();
        swal({
            title: "Confirm Activation!",
            text: "Are you sure you want to Activate "+ $(this).attr('data-title')+" account ?",
            icon: "warning",
            buttons: {
                cancel: {
                    text: "Cancel!",
                    value: null,
                    visible: true,
                    className: "",
                    closeModal: true,
                },
                confirm: {
                    text: "Yes",
                    value: true,
                    visible: true,
                    className: "",
                    closeModal: false
                }
            }
        }).then(isConfirm => {
            if (isConfirm) {
                axios.delete($(this).attr('href'))
                    .then(function (response) {
                        if (response.data.deleted){
                            window.location.href = response.data.route;
                        }
                    }).catch(function (error) {
                    notify('Oops!', error.response.data.message, 'error', 'right')
                });
            } else {

            }
        });
    });


    $('.action-edit').on('click', function (e) {
        e.preventDefault();
        let $this = $(this);
        let form = $('#user-form-edit').find('form')[0];
        $(form).attr('action', $(this).attr('data-update-url'));
        blockUI('Please wait...', $this.closest('.card'));
        axios.get($this.attr('href')).then(function (response) {
            let name = $(form).find('#name')[0];
            let email = $(form).find('#email')[0];
            let role = $(form).find('#role')[0];
            let office_id = $(form).find('#office_id')[0];

            $(name).val(response.data['user'].name);
            $(email).val(response.data['user'].email);
            if (response.data['role']){
                $(role).val(response.data.role.id).change();
            }
            if (response.data['office']){
                $(office_id).val(response.data.office.id).change();
            }


            unblockUI($this.closest('.card'));
            $('#user-form-edit').modal('show');

        }).catch(function (error) {
            notify('Oops!', error.response.data.message, 'error', 'right');
            unblockUI($this.closest('.card'));
        });


    })
});
