<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="javascript:;">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">About Us</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            @if(in_array('write_about', $user_permissions))
                            <div class="card-content collapse show">
                                <div class="card-body card-dashboard">
                                    <form method="post" action="{{route('store.page.about_us')}}" enctype="multipart/form-data">
                                        @csrf
                                        <div class="form-group">
                                            <label for="title"><strong>Title</strong></label>
                                            <input type="text" name="title" class="form-control col-6" id="title" value="{{$about_us->page_title}}">
                                        </div>
                                        <div class="form-group mt-3">
                                            <label for="sub_description"><strong>Sub Description</strong></label>
                                            <textarea type="text" name="sub_description" class="form-control" id="sub_description">{{$about_us->page_description}}</textarea>
                                        </div>
                                        <div class="form-group mt-3">
                                            <label><strong>Content:</strong></label>
                                            <textarea class="ckeditor form-control" name="page_content">{!! $about_us->page_content !!}</textarea>
                                        </div>
                                        <div class="form-group mt-3 text-right">
                                            <button type="submit" class="btn btn-success btn-md col-1">Save</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mt-3">
            <div class="col-12">
                <div class="card">
                    <div class="card-content collapse show">
                        <div class="card-body card-dashboard">
                            @if(in_array('read_about', $user_permissions))
                                {!! $about_us->page_content !!}
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </div>


@push('scripts')
    <script src="//cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.ckeditor').ckeditor();
        });
    </script>
@endpush
</x-app-layout>
