<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{asset('assets/cssbundle/summernote.min.css')}}"/>
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('dashboard') }}">@lang('dashboard.dashboard')</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{route('announcement.list')}}">@lang('announcement-post.announcements')</a>
            </li>
            <li class="breadcrumb-item active"
                aria-current="page">@lang('announcement-post.'.$action.'-announcement')</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">@lang('announcement-post.'.$action.'-announcement')</h1>
                <small class="text-muted">You have 12 new messages and 7 new announcements.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-2">
                <div class="card card-custom">
                    <div class="card-body">
                        <form action="{{ route('announcement.save') }}" method="POST"
                              enctype="multipart/form-data">@csrf
                            <input type="hidden" name="announcement_id" value="{{$announcement_id}}">
                            <input type="hidden" name="action" value="{{$action}}">
                            @php
                                $title = old('title');
                                $content = old('announcement_content');
                                $status = old('status');
                                $schedule_date = old('schedule_date')??date('Y-m-d');
                                $schedule_time = old('schedule_time')??date('H:i');
                                $recipients = old('recipients');
                                $featured_image = old('featured_image');
                                $visibility = old('visibility', true);
                                $user_id = old('user_id');

                                if($announcement_id != null){
                                    $title = $announcement->title;
                                    $content = $announcement->content;
                                    $status = $announcement->status;
                                    $schedule_date = date('Y-m-d', strtotime($announcement->publish_date));
                                    $schedule_time = date('H:i', strtotime($announcement->publish_date));
                                    $recipients = $announcement->recipients;
                                    $featured_image = $announcement->featured_image;
                                    $user_id = $announcement->user_id;
                                    $visibility = $announcement->visibility;
                                }
                            @endphp
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" class="form-control" required name="title" id="title"
                                               value="{{$title}}">
                                        <label for="title">{{ __('Title') }}<span class="required">*</span></label>
                                    </div>
                                    <x-field-error field="title"></x-field-error>
                                </div>
                                <div class="col-md-12 mb-3">
                                    <label for="announcement_content">{{ __('Content') }}<span class="required">*</span></label>
                                    <div class="form-floating">
                                        <textarea name="announcement_content" id="announcement_content"
                                                  class="form-control" style="height:200px">{!! $content !!}</textarea>
                                    </div>
                                    <x-field-error field="announcement_content"></x-field-error>
                                </div>
                                <div class="col-md-2 mb-3">
                                    <label for="severity">{{ __('Status') }}<span class="required">*</span></label>
                                    <select name="status" id="status" onchange="setScheduleDate()" class="form-select"
                                            required>
                                        @foreach(config('settings.announcement_post_options') as $key=>$value)
                                            <option value="{{$value}}"
                                                    @if($status == $value) selected @endif>{{$value}}</option>
                                        @endforeach
                                    </select>
                                    <x-field-error field="status"></x-field-error>
                                </div>
                                <div class="form-group col-md-3 schedule" style="display: none">
                                    <label for="date">Date</label>
                                    <div class="input-group date" id="schedule_date">
                                        <input type="date" class="form-control" name="schedule_date"
                                               value="{{$schedule_date}}">
                                    </div>
                                    <x-field-error field="schedule_date"></x-field-error>
                                </div>
                                <div class="form-group col-md-2 schedule" style="display: none">
                                    <label for="time">Time</label>
                                    <div class="input-group date" id="timePicker">
                                        <input type="time" class="form-control timePicker" name="schedule_time"
                                               value="{{$schedule_time}}">
                                    </div>
                                    <x-field-error field="schedule_time"></x-field-error>
                                </div>
                                <div class="col-md-5 mb-3">
                                    <label for="featured_image">Featured Image</label>
                                    <input type="file" class="form-control" name="featured_image" id="featured_image">
                                    <x-field-error field="featured_image"></x-field-error>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-check">
                                        <input class="form-check-input" @checked($visibility) value="1" type="checkbox" name="visibility"
                                               id="visibility">
                                        <label class="form-check-label" for="visibility">Private Announcement</label>
                                    </div>
                                    <x-field-error field="visibility"></x-field-error>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" name="send_email"
                                               id="send_email">
                                        <label class="form-check-label" for="send_email">Send an email alert</label>
                                    </div>
                                    <x-field-error field="send_email"></x-field-error>
                                </div>
                                <div class="col-md-12 mb-3">
                                    <button type="submit" class="btn btn-primary"><i
                                                class="fa fa-paper-plane mx-1"></i> {{ __('Save') }}</button>
                                    <a href="{{ route('announcement.list') }}"
                                       class="btn btn-link text-danger">{{ __('Cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/summernote.bundle.js') }}"></script>
        <script>
            $(document).ready(function () {
                $('#announcement_content').summernote();
                setScheduleDate();
            });

            function setScheduleDate() {
                let announcementStatus = document.getElementById('status').value;
                if (announcementStatus === 'Publish') {
                    $('.schedule').show();
                } else {
                    $('.schedule').hide();
                }
            }
        </script>
    @endpush
</x-app-layout>
