<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('dashboard') }}">@lang('dashboard.dashboard')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('announcement-post.announcements')</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">@lang('announcement-post.announcements')</h1>
                <small class="text-muted">This system allows administrators to seamlessly create, customize, and manage
                    announcements to keep users informed about important updates, events, or actions.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                {{--                <div class="p-2 me-md-3">--}}
                {{--                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>--}}
                {{--                    <small class="text-muted text-uppercase">Active</small>--}}
                {{--                </div>--}}
                {{--                <div class="p-2 me-md-3">--}}
                {{--                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>--}}
                {{--                    <small class="text-muted text-uppercase">Inactive</small>--}}
                {{--                </div>--}}
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            {{--            @if(false)--}}
            <div class="col-12 mb-4">
                <div class="card">
                    <div class="card-body">
                        <form method="GET" action="#">
                            @csrf
                            <div class="input-group">
                                @php
                                    $options = config('settings.announcement_post_options');
                                @endphp
                                <input type="text" name="title" id="title" class="form-control"
                                       placeholder="Search Titles" value="{{request()->get('title')}}">
                                <select name="status" id="status" class="form-select">
                                    <option value="">{{ __('-- Choose Status --') }}</option>
                                    @foreach($options as $key=>$option)
                                        <option value="{{$option}}"
                                                @if(request()->get('status') == $option) selected @endif>
                                            {{$option}}
                                        </option>
                                    @endforeach
                                </select>

                                {{--                                    <input type='text' autocomplete="off" class="form-control" name="date_range" placeholder="announcement Period"--}}
                                {{--                                           value="{{request()->get('date_range')}}"/>--}}
                                <button class="btn btn-primary" type="submit" data-bs-toggle="tooltip" title="Search"><i
                                        class="bi-search"></i></button>
                                <a href="{{route('announcement.list')}}" class="btn btn-light-secondary"
                                   data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                @if(canDo('administrator','add-announcement'))
                                    <a href="{{route('announcement.create')}}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Add Announcement"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                @endif
                            </div>
                        </form>

                    </div>
                </div>
            </div>
            {{--            @endif--}}

            <div class="row g-2">
                <div class="col-12">
                    @if ($posts->count() > 0)
                        <div class="table-responsive">
                            <table class="table align-middle table-bordered mb-0" id="announcement-posts">
                                <thead>
                                <tr>
                                    <th>{{__('Title')}}</th>
                                    <th style="width: 100px">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php
                                    $count = 0;
                                @endphp
                                @foreach ($posts as $post)
                                    <tr>
                                        <td>
                                            <span class="fw-bold">{{$post->title}}</span><br>
                                            <small><i class="fa fa-user-circle-o"></i>  {{status_past($post->status)}}, <strong data-bs-toggle="tooltip" title="{{ date('d M Y H:i:s',strtotime($post->publish_date))}}">{{easyDate($post->publish_date)}}</strong> By {{$post->addedBy->fullName}}</small>
                                        </td>
                                        <td>
                                            @php
                                                $edit = $view = '';
                                                if(canDo('administrator','edit-announcement')) {
                                                    $edit = '<a href="'.route('announcement.edit',[cryptThis($post->id)]).
                                                    '"  class="btn btn-link text-primary btn-sm mb-1" data-bs-toggle="tooltip" title="'. __("Edit Announcement Post") .'"><i class="fa fa-edit"></i></a>';
                                                    $view = '<a href="'.route('announcement.view',[cryptThis($post->id)]).
                                                        '"  class="btn btn-link text-primary btn-sm mb-1" data-bs-toggle="tooltip" title="'. __("View Announcement Post") .'"><i class="fa fa-folder-open"></i></a>';
                                                }
                                            @endphp

                                            @if(canDo('administrator','delete-announcement'))
                                                <form action="{{route('announcement.delete')}}" id="delete-post-{{$post->id}}w" method="post">
                                                    @csrf @method('DELETE')
                                                    <input type="hidden" name="id" value="{{cryptThis($post->id)}}">
                                                    {!!$view.' '.$edit!!}
                                                    <button type="submit" id="remove-announcement" class="btn text-danger btn-sm btn-link mb-1" data-bs-toggle="tooltip" title="{{ __('Delete Announcement Post?') }}">
                                                        <i class="fa fa-trash"></i></button>
                                                </form>
                                            @else
                                                {!!$view.' '.$edit!!}
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        {{ $posts->links() }}
                    @else
                        <x-no-data></x-no-data>
                    @endif
                </div>
            </div>
        </div>
    </div>
    @include('touring-pages.announcement')
    <!--end::Row-->
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        @if (canTour('announcement'))
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "{{route('on_boarding.skipTour')}}";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        @endif
        <script>
            $(function () {
                $('input[name="date_range"]').daterangepicker({startDate: moment(), endDate: moment().add(1, 'week')});
            })
            $('#announcement-posts').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function destroy(key) {
                // document.getElementById('delete-post-'+key).submit(function(e){
                //     e.preventDefault();
                // });
                // if (confirm("Are you sure you want to continue?")){
                // }
                // document.getElementById('delete-post-'+key).preventDefault();
                // Swal.fire({
                //     title: "Are you sure?",
                //     text: "The portal will not be accessible to the users.",
                //     icon: 'warning',
                //     showCancelButton: true,
                //     confirmButtonColor: "#DD6B55",
                //     confirmButtonText: "Yes, suspend it!"
                // }).then((isConfirm) => {
                //     if (isConfirm.isConfirmed) {
                //         document.getElementById('delete-post-'+key).submit();
                //     }
                // });
            }

            $('button#remove-announcement').on('click', function (e) {
                e.preventDefault();
                let form = $(this).parents('form');
                Swal.fire({
                    title: "Are you sure?",
                    text: "This will no longer be seen by users.",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Yes, delete it!"
                }).then((isConfirm) => {
                    if (isConfirm.isConfirmed) {
                        form.submit();
                    }
                });
            });
        </script>
        {{-- <script src="{{ asset('assets/js/customjs/custom-cases-datatable.js') }}"></script> --}}

    @endpush
</x-app-layout>
