@php
    if (!isset($can_edit)) $can_edit = false;
    $id=null;
        if($announcement){
            $title = $announcement->title;
            $content = $announcement->content;
            $status = $announcement->status;
            $schedule_date = date('Y-m-d', strtotime($announcement->publish_date));
            $schedule_time = date('H:iA', strtotime($announcement->publish_date));
            $recipients = $announcement->recipients;
            $featured_image = $announcement->featured_image;
            $addedBy = $announcement->addedBy->fullname;
            $addedByEmail = $announcement->addedBy->email;
            $id = $announcement->id;
        }
@endphp
<div class="row g-2">
    <div class="card card-custom">
        <div class="card-body">
            <h5 class="mb-0"><a href="{{$announcements_route}}"><i class="fa fa-arrow-left me-3"></i></a>{{$title}}</h5>
        </div>
        <div class="bg-light px-4 py-3">
            <div class="row align-items-center">
                <div class="col-auto pe-0">
                    <a href="#"><img src="{{asset('assets/img/xs/avatar1.jpg')}}" alt="..." class="avatar rounded-circle"></a>
                </div>
                <div class="col ml-n2">
                    <div class="mb-1"><span class="fw-bold">{{$addedBy}}</span> <a href="#">{{$addedByEmail}}</a></div>
                    <div class="dropdown morphing scale-right"> <a class="btn btn-link dropdown-toggle p-0" href="#" role="button" data-bs-toggle="dropdown">info</a>
                        <div class="dropdown-menu p-3 border-0 shadow w240">
{{--                            <div class="mb-2">--}}
{{--                                <div class="mb-0">from:</div>--}}
{{--                                <small class="text-muted">Info-TM <a href="#">info@thememakker.com</a></small>--}}
{{--                            </div>--}}
{{--                            <div class="mb-2">--}}
{{--                                <div class="mb-0">to:</div>--}}
{{--                                <small class="text-muted">Chris Fox <a href="#">Chris.Fox@thememakker.com</a></small>--}}
{{--                            </div>--}}
{{--                            <div class="mb-2">--}}
{{--                                <div class="mb-0">cc:</div>--}}
{{--                                <small class="text-muted"><a href="#">Joge.Lucky@thememakker.com</a></small>--}}
{{--                            </div>--}}
                            <div class="mb-2">
                                <div class="mb-0">date:</div>
                                <small class="text-muted">{{$schedule_date.', '.$schedule_time}}</small>
                            </div>
{{--                            <div class="mb-2">--}}
{{--                                <div class="mb-0">subject:</div>--}}
{{--                                <small class="text-muted">#1706W025010 | Payment Request</small>--}}
{{--                            </div>--}}
                        </div>
                    </div>
                </div>
                <div class="col-auto d-none d-md-inline-block"><span>{{$schedule_date.', '.$schedule_time}}</span><br><span>{{easyDate($schedule_date)}}</span></div>
                <div class="col-auto">
                    <div class="dropdown morphing scale-left">
                        @if($can_edit)
                            <a href="{{route('announcement.edit',[$announcement_id])}}" class="btn btn-sm btn-link d-none d-md-inline-block"
                               data-bs-toggle="tooltip" title="Edit announcement"><i class="fa fa-edit"></i></a>
                        @endif
                        @if(canDo('administrator','delete-announcement'))
                        <a href="#" class="btn btn-link btn-sm dropdown-toggle pulse" role="button" data-bs-toggle="dropdown">
                            <i class="fa fa-ellipsis-h"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end shadow border-0">
                            <form action="{{route('announcement.delete')}}" onsubmit="destroy({{$id}})" id="delete-post-{{$id}}w" method="post">
                                @csrf @method('DELETE')
                                <input type="hidden" name="id" value="{{cryptThis($id)}}">
{{--                            <a href="#!" class="dropdown-item">--}}
                                    <button type="submit" class="dropdown-item text-danger" data-toggle="tooltip" title="{{ __('Delete Announcement Post?') }}">
                                        {{__('Delete')}}</button>

{{--                            </a>--}}
                            </form>
                        </div>
                            @endif
                    </div>
                </div>
            </div>
        </div>
        <div class="card-body">
            @if(!is_null($featured_image))
                <div class="text-center mb-4 mt-3">
                    <img src="{{asset($featured_image)}}" class="rounded" alt="{{$title}}" style="max-height: 400px">
                </div>
            @endif
            {!! $content !!}

                @if(false)
                    <div class="file_folder d-flex flex-wrap border-top pt-3 mt-3">
                        <a class="py-2 px-3 m-1 rounded" href="javascript:void(0);">
                            <div class="avatar rounded-circle no-thumbnail bg-light">
                                <i class="fa fa-bar-chart text-success fa-lg"></i>
                            </div>
                            <div class="ms-3">
                                <p class="mb-0">Report2017.xls</p>
                                <small class="text-muted">Size: 68KB</small>
                            </div>
                        </a>
                        <a class="py-2 px-3 m-1 rounded" href="javascript:void(0);">
                            <div class="avatar rounded-circle no-thumbnail bg-light">
                                <i class="fa fa-file-text-o text-info fa-lg"></i>
                            </div>
                            <div class="ms-3">
                                <p class="mb-0">Report2017.doc</p>
                                <small class="text-muted">Size: 68KB</small>
                            </div>
                        </a>
                        <a class="py-2 px-3 m-1 rounded" href="javascript:void(0);">
                            <div class="avatar rounded-circle no-thumbnail bg-light">
                                <i class="fa fa-file-pdf-o text-danger fa-lg"></i>
                            </div>
                            <div class="ms-3">
                                <p class="mb-0">Report2017.pdf</p>
                                <small class="text-muted">Size: 168KB</small>
                            </div>
                        </a>
                    </div>
                @endif

        </div>
    </div>
</div>
