@if(!isset($view))
    @php $view = false; @endphp
<form action="{{route('benefit_registration.saveApplicantRegistration')}}" enctype="multipart/form-data" method="post">
    @if($applicant)
        <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
    @endif
    @csrf
@endif

    <div class="row">
        @php

            $island_list = \App\Models\LookupCode::activeOptions(config('settings.island_code'));
            $gender_list = \App\Models\LookupCode::activeOptions(config('settings.gender_code'));
            $identification_list = \App\Models\LookupCode::activeOptions(config('settings.identification_code'));
            $account_type_list = \App\Models\LookupCode::activeOptions(config('settings.account_type_code'));
            $bank_list = \App\Models\LookupCode::activeOptions(config('settings.bank_code'));
            $branch_list = \App\Models\LookupCode::activeOptions(config('settings.branch_code'));
            $marriage_status_list = \App\Models\LookupCode::activeOptions(config('settings.marriage_status_code'));
            $marriage_type_list = \App\Models\LookupCode::activeOptions(config('settings.marriage_type_code'));
            $employment_sector_list = \App\Models\LookupCode::activeOptions(config('settings.employment_sector_code'));
            $employment_type_list = \App\Models\LookupCode::activeOptions(config('settings.employment_type_code'));
            $impairment_list = \App\Models\LookupCode::activeOptions(config('settings.impairment_type_code'));
            $family_list = \App\Models\LookupCode::activeOptions(config('settings.family_type_code'));

            $marriage_status =
            $spouse_ref_id =
            $spouse_name =
            $marriage_type =
            $marriage_start_date =
            $marriage_end_date =

            $familyDetails =
            $maritalDetails =
            $contactDetails =
            $idDetails =
            $impairments =
            $accountDetails =
            $healthDetails =
            $employmentDetails = null;

            $surnames = $applicant->surnames;
            $first_names = $applicant->first_names;
            $other_names = $applicant->other_names;
            $dobs = $applicant->dobs;
            $genders = $applicant->genders;
            $place_of_births = $applicant->place_of_births;
            $country_of_births = $applicant->country_of_births;
            $app_nationalities = $applicant->nationalities;

            if (!is_null($applicant->impairments)) $impairments = $applicant->impairments;

            $upload_passport_pic = $applicant->upload_passport_pic;

            if(isset($applicant->contactDetails)){
                $contactDetails = $applicant->contactDetails->where('status','=','Verified');
            }

            if(isset($applicant->maritalDetails)) {
                $maritalDetails = $applicant->maritalDetails;
            }

            if(isset($applicant->familyDetails)) {
                $familyDetails = $applicant->familyDetails->where('removed','=',false);
            }

            if(isset($applicant->idDetails)) {
                $idDetails = $applicant->idDetails->where('removed','=',false);
            }

            if(isset($applicant->accountDetails)) {
                $accountDetails = $applicant->accountDetails->where('removed','=',false);
            }

            if(isset($applicant->employmentDetails)) {
                $employmentDetails = $applicant->employmentDetails->where('removed','=',false);
            }

            if(isset($applicant->healthDetails)) {
                $healthDetails = $applicant->healthDetails->where('removed','=',false);
            }

        @endphp

        <div class="col-12 mb-3">
            <div class="card">
                <div class="card-body">
                    <div class="d-flex align-items-left flex-column flex-md-row">
                        @php
                            $applicant_avatar = asset('assets/default.jpeg');
                            if(!is_null($applicant->avatar)) $applicant_avatar = asset($applicant->avatar);
                        @endphp
                        <img src="{{$applicant_avatar}}" alt="" class="circle no-filter" style="width: 150px; height: 150px; border-radius: 100%;">
                        <div class="media-body ms-md-5 m-0 mt-4 mt-md-0 text-md-start">
                            <h5 class="fw-bol"><span class="fw-bolder">{{$surnames}}, </span>
                                {{$first_names." ".$other_names}} <small class="fw-light me-2">[{{$applicant->regID }}]</small>
                                <img src="{{asset('images/icons/'.$manual_verification.'.png')}}" class="icon"
                                     data-bs-toggle="tooltip"  title="{{($manual_verification == "Manually")?'Manually Verified':$manual_verification}}">
                                <small style="font-size: 13px;"><a href="{{route('applicant.applicantRegistration',[cryptThis($applicant->id)])}}" class="text-primary"><i class="fa fa-edit fs-6"></i> Edit</a></small>
                            </h5>
                            <p><strong class="me-3">Date Of Birth:</strong>
                                @if(!is_null($dobs)){{ date('d M Y', strtotime($dobs))." (".getAgeByDate($dobs).")"}}@endif
                            </p>
                            <div class="d-flex flex-wrap justify-content-left align-items-left mb-3 mt-2">
                                <div class="me-4 me-md-3">
                                    <small class="text-muted">Gender</small>
                                    <div class="mb-0 fw-bold">{{$genders}}</div>
                                </div>
                                <div class="me-4">
                                    <small class="text-muted">Citizenship</small>
                                    <div class="mb-0 fw-bold">{{$app_nationalities}}</div>
                                </div>
                                <!--<div class="me-4">
                                    <small class="text-muted">{{ __('Place Of Birth') }}</small>
                                    <div class="mb-0 fw-bold">{{$place_of_births.", ".$country_of_births}}</div>
                                </div>-->
                                <div class="me-4">
                                    <small class="text-muted">{{ __(' Ward') }}</small>
                                    <div class="mb-0 fw-bold">{{ $applicant->village->name }}</div>
                                </div>
                                <div class="me-4 me-md-3">
                                    <small class="text-muted">PMT Score</small>
                                    @if ($applicant->pmtScore)

                                    <div class="mb-0 fw-bold"  data-bs-toggle="tooltip" data-bs-placement="bottom" title="{{ getPmtDetail($applicant->pmtScore) }}">{{$applicant->pmtScore}}</div>

                                    @else

                                    <div class="mb-0 fw-bold">NA</div>
                                        
                                    @endif
                                    
                                </div>
{{--                                <div class="me-3">--}}
{{--                                    <small class="text-muted">Impairments</small>--}}
{{--                                    <div class="mb-0">--}}
{{--                                        @if(!is_null($impairments))--}}
{{--                                            @foreach($impairments as $key=>$name)--}}
{{--                                                <span class="mr-3">- {{$name}}</span>--}}
{{--                                            @endforeach--}}
{{--                                        @else--}}
{{--                                            ---}}
{{--                                        @endif--}}
{{--                                    </div>--}}
{{--                                </div>--}}
                            </div>
                            <ul class="social mb-0 list-inline mt-3">
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-slack"></i></a></li>
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-github"></i></a></li>
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-skype"></i></a></li>
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-linkedin"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="accordion" id="applicantInformation">
            {{--Family Information--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="parental_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_family"
                                aria-expanded="false" aria-controls="collapse_family"> {{__('Family Information') }} </button>
                    </h2>
                </div>
                <div id="collapse_family" class="collapse" aria-labelledby="parental_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($familyDetails->count() > 0)
                            <ul class="resume-box p-0 ps-0 pb-0 mb-0">
                                <div class="row">
                                    @foreach($familyDetails as $familyDetail)
                                        <div class="col-md-6">
                                            <li>
                                                <div class="icon text-center">
                                                    <i class="bi-people-fill"></i>
                                                </div>
                                                <div class="fw-bold mb-0">{{strtoupper($familyDetail->surname).', '.$familyDetail->first_name.' '.$familyDetail->other_name}}</div>
                                                <span>{{date('d M Y',strtotime($familyDetail->date_of_birth))}}  ({{ getAgeByDate($familyDetail->date_of_birth) }})</span>
                                                <br>
                                                <span>@if($familyDetail->id_type != null){{$familyDetail->id_type}}  - #{{$familyDetail->dependent_reference_id}} @endif</span>
                                                <br>
                                                <span>{{$familyDetail->type}}@if($familyDetail->is_dependent == 'Yes') - <span class="text-success">Dependant</span> @else   - <span class="text-danger">Not Dependant</span> @endif</span>

                                            </li>
                                        </div>
                                    @endforeach
                                </div>

                            </ul>
                        @else
                            <p class="text-muted text-center"><em>No Family Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Contact Information--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="contact_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_contact" aria-expanded="false" aria-controls="collapse_contact">{{ __('Contact Information') }}</button>
                    </h2>
                </div>
                <div id="collapse_contact" class="collapse" aria-labelledby="contact_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($contactDetails->count() > 0)
                            <x-applicant.address-structure :contactDetails="$contactDetails"></x-applicant.address-structure>
                        @else
                            <p class="text-muted text-center"><em>No Contact Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Identification--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="identification_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_ids" aria-expanded="false" aria-controls="collapse_ids">  {{ __('Identification') }} </button>
                    </h2>
                </div>
                <div id="collapse_ids" class="collapse" aria-labelledby="identification_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($idDetails->count() > 0)
                            @foreach($idDetails as $idDetail)
                                <div class="d-flex justify-content-between align-items-center">
                                    <x-applicant.identification-card :idDetail="$idDetail"></x-applicant.identification-card>
                                </div>
                            @endforeach
                        @else
                            <p class="text-muted text-center"><em>No Identification Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Marital Details--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="marital_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_marital" aria-expanded="false" aria-controls="collapse_marital">  {{ __('Marital Details') }} </button>
                    </h2>
                </div>
                <div id="collapse_marital" class="collapse" aria-labelledby="marital_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($maritalDetails->count() > 0)
                            @foreach($maritalDetails as $maritalDetail)
                                <div class="d-flex justify-content-between align-items-center">
                                    <x-applicant.marital-card :maritalDetail="$maritalDetail"></x-applicant.marital-card>
                                </div>
                            @endforeach
                        @else
                            <p class="text-muted text-center"><em>No Marital Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Accounting--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="banking_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_banking"
                                aria-expanded="false" aria-controls="collapse_banking"> {{ __('Accounts') }}
                        </button>
                    </h2>
                </div>
                <div id="collapse_banking" class="collapse" aria-labelledby="banking_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($accountDetails->count() > 0)
                            @foreach($accountDetails as $accountDetail)
                                <div class="d-flex justify-content-between align-items-center mt-3">
                                    <x-applicant.account-card :accountDetail="$accountDetail"></x-applicant.account-card>
                                </div>
                            @endforeach
                        @else
                            <p class="text-muted text-center"><em>No Accounting Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Employment Details--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="employmentInformation_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_employmentInformation"
                                aria-expanded="false" aria-controls="collapse_employmentInformation">
                            {{ __('Employment Details') }}
                        </button>
                    </h2>
                </div>
                <div id="collapse_employmentInformation" class="collapse" aria-labelledby="employmentInformation_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($employmentDetails->count() > 0)
                            @foreach($employmentDetails as $employmentDetail)
                                <div class="d-flex justify-content-between align-items-center">
                                    <x-applicant.employment-card :employmentDetail="$employmentDetail"></x-applicant.employment-card>
                                </div>
                            @endforeach
                        @else
                            <p class="text-muted text-center"><em>No Employment Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Health Details--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="healthInformation_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_healthInformation"
                                aria-expanded="false" aria-controls="collapse_healthInformation">
                            {{ __('Health Details') }}
                        </button>
                    </h2>
                </div>
                <div id="collapse_healthInformation" class="collapse" aria-labelledby="healthInformation_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($healthDetails->count() > 0)
                            @foreach($healthDetails as $healthDetail)
                            <div class="d-flex justify-content-between align-items-center">
                                <x-applicant.health-card :healthDetail="$healthDetail"></x-applicant.health-card>
                            </div>
                            @endforeach
                        @else
                            <p class="text-muted text-center"><em>No Health Information Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
            {{--Applications Details--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="applications_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_applications"
                                aria-expanded="false" aria-controls="collapse_applications">
                            {{ __('Applications') }}
                        </button>
                    </h2>
                </div>
                <div id="collapse_applications" class="collapse" aria-labelledby="applications_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($applications->count() > 0)
                        <div class="accordion" id="benefit_activities">
                            @foreach($applications as $application)
                            <div class="card mb-1">
                                <div class="card-header p-0" id="header_{{$application->id}}">
                                    <h2 class="mb-0 w-100">
                                        <button class="btn btn-white btn-block text-start w-100 p-3 rounded-4" type="button"
                                            data-bs-toggle="collapse" data-target="#collapse_{{$application->id}}" aria-expanded="true"
                                            aria-controls="collapse_{{$application->id}}"> {{$application->benefit->titles}}
                                            <x-approval-status status="{{$application->status}}"></x-approval-status>
                                        </button>
                                    </h2>
                                </div>
                                <div id="collapse_{{$application->id}}" class="collapse show" aria-labelledby="header_{{$application->id}}" data-bs-parent="#benefit_activities">
                                    <div class="card-body custom_scroll" style="max-height: 300px; padding:5px 10px; scroll-behavior: smooth;">

                                        <ul class="timeline-activity list-unstyled mb-0">
                                            @php
                                                $processings = $application->applicationProcessings->sortByDesc('created_at');
                                            @endphp
                                            @foreach($processings as $process)
                                            <li class="activity px-3 py-2 mb-1" data-date="{{easyDate($process->created_at)}}">
                                                <div class="fw-bold small d-flex justify-content-between align-items-center">{{$process->stage}}
                                                    <x-approval-status status="{{$process->action}}"></x-approval-status>
                                                    @if ($loop->first)
                                                        <a href="{{route('benefit_registration.view',[cryptThis($application->id)])}}" class="btn btn-info btn-sm" title="View">
                                                            <i class="bi-arrow-right" title="View Application"></i>
                                                        </a>
                                                    @endif

                                                </div>
                                                <div>
                                                    <small class="text-muted">Accessed via {{$process->access_type}}</small>
                                                </div>
                                            </li>
                                            @endforeach
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                        @else
                            <p class="text-muted text-center"><em>No Application Submitted</em></p>
                        @endif
                    </div>
                </div>
            </div>
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="custom_fields_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_custom_fields"
                                aria-expanded="false" aria-controls="collapse_applications">
                            {{ __('Custom Fields') }}
                        </button>
                    </h2>
                </div>
                <div id="collapse_custom_fields" class="collapse" aria-labelledby="custom_fields_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        
                        <div class="accordion" id="benefit_activities">


                            <div class="row justify-content-between">
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">Orphan Status :
                                    <span class="text-dark  fw-medium">
                                        @if ($applicant->father_alive == 1 && $applicant->mother_alive == 0)
                                            Maternal Orphan
                                        @elseif ($applicant->father_alive == 0 && $applicant->mother_alive == 1)
                                            Paternal Orphan
                                        @elseif ($applicant->father_alive == 0 && $applicant->mother_alive == 0)
                                            Double Orphan
                                        @else
                                            Not an Orphan
                                        @endif
                                    </span></p>
                                </div>
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">Learning Status :
                                    <span class="text-dark  fw-medium">{{ $applicant->learning_status }}</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">Highest Education Level :
                                    <span class="text-dark  fw-medium">{{ $applicant->highest_education_level }}</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">Occupation:
                                    <span class="text-dark  fw-medium">{{ $applicant->occupation }}</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">Household Condition:
                                    <span class="text-dark  fw-medium">{{ $applicant->occupation }}</span></p>
                                </div>

                                @if($applicant->village_id !== null)
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">Village / Ward:
                                    <span class="text-dark  fw-medium">{{  $applicant->village->name }}</span></p>
                                </div>
                                @endif
                                @foreach ($customFields as $field)
                                <div class="col-md-6">
                                    <p class="text-muted cstm-fs-12 fs-12 fw-light">{{$field->name}}:
                                    <span class="text-dark  fw-medium">@if(isset($applicantCustomFieldValues[$field->id])) {{ $applicantCustomFieldValues[$field->id] }} @endif</span></p>
                                </div>
                                @endforeach
                            </div>

                            
                            @if($applicant->village_id !== null)
                            

                            <!--<p class="text-muted fw-light">
                                Division : <span class="text-dark"> {{  $applicant->village->division }}</span>
                            </p>

                            <p class="text-muted fw-light">
                                Location : <span class="text-dark"> {{  $applicant->village->location }}</span>
                            </p>

                            <p class="text-muted fw-light">
                                Sub-location : <span class="text-dark"> {{  $applicant->village->sublocation }}</span>
                            </p>-->

                            
                            @endif
                            
                            
                            
                        </div>
                        
                    </div>
                </div>
            </div>
            {{--Cases--}}
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="case_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_cases"
                                aria-expanded="false" aria-controls="collapse_cases">
                            {{ __('Activity History') }}
                        </button>
                    </h2>
                </div>
                <div id="collapse_cases" class="collapse" aria-labelledby="case_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        @if($cases->count() > 0)
                            <div class="table-responsive mt-10">
                                <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                                    <thead>
                                        <tr>
                                            <th width="25%">Date</th>
                                            <th width="25%">Type</th>
                                            <th width="25%">Status</th>
                                            <th width="18%">Stage</th>
                                            <th width="7%" class="text-right">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($cases as $case)
                                        <tr>
                                            <td>{{date('d M Y', strtotime($case->created_at))}}</td>
                                            <td>{{$case->severity}}</td>
                                            <td>{{ $case->status }}</td>
                                            <td>{{ $case->stage }}</td>
                                            <td class="text-right">
                                                <a href="{{route('case.viewCase',[cryptThis($case->id)])}}" class="btn btn-link btn-sm text-info" title="View">
                                                    <i class="fa fa-eye"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        @else
                            <p class="text-muted text-center"><em>No Activity Recorded</em></p>
                        @endif
                    </div>
                </div>
            </div>
        </div>

        @if ($view && $applicant && false)
        <div class="col-md-12 mt-4">
            <p class="text-info"><strong>BANKING:</strong> {{$total_bank_accounts}} Valid Bank Account(s) Approved.</p>
        </div>
        @endif
    </div>

@if(!$view)
    <div class="row">
        <div class="col-md-8">
            @if (!$applicant)
            <button type="submit" name="save" value="check" class="btn btn-light-secondary-primary mt-2 mb-3 btn-sm mr-3">{{ __('Check Applicant Information') }}</button>
            @endif
                <button type="submit" name="save" value="save" class="btn btn-success btn-sm mt-2 mb-3">
                    @if($applicant)
                        {{ __('Save Changes') }}
                    @else
                        {{ __('Save Applicant Information') }}
                    @endif
                </button>
        </div>
        <div class="col-md-4 text-right">
            <a href="{{ \Illuminate\Support\Facades\URL::previous() }}" class="btn btn-danger btn-sm mt-2 mb-3">{{ __('Cancel Registration') }}</a>
        </div>
    </div>
</form>
@endif
