@if(!isset($details))
    <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="record_update_form">
        @csrf
        <input type="hidden" name="form_type" value="{{$request->table}}">
        @method('PUT')
        <input type="hidden" name="id" value="{{cryptThis($employmentDetail->applicant->id)}}">
        <input type="hidden" name="record_id" value="{{cryptThis($request->record)}}">

        <div class="modal-body custom_scroll p-lg-3">

            @include('applicant.applicant-form.delete-field')
            <div class="row" id="record_update_form_fields">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select class="form-control select" style="width: 100%; " name="employment_type" id="employment_type">
                            <option>Choose</option>
                            @foreach(getEmploymentType() as $key=>$name)
                                <option value="{{$name}}" {{ ($employmentDetail->employment_type == $name)?'selected':'' }}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="employment_type">{{ __("Type") }}</label>
                    </div>
                    @if ($errors->has('employment_type'))
                        <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('employment_type') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select class="form-control select" style="width: 100%; " name="employment_sector" id="employment_sector">
                            <option>Choose</option>
                            @foreach(getEmploymentSectorType() as $key=>$name)
                                <option value="{{$name}}" {{ ($employmentDetail->employment_sector == $name)?'selected':'' }}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="employment_sector">{{ __("Sector") }}</label>
                    </div>
                    @if ($errors->has('employment_sector'))
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $errors->first('employment_sector') }}</strong>
                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input class="form-control" style="" value="{{$employmentDetail->employer_name}}" name="employer_name" id="employer_name">
                        <label for="employer_name">{{ __("Company Name") }}</label>
                    </div>
                    @if ($errors->has('employer_name'))
                        <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('employer_name') }}</strong>
                            </span>
                    @endif
                </div>
{{--                <div class="col-md-12 mb-2">--}}
{{--                    <div class="form-floating">--}}
{{--                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employer_telephone}}" name="employer_telephone" id="employer_telephone">--}}
{{--                        <label for="employer_telephone">{{ __("Telephone") }}</label>--}}
{{--                    </div>--}}
{{--                    @if ($errors->has('employer_telephone'))--}}
{{--                        <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_telephone') }}</strong>--}}
{{--                            </span>--}}
{{--                    @endif--}}
{{--                </div>--}}
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employer_mobile}}" name="employer_mobile" id="employer_mobile">
                        <label for="employer_mobile">{{ __("Mobile") }}</label>
                    </div>
                    @if ($errors->has('employer_mobile'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_mobile') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="email" class="form-control" style="" value="{{$employmentDetail->employer_email}}" name="employer_email" id="employer_email">
                        <label for="employer_mobile">{{ __("Email") }}</label>
                    </div>
                    @if ($errors->has('employer_email'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_email') }}</strong>
                            </span>
                    @endif
                </div>
{{--                <div class="col-md-12 mb-2">--}}
{{--                    <div class="form-floating">--}}
{{--                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employer_rmd}}" name="employer_rmd" id="employer_rmd">--}}
{{--                        <label for="employer_rmd">{{ __("Company RMD No.") }}</label>--}}
{{--                    </div>--}}
{{--                    @if ($errors->has('employer_rmd'))--}}
{{--                        <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_rmd') }}</strong>--}}
{{--                            </span>--}}
{{--                    @endif--}}
{{--                </div>--}}
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employer_bank_account_name}}" name="employer_bank_account_name" id="employer_bank_account_name">
                        <label for="employer_bank_account_name">{{ __("Company Account Name") }}</label>
                    </div>
                    @if ($errors->has('employer_bank_account_name'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_bank_account_name') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employer_bank_account_number}}"
                               name="employer_bank_account_number" id="employer_bank_account_number">
                        <label for="employer_bank_account_number">{{ __("Company Account No.") }}</label>
                    </div>
                    @if ($errors->has('employer_bank_account_number'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_bank_account_number') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employer_postal_address}}"
                               name="employer_postal_address" id="employer_postal_address">
                        <label for="employer_postal_address">{{ __("Company Address") }}</label>
                    </div>
                    @if ($errors->has('employer_postal_address'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_postal_address') }}</strong>
                            </span>
                    @endif
                </div>
{{--                <div class="col-md-12 mb-2">--}}
{{--                    <div class="form-floating">--}}
{{--                        <select class="form-control select" style="width: 100%; " name="employer_island" id="employer_island">--}}
{{--                            <option>Choose</option>--}}
{{--                            @foreach(getLocations() as $key=>$name)--}}
{{--                                <option value="{{$name}}" {{ ($employmentDetail->employer_island == $name)?'selected':'' }}>{{$name}}</option>--}}
{{--                            @endforeach--}}
{{--                        </select>--}}
{{--                        <label for="employer_island">{{ __("Location") }}</label>--}}
{{--                    </div>--}}
{{--                    @if ($errors->has('employer_island'))--}}
{{--                        <span class="invalid-feedback" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_island') }}</strong>--}}
{{--                            </span>--}}
{{--                    @endif--}}
{{--                </div>--}}
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employee_position}}"
                               name="employee_position" id="employee_position">
                        <label for="employee_position">{{ __("Position") }}</label>
                    </div>
                    @if ($errors->has('employee_position'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employee_position') }}</strong>
                            </span>
                    @endif
                </div>
{{--                <div class="col-md-12 mb-2">--}}
{{--                    <div class="form-floating">--}}
{{--                        <input type="text" class="form-control" style="" value="{{$employmentDetail->employee_manager}}"--}}
{{--                               name="employee_manager" id="employee_manager">--}}
{{--                        <label for="employee_manager">{{ __("Manager Name") }}</label>--}}
{{--                    </div>--}}
{{--                    @if ($errors->has('employee_manager'))--}}
{{--                        <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employee_manager') }}</strong>--}}
{{--                            </span>--}}
{{--                    @endif--}}
{{--                </div>--}}
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker" data-date-end-date="0d" style="min-width: auto;"
                               @if(!is_null($employmentDetail->employment_start_date))value="{{date('m/d/Y',strtotime($employmentDetail->employment_start_date))}}" @endif
                               name="employment_start_date" id="employment_start_date">
                        <label for="employment_start_date">{{ __("Employment Start") }}</label>
                    </div>
                    @if ($errors->has('employment_start_date'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employment_start_date') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker" style="min-width: auto;"
                               @if(!is_null($employmentDetail->employment_end_date))value="{{date('m/d/Y',strtotime($employmentDetail->employment_end_date))}}" @endif
                               name="employment_end_date" id="employment_end_date">
                        <label for="employment_end_date">{{ __("Employment End") }}</label>
                    </div>
                    @if ($errors->has('employment_end_date'))
                        <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employment_end_date') }}</strong>
                            </span>
                    @endif
                </div>
            </div>
            @include('applicant.applicant-form.reason-evidence-fields')
        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <x-cancel class="ml-3"></x-cancel>
            <x-submit class="ml-3"></x-submit>
        </div>
    </form>
@else
    <div class="modal-body custom_scroll p-lg-3">
        <div class="row">
            <div class="col-md-7">
                <div class="table-responsive border-top">
                    <table class="table card-table table-sm table-nowrap mb-0">
                        <tbody>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employment Sector') }}</td>
                            <td>{{$employmentDetail->employment_sector}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Telephone') }}</td>
                            <td>{{$employmentDetail->employer_telephone}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Mobile') }}</td>
                            <td> {{$employmentDetail->employer_mobile}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Email') }}</td>
                            <td> {{$employmentDetail->employer_email}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Bank Account Name') }}</td>
                            <td>{{$employmentDetail->employer_bank_account_name}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Bank Account Number') }}</td>
                            <td>{{$employmentDetail->employer_bank_account_number}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Postal Address') }}</td>
                            <td>{{$employmentDetail->employer_postal_address}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employer Island') }}</td>
                            <td>{{$employmentDetail->employer_island}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employee Position') }}</td>
                            <td>{{$employmentDetail->employee_position}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employee\'s Manager') }}</td>
                            <td>{{$employmentDetail->employee_manager}}</td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employment Start Date') }}</td>
                            <td>
                                @if(!is_null($employmentDetail->employment_start_date)){{ date('d M Y', strtotime($employmentDetail->employment_start_date)) }}@endif
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 200px;font-weight: bolder">{{ __('Employment End Date') }}</td>
                            <td>
                                @if(!is_null($employmentDetail->employment_end_date)){{ date('d M Y', strtotime($employmentDetail->employment_end_date)) }}@endif
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-md-5">
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3970.5159830179446!2d-0.16043498467464248!3d5.638210234383498!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xfdf8356b7d30b7f%3A0x3693ea245b59dd1a!2sBewsys!5e0!3m2!1sen!2sgh!4v1646836146937!5m2!1sen!2sgh" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
            </div>
        </div>
    </div>
@endif
