@if(!isset($details))
    @php
        $family_list = getRelationshipType();
        $type = $surname = $first_name = $other_name = $dob = $fam_reg_id = $is_dependant = null;
    @endphp
    <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="record_update_form">
        @csrf
        <input type="hidden" name="form_type" value="{{$request->table}}">
            @php
                $type = $familyDetail->type;
                $surname = $familyDetail->surname;
                $first_name = $familyDetail->first_name;
                $other_name = $familyDetail->other_name;
                $dob = $familyDetail->date_of_birth;
                $fam_reg_id = $familyDetail->dependent_reference_id;
                $id_type = $familyDetail->id_type;
                $is_dependant = $familyDetail->is_dependent;
            @endphp
            @method('PUT')
            <input type="hidden" name="id" value="{{cryptThis($familyDetail->applicant->id)}}">
            <input type="hidden" name="record_id" value="{{cryptThis($request->record)}}">

        <div class="modal-body custom_scroll p-lg-3">
{{--            @include('applicant.applicant-form.delete-field')--}}
            <div class="row" id="record_update_form_fields">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select required class="form-control" name="type" id="type">
                            <option>Choose Type</option>
                            @foreach($family_list as $key=>$name)
                                <option value="{{$name}}" {{($type == $name)?'selected':''}}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="type">{{ __('Relationship') }} <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('type'))
                        <span class="form-text text-danger" role="alert">
                                                        <strong>{{ $errors->first('type') }}</strong>
                                                    </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required placeholder="Surname" class="form-control"
                               style="" value="{{$surname}}" name="surname" id="surname">
                        <label for="surname">{{ __('Surname') }}
                            <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('surname'))
                        <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('surname') }}</strong>
                                                                    </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required placeholder="First Name" class="form-control"
                               style="" value="{{$first_name}}" name="first_name" id="first_name">
                        <label for="first_name">{{ __('First Name') }}
                            <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('first_name'))
                        <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('first_name') }}</strong>
                                                                    </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" placeholder="Other Name" class="form-control"
                               style="" value="{{$other_name}}" name="other_name" id="other_name">
                        <label for="other_name">{{ __('Other Name') }}
                            <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('other_name'))
                        <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('other_name') }}</strong>
                                                                    </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker" required
                               value="{{$dob}}" data-date-end-date="0d" style="min-width: auto;"
                               name="date_of_birth" id="date_of_birth" readonly="readonly" placeholder="Select date">
                        <label for="date_of_birth">Date Of Birth:
                            <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('date_of_birth'))
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $errors->first('date_of_birth') }}</strong>
                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select required class="form-control" name="id_type" id="id_type">
                            <option>Choose ID Type</option>
                            @foreach(getIdentificationType() as $key=>$name)
                                <option value="{{$name}}" {{($id_type == $name)?'selected':''}}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="id_type">{{ __('ID Type') }} <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('id_type'))
                        <span class="form-text text-danger" role="alert">
                                            <strong>{{ $errors->first('id_type') }}</strong>
                                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control"
                               style="" value="{{$fam_reg_id}}" name="dependent_reference_id" id="dependent_reference_id">
                        <label for="other_name">{{ __('Registration No.') }}</label>
                    </div>
                    @if ($errors->has('dependent_reference_id'))
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $errors->first('dependent_reference_id') }}</strong>
                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select name="is_dependant" id="is_dependant" required class="form-control">
                            <option value="Yes" {{($is_dependant == 'Yes')?'selected':''}}>Yes</option>
                            <option value="No" {{($is_dependant == 'No')?'selected':''}}>No</option>
                        </select>
                        <label for="is_dependant">{{ __('Is Dependant?') }}</label>
                    </div>
                    @if ($errors->has('is_dependant'))
                        <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('is_dependant') }}</strong>
                                                                    </span>
                    @endif
                </div>
            </div>
{{--            @include('applicant.applicant-form.reason-evidence-fields')--}}
        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <x-cancel class="ml-3"></x-cancel>
            <x-submit class="ml-3"></x-submit>
        </div>
    </form>
@else
    <div class="modal-body custom_scroll p-lg-3">
        <div class="table-responsive">
            <table class="table card-table table-sm table-nowrap mb-0">
                <tbody>
                <tr>
                    <td style="width: 200px;font-weight: bolder">{{ __('Date Of Birth') }}</td>
                    <td>@if(!is_null($familyDetail->date_of_birth)){{ date('d M Y', strtotime($familyDetail->date_of_birth)) }}@endif</td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder">{{ __('ID Type') }}</td>
                    <td> {{ $familyDetail->id_type }}</td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder">{{ __('Registration No.') }}</td>
                    <td> {{ $familyDetail->dependent_reference_id }}</td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder">{{ __('Is Dependant?') }}</td>
                    <td> {{ $familyDetail->is_dependent }}</td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
@endif
