@if(!isset($details))
    <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="record_update_form">
        @csrf
        <input type="hidden" name="form_type" value="identification_details">
        @method('PUT')
        <input type="hidden" name="id" value="{{cryptThis($idDetail->applicant->id)}}">
        <input type="hidden" name="record_id" value="{{cryptThis($idDetail->id)}}">

        <div class="modal-body custom_scroll p-lg-3">
            @include('applicant.applicant-form.delete-field')
            <div class="row" id="record_update_form_fields">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select required class="form-control"
                                style="width: 100%; " name="id_types" id="id_types">
                            <option>Choose Type</option>
                            @foreach(getIdentificationType() as $key=>$name)
                                <option value="{{$name}}" @if($idDetail->id_type == $name) selected @endif>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="id_types">ID Type <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('id_types'))
                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('id_types') }}</strong>
                                                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required placeholder="Primary ID No." class="form-control"
                               style="" value="{{$idDetail->id_number}}" name="id_number" id="id_number">
                        <label for="id_number">ID No<span class="required">*</span></label>
                    </div>
                    @if ($errors->has('id_number'))
                        <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('id_number') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker" value="{{$idDetail->expiry}}"
                               name="expiry" id="expiry" readonly="readonly" placeholder="Select date">
                        <label for="expiry">Expiry</label>
                    </div>
                    @if ($errors->has('expiry'))
                        <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('expiry') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div clas="form-floating">
                        <label for="document">Upload ID Document</label>
                        <input type="file" name="document" id="document" class="form-control">
                    </div>
                    @if ($errors->has('document'))
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $errors->first('document') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
            @include('applicant.applicant-form.reason-evidence-fields')
        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <button class="btn btn-l btn-danger me-2" type="reset" data-bs-dismiss="modal" aria-label="Close"><i class="fa fa-ban"></i> Cancel</button>
            <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane me-2"></i> Submit</button>
        </div>
    </form>
@else
    <div class="modal-body custom_scroll p-lg-3">
        <div class="table-responsive border-top">
            <table class="table card-table table-sm table-nowrap mb-0">
                <tbody>
                <tr>
                    <td style="width: 200px;font-weight: bolder">{{ __('ID Number Expiry') }}</td>
                    <td>@if(!is_null($idDetail->expiry)){{ date('d M Y', strtotime($idDetail->expiry)) }}@endif</td>
                </tr>
                <tr>
                    <td style="width: 200px;font-weight: bolder">{{ __('ID Document') }}</td>
                    <td> <a target="_blank" href="{{ route('download-file',['file_path'=>$idDetail->document]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
@endif
