<x-app-layout>
            <x-slot name="breadcrumb">
                <ol class="breadcrumb bg-transparent mb-0">
                    <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
                    <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('applicant.getApplicantInfo') }}">{{ __('Members') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ __('Detail') }}</li>
                </ol>
            </x-slot>
            <!-- start: page toolbar -->
            <x-slot name="page_heading">
                <div class="row align-items-center">
                    <div class="col-auto page-header-title">
                        <h1 class="color-900 mt-1 mb-0">{{ __('Details') }}</h1>
                        <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
                    </div>
                    <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                        <div class="p-2 me-md-3">
                            <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                    1.3%</small></div>
                            <small class="text-muted text-uppercase">Active</small>
                        </div>
                        <div class="p-2 me-md-3">
                            <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                    4.1%</small></div>
                            <small class="text-muted text-uppercase">Inactive</small>
                        </div>
                    </div>
                </div> <!-- .row end -->
            </x-slot>

            <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
                <div class="container-fluid">
                    @if(session()->has('message'))
                        <div class="mb-5">
                            @if(session()->get('status') == 'success')
                                <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                            @else
                                <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                            @endif
                        </div>
                    @endif
                    <div class="row g-3">
                        <div class="col-md-9">
                            @include('applicant.applicant-form.applicant-registration-view')
                        </div>
                        <div class="col-md-3">
                            <div class="card">
                            <div class="card-body p-3">
                                @if(sizeof($eligible_benefits) > 0)
                                <div role="alert" class="alert alert-info mb-2"> <i class="fa fa-envelope-open me-2 text-success fs-6"></i>
                                    <span class="fw-bolder">You are eligible</span>
                                    <i class="fa fa-exclamation fs-6"></i></div>
                                @endif
                                <div class="information" @if($add_application) style="display: none" @endif>
{{--                                    @php--}}
{{--                                        $applicant_avatar = asset('assets/default.jpeg');--}}
{{--                                        if(!is_null($applicant->avatar)) $applicant_avatar = asset($applicant->avatar);--}}
{{--                                    @endphp--}}
{{--                                    <div class="image-input avatar xxl rounded-4" style="background-image: url({{$applicant_avatar}}); width: 200px; height: 200px">--}}
{{--                                    </div>--}}
{{--                                    <p class="text-center"><small>Enrollment Photo</small></p>--}}

                                    <p class="mb-2 fs-6"><strong>Eligible Benefits</strong> <small class="text-muted small form-text fw-light">(Click to apply)</small></p>
                                    <ol style="padding-left: 1.5rem;">
                                        @foreach($benefits as $benefit)
                                            @if(sizeof($eligible_benefits) > 0)
                                                @if(in_array($benefit->id,$eligible_benefits))
                                                    <li>
                                                        <a href="{{ route('benefit_registration.create',
                                                [cryptThis($benefit->id),'get_applicant'=>$applicant->regID]) }}">
                                                            {{ $benefit->titles }}</a>
                                                    </li>
                                                @endif
                                            @endif
                                        @endforeach
                                    </ol>
                                    <p class="mb-2 fs-6"><strong>Non-Eligible Benefits</strong></p>
                                    <ol style="padding-left: 1.5rem;">
                                        @if(sizeof($eligible_benefits) > 0)
                                            @foreach($benefits as $benefit)
                                                @if(!in_array($benefit->id,$eligible_benefits))
                                                    <li class="text-muted">{{ $benefit->titles }}</li>
                                                @endif
                                            @endforeach
                                        @endif
                                    </ol>
                                    <div class="separator separator-solid separator-border-2"></div>
                                    <br>
{{--                                    <a href="{{ route('applicant.financialStatements',[$applicant->regID]) }}"><i class="fas fa-money-bill-alt mr-3"></i> Financial Statement</a>--}}
                                    <p></p>
                                </div>
                            </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        <!-- Modal-->

    <div class="modal fade" id="more-details" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                    <h6 class="mt-3 mb-4" id="detail-title">Details</h6>
                    <div id="details-body">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
        @push('vendor-scripts')
        @endpush
        @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
            <script>
                $('.myDataTable').addClass('nowrap').dataTable({
                    responsive: false,
                    searching: false,
                    paging: false,
                    ordering: false,
                    info: false,
                });
                function loadApplicationForm(id) {
                    var path = "{{route('applicant.viewApplicantInfo')}}";
                    $.ajaxSetup(    {
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {app_id:id},
                        beforeSend: function(){

                        },
                        success: function(data){
                            $('#info').empty();
                            $('#info').html(data.theView);
                        },
                        complete:function(){
                            // $('#info').unblock();
                            $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function() {
                                console.log('Reset');
                            });
                            {{--$.getScript("{{ asset('assets/js/customjs/applicant-record-form.js') }}", function() {--}}
                                {{--console.log('Reset');--}}
                            {{--});--}}
                        }
                        ,
                        error: function (data) {
                        }
                    });
                }
                function getDetails(table,id,applicant_number,state) {
                    var path = "{{route('applicant.viewApplicantRecordInfo')}}";
                    $.ajaxSetup(    {
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {table:table,record:id,app_id:applicant_number,action:state},
                        beforeSend: function(){
                            console.log('Before');
                            $('#details-body').empty();
                            $('#details-body').html('<div class="spinner-border" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div>');
                        },
                        success: function(data){
                            $('#details-body').empty();
                            $('#detail-title').empty();
                            $('#details-body').html(data.the_view);
                            $('#detail-title').text(data.title);
                            console.log('Success');
                        },
                        complete:function(){
                            $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function () {
                                console.log('Reset');
                            });
                            // $('#details-body').unblock();
                        },
                        error: function (data) {
                            // console.log(data)
                        }
                    });
                }
            </script>
        @endpush
</x-app-layout>
