<x-app-layout>
    @push('stylesheets')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dataTables.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">System Audit Trail</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div id="" class="table-responsive dataTables_wrapper dt-bootstrap5 no-footer">
                            <table id="audit_trail" class="table align-middle nowrap mb-0 card-table dataTable no-footer dtr-inline">
                            <thead>
                                <tr>
                                    <th>Model</th>
                                    <th>Action</th>
                                    <th>User</th>
                                    <th>Time</th>
                                    <th>Data Changes</th>
                                    <th>Url</th>
                                    <th>Ip_adrress</th>
                                    <th>Navigator</th>
                                </tr>
                                </thead>
                                <tbody id="audits">
                                @foreach($audits as $audit)
                                    <tr>
                                        <td>{{ $audit->auditable_type }} (id: {{ $audit->auditable_id }})</td>
                                        <td>{{ $audit->event }}</td>
                                        <td>{{ !empty($audit->user) ? $audit->user->name:"" }}</td>
                                        <td>{{ $audit->created_at }}</td>
                                        <td>
                                            @if(!empty($audit->old_values))
                                                @foreach($audit->old_values as $old_attribute  => $value)
                                                    <dl>
                                                        <dt><b>{{ $old_attribute  }}</b></dt>
                                                        <dt>{{ $value }}</dt>
                                                    </dl>
                                                @endforeach
                                            @endif
                                            @if(!empty($audit->new_values))
                                                @foreach($audit->new_values as  $new_attribute  => $data)
                                                    <dl>
                                                        <dt><b>{{  $new_attribute  }}</b></dt>
                                                        <dt>{{ $data }}</dt>
                                                    </dl>
                                                @endforeach
                                            @endif
                                        </td>
                                        <td>{{ $audit->url }}</td>
                                        <td>{{ $audit->ip_address }}</td>
                                        <td>{{ $audit->user_agent }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            @if($audits->isNotEmpty())
                                <div class="row">
                                    <div class="col-7">
                                        @if(count($audits) == 0)

                                        @else
                                            Showing {{$audits->firstitem()}} - {{ $audits->lastitem()}} of {{$audits->total()}} entries
                                        @endif
                                    </div>
                                    <div class="col-5">
                                        <div class="btn-group pull-right">
                                            <nav aria-label="...">
                                                @if($audits->isNotEmpty())
                                                    {{ $audits->links('vendor.pagination.default') }}
                                                @endif
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


@push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>

        <script>
            $('#audit_trail').addClass('nowrap').dataTable({
                responsive: true,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
@endpush

</x-app-layout>
