<x-beneficiary-guest-layout>
    <div class="row align-items-center g-lg-6 py-1 mt-3">
        <div class="col-lg-7 text-center text-lg-start color-100 mb-4">
            <h5>@lang('auth.register') & @lang('landing.join')</h5>
            <h2 class="bg-text"><span class="text-secondary fw-bold">{{getProjectName()}}</h2>
            <p class="lead mb-4">
                {{__('Alleviate reduces workflows and time processing and distributing benefits, even in hard-to-reach rural communities.')}}
            </p>
            <a href="{{route('customer.signup')}}"
               class="btn btn-lg px-5 bg-secondary text-white text-uppercase fs-6">@lang('auth.sign-up-now')</a>
        </div>

        {{--    Forms Tabs--}}
        <div class="col-md-10 mx-auto col-lg-5">
            <div class="card mb-5">
                <div class="card-body">
                    @component('components.announcement')@endcomponent
                    <!-- Session Status -->
                    {{--                    <x-auth-session-status class="mb-4" :status="session('status')" />--}}
                    <!-- Validation Errors -->
                    <x-auth-validation-errors class="mb-4" :errors="$errors"/>
                    <form class="p-4" action="{{route('customer.access')}}" method="POST">@csrf
                        <div class="mb-4">
                            <h4>@lang('auth.sign-in')</h4>
                            <span class="text-muted">{{__('Free access to our dashboard.')}}</span>
                        </div>
                        <div class="mb-2">
                            <div class="form-check form-check-inline">
                                {{--                            <button class="btn btn-icon btn-light-primary" type="button" onchange="switchMode('phone')"><i class="fa fa-phone"></i></button>--}}
                                <input class="form-check-input" onchange="switchMode()" type="radio" checked
                                       name="sign_method" id="s_phone" value="phone">
                                <label class="form-check-label" for="s_phone">@lang('auth.use-phone-number')</label>
                            </div>
                            <div class="form-check form-check-inline">
                                {{--                            <button class="btn btn-icon btn-light-primary" type="button" onchange="switchMode('email')"><i class="fa fa-envelope"></i></button>--}}
                                <input class="form-check-input" onchange="switchMode()"
                                       @if(old('sign_method') == 'email') checked @endif type="radio" name="sign_method"
                                       id="s_email"
                                       value="email">
                                <label class="form-check-label" for="s_email">@lang('auth.use-email')</label>
                            </div>
                        </div>
                        <div class="form-floating mb-3" id="use_phone" style="display: block">
                            <input type="text" class="form-control" name="phone" id="phone" autocomplete="off"
                                   placeholder="050XXXXXX">
                            <label for="phone">@lang('auth.phone-number')</label>
                        </div>
                        <div class="form-floating mb-3" id="use_email" style="display: none">
                            <input type="email" class="form-control" disabled name="email" id="email" autocomplete="off"
                                   value="{{old('email')}}"
                                   placeholder="user@email.com">
                            <label for="phone">@lang('auth.email')</label>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="password" class="form-control" placeholder="Password" id="password"
                                   name="password">
                            <label for="password">@lang('auth.enter-password')</label>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                <div class="checkbox mb-3">
                                    <label><input type="checkbox" value="remember-me"> @lang('auth.remember-me')</label>
                                </div>
                            </div>
                            <div class="col-6 text-end">
                                <div class="dropdown morphing scale-left Language">
                                    <span class="me-2">{{__('Select Language')}}:</span> <a
                                            class="dropdown-toggle after-none" href="#" role="button"
                                            data-bs-toggle="dropdown">
                                        <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}
                                    </a>
                                    <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">
                                        <div class="card">
                                            <div class="list-group list-group-custom" style="width: 200px;">
                                                @foreach (config('app.languages') as $language=>$code )
                                                    <a href="{{route('language',[$code])}}"
                                                       class="list-group-item"><span
                                                                class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}
                                                    </a>
                                                @endforeach
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <label class="mt-2"><a
                                            href="{{route('customer.forgotPassword')}}">@lang('auth.forgot-password')</a></label>
                            </div>
                            <div class="col-12">
                                <div class="mt-2 mb-2">
                                    <small class="text-muted">{{__('By continuing, I have read and agreed to the Terms of Use and Privacy Policy.')}}
                                        {{__('Don\'t have an account yet?')}} <a href="{{route('customer.signup')}}"
                                                                                 class="text-primary">@lang('auth.sign-up-now')</a>.</small>
                                </div>
                            </div>
                            <div class="col-12">
                                <button class="w-100 btn btn-lg btn-primary"
                                        type="submit">@lang('auth.sign-in')</button>
                            </div>

                            <div class="col-12">
                                <a href="{{route('customer.verify')}}" class="w-100 btn btn-lg btn-light-primary mt-3"
                                   type="submit">{{__('Verify My Account')}}</a>
                            </div>
                        </div>


                    </form>
                </div>
            </div>
        </div>
    </div>
    <script>
        $('document').ready(function () {
            switchMode();
        });

        function switchMode() {
            var method = $('input[name="sign_method"]:checked').val();
            if (method == 'phone') {
                console.log(method);
                $('#use_phone').css('display', 'block');
                $('input#phone').attr('disabled', false);
                $('#use_email').css('display', 'none');
                $('input#email').attr('disabled', true);
            } else {
                console.log(method);
                $('#use_phone').css('display', 'none');
                $('input#phone').attr('disabled', true);
                $('#use_email').css('display', 'block');
                $('input#email').attr('disabled', false);
            }
        }
    </script>
</x-beneficiary-guest-layout>
