<x-guest-layout>
<div class="row align-items-center g-lg-6 py-1 mt-3">
    <div class="col-lg-7 text-center text-lg-start color-100 mb-4">
{{--        <h5>@lang('auth.register') & @lang('auth.join')</h5>--}}
{{--        <h2 class="bg-text"><span class="text-secondary fw-bold">{{getProjectName()}}</h2>--}}
{{--        <p class="lead mb-4">--}}
{{--            {{__('Alleviate reduces workflows and time processing and distributing benefits, even in hard-to-reach rural communities.')}}--}}
{{--        </p>--}}
{{--        <a href="{{route('login')}}" class="btn btn-lg px-5 bg-secondary text-white text-uppercase fs-6">Login Now</a>--}}
    </div>

    {{--    Forms Tabs--}}
    <div class="col-md-10 mx-auto col-lg-5">
        <div class="card mb-5">
            <div class="card-body">
                <form method="POST" action="{{ route('customer.create') }}" class="p-2">
                    @csrf
                    <div class="mb-4 text-center">
                        <img class="me-2" src="{{ getProjectLogo()}}" alt="Image Description" height="80px">
                    </div>
                    <div class="mb-4 text-center">
                        <h4>@lang('auth.sign-up')</h4>
                        <span class="text-muted">{{__('To').' '.setAppDefault('app_project_name').__('Portal')}}</span>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="text" name="name" required id="name" class="form-control required"
                                       value="{{old('name')}}" placeholder="Doe">
                                <label for="name">{{__('Surname')}} *</label>
                            </div>
                            @error('name')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('name') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="text" name="firstname" required id="firstname" class="form-control required"
                                       value="{{old('firstname')}}" placeholder="John">
                                <label for="firstname">{{__('First Name')}} *</label>
                            </div>
                            @error('firstname')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('firstname') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-6">
{{--                            <div class="form-floating mb-3">--}}
{{--                                <input type="text" name="phone" required id="phone" class="form-control required"--}}
{{--                                       value="{{old('phone')}}" placeholder="050XXXXXXX">--}}
{{--                                <label for="mobile">{{__('Phone Number')}} *</label>--}}
{{--                            </div>--}}
                            <div class="input-group has-validation mb-3">
                                <span class="input-group-text bg-white" style="font-size: 14px;" id="inputGroupPrepend">+{{setAppDefault('app_call_code')}}</span>
                                <input type="text" class="form-control" name="phone" id="phone" autocomplete="off"
                                       value="{{old('phone')}}" style="height:58px;" aria-describedby="inputGroupPrepend"  required>
                            </div>
                            @error('phone')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('phone') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="email" name="email" id="email" class="form-control"
                                       value="{{old('email')}}" placeholder="name@example.com">
                                <label for="email">{{__('Email')}}</label>
                            </div>
                            @error('email')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('email') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <input type="password" name="password" id="password" class="form-control required" placeholder="Password">
                                <label for="password">{{__('Password')}} *</label>
                            </div>
                            @error('password')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('password') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-6">
                            <div class="form-floating mb-3">
                                <x-input id="password_confirmation" class="block w-full"
                                         type="password"
                                         name="password_confirmation" required />
                                <x-label for="password_confirmation" :value="__('Confirm Password')" />
                            </div>
                        </div>
                    </div>
                    <div class="dropdown morphing scale-right Language mb-2">
                        <span class="me-2">{{__('Language')}}:</span>
                        <a class="dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">
                            <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}
                        </a>
                        <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">
                            <div class="card">
                                <div class="list-group list-group-custom" style="width: 200px;">
                                    @foreach (config('app.languages') as $language=>$code )
                                        <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="text-muted small mb-3">
                        <label>{{__('By clicking on the Sign Up, you have accepted all our terms and conditions.')}}</label>
                    </div>

                    <button class="w-100 btn btn-lg btn-primary mb-2" type="submit">{{__('Sign Up')}}</button>

                    <div class="text-muted mb-3">
                        <label>{{__('I already have an account.')}} <a href="{{route('login')}}">{{__('Log In')}}</a></label>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</x-guest-layout>
