<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'FADIS') }}</title>

    <!-- project css file  -->
    <link rel="stylesheet" href="{{ asset('assets/css/luno-style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/spis.css') }}">
    <!-- Jquery Core Js -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
</head>
<body id="layout-1" data-luno="theme-blue">
<!-- start: body area -->
<div class="wrapper">
    <div class="page-body auth px-xl-4 px-sm-2 px-0 py-lg-2 py-1"
         style="background: #efefef !important; ; background-size: cover; position: initial">
        <div class="container-fluid">
            <div class="row g-0">
                <div class="col-lg-6 d-flex justify-content-center align-items-center">

                    <div class="card w-100 p-4 p-md-5" style="max-width: 36rem; border: none">
                        <!-- Form -->


                        <form method="POST" action="{{ route('register') }}">
                            @csrf
                            <div class="row">
                                <div class="col-12 text-center mb-3">
                                    <h3>Welcome to Alleviate!</h3>
                                    <span>Tell us about you and your business</span>
                                </div>

                                <div class="col-12 text-center mb-3">
                                    @component('components.announcement')@endcomponent
                                    <x-auth-session-status class="mb-2" :status="session('status')"/>
                                    <!-- Validation Errors -->
                                    <x-auth-validation-errors class="mb-2" :errors="$errors"/>
                                </div>

                                <!-- Name -->
                                <div class="col-md-12">
                                    <label class="fw-bold mt-4">What is your name?</label>
                                </div>
                                <div class="col-md-6">
                                    <div class="mt-2">
                                        <x-input id="surname" :placeholder="__('Surname')" class="block mt-1 w-full"
                                                 type="text" name="surname" :value="old('surname')" required autofocus/>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mt-2">
                                        <x-input id="firstname" :placeholder="__('First Name')"
                                                 class="block mt-1 w-full" type="text" name="firstname"
                                                 :value="old('firstname')" required autofocus/>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="fw-bold mt-4">What is your credentials?</label>
                                </div>
                                <div class="col-md-6">
                                    <!-- Email Address -->
                                    <div class="mt-2">
                                        <x-input id="email" class="block mt-1 w-full" :placeholder="__('Email')"
                                                 type="email" name="email" :value="old('email')" required/>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <!-- Password -->
                                    <div class="mt-2">
                                        <x-input id="password" class="block mt-1 w-full"
                                                 type="password" :placeholder="__('Password')"
                                                 name="password"
                                                 required autocomplete="new-password"/>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="fw-bold mt-4">What's your business name?</label>
                                </div>
                                <div class="col-md-12">
                                    <div class="mt-2">
                                        <x-input id="business_name" class="block mt-1 w-full"
                                                 :placeholder="__('Enter your business name')" type="text"
                                                 name="business_name" :value="old('business_name')" required autofocus/>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="fw-bold mt-4">What does your business do?</label>
                                </div>
                                <div class="col-md-12">
                                    <div class="mt-2">
                                        <select name="business_type"
                                                class="form-control form-control-lg block mt-1 w-full"
                                                id="business_type">
                                            <option value="">What does your business do?</option>
                                            <option value="Government Agency">Government Agency</option>
                                            <option value="Non-Government Organisation">Non-Government Organisation
                                            </option>
                                            <option value="International Development Organisation">International
                                                Development Organisation
                                            </option>
                                            <option value="Financial Services & Insurance">Financial Services &
                                                Insurance
                                            </option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-12 text-center mt-2">
                                    <x-button class="mt-2 rounded btn-primary btn-lg btn-block" style="width:100%">
                                        {{ __('Next') }}
                                    </x-button>
                                </div>
                                <div class="col-12 text-center mt-2">
                                    <a class="underline text-sm text-gray-600 hover:text-gray-900"
                                       href="{{ route('login') }}">
                                        {{ __('Already registered?') }} Login
                                    </a>
                                </div>
                            </div>

                        </form>
                        <!-- End Form -->
                    </div>
                </div>
                <div class="col-lg-6 d-none d-lg-flex justify-content-center align-items-center">
                    <div style="max-width: 25rem;">
                        <div class="mb-4 text-center">
                            <img class="me-2" src="{{ getProjectLogo()}}" alt="Image Description" height="80px">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Jquery Page Js -->
<script src="{{ asset('assets/js/theme.js') }}"></script>
</body>
</html>
