<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Archived Beneficiaries') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Archived Beneficiaries') }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="card card-custom">
        <div class="card-header">
            <h3 class="card-title">{{ __('List of Archived Beneficiaries') }}</h3>
        </div>
        <div class="card-body">
        <div class="table-responsive">
            <!--begin: Datatable-->
            <table class="table table-bordered table-head-custom" id="beneficiaries_list"
                   style="margin-top: 13px !important;width: 1300px !important;">
                <thead>
                <tr>
                    <th style="width: 150px;">{{ __('Surname') }}</th>
                    <th style="width: 150px;">{{ __('First Name') }}</th>
                    <th style="width: 100px;">{{ __('Applicant Number') }}</th>
                    <th style="width: 150px;">{{ __('Date of Birth') }}</th>
                    <th style="width: 200px;">{{ __('Type') }}</th>
                    <th style="width: 80px;">{{ __('Created') }}</th>
                    <th style="width: 100px;">{{ __('Action') }}</th>
                </tr>
                </thead>
                <tbody></tbody>
            </table>
            <!--end: Datatable-->
        </div>
        </div>
    </div>

        <!-- Button trigger modal-->

        <!-- Modal-->
        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">{{ __('Set dates for recovery') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="ki ki-close"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('beneficiaries.recoverDebtForm') }}" method="POST">
                            @csrf
                            <input type="hidden" id="setBeneficiaryId" name="beneficiary" value="">
                            <div class="form-group">
                                <label class="">{{ __('Select Dates') }}</label>
                                <div class='input-group' id='kt_daterangepicker_2_modal'>
                                    <input type='text' required class="form-control" name="date_range" readonly="readonly" placeholder="{{__('Select date range')}}" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <i class="la la-calendar-check-o"></i>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-4">
                                <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">{{ __('Close') }}</button>
                                <button type="submit" class="btn btn-primary font-weight-bold">{{ __('Submit') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#kt_daterangepicker_2_modal').daterangepicker({
                buttonClasses: ' btn',
                applyClass: 'btn-primary',
                cancelClass: 'btn-secondary'
            }, function(start, end, label) {
                $('#kt_daterangepicker_2_modal .form-control').val( start.format('YYYY-MM-DD') + ' / ' + end.format('YYYY-MM-DD'));
            });
            function setId(id) {
                $('input#setBeneficiaryId').val(id);
            }

            const APPLICATIONS_AJAX = "{{ route('beneficiaries.getArchivedBeneficiariesList') }}";
        </script>
        <script src="{{ asset('assets/js/customjs/custom-beneficiaries-datatable.js') }}"></script>

    @endpush
</x-app-layout>
