<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Beneficiaries Form Mapping') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Beneficiaries Form Mapping') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-12 mb-7">
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                    <h3 class="card-title">{{ __('List of Benefit Forms') }}</h3>
                </div>
                <div class="card-body">
                    <table class="table table-bordered table-hover" id="forms_table" style="width: 100%;margin-top: 13px !important">
                        <thead>
                        <tr>
                            <th>{{ __('Benefit Type') }}</th>
                            <th style="width: 100px;">{{ __('Action') }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($benefits as $benefit)
                            <tr>
                                <td><span class="font-weight-bolder">{{$benefit->titles}}</span>
                                    {{--<span class="text-muted italic"> ~ {{$benefit->form->title}}</span>--}}
                                </td>
                                <td>
                                    <a href="{{ route('beneficiaries.formMappingDetails',[cryptThis($benefit->form_id)]) }}" title="Set up Form Mapping" class="btn btn-outline-primary btn-sm">
                                        <i class="la la-cogs"></i> {{ __('Setup') }}</a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#forms_table').dataTable( {
                "ordering": false
            } );
        </script>
    @endpush
</x-app-layout>