<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Beneficiaries') }}
    </x-slot>
        <x-slot name="breadcrumb">
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
                <li class="breadcrumb-item active" aria-current="page">{{ __('Beneficiaries') }}</li>
            </ol>
        </x-slot>
        <!-- start: page toolbar -->
        <x-slot name="page_heading">
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0">{{ __('Beneficiaries') }}</h1>
                    <small class="text-muted">
                        {{__('This module serves as the central hub for managing scheme members\' account profiles.')}}
                        <br> {{__('It facilitates essential tasks such as adding new members, suspending accounts, updating member details, and handling password resets.')}}
                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3 text-center">
                        <div>
                            <span class="h6 mb-0">{{ $active }}</span> <small class="text-muted text-uppercase">active</small>

                        </div>

                    </div>
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <span class="h6 mb-0">{{ $inactive }}</span> <small class="text-muted text-uppercase">inactive</small>

                        </div>

                    </div>
                </div>
            </div> <!-- .row end -->
        </x-slot>
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
            <div class="container-fluid">
                <div class="mb-2" id="syncMessage"></div>
                @if(session()->has('message'))
                    <div class="mb-5">
                        @if(session()->get('status') == 'success')
                            <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                        @else
                            <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                        @endif
                    </div>
                @endif
                @if(session()->has('success'))
                    <div class="mb-5">
                    <div role="alert" class="alert alert-success">{{ session()->get('success') }}</div>
                    </div>
                @endif
{{--                //Filters--}}
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="">
                                    <div class="input-group">
                                        @if(canDo('administrator','search-beneficiary'))
                                        <input type="text" name="form_type" value="basic" class="d-none">

                                        <select name="query_option" class="form-control" id="query_option" style="max-width: 200px;">
                                            <option value="name" {{ request()->get('query_option') == 'name' ? 'selected' : '';}}>Query by Name</option>
                                            <option value="id" {{ request()->get('query_option') == 'id' ? 'selected': '';}}>Query by ID Number</option>
                                        </select>
                                        
                                        <input type="text" placeholder="Search..."  id="basic_name" name="name" class="form-control" style="display: {{ request()->get('query_option') == 'id' ? 'none' : 'block'; }}">

                                        <select name="basic_id_type" class="form-control" id="basic_id_type" style="display: {{ request()->get('query_option') == 'id' ? 'block' : 'none'; }}">
                                            <option value="" >-- ID Type --</option>
                                            @foreach(getIdentificationType() as $key=>$name)
                                                <option value="{{$name}}" {{ request()->get('basic_id_type') == $name ? 'selected' : '';}}>{{$name}}</option>
                                            @endforeach
                                            
                                        </select>
                                        <input type="text" class="form-control" id="basic_id_number" name="basic_id_number" style="display: {{ request()->get('query_option') == 'id' ? 'block' : 'none'; }}">

                                        <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="Search"><i class="fa fa-search"></i>
                                        </button>
                                        
                                        <a href="#" class="btn btn-light-success" data-bs-toggle="modal" title="Filter" data-bs-target="#advanced-filter-modal"><i class="bi bi-funnel"></i></a>
                                        <a href="{{ route('applicant.getApplicantInfo') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                        @endif

                                        @if(false)
                                        @if(canDo('administrator','member-records-update|view-member-record-comment|add-member-record-comment|process-member-record'))
                                            <a href="{{ route('memberRecords.list') }}" class="btn btn-light-success" data-bs-toggle="tooltip" title="Member Records"> <i class="bi-person-lines-fill"></i></a>
                                        @endif
                                        @endif

                                        @if(canDo('administrator','add-beneficiary'))
                                            <a href="{{ route('applicant.applicantRegistration') }}" class="btn btn-primary" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="Add new Member"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                        @endif
                                    </div>
                                </form>
                                

                            </div>
                        </div>
                    </div>
                    

                    <div class="col-12">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px;">{{ __('#') }}</th>
                                    <th>{{ __('Member') }}</th>
                                    <th>{{ __('Bio') }}</th>
                                    <!--<th>{{ __('Citizenship/Nationality') }}</th>-->
                                    <th>{{ __('Location') }}</th>
                                    <th>{{ __('PMT') }}</th>
                                    <th>{{ __('other') }}</th>
                                    <th>{{ __('Actions') }}</th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                    @php
                                        $counter = 1;
                                    @endphp
                                    @foreach ($applicants as $applicant)

                                        <tr>
                                            <td>{{ $counter }}</td>
                                            <td>
                                                <div class="d-flex align-items-center">
                                                    <img src="{{ asset('assets/img/avatar.png') }}" class="rounded-circle sm avatar" alt="">
                                                    <div class="ms-2 mb-0">
                                                        <strong>{{ strtoupper($applicant->surnames)  }}</strong>, {{ ucwords($applicant->first_names)  .' '. ucwords($applicant->other_names)  }}
                                                        <br><small class="text-muted">{{ $applicant->regID }}</small>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                {{$applicant->genders}}
                                                <br><span style='display: none'>{{ date('Y-m-d',strtotime($applicant->dobs)) }}</span>
                                                <small class='text-muted'>{{ getAgeByDate($applicant->dobs) }}</small>
                                            </td>
                                            <!--<td>
                                                {{ $applicant->nationalities }}
                                                <br><small class="text-muted">Born in {{ $applicant->place_of_births }} {{ $applicant->country_of_births }}</small>
                                            </td>-->
                                            <td>
                                                {{ $applicant->village->name ?? '---' }}
                                                <br>
                                                <small class='text-muted'>{{ $applicant->village_id !== null && $applicant->village->constituency_id !== null ? $applicant->village->constituency->name.' constituency' : '---';  }} </small>
                                            </td>
                                            <td>
                                                {{$applicant->pmtScore ?? 'NA'}}
                                            </td>
                                            <td>
                                                @if (count($applicant->maritalDetails) > 0)
                                                    {{ ($applicant->maritalDetails->sortByDesc('created_at')->first())->marriage_status }}
                                                @else
                                                    No Martial Records
                                                @endif
                                                <br>
                                                <small class="text-muted">
                                                    @if (count($applicant->healthDetails) > 0)

                                                        {{implode(', ', $applicant->healthDetails->pluck('health_type')->toArray())}}
                                                    @else

                                                    No Health Records
                                                        
                                                    @endif
                                                </small>
                                            </td>
                                            <td>
                                                <!--View-->
                                                <a href="{{ route('applicant.viewApplicantInfo',['app_id'=>cryptThis($applicant->id)]) }}" title="{{__('View Applicant')}}" class="btn btn-sm btn-link text-info mr-2" href="javascript:;" data-bs-toggle="tooltip" data-bs-placement="top">
                                                    <i class=" fa fa-user"></i>
                                                </a>

                                                <!--Edit-->
                                                <a href="{{ route('applicant.applicantRegistration',[cryptThis($applicant->id)]) }}" data-bs-toggle="tooltip" data-bs-placement="top" class="btn btn-sm btn-link text-primary mr-2" href="javascript:;" title="{{__('Edit Applicant')}}">
                                                <i class="fa fa-edit"></i>
                                                </a>
                                            </td>
                                        </tr>
                                        @php
                                            $counter++
                                        @endphp
                                    @endforeach
                                    
                                    
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                    @if ($applicants->count() < 1)

                    <div class="col-12">
                        <div class="card p-0">
                            <div class="card-body p-2">
                                <p class="mb-0 cstm-fs-12">No data available</p>
                            </div>
                        </div>
                    </div>
                        
                    @endif

                    {{$applicants}}
                    
                </div> <!-- .row end -->

            </div>
        </div>

        <!--begin::Row-->
        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog"
            aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">{{ settings()->get('applicant_title').__(' Information') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="ki ki-close"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="info">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="advanced-filter-modal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-header">

                        <div class="">
                        <h5 class="modal-title" id="exampleModalLabel">Advanced Filtering</h5>
                        <p class="mb-0 fs-14 cstm-fs-14">Sort the list of beneficiaries based on various criteria (data points).</p>
                        </div>
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"data-bs-dismiss="modal" aria-label="Close"></button>
                        
                    </div>
                    <div class="modal-body custom_scroll p-lg-4 pt-lg-4">
                        
                        <form action="" method="get" id="advanced-filter-form">
                        <input type="text" name="form_type" value="advanced" class="d-none">

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Location</p>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-floating">
                                    <select name="constituency" id="consti-dropdown" class="form-control">
                                        <option value=""></option>
                                        @foreach ($constituencies as $const)
                                            <option value="{{ $const->id }}" {{request()->get('constituency') == $const->id ? 'selected' : '';}}>{{ $const->name }}</option>
                                        @endforeach
                                        
                                    </select>
                                    <label for="">Constituency</label>
                                </div>
                            </div>

                            <div class="col-md-3 mb-2">
                                <div class="form-floating">
                                    <select name="district" id="district-dropdown" class="form-control">
                                        <option value=""></option>
                                       
                                        
                                    </select>
                                    <label for="">District</label>
                                </div>
                            </div>

                            <div class="col-md-3 mb-2">
                                <div class="form-floating">
                                    <select name="village" id="village-dropdown" class="form-control">
                                        <option value=""></option>
                                       
                                        
                                    </select>
                                    <label for="">Village</label>
                                </div>
                            </div>
                            
                            
                        </div>

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Age</p>
                            </div>
                            <div class="col-md-4 mb-2">
                                <div class="form-floating">
                                    <input type="number"  name="min_age" class="form-control" value="{{request()->get('min_age')}}" id="" placeholder="Minimum Age">
                                    <label for="">Minimum Age</label>
                                </div>
                            </div>
                            <div class="col-md-4 mb-2">
                                <div class="form-floating">
                                    <input type="number"  name="max_age" class="form-control" value="{{request()->get('max_age')}}" id="" placeholder="Maximum Age">
                                    <label for="">Maximum Age</label>
                                </div>
                            </div>
                            
                        </div>

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">PMT Score</p>
                            </div>
                            <div class="col-md-8">
                                <div class="form-floating mb-2">
                                    <select name="pmt" id="" class="form-select" data-toggle="tooltip"  title="Proxy Means Testing (PMT) Score">
                                        <option value="">-- Choose --</option>
                                        @foreach ($pmts as $data)
                                            <option style="font-size:.75rem;" value="{{ $data->detail }}"{{ request()->get('pmt') == $data->detail ? 'selected': ''; }}>{{ $data->mini }} - {{ $data->maxi }} : {{ $data->detail }}</option>
                                        @endforeach
                                    </select>
                                    
                                    <label for="">PMT Score</label>
                                </div>
                            </div>
                        </div>

                        <div class="row border-bottom my-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Orphan Status</p>
                            </div>
                            <div class="col-md-8">
                                <div class="form-floating mb-2">
                                    <select name="orphan_status" id="" class="form-select" data-toggle="tooltip"  title="">
                                        <option value="">-- Choose --</option>
                                        <option value="maternal">Maternal Orphan</option>
                                        <option value="paternal">Paternal Orphan</option>
                                        <option value="double">Double Orphan</option>
                                    </select>
                                    
                                    <label for="">Orphan Status</label>
                                </div>
                            </div>
                        </div>

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Education Level</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    @foreach (config('settings.education_level') as $data)

                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="{{ $data }}" name="education_{{str_replace(' ', '_', strtolower($data))}}" id="education_{{str_replace(' ', '_', strtolower($data))}}" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">{{ $data }}</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                        
                                    @endforeach
                                    
                                    
                                    
                                </div>
                            </div>
                        </div>

                        




                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Gender</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input {{request()->get('gender_male') == 'Male' ? 'checked' : '' ;}} type="checkbox" value="Male" name="gender_male" id="advncd_gender_male" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Male</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input {{request()->get('gender_female') == 'Female' ? 'checked' : '' ;}} type="checkbox" value="Female" name="gender_female" id="advncd_gender_female" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Female</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input {{request()->get('gender_other') == 'Other' ? 'checked' : '' ;}} type="checkbox" value="Other" name="gender_other" id="advncd_gender_other" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Other</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>


                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Marital Status</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" {{request()->get('marital_single') == 'Single' ? 'checked' : '' ;}}  value="Single" name="marital_single" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Single</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" {{request()->get('marital_married') == 'Married' ? 'checked' : '' ;}} value="Married" name="marital_married" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Married</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" {{request()->get('marital_mono') == 'Married Monogamous' ? 'checked' : '' ;}} value="Married Monogamous" name="marital_mono" id="marital_mono" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Married Monogamous</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" {{request()->get('marital_poly') == 'Married Polygamous' ? 'checked' : '' ; }} value="Married Polygamous" name="marital_poly" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Married Polygamous</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Separated" name="marital_separated" id="" class="form-check-input"
                                                {{request()->get('marital_separated') == 'Separated' ? 'checked' : '' ;}}>
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Separated</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" {{request()->get('marital_divorced') == 'Divorced' ? 'checked' : '' ;}} value="Divorced" name="marital_divorced" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Divorced</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Annulled" name="marital_annulled" id="" class="form-check-input"
                                                {{request()->get('marital_annulled') == 'Annulled' ? 'checked' : '' ;}}>
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Annulled</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Ended By Death" name="marital_death" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Ended By Death</label>
                                            </div>
                                        </fieldset>
                                    </div>

                                    
                                </div>
                            </div>
                        </div>

                        

                        <div class="row border-bottom mt-3">
                            <div class="col-md-3">
                                <p class="fw-bolder">Health Condition</p>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Visual" name="health_visual" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Visual</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Hearing" name="health_hearing" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Hearing</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Mobility" name="health_mobility" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Mobility</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Speech" name="health_speech" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Speech</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                    <div class="col-6">
                                        <fieldset class="checkboxsas mb-1">
                                            <div class="form-check">
                                                <input type="checkbox" value="Chronic Fatigue, Pain or Seizure" name="health_chronic" id="" class="form-check-input">
                                                <label class="form-check-label fs-14 fw-light cstm-fs-14" for="">Chronic Fatigue, Pain or Seizures</label>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>
                            </div>
                        </div>





                                

     
                        </form> 
                    </div>
                    <div class="modal-footer">

                        <button type="button" class="btn btn-primary font-weight-bold" onclick="document.getElementById('advanced-filter-form').submit()" data-dismiss="modal">Apply
                        </button>

                    </div>
                </div>
            </div>
        </div>


        <!--end::Row-->
        @include('touring-pages.membership')
        @push('vendor-scripts')
        @endpush
        

        

        @push('scripts')
            <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/custom.js') }}"></script>
            @if (canTour('membership'))
                <script>
                    $(window).on('load', function() {
                        $('#take-a-tour').modal('show');
                    });

                    function skipTour(page) {
                            var path = "{{route('on_boarding.skipTour')}}";
                            $.ajax({
                                url: path,
                                type: 'GET',
                                data:{'page':page},
                                beforeSend: function () {
                                },
                                success: function (data) {
                                    console.log('Skipped');
                                }
                            });
                        }
                </script>
            @endif
            <script>
                $('.datepicker').datepicker({});
                $('#query_option').change(function () {
                    if (this.value == 'name') {
                        

                        $('#basic_name').show();
                        $('#basic_name').prop({disabled: false, required: true});

                        $('#basic_id_type').hide();
                        $('#basic_id_type').prop({disabled: true, required: false});

                        $('#basic_id_number').hide();
                        $('#basic_id_number').prop({disabled: true, required: false});
                        
                        
                    }else if(this.value == 'id') {

                        $('#basic_name').hide();
                        $('#basic_name').prop({disabled: false, required: false});

                        $('#basic_id_type').show();
                        $('#basic_id_type').prop({disabled: false, required: true});

                        $('#basic_id_number').show();
                        $('#basic_id_number').prop({disabled: false, required: true});

                    }else{
                        $('#basic_name').show();
                        $('#basic_name').prop({disabled: false, required: true});

                        $('#basic_id_type').hide();
                        $('#basic_id_type').prop({disabled: true, required: false});

                        $('#basic_id_number').hide();
                        $('#basic_id_number').prop({disabled: true, required: false});
                        
                    }
                });

                $(function() {
                    var start = moment().startOf('year');
                    var end = moment();
                    // function cb(start, end) {
                    //     $('input[name="date_range"]').html();
                    // }
                    $('input[name="date_range"]').daterangepicker({
                        locale: {
                            cancelLabel: 'Clear'
                        },
                        startDate: start,
                        endDate: end,
                        ranges: {
                            'Today': [moment(), moment()],
                            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                            'This Month': [moment().startOf('month'), moment().endOf('month')],
                            'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                            'This Year': [moment().startOf('year'), moment()],
                            'Last Year': [moment().subtract(12, 'month').startOf('year'), moment().subtract(12, 'month').endOf('year')]
                        }
                    });
                    // cb(start, end);

                    $('input[name="date_range"]').on('cancel.daterangepicker', function(ev, picker) {
                        $('input[name="date_range"]').val('');
                    });
                });

                $('#consti-dropdown').change(function(){
                    get_districts($(this).val());
                })
                $('#district-dropdown').change(function(){
                    get_villages($(this).val());
                })


                function get_districts(constituency_id) {
                    $.get('/get_constituency/' + constituency_id, function(res) {
                        $('#district-dropdown').empty();
                        $('#district-dropdown').append('<option></option>');
                        res.districts.forEach(function(district) {
                            // Create a new option element
                            var option = $('<option></option>').val(district.id).text(district.name);
                            // Append the option to the dropdown
                            $('#district-dropdown').append(option);
                        });
                    });
                }

                function get_villages(district_id) {
                    $.get('/get_district/' + district_id, function(res) {
                        $('#village-dropdown').empty();
                        $('#village-dropdown').append('<option></option>');
                        // Assuming res.villages is an array of objects like {id: 1, name: 'Village Name'}
                        res.villages.forEach(function(village) {
                            // Create a new option element
                            var option = $('<option></option>').val(village.id).text(village.name);
                            // Append the option to the dropdown
                            $('#village-dropdown').append(option);
                        });
                    });
                }

            </script>
                
        
                
            <script src="{{ asset('assets/js/customjs/custom-benefit-registration-datatable.js') }}"></script>

        @endpush
</x-app-layout>
