
<div class="mt-2">
    <!-- Chat: body -->
    <div class="chat-history custom_scroll" style="max-height: 450px">
        @if($comments->count() > 0)
        <!-- Search: div -->
        <ul class="py-xl-3 py-2 px-xxl-5 px-lg-4 px-3 list-unstyled mb-0">
            @foreach($comments as $comment)
                @if(!$comment->isMyResponse())
                    <!-- Chat: left -->
                    <li class="mb-3 d-flex flex-row align-items-end">
                        <div class="max-width-70">
                            <div class="user-info mb-1">
                                <p class="mb-0 fw-bold">{{$comment->user->fullName}}</p>
                                <span class="text-muted small">{{date('h:i A',strtotime($comment->created_at))}}, {{easyDate($comment->created_at)}}</span>
                            </div>
                            <div class="card p-3">
                                <div class="message">
                                    @if(isset($comment->comment))
                                        {!! $comment->comment !!}
                                    @endif
                                </div>
                            </div>
                            @if($comment->attachment != null)
                                <a target="_blank" href="{{ route('download-file',['file_path'=>$comment->attachment]) }}"><span class="small"> <i class="icon-paper-clip"></i> {{ __('View attachment') }}</span></a>
                            @endif
                        </div>
                    </li>
                @else
                    <!-- Chat: right -->
                    <li class="mb-3 d-flex flex-row-reverse align-items-end">
                        <div class="max-width-70 text-end">
                            <div class="user-info mb-1">
                                <p class="mb-0 fw-bolder">From you</p>
                                <span class="text-muted small">{{date('h:i A',strtotime($comment->created_at))}}, {{easyDate($comment->created_at)}}</span>
                            </div>
                            <div class="card border-0 p-3 bg-primary text-light">
                                <div class="message">
                                    @if(isset($comment->comment))
                                        {!! $comment->comment !!}
                                    @endif
                                </div>
                            </div>
                            @if($comment->attachment != null)
                                <a target="_blank" href="{{ route('download-file',['file_path'=>$comment->attachment]) }}"><span class="small"> <i class="icon-paper-clip"></i> {{ __('View attachment') }}</span></a>
                            @endif
                        </div>
                    </li>
                @endif
            @endforeach
        </ul>
        @else
            <div class="text-center p-4 text-muted">
                <h1>
                    <i class="bi-chat-right-dots-fill"></i> <br>
                    <small class="h6 fw-light">Be the first to comment</small>
                </h1>
            </div>
        @endif
    </div>
    <!-- Chat: Footer -->
    <div class="py-xl-3 py-2 px-xxl-5 px-lg-4 px-3 chat-msg">
        @if(canDo('administrator','add-member-record-comment'))
            <form method="POST" action="{{ route('benefit_registration.addComment') }}" enctype="multipart/form-data">
                <div class="input-group">
                    <input type="hidden" name="application_id" value="{{$application_id}}">
                    <div class="btn btn-link file-input text-decoration-none">
                        <input type="file" class="form-control" name="attachment" id="attachment">
                        <label for="attachment" class="fa fa-paperclip"></label>
                    </div>
                    @csrf
                    <input type="text" class="form-control bg-transparen border-0" required name="comment" id="comment" placeholder="Enter comment here...">
                    <button class="btn bg-secondary text-light text-uppercase" type="submit">Send</button>
                </div>
                @if ($errors->has('comment'))
                    <span class="text-danger form-text">{{ $errors->first('comment') }}</span>
                @endif
            </form>
        @endif
    </div>
</div>
