<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">{{ __('Dashboard') }}</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('benefit_registration.list') }}">{{ __('List of Applications') }}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

        <div class="row g-3">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4>[{{ $applicant->regID }}] - {!! "<strong>".strtoupper($applicant->surnames).
                        "</strong>, ".ucwords($applicant->first_names)." ".ucwords($applicant->other_names) !!}</h4>
                        {{--<form action="{{route('benefit_registration.create',[$form_id])}}" method="get">--}}
                            {{--@csrf--}}
                            {{--<div class="row">--}}
                                {{--<div class="col-md-8">--}}
                                    {{--<div class="form-group">--}}
                                        {{--<label for="primary_id_nos">{{ __('Enter Applicant Registration ID') }}--}}
                                            {{--<span class="required">*</span></label>--}}
                                        {{--<br>--}}
                                        {{--@php--}}
                                            {{--$regID = old('regID');--}}
                                            {{--if(!is_null($applicant)) {--}}
                                                {{--$regID = $applicant->regID;--}}
                                            {{--}--}}
                                        {{--@endphp--}}
                                        {{--<input type="text" required="" placeholder="Applicant Reg. ID" class="form-control"--}}
                                               {{--value="{{ $regID }}" name="regID" id="regID">--}}
                                        {{--@if ($errors->has('regID'))--}}
                                            {{--<span class="invalid-feedback" role="alert">--}}
                                            {{--<strong>{{ $errors->first('regID') }}</strong>--}}
                                        {{--</span>--}}
                                        {{--@endif--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                {{--<div class="col-md-4">--}}
                                    {{--<button type="submit" name="get_applicant" value="get_applicant" class="btn btn-success mt-8">{{__('Get Applicant')}}</button>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</form>--}}
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card card-custom">
                    <div class="card-header">
                        <h5 class="card-title">{{ __('Application Form') }}</h5>
                        {{--<div class="card-toolbar">--}}
                            {{--<a href="{{ \Illuminate\Support\Facades\URL::current() }}" class="btn btn-sm btn-success font-weight-bold">--}}
                                {{--<i class="flaticon2-plus"></i>{{ __('New Application') }}</a>--}}
                        {{--</div>--}}
                    </div>
                    <div class="card-body">
                        {!! $render_form['form_view'] !!}
                    </div>
                </div>
            </div>
        </div>

    @push('vendor-scripts')

    @endpush
    @push('scripts')

    @endpush
</x-app-layout>
