<div class="modal fade" id="amountModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable">
        <div class="modal-content text-start">
            <div class="modal-body custom_scroll p-lg-5">
                <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                <div id="form-container">
                    <h6 class="mt-3 mb-4">Submit Amount Information</h6>
                    <form id="add-form" action="{{route('benefit.saveAmount')}}" method="post">
                        @csrf
                        <div id="hidden-input"></div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label for="benefit">{{ __('Benefit') }}<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-gift"></i></span>
                                    <select name="benefit" id="benefit" required class="form-select">
                                        <option value="">-- Select Benefit --</option>
                                        @foreach($benefits as $key=>$title)
                                            <option value="{{$key}}" {{(old('benefit') == $key)? 'selected':''}}>{{$title}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                @if ($errors->has('benefit'))
                                    <span class="form-text text-warning">{{ $errors->first('benefit') }}</span>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <label for="year">Year<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-calendar"></i></span>
                                    <select name="year" id="year" required class="form-select">
                                        <option value="">-- Year --</option>
                                        @for($year = (int)applicationDate('Y'); $year<=date('Y');$year++)
                                            <option value="{{$year}}" {{(date('Y') == $year)? 'selected':''}}>{{ $year }}</option>
                                        @endfor
                                    </select>
                                </div>
                                @if ($errors->has('year'))
                                    <span class="form-text text-warning">{{ $errors->first('year') }}</span>
                                @endif
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="start_date">{{ __('Start Month') }}<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-calendar"></i></span>
                                    <select name="start_date" id="start_date" required class="form-select">
                                        <option value="">-- Month --</option>
                                        @foreach(config('settings.months_value') as $key=>$month)
                                            <option value="{{$key}}" {{(old('start_date') == $key)? 'selected':''}}>{{$month}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                @if ($errors->has('start_date'))
                                    <span class="form-text text-warning">{{ $errors->first('start_date') }}</span>
                                @endif
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="end_date">{{ __('End Month') }}<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-calendar"></i></span>
                                    <select name="end_date" id="end_date" required class="form-select">
                                        <option value="">-- Month --</option>
                                        @foreach(config('settings.months_value') as $key=>$month)
                                            <option value="{{$key}}" {{(old('end_date') == $key)?'selected':''}}>{{$month}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                @if ($errors->has('end_date'))
                                    <span class="form-text text-warning">{{ $errors->first('end_date') }}</span>
                                @endif
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="min_value">Min Value<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 13px;">{{getCurrency()}}</span>
                                    <input type="number" class="form-control" value="{{old('min_value')}}" name="min_value" id="min_value" aria-label="Min Value">
                                </div>
                                @if ($errors->has('min_value'))
                                    <span class="form-text text-warning">{{ $errors->first('min_value') }}</span>
                                @endif
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="max_value">Max Value<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 13px;">{{getCurrency()}}</span>
                                    <input type="number" class="form-control" value="{{old('max_value')}}" name="max_value" id="max_value" aria-label="Max Value">
                                </div>
                                @if ($errors->has('max_value'))
                                    <span class="form-text text-warning">{{ $errors->first('max_value') }}</span>
                                @endif
                            </div>

                            <div class="col-12 mb-3 text-end">
                                <button class="btn btn-primary btn-sm square" type="submit">
                                    <i class="fa fa-paper-plane mx-1"></i> Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
