<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
        <style>
            .datepicker-months .table-condensed {
                width: 100%;
                max-width: 200px;
            }
        </style>
    @endpush

        <x-slot name="breadcrumb">
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('benefit.list') }}">{{ __('Benefits Management') }}</a></li>
                <li class="breadcrumb-item active" aria-current="page">{{__('Amounts')}}</li>
            </ol>
        </x-slot>
        <!-- start: page toolbar -->
        <x-slot name="page_heading">
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0">{{__('Amounts')}}</h1>
                    <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3">
                        <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                1.3%</small></div>
                        <small class="text-muted text-uppercase">Active</small>
                    </div>
                    <div class="p-2 me-md-3">
                        <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                4.1%</small></div>
                        <small class="text-muted text-uppercase">Inactive</small>
                    </div>
                </div>
            </div> <!-- .row end -->
        </x-slot>

        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
            <div class="container-fluid">
                @if(session()->has('message'))
                    <div class="mb-5">
                        @if(session()->get('status') == 'success')
                            <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                        @else
                            <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                        @endif
                    </div>
                @endif

                <!--begin::Row-->
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="get">
                                    @csrf
                                    <div class="input-group">
                                        <select name="benefit" id="benefit" required class="form-select">
                                            <option value="">{{ __('-- Select Benefit --') }}</option>
                                            @foreach($benefits as $id=>$title)
                                                <option value="{{$id}}" {{(request()->get('benefit') == $id)?'selected':''}}>{{ $title }}</option>
                                            @endforeach
                                        </select>
                                        {{-- <input type="text" name="date" id="date" class="form-control datepicker" placeholder="Date"> --}}
                                        <select name="date" required class="form-select" id="date">
                                            <option value="">-- Select Year --</option>
                                            @for($year = (int)appplicationDate('Y'); $year<=date('Y');$year++)
                                                <option value="{{$year}}" {{(request()->get('date') == $year)?'selected':''}}>{{ $year }}</option>
                                            @endfor
                                        </select>
                                        <button class="btn btn-secondary" type="submit"  data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i></button>
                                        <a href="{{ route('benefit.list') }}" class="btn btn-light-success"  data-bs-toggle="tooltip" title="Benefits"><i class="fa fa-list"></i></a>
                                        @if(systemUserCan())
                                        <a href="{{ route('benefit.benefitTypes') }}" class="btn btn-light-primary"  data-bs-toggle="tooltip" title="Benefit Types"><i class="fa fa-folder-open"></i></a>
                                        @endif
                                            <button type="button"  data-bs-toggle="modal" title="Add new Amount" data-bs-target="#amountModal" class="btn btn-primary"
                                                 data-bs-placement="top" ><i class="fa fa-plus me-2"></i> {{__('New')}}</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive mt-10">

                            @if ($count > 0)
                                <table id="forms_table" class="table myDataTable align-middle table-bordered mb-3 custom-table">
                                    <thead>
                                    <tr>
                                        <th style="width: 200px;">{{ __('Period') }}</th>
                                        <th>{{ __('Value') }}</th>
                                        <th style="width: 120px;">{{ __('Created On') }}</th>
                                        <th style="width: 80px;">{{ __('Action') }}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach(config('settings.months_value') as $key=>$month)
                                        <tr>
                                            <td>{{$month}}</td>
                                            <td>{{(isset($data[$key]))?$data[$key]['value']:"-"}}</td>
                                            <td>{{(isset($data[$key]))?$data[$key]['created_at']:"-"}}</td>
                                            <td>
                                                @if (isset($data[$key]))
                                                @php
                                                    $amount_id = $data[$key]['id'];
                                                @endphp
                                                    <form action="{{route('benefit.amountDelete')}}" onsubmit="destroy({{$amount_id}})" id="delete-form-2-{{$amount_id}}w" method="post">
                                                        @csrf @method('DELETE')
                                                        <input type="hidden" name="id" value="{{cryptThis($amount_id)}}">
                                                        <a href="javascript:void(0)"  data-toggle="tooltip" data-bs-toggle="modal" data-bs-target="#amountEditModal"
                                                        data-bs-placement="top" onclick="editAmount('{{$amount_id}}')"
                                                        title="{{ __('Edit Amount') }}" class="btn btn-link text-primary"><i class="fa fa-edit"></i></a>
                                                        <button type="submit" class="btn text-danger btn-link" data-bs-toggle="tooltip" title="{{ __('Delete Amount') }}">
                                                            <i class="fa fa-trash"></i></button>
                                                    </form>
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            @else
                                <x-no-data></x-no-data>
                            @endif

                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('benefits.amount-form')

        <div class="modal fade" id="amountEditModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Edit Amount Information</h6>
                            <form id="add-form" action="{{route('benefit.updateAmount')}}" method="post">
                                @csrf
                                <div id="hidden-input"></div>
                                <div class="row">
                                    <div class="col-md-6 mb-3">
                                        <label for="min_value">Min Value<span class="required">*</span></label>
                                        <div class="input-group">
                                            <span class="input-group-text" style="font-size: 13px;">{{getCurrency()}}</span>
                                            <input type="number" class="form-control" name="min_value" id="min_value" aria-label="Min Value">
                                        </div>
                                        @if ($errors->has('min_value'))
                                            <span class="form-text text-warning">{{ $errors->first('min_value') }}</span>
                                        @endif
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <label for="max_value">Max Value<span class="required">*</span></label>
                                        <div class="input-group">
                                            <span class="input-group-text" style="font-size: 13px;">{{getCurrency()}}</span>
                                            <input type="number" class="form-control" name="max_value" id="max_value" aria-label="Max Value">
                                        </div>
                                        @if ($errors->has('max_value'))
                                            <span class="form-text text-warning">{{ $errors->first('max_value') }}</span>
                                        @endif
                                    </div>

                                    <div class="col-12 mb-3 text-end">
                                        <button class="btn btn-primary btn-sm square" type="submit">
                                            <i class="fa fa-paper-plane mx-1"></i> Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <!--end::Row-->
    @push('vendor-scripts')
    @endpush
    @push('scripts')
            <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Do you want to continue?")){
                    document.getElementById('delete-form-2'+key+'w').submit();
                }
            }
            function editAmount(key) {
                var path = "{{route('benefit.amountEdit')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    beforeSend: function(){
                    },
                    success: function(data){
                        $('input#min_value').val(data.min_value);
                        $('input#max_value').val(data.max_value);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="'+data.id+'">');
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }
            $('.datepicker').datepicker({
                format: "yyyy-mm",
                startView: "months",
                minViewMode: "months"
            });

            $('#forms_table').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
    @endpush
</x-app-layout>
