<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <label for="titles">Benefit Name:
                <span class="required">*</span></label>
            <br>
            @if($view)
                <p>{{$titles}}</p>
            @else
                <input type="text" required="" placeholder="Enter Benefit Title"
                       class="form-control" style="" value="{{$titles}}" name="titles" id="titles">
            @endif
        </div>
    </div>
    <div class="col-md-8">
        <div class="form-group">
            <label for="description">Benefit Description:
                <span class="required">*</span></label>
            <br>
            @if($view)
                <p>{{$description}}</p>
            @else
            <input type="text" required="" placeholder="Enter Benefit Description"
                   class="form-control" style="" value="{{$description}}" name="description" id="description">
            @endif
        </div>
    </div>

    <div class="col-md-12 mb-8">
        <h4>Criteria <small class="text-warning ml-8"><em>(Note: Leave the selection empty where all options are allowed.)</em></small></h4>
        <div class="separator separator-solid"></div>
    </div>

    <div class="col-md-2">
        <div class="form-group">
            <label for="gender">{{ __('Gender') }}</label>
            <br>
            @if($view)
                <p>
                @foreach($gender as $key=>$name)
                    <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                @endforeach
                </p>
            @else
            <select name="gender[]" id="gender" multiple class="form-control select2">
                @foreach($gender_list as $key=>$name)
                    <option value="{{$name}}" {{ in_array($name,$gender)?'selected':'' }}>{{$name}}</option>
                @endforeach
            </select>
            @if ($errors->has('gender'))
                <div class="invalid-feedback">
                    {{ $errors->first('gender') }}
                </div>
            @endif
            @endif
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label for="employment">{{ __('Employment Status') }}</label>
            <br>
            @if($view)
                <p>
                @foreach($employment as $key=>$name)
                    <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                @endforeach
                </p>
            @else
            <select name="employment[]" id="employment" multiple class="form-control select2">
                @foreach($employment_sector_list as $key=>$name)
                    <option value="{{$name}}" {{ in_array($name,$employment)?'selected':'' }}>{{$name}}</option>
                @endforeach
            </select>
            @if ($errors->has('employment'))
                <div class="invalid-feedback">
                    {{ $errors->first('employment') }}
                </div>
            @endif
            @endif
        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="employment_type">{{ __('Employment Type') }}</label>
            <br>
            @if($view)
                <p>
                @foreach($employment_type as $key=>$name)
                    <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                @endforeach
                </p>
            @else
            <select name="employment_type[]" id="employment_type" multiple class="form-control select2">
                @foreach($employment_type_list as $key=>$name)
                    <option value="{{$name}}" {{ in_array($name,$employment_type)?'selected':'' }}>{{$name}}</option>
                @endforeach
            </select>
            @if ($errors->has('employment_type'))
                <div class="invalid-feedback">
                    {{ $errors->first('employment_type') }}
                </div>
            @endif
            @endif
        </div>
    </div>

    <div class="col-md-3">
        <div class="form-group">
            <label for="residence">{{ __('Residence Status') }}</label>
            <br>
            @if($view)
                <p>
                @foreach($residence as $key=>$name)
                    <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                @endforeach
                </p>
            @else
            <select name="residence[]" id="residence" multiple class="form-control select2">
                @foreach($island_list as $key=>$name)
                    <option value="{{$name}}" {{ in_array($name,$residence)?'selected':'' }}>{{$name}}</option>
                @endforeach
            </select>
            @if ($errors->has('residence'))
                <div class="invalid-feedback">
                    {{ $errors->first('residence') }}
                </div>
            @endif
            @endif
        </div>
    </div>

    <div class="col-md-2">
        <div class="form-group">
            <label for="age_ranges">Age(Form):
            </label>
            <br>
            @if($view)
                <p>{{$age_ranges}}</p>
            @else
            <input type="number" class="form-control " style="" value="{{$age_ranges}}" step="0.5" name="age_ranges" id="age_ranges">
            @endif
        </div>
        @if ($errors->has('age_ranges'))
            <div class="invalid-feedback">
                {{ $errors->first('age_ranges') }}
            </div>
        @endif
    </div>

    <div class="col-md-2">
        <div class="form-group">
            <label for="age_tos">Age(to):
            </label>
            <br>
            @if($view)
                <p>{{$age_tos}}</p>
            @else
            <input type="number" class="form-control" style="" value="{{ $age_tos }}" step="0.5" name="age_tos" id="age_tos">
            @endif
        </div>
        @if ($errors->has('age_tos'))
            <div class="invalid-feedback">
                {{ $errors->first('age_tos') }}
            </div>
        @endif
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="benefit_types">{{ __('Concurrent Allowed Benefits') }}</label>
            <br>
            @if($view)
                <p>
                @foreach($benefit_types as $key=>$name)
                    <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                @endforeach
                </p>
            @else
            <select name="benefit_types[]" id="benefit_types" multiple class="form-control select2">
                @foreach($benefit_list as $key=>$name)
                    <option value="{{$name}}" {{ in_array($name,$benefit_types)?'selected':'' }}>{{$name}}</option>
                @endforeach
            </select>
            @if ($errors->has('benefit_types'))
                <div class="invalid-feedback">
                    {{ $errors->first('benefit_types') }}
                </div>
            @endif
            @endif
        </div>
    </div>

    <div class="col-md-4">
        <div class="form-group">
            <label for="impairments">{{ __('Impairments') }}</label>
            <br>
            @if($view)
                <p>
                    @foreach($impairments as $key=>$name)
                        <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                    @endforeach
                </p>
            @else
            <select name="impairments[]" id="impairments" multiple class="form-control select2">
                @foreach($impairment_type_code as $key=>$name)
                    <option value="{{$name}}" {{ in_array($name,$impairments)?'selected':'' }}>{{$name}}</option>
                @endforeach
            </select>
            @if ($errors->has('impairments'))
                <div class="invalid-feedback">
                    {{ $errors->first('impairments') }}
                </div>
            @endif
            @endif
        </div>
    </div>
</div>

{{--<div class="col-md-12 mt-4 mb-8">--}}
<h4>Required Documentation</h4>
<div class="separator separator-solid mb-4"></div>
{{--</div>--}}
<div class="form-group row">
    @if($view)
        <p>
            @foreach($supporting_documents as $key=>$name)
                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
            @endforeach
        </p>
    @else
        @foreach($document_type_list as $key=>$name)
            <label class="checkbox checkbox-square checkbox-lg col-md-3 mb-4">
                <input type="checkbox" value="{{$name}}" {{ in_array($name,$supporting_documents)?'checked':'' }} name="supporting_documents[]">
                <span class="mr-2"></span>{{$name}}</label>
        @endforeach
    @endif

    {{--<span class="form-text text-muted">Some help text goes here</span>--}}
</div>