@if(isset($schedule))<input type="hidden" name="schedule" value="{{$schedule->id}}">
<input type="hidden" name="schedule_benefit" value="{{$schedule->benefit_id}}"> @endif
<div class="row">
    <div class="col-12">
        <h4>{{__('Payroll Schedule')}}</h4>
        <hr>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label>{{ __('Begin Period') }} <span class="required">*</span></label>
            @php
                $begin_date = strtotime(now());
                $end_date = strtotime(now());
                if (isset($schedule)) {
                    $begin_date = strtotime($schedule->begin_period);
                    $end_date = strtotime($schedule->end_period);
                }
            @endphp
            <input type="text" class="form-control {{($errors->has('begin_period'))?'is-invalid':''}}" id="datepicker1" name="begin_period"
                   required value="{{ old('begin_period')?old('begin_period'):date('m/d/Y', $begin_date) }}" readonly autocomplete="off" />
            @if ($errors->has('begin_period'))
                <div class="invalid-feedback">
                    {{ $errors->first('begin_period') }}
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label>{{ __('End Period') }} <span class="required">*</span></label>
            <input type="text" class="form-control {{($errors->has('end_period'))?'is-invalid':''}}" id="datepicker2" name="end_period"
                   required value="{{ old('end_period')?old('end_period'):date('m/d/Y', $end_date) }}" readonly autocomplete="off" />
            @if ($errors->has('end_period'))
                <div class="invalid-feedback">
                    {{ $errors->first('end_period') }}
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group{{ $errors->has('type') ? ' form-control-warning' : '' }}">
            <label for="type">{{ __('Payment Type') }}<span class="required">*</span></label>
            <select name="type" id="type" class="form-control" required>
                <option>{{ __('Select') }}</option>
                <option value="Recurring"
                        @if(isset($schedule))
                        @if($schedule->type == 'Recurring') selected
                        @elseif(old('type') == 'Recurring') selected @endif
                        @endif>
                    {{ __('Recurring') }}</option>
                <option value="One-Off"
                        @if(isset($schedule))
                        @if($schedule->type == 'One-Off') selected
                        @elseif(old('type') == 'One-Off') selected @endif
                        @endif>
                    {{ __('One-Off') }}</option>
            </select>
            @if ($errors->has('type'))
                <span class="form-text text-warning">{{ $errors->first('type') }}</span>
            @endif
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group{{ $errors->has('day_of_payment') ? ' form-control-warning' : '' }}">
            <label for="day_of_payment">{{ __('Schedule Days for every month') }} <span class="required">*</span></label>
            <select name="day_of_payment[]" multiple id="day_of_payment" required class="form-control select2">
                @php
                    $days = array();
                    $days[] = old('day_of_payment')?old('day_of_payment'):null;
                    if(isset($schedule)) { $days = $schedule->day_of_payment; }
                @endphp
                @for($a = 1; $a <= 31; $a++)
                    <option value="{{$a}}" @if(in_array($a,$days)) selected @endif>
                        @if(in_array($a,[1,21,31])) {{$a."st"}}
                        @elseif(in_array($a,[2,22])) {{$a."nd"}}
                        @elseif(in_array($a,[3,23])) {{$a."rd"}}
                        @else {{$a."th"}}
                        @endif
                    </option>
                @endfor
            </select>
            @if ($errors->has('day_of_payment'))
                <span class="form-text text-warning">{{ $errors->first('day_of_payment') }}</span>
            @endif
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group{{ $errors->has('amount') ? ' form-control-warning' : '' }}">
            <label for="amount">{{ __('Amount') }} - $ <span class="required">*</span></label>
            @php
                $amount = old('amount')?old('amount'):0;
                if(isset($schedule)) { $amount = $schedule->amount; }
            @endphp
            <input type="number" name="amount" required class="form-control" step="0.01"
                   value="{{ $amount }}" id="amount">
            @if ($errors->has('amount'))
                <span class="form-text text-warning">{{ $errors->first('amount') }}</span>
            @endif
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group{{ $errors->has('tax') ? ' form-control-warning' : '' }}">
            <label for="tax">{{ __('Tax') }}(%)</label>
            @php
                $tax = old('tax')?old('tax'):0;
                if(isset($schedule)) { $tax = $schedule->tax; }
            @endphp
            <input type="number" name="tax" required class="form-control" step="0.01"
                   value="{{ $tax }}" id="tax">
            @if ($errors->has('tax'))
                <span class="form-text text-warning">{{ $errors->first('tax') }}</span>
            @endif
        </div>
    </div>
</div>

{{--    @if($schedule->form->table_name == config('settings.pension_benefit'))--}}
@if(isset($benefit))
{{--@if(!is_null($schedule->pension_amount) || \Illuminate\Support\Str::contains(strtolower($benefit->titles),strtolower('pension')))--}}
@if(\Illuminate\Support\Str::contains(strtolower($benefit->titles),strtolower('pension')))
    <div id="pension">
        <div class="form-group mb-0">
            <label for="day_of_payment" class="text-danger font-weight-bolder">{{ __('For Old Age Pension Only') }}</label>
        </div>
        <hr class="mt-1">
        <div class="row">
            @php
                $pension_amount[] = old('pension_amount')?old('pension_amount'):null;
                if(isset($schedule)) { $pension_amount = $schedule->pension_amount; }
            @endphp
            @foreach(config('settings.pension_age_groups') as $key=>$value)
                @php
                    if (isset($pension_amount[$value])) {
                    $p_amount = $pension_amount[$value]['amount'];
                    $p_tax = $pension_amount[$value]['tax'];
                    }
                    else {
                    $p_amount = null;
                    $p_tax = null;
                    }
                @endphp
                <div class="col-md-2">
                    <div class="form-group{{ $errors->has('pension_amount') ? ' form-control-warning' : '' }}">
                        <label for="pension_amount">{{ $value }} {{ __('Amount') }} <span class="required">*</span></label>
                        <input type="number" name="pension_amount[{{$value}}][amount]" required class="form-control" step="0.01"
                               value="{{ $p_amount }}" id="amount"><br>
                        <label for="pension_tax">{{ $value }} {{ __('Tax') }} <span class="required">*</span></label>
                        <input type="number" name="pension_amount[{{$value}}][tax]" required class="form-control" step="0.01"
                               value="{{ $p_tax }}" id="amount">
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endif
@endif

{{--    @if($schedule->form->table_name == config('settings.funeral_allowance'))--}}
@if(isset($benefit))
{{--@if(!is_null($schedule->funeral_amount) || \Illuminate\Support\Str::contains(strtolower($benefit->titles),strtolower('funeral')))--}}
@if(\Illuminate\Support\Str::contains(strtolower($benefit->titles),strtolower('funeral')))
    <div id="funeral_amount">
        <div class="form-group mb-0">
            <label for="day_of_payment" class="text-danger font-weight-bolder">{{ __('For Funeral Benefit Only') }}</label>
        </div>
        <hr class="mt-1">
        <div class="row">
            @php
                $funeral_amount[] = old('funeral_amount')?old('funeral_amount'):null;
                if(isset($schedule)) { $funeral_amount[] = $schedule->funeral_amount; }
            @endphp
            @foreach(config('settings.funeral_amount') as $key=>$value)
                @php
                    if (isset($funeral_amount[$value])) {
                        $f_amount = $funeral_amount[$value];
                    }
                    else {
                        $f_amount = null;
                    }
                @endphp

                <div class="col-md-3">
                    <div class="form-group{{ $errors->has('funeral_amount') ? ' form-control-warning' : '' }}">
                        <label for="funeral_amount">{{ $value }} {{ __('Amount') }} <span class="required">*</span></label>
                        <input type="number" name="funeral_amount[{{$value}}]" required class="form-control" step="0.01"
                               value="{{ $f_amount }}" id="funeral_amount">
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endif
@endif