<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Archived Cases') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Archived Cases') }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="card card-custom">
        <div class="card-header">
            <h3 class="card-title">{{ __('List of Archived Cases') }}</h3>
            {{--<div class="card-toolbar">--}}
                {{--<a href="{{route('project.createProject')}}" class="btn btn-primary btn-sm mb-1 mr-3"><i class="la la-folder-plus"></i> {{ __('New Project') }}</a>--}}
            {{--</div>--}}
        </div>
        <div class="card-body">
        <div class="table-responsive">
            <!--begin: Datatable-->
            <table class="table table-bordered table-head-custom" id="cases_archived_list"
                   style="margin-top: 13px !important;">
                <thead>
                <tr>
                    <th style="width: 200px;">{{ __('Title') }}</th>
                    <th style="width: 150px;">{{ __('Severity') }}</th>
                    <th style="width: 100px;">{{ __('Created On') }}</th>
                    <th style="width: 120px;">{{ __('Stage') }}</th>
                    <th style="width: 100px;">{{ __('Action') }}</th>
                </tr>
                </thead>
                <tbody></tbody>
            </table>
            <!--end: Datatable-->
        </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            const APPLICATIONS_AJAX = "{{ route('case.getArchivedCasesList') }}";
        </script>
        <script src="{{ asset('assets/js/customjs/custom-cases-datatable.js') }}"></script>

    @endpush
</x-app-layout>
