<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('dashboard') }}">@lang('dashboard.dashboard')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('case.cases')</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Cases Management</h1>
                <small class="text-muted">
                    {{__('This module helps streamline customer service and support processes, improve response times, and maintain a record of interactions for future reference and analysis.')}}
                </small>
            </div>
            {{--            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">--}}
            {{--                <div class="p-2 me-md-3">--}}
            {{--                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>--}}
            {{--                    <small class="text-muted text-uppercase">Active</small>--}}
            {{--                </div>--}}
            {{--                <div class="p-2 me-md-3">--}}
            {{--                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>--}}
            {{--                    <small class="text-muted text-uppercase">Inactive</small>--}}
            {{--                </div>--}}
            {{--            </div>--}}
        </div> <!-- .row end -->
    </x-slot>

    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3 mb-5">
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i
                                    class="fa fa-circle me-2 text-primary"></i>{{__('Total Cases')}}</div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$total_cases}}</span>
                            <span class="ms-1">{{($total_cases == 0)?0:round(($total_cases*100)/$total_cases)}}%</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i
                                    class="fa fa-circle me-2 text-info"></i>{{__('New Cases')}}</div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$new_cases}}</span>
                            <span class="ms-1">{{($total_cases == 0)?0:round(($new_cases*100)/$total_cases)}}%</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i
                                    class="fa fa-circle me-2 text-warning"></i>{{__('Cases In Review')}}</div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$in_progress_cases}}</span>
                            <span class="ms-1">{{($total_cases == 0)?0:round(($in_progress_cases*100)/$total_cases)}}%</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i
                                    class="fa fa-circle me-2 text-success"></i>{{__('Cases Closed')}}</div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$closed_cases}}</span>
                            <span class="ms-1">{{($total_cases == 0)?0:round(($closed_cases*100)/$total_cases)}}%</span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-12 mb-4">
                <div class="card">
                    <div class="card-body">
                        <form method="GET" action="#">
                            @csrf
                            <div class="input-group">
                                @php
                                    $options = config('settings.severity');
                                    $options_2 = config('settings.case_stage');
                                @endphp
                                <select name="category" id="category" class="form-select">
                                    <option value="">-- {{ __('Choose Category') }} --</option>
                                    @foreach(getCaseTypes() as $key=>$option)
                                        <option value="{{$key}}"
                                                @if(request()->get('category') == $key) selected @endif>
                                            {{$option}}
                                        </option>
                                    @endforeach
                                </select>

                                <select name="severity" id="severity" class="form-select">
                                    <option value="">-- {{ __('Choose Severity') }} --</option>
                                    @foreach($options as $key=>$option)
                                        <option value="{{$option}}"
                                                @if(request()->get('severity') == $option) selected @endif>
                                            {{$option}}
                                        </option>
                                    @endforeach
                                </select>

                                <select name="stage" id="stage" class="form-select">
                                    <option value="">-- {{ __('Choose Stage') }} --</option>
                                    @foreach($options_2 as $key=>$stage)
                                        <option value="{{$stage}}"
                                                @if(request()->get('stage') == $stage) selected @endif>
                                            {{$stage}}
                                        </option>
                                    @endforeach
                                </select>

                                {{--                                <input type='text' autocomplete="off" class="form-control" name="date_range" placeholder="Request Period"--}}
                                {{--                                value="{{request()->get('date_range')}}"/>--}}
                                <select name="year" id="year" class="form-select">
                                    @for($y = date('Y');$y >= date('Y',strtotime(settings()->get('app_deployment_date')));$y--)
                                        <option value="{{$y}}" @selected(request()->get('year') == $y)>{{$y}}</option>
                                    @endfor
                                </select>
                                <button class="btn btn-primary" type="submit" data-bs-toggle="tooltip" title="Search"><i
                                            class="bi-search"></i></button>
                                <a href="{{route('case.list')}}" class="btn btn-light-secondary"
                                   data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                @if(canDo('administrator','add-case'))
                                    <a href="{{route('case.createCase')}}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Add Case"> <i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                @endif

                            </div>
                        </form>
                    </div>
                </div>
            </div>


            <div class="row g-2">
                <div class="col-12">
                    @if ($cases->count() > 0)
                        <div class="table-responsive">
                            <table class="table align-middle table-bordered mb-0 custom-table" id="case-records">
                                <thead>
                                <tr>
                                    <th style="width: 50px;">ID</th>
                                    <th>@lang('case.case')</th>
                                    {{-- <th style="width: 150px;">{{ __('Category') }}</th> --}}
                                    <th style="width: 70px;">{{__('Status')}}</th>
                                    <th style="width: 80px;">{{ __('Date Recorded') }}</th>
                                    <th style="width: 80px;">{{__('Last Updated')}}</th>
                                    <th style="width: 70px;">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php
                                    $count = 0;
                                @endphp
                                @foreach ($cases as $case)
                                    <tr>
                                        {{-- <td>{{$count +=1}}</td> --}}
                                        <td>{{$case->id}}</td>
                                        <td><a href="{{route('case.viewCase',[cryptThis($case->id)])}}">
                                                <p class="mb-0">{{$case->title}}<br>
                                                    <small class="text-muted">{{$case->_category->fullName}}</small></p>
                                            </a>
                                        </td>
                                        <td>
                                            <span>{!!getCaseLabel($case->stage)!!}</span><br>
                                            <small>{!!getSeverityLabel($case->severity)!!}</small>
                                        </td>
                                        <td>{{date('d M Y H:i:s',strtotime($case->created_at))}} <br>
                                            <small>{{easyDate($case->created_at)}}</small></td>
                                        <td>{{date('d M Y H:i:s',strtotime($case->lastCommentDate()))}} <br>
                                            <small>{{easyDate($case->lastCommentDate())}}</small></td>
                                        <td>
                                            @php
                                                $edit = '<a href="'.route('case.editCase',[cryptThis($case->id)]).
                                                    '"  class="btn btn-link text-primary btn-sm mb-1" data-bs-toggle="tooltip" title="'. __("Edit Case") .'"><i class="fa fa-edit"></i></a>';
                                                $view = '<a href="'.route('case.viewCase',[cryptThis($case->id)]).'"
                                                    class="btn btn-link btn-sm text-info mb-1" data-bs-toggle="tooltip" title="'. __("View Case") .'"><i class="fa fa-file-text"></i></a>';

                                                if($case->archived) {
                                                    $edit = null;
                                                    $archive = '<a href="'.route('case.archiveCase',[cryptThis($case->id)]).
                                                    '" onclick="return confirm(\'Are you sure you want to restore this case? \')"
                                                    class="btn btn-link btn-sm text-success btn-icon mb-1" data-bs-toggle="tooltip" title="'. __("Restore Case").'"><i class="bi-reply"></i></a>';
                                                    $delete = '<a href="'.route('case.deleteCase',[cryptThis($case->id)]).
                                                    '" onclick="return confirm(\'The case will be taken off the list completely . Do you want to proceed ? \')"
                                                    class="btn btn-link btn-sm text-danger btn-icon mb-1" data-bs-toggle="tooltip" title="'. __("Delete Case").'"><i class="bi-trash-fill"></i></a>';
                                                }
                                                else {
                                                    $delete = null;
                                                    $archive = '<a href="'.route('case.archiveCase',[cryptThis($case->id)]).
                                                    '" onclick="return confirm(\'Are you sure you want to archive this case? \')"
                                                    class="btn btn-link btn-sm text-danger btn-icon mb-1" data-bs-toggle="tooltip" title="'. __("Archive Case").'"><i class="bi-archive-fill"></i></a>';
                                                }

                                                if($case->stage == 'Close') {
                                                    $edit = null;
                                                }
                                                if(!canDo('administrator','edit-case')) $edit = '';
                                                if(!canDo('administrator','view-case-info')) $view = '';
                                                if(!canDo('administrator','archive-case')) $archive = '';
                                                if(!canDo('administrator','delete-case')) $delete = '';
                                            @endphp
                                            {!!$view." ".$edit." ".$archive." ".$delete!!}
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        {{ $cases->links() }}
                    @else
                        <x-no-data></x-no-data>
                    @endif
                </div>
            </div>
        </div>
    </div>
    @include('touring-pages.case')
    <!--end::Row-->
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        @if (canTour('case'))
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "{{route('on_boarding.skipTour')}}";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        @endif
        <script>
            $(function () {
                $('input[name="date_range"]').daterangepicker({
                    startDate: moment().subtract(30, 'day'),
                    endDate: moment()
                });
            })
            $('#case-records').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

        </script>
        {{-- <script src="{{ asset('assets/js/customjs/custom-cases-datatable.js') }}"></script> --}}

    @endpush
</x-app-layout>
