<x-client-layout>
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container">
            <div class="alert alert-info rounded mb-4">
                <i class="bi-info-circle-fill me-4"></i>
                {{__('You can update your information to change ownership to this account.')}}
            </div>
            <div class="row mt-5 row-deck">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body">
                            @include('client-pages.pages.account-form')
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body" id="content">

                            <div id="client-form" style="display: none">
                                @include('client-pages.pages.client-form')
                            </div>

{{--                            @if(!$primary_client)--}}
                            <div id="invitations" style="display: block" >
                                @include('client-pages.pages.invitations')
                            </div>

                            <div id="client-edit-form" style="display: none">
                            </div>
{{--                            @endif--}}
                        </div>
                    </div>
                </div>
            </div>

            <div class="card mt-3">
                <div class="card-body">
                    <h6 class=" mb-3"><span class="fw-bold"> {{__('Organisations')}}</span>
                        <small class="text-muted fw-light">{{__('(Manage your organisations)')}}</small>
                    </h6>
                    <div class="table-responsive">
                        <table id="user_clients" class="table table-sm align-middle mb-0 card-table nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th>{{__('Name')}}</th>
                                <th>{{__('Country')}}</th>
                                <th>{{__('Type')}}</th>
                                <th>{{__('Administrator')}}</th>
                                <th>{{__('Status')}}</th>
                                <th>{{__('Action')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($clients as $client)
                                <tr>
                                    <td>{{$client->name}}</td>
                                    <td>{{$client->country->country_name}}</td>
                                    <td>{{$client->field}}</td>
                                    <td>{{$client->owner->fullName}}</td>
                                    <td>{{$client->status?'Approved':'Pending'}}</td>
                                    <td>
{{--                                        <button type="button" class="btn btn-link btn-sm text-muted" data-bs-toggle="tooltip" data-bs-placement="top" aria-label="View" data-bs-original-title="View"><i class="bi-info-square-fill"></i></button>--}}
                                        <a href="#content" class="btn btn-link btn-sm text-muted" data-bs-toggle="tooltip"
                                                data-bs-placement="top" aria-label="Edit" data-bs-original-title="Edit" onclick="getOrganisationData({{$client->id}})">
                                            <i class="bi-pencil-square"></i></a>
                                        <a href="javascript:0" class="btn btn-link btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#exitOrganisation"
                                                data-bs-placement="top" aria-label="Exit Organisation" data-bs-original-title="Exit Organisation" onclick="setRemoveMe({{$client->id}})">
                                            <i class="bi-person-x-fill"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal Modal Center-->
    <div class="modal fade" id="exitOrganisation" tabindex="-1" aria-labelledby="exitOrganisationTitle" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <form action="{{route('clients.removeMe')}}" method="post">
                        @csrf
                        <input type="hidden" name="client_id" id="remove_from_organisation" value="">
                        <h6 class="mt-4">{{__('Are you sure you want to exist this organisation?')}}</h6>
                        <div class="mt-4">
                            <img src="{{asset('images/assets/exit.gif')}}" alt="exit icon" style="height: 160px">
                        </div>
                        <div role="alert" class="alert alert-warning mt-4">{{__('You will not have access to projects associated to this organisation!')}}</div>
                        <div class="mt-4">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">{{__('Cancel')}}</button>
                            <button type="submit" class="btn btn-danger fw-bolder">{{__('Yes, Remove Me')}}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <!-- Plugin Js -->
        <script src="{{asset('assets/js/client-account.js')}}"></script>
    @endpush
</x-client-layout>
