<x-client-layout>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">

            <div class="row g-3 mb-lg-5">
                <div class="col-12">
                    <div class="alert alert-info rounded mb-2">
{{--                        <div class="card-body">--}}
                            <h6 class="card-title mb-3"><i class="fa fa-thumbs-up me-2"></i>{{__('Getting Started')}}</h6>
                            <p>{{__('This guide will help you get started with')}} <strong class="text-danger">{{env('APP_NAME')}}</strong>!</p>
                        <p>
                            {{__('Get started by adding a project. Projects represents individual instances of the platform.
                            Each project operates autonomously with its distinct set of users, managers, benefits,
                            expenses, and specific functionalities tailored to its objectives.
                            It offers a segregated environment to efficiently manage and deliver social protection
                            services within a focused context.')}}
                        </p>
                            <p>{{__('Always feel free to reach out to')}} <span class="text-primary fw-bold">{{env('MAIL_FROM_ADDRESS')}}</span></p>
{{--                        </div>--}}
                    </div>
                </div>

            </div>
            <div class="row g-3 mb-lg-5">
                <div class="col-12">
                    <div class="row">
                        <div class="col-md-9">
                            <h5 class="card-title mb-4"><i class="fa fa-laptop me-2"></i>{{__('My Projects')}}</h5>
                        </div>
                        <div class="col-md-3 text-end">
                            <a href="#" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addProject">
                                <i class="fa fa-plus me-2"></i>{{__('Add Project')}}</a>
                        </div>
                    </div>

                    @forelse($user_clients->clients as $client)
                        @continue($client->deployments->count() < 1)
                        <h6><small class="text-muted">{{$client->name}}</small> </h6>
                        @foreach($client->deployments as $deployment)
                            <x-deployment-card :deployment="$deployment"></x-deployment-card>
                        @endforeach
{{--                        @else--}}
{{--                            <div class="card mt-2 mb-3">--}}
{{--                                <div class="card-body">--}}
{{--                                    <p class="fw-bold text-center">{{__('No projects available')}}</p>--}}
{{--                                </div>--}}
{{--                            </div>--}}
{{--                        @endif--}}
                    @empty
                        <x-no-data :message="__('No Projects added')"></x-no-data>
                        <div class="text-center">
                            <a href="#" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addProject">Add Project</a>
                        </div>
                    @endforelse

                </div>

            </div>

        </div>
    </div>
    @include('client-pages.pages.deployment-form')
    @push('scripts')
        <script src="{{asset('assets/js/domain-checking.js')}}"></script>
    @endpush
</x-client-layout>
