<x-client-layout>

<div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
    <div class="container">
        <div class="alert alert-info rounded mb-4">
            <i class="bi-info-circle-fill me-4"></i>
            {{__('You may choose one of the subscription plans below to get started or renew.
            Subscription plans may be changed or cancelled at your convenience.')}} </div>
        <div class="row g-3 mb-lg-5">
            <div class="col-12">
                @if($plans->count() > 0)
{{--                    <div class="pricing-table owl-carousel owl-theme" id="OwlBasic">--}}
                        @foreach($plans as $plan)

                            <div class="card border-0 shadow-sm mb-3">
                                <div class="card-body">
                                    <h6 class="mb-3">
                                        {{$plan->name}}
                                    </h6>

                                    <p>
                                        <span class="fw-bold">
                                            @if(isset($country_pricing->currency?->currency_code))
                                                {{$country_pricing->currency?->currency_code}}
                                            @else
                                                {{env('PLAN_CURRENCY_CODE')}}
                                            @endif

                                            @if(isset($country_pricing->planPricing))
                                                {{$country_pricing->planPricing?->where('plan_id','=',$plan->id)->pluck('pricing')->first()}}
                                            @else
                                                {{$plan->price}}
                                            @endif
                                        </span>
                                        <span class="text-muted">
                                            / {{$plan->invoice_interval}}
                                        </span>

                                    </p>
                                    <p class="text-muted">{{$plan->description}}</p>

                                    <div class="row">

                                        <div class="col-md-3 mt-2">
                                            <span><i class="fa fa-check text-success me-2"></i>{{easyCount($plan->active_subscribers_limit)}} {{__('Beneficiaries')}}</span>
                                        </div>

                                        @foreach($all_modules as $name=>$params)
                                            @if($plan->hasFeatureByName($name))
                                                <div class="col-md-3 mt-2">
                                                <span><i class="fa fa-check text-success me-2"></i> {{Str::headline($name)}} </span>
                                                </div>
                                            @endif
                                        @endforeach

                                        <div class="col-12 mt-3">
                                            <a href="#" class="btn btn-primary text-capitalize"
                                               data-bs-toggle="modal" data-bs-target="#addProject" onclick="startPlan('{{$plan->slug}}')">Choose Plan</a>
                                        </div>
                                    </div>
                                </div>

                                @if(false)
                                    <div class="card text-center overflow-hidden border-0">
                                        <div class="card-body chart-color1 text-white">
                                            <h3 class="mb-0">
                                                {{$plan->name}}
                                            </h3>
                                        </div>
                                        <div class="card-body">
                                            <div class="display-6">
                                                @if(isset($country_pricing->currency?->currency_code))
                                                    {{$country_pricing->currency?->currency_code}}
                                                @else
                                                    {{env('PLAN_CURRENCY_CODE')}}
                                                @endif
                                                @if(isset($country_pricing->planPricing))
                                                    {{$country_pricing->planPricing?->where('plan_id','=',$plan->id)->pluck('pricing')->first()}}
                                                @else
                                                    {{$plan->price}}
                                                @endif
                                            </div>
                                            <div class="text-muted">per {{$plan->invoice_interval}}</div>
                                        </div>
                                        <ul class="list-group list-group-custom list-group-flush">
                                            <li class="list-group-item"><i class="fa fa-check text-success me-2"></i>{{easyCount($plan->active_subscribers_limit)}} {{__('Beneficiaries')}} </li>
                                            @foreach($all_modules as $name=>$params)
                                                @if($plan->hasFeatureByName($name))
                                                    <li class="list-group-item"><i class="fa fa-check text-success me-2"></i> {{Str::headline($name)}} </li>
                                                @endif
                                            @endforeach
                                        </ul>
                                        <div class="card-footer">
                                            <a href="#" class="btn btn-lg btn-primary text-uppercase mt-auto"
                                               data-bs-toggle="modal" data-bs-target="#addProject" onclick="startPlan('{{$plan->slug}}')">Choose Plan</a>
                                        </div>
                                    </div>
                                @endif
                            </div>
                        @endforeach
{{--                    </div>--}}
                @else
                    <div class="my-lg-5">
                    <x-no-data message="No Plans available."></x-no-data>
                    </div>
                @endif

            </div>

        </div>

    </div>
    @include('client-pages.pages.deployment-form')
</div>
@push('scripts')
        <!-- Plugin Js -->
        <script src="{{asset('assets/js/bundle/owlcarousel.bundle.js')}}"></script>
        <script src="{{asset('assets/js/domain-checking.js')}}"></script>
        <script src="{{asset('assets/js/plans.js')}}"></script>
    @endpush
    </x-client-layout>
