<form action="{{ route('clients.changeOwner') }}" class=" px-3" method="post">
    @csrf
    <input type="hidden" name="client_id" value="{{$client->id}}">
    <div class="row">
        <div class="col-md-12 mb-3">
            <label><span class="fw-bold "> {{__('Administrator Details')}}</span></label>
        </div>
        <div class="col-md-12 mb-3">
        <div class="form-floating">
            <select name="user" id="user" required class="form-select">
                <option value="">-- {{__('Choose')}} --</option>
                @foreach($client->users as $user)
                    @continue($user->id == auth()->id())
                    <option value="{{$user->id}}" @selected($user->id == $client->admin)>{{$user->fullName}}</option>
                @endforeach
            </select>
            <label for="user">{{__('User')}}</label>
        </div>
        </div>

        @if(auth()->user()->is_owner())
            <div class="col-md-6">
                <!-- Password -->
                <div class="mt-2">
                    <x-input id="password" class="block mt-1 w-full"
                             type="password" :placeholder="__('Password')"
                             name="password"
                             autocomplete="new-password" />
                </div>
            </div>
            <div class="col-md-6">
                <!-- Confirm Password -->
                <div class="mt-2">
                    <x-input id="password_confirmation" class="block mt-1 w-full"
                             type="password" :placeholder="__('Confirm Password')"
                             name="password_confirmation" />
                </div>
            </div>
        @endif


        <p class="text-danger d-none" id="pwd_complexity_err">{{__('Password should consist of uppercase characters, lowercase characters, numbers and symbols.')}}</p>

        <div class="col-12 text-center mb-4">
            <x-button class="mt-3 rounded btn-primary btn-lg btn-block" style="width:100%">
                {{ __('Update') }}
            </x-button>
        </div>
    </div>

</form><?php
