<x-app-layout>
    @push('vendor-css')

    @endpush
    <x-slot name="page_title">
        {{$page_title}}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('complaint.list') }}" class="text-muted">{{ __('List of Complaints') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:;" class="text-muted">{{$page_title}}</a>
            </li>
        </ul>
    </x-slot>

        <div class="row">
            <div class="col-md-12">
                @if($complaint->stage != 'Close')
                    @if(\Auth::user()->hasRole('administrator'))
                    <div class="card card-custom gutter-b mb-7">
                        <div class="card-body" id="theForm">
                            <form method="POST" action="{{ route('complaint.assignStage',[cryptThis($complaint->id)]) }}">
                                <div class="row">
                                    @csrf
                                    {{--<div class="col-md-4">--}}
                                        {{--<div class="form-group{{ $errors->has('status') ? ' form-control-warning' : '' }}">--}}
                                            {{--<label for="status">{{ __('Process Stage') }}<span class="required">*</span></label>--}}
                                            {{--<select name="status" id="status" class="form-control select2" style="width: 100%;">--}}
                                                {{--<option></option>--}}
                                                {{--@foreach($stages as $id=>$stage)--}}
                                                    {{--<option value="{{$stage}}">{{$stage}}</option>--}}
                                                {{--@endforeach--}}
                                            {{--</select>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                    <div class="col-md-2">
                                        <div class="form-group{{ $errors->has('assign_to') ? ' form-control-warning' : '' }}">
                                            <label for="assign_to">{{ __('Assign to') }}<span class="required">*</span></label>
                                            <select name="assign_to" id="assign_to" required onchange="chooseAssign()" class="form-control select2" style="width: 100%;">
                                                <option></option>
                                                <option value="roles">{{ __('Roles') }}</option>
                                                <option value="users">{{ __('Users') }}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('user_ids') ? ' form-control-warning' : '' }}">
                                            <label for="user_ids">{{ __('Permitted Users') }}<span class="required">*</span></label>
                                            <select name="user_ids[]" id="user_ids" disabled="disabled" multiple class="form-control select2" style="width: 100%;">
                                                <option></option>
                                                @foreach($users as $user)
                                                    @if($complaint->user_id == $user->id) @continue @endif
                                                    <option value="{{$user->id}}">{{$user->name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('role_ids') ? ' form-control-warning' : '' }}">
                                            <label for="role_ids">{{ __('Permitted Roles') }}<span class="required">*</span></label>
                                            <select name="role_ids[]" multiple id="role_ids" disabled="disabled" class="form-control select2" style="width: 100%;">
                                                <option></option>
                                                @foreach($roles as $role)
                                                    <option value="{{$role->id}}">{{$role->display_name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group mt-8">
                                            <button type="submit" class="btn btn-primary">
                                                <i class="la la-save"></i> {{ __('Save') }}
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    @endif
                @endif

                <div class="card card-custom">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('Track Information') }}</h3>
                    </div>
                    <div class="card-body">
                        {!! $render_form['form_view'] !!}
                    </div>
                </div>

                @if($canRespond)
                    @if(in_array($complaint->stage,['Pending Review','Resolved']))
                    <div class="card card-custom mt-7">
                        <div class="card-header">
                            <h3 class="card-title">{{ __('Add Response') }}</h3>
                        </div>
                        <div class="card-body">
                            <form method="POST" action="{{ route('complaint.saveResponse',[cryptThis($complaint->id)]) }}">
                                <div class="row">
                                    @csrf
                                    <div class="col-md-12">
                                        <div class="form-group{{ $errors->has('response') ? ' form-control-warning' : '' }}">
                                            <label for="response">{{ __('Response') }}<span class="required">*</span></label>
                                            <textarea name="response" id="response" cols="30" rows="10"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('stage') ? ' form-control-warning' : '' }}">
                                            <select name="stage" id="stage" class="form-control" style="width: 100%;">
                                                @foreach($stages as $id=>$stage)
                                                    <option value="{{$stage}}" {{ ($stage == $current_stage)?'selected':'' }}>{{$stage}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">


                                        <button type="submit" class="btn btn-primary">
                                            <i class="la la-save"></i> {{ __('Submit') }}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    @endif
                @endif
            </div>
        </div>
        <div class="card card-custom gutter-b mt-7">
            <div class="card-header">
                <div class="card-title">
                    <h3 class="card-label">{{__('Feedback')}}</h3>
                </div>
            </div>
            <div class="card-body">
                <!--begin::Example-->
                <div class="example example-basic">
                    <div class="example-preview">
                        <!--begin::Timeline-->
                        <div class="timeline timeline-3">
                            <div class="timeline-items">
                                @foreach($feedbacks as $feedback)
                                    <div class="timeline-item">
                                        <div class="timeline-content">
                                            <div class="d-flex align-items-center justify-content-between mb-3">
                                                <div class="mr-2">
                                                    {{ __('By')." ".$feedback->respond->name }}
                                                    <span class="text-muted ml-2 mr-4">{{ date('dS M, Y h:i:m a', strtotime($feedback->created_at)) }}</span>
                                                    {!! getComplaintLabel($feedback->stage) !!}
                                                </div>
                                            </div>
                                            @if(isset($feedback->feedback))
                                            {!! $feedback->feedback !!}
                                            @endif
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                        <!--end::Timeline-->
                    </div>
                </div>
                <!--end::Example-->
            </div>
        </div>

    @push('vendor-scripts')

    @endpush
    @push('scripts')
        <script src="{{asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js')}}" type="text/javascript"></script>
        <script>
            $(function () {
                ClassicEditor.create( document.querySelector( '#response' ) );
            });
            function chooseAssign() {
                var assign = $('#assign_to :selected').val();
                if (assign === 'users') {
                    $('#user_ids').prop({'disabled':false,'required':true});
                    $('#role_ids').prop({'disabled':true,'required':false});
                }
                else {
                    $('#user_ids').prop({'disabled':true,'required':false});
                    $('#role_ids').prop({'disabled':false,'required':true});
                }
            }
        </script>
    @endpush
</x-app-layout>
