<div class="row mb-3">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-4">
                <div class=" sticky-top">
                    <div class="card mb-3">
                        <div class="card-body">
                            <h6 class="mb-3">Support Information <small class="text-muted"> - #{{date('y',strtotime($case->created_at)).$case->id}}</small></h6>

                            <p><span class="fw-bolder">{{__('Subject')}} </span><br><span class="fw-light text-muted"> {{$case->title}}</span></p>

                            <p><span class="fw-bolder">Status:</span> <span class="fw-light text-muted">{!! getCaseLabel($case->stage) !!}</span></p>

                            <p><span class="fw-bolder">Submitted On </span><br>
                                <span class="fw-light text-muted"> {{date('d M, Y',strtotime($case->created_at))}}</span>
                            </p>

                            <p><span class="fw-bolder">Last Updated On </span><br>
                                <span class="fw-light text-muted"> {{date('d M, Y',strtotime($case->updated_at))}}</span>
                            </p>

                            <p><span class="fw-bolder">Complainant</span><br>
                                <span class="fw-bolde">{{$case->name}} - {{$case->contact}}</span>
                            </p>
                            <p><span class="fw-bolder">Reference: </span><span class="fw-normal text-muted"> {{$case->reference}}</span></p>
{{--                            <p><span class="fw-bolder">Case Agents: </span>--}}
{{--                                <span class="fw-normal text-muted">--}}

{{--                                </span>--}}
{{--                            </p>--}}

                            @if(canDo('administrator','change-case-actions') && $case->stage != 'Close' && false)
                                <form action="{{ route('case.updateType',[cryptThis($case->id)]) }}" method="post" class="mb-3">
                                    @csrf
                                    <span class="fw-bolder">Type </span>
                                    <div class="input-group w-100 mt-2">
                                        <button class="btn btn-light btn-sm" style="min-width: 120px" type="button">{{$case->_type->fullName}}</button>
                                        <div class="dropdown">
                                            <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-3">
                                                @foreach(getCaseTypes() as $key=>$name)
                                                    @continue($key == $case->type)
                                                    <li><button class="dropdown-item py-2 rounded" type="submit" name="updateType" value="{{$key}}">{{$name}}</button></li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    </div>
                                </form>

                                <form action="{{ route('case.updateCategory',[cryptThis($case->id)]) }}" method="post" class="mb-3">
                                    @csrf
                                    <span class="fw-bolder">Category </span>
                                    <div class="input-group w-100 mt-2">
                                        <button class="btn btn-light btn-sm" style="min-width: 120px" type="button">{{$case->_category->fullName}}</button>
                                        <div class="dropdown">
                                            <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-3">
                                                @foreach(getCaseCategories() as $key=>$name)
                                                    @continue($key == $case->category)
                                                    <li><button class="dropdown-item py-2 rounded" type="submit" name="updateCategory" value="{{$key}}">{{$name}}</button></li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    </div>
                                </form>

                                <form action="{{ route('case.updateSeverity',[cryptThis($case->id)]) }}" method="post" class=" mb-3">
                                    @csrf
                                    <span class="fw-bolder">Severity </span>
                                    <div class="input-group w-100 mt-2">
                                        <button class="btn btn-light btn-sm" style="min-width: 120px" type="button">{{$case->severity}} Impact</button>
                                        <div class="dropdown">
                                            <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-3">
                                                @foreach(config('settings.severity') as $id=>$level)
                                                    @continue($level == $case->severity)
                                                    <li><button class="dropdown-item py-2 rounded" type="submit" name="updateSeverity" value="{{$level}}">{{$level}} Impact</button></li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    </div>
                                </form>
                            @else
{{--                                <p><span class="fw-bolder">Type: </span><span class="fw-light text-muted"> {{$case->_type->fullName}}</span></p>--}}
                                <p><span class="fw-bolder">Category: </span><span class="fw-light text-muted"> {{$case->_category->fullName}}</span></p>
                                <p><span class="fw-bolder">Severity: </span><span class="fw-light text-muted"> {!! getSeverityLabel($case->severity) !!}</span></p>
                            @endif

                            @if($case->stage != 'Close' && canDo('administrator|beneficiary','respond-to-case'))
                                <form action="{{ route('case.saveResponse',[cryptThis($case->id)]) }}" method="post">
                                    @csrf
                                    <span class="fw-bolder mb-3">Action </span>
                                    <input type="hidden" name="response" value="Support has been closed">
                                    <input type="hidden" name="stage" value="Close">
                                    <div class="input-group w-100" style="min-width: 120px">
                                        <button class="btn btn-success btn-sm" style="min-width: 100px" type="submit" data-bs-toggle="tooltip" aria-label="{{__('Mark as Closed')}}" data-bs-original-title="{{__('Mark as Closed')}}">{{__('Mark as Closed')}}</button>
                                        @if(auth()->user()->is_admin && $case->severity !== 'Critical')
                                            <div class="dropdown">
                                                <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                </button>
                                                <ul class="dropdown-menu border-0 shadow p-3">
                                                    <li><a class="dropdown-item py-2 rounded" href="{{route('case.escalateCase',[cryptThis($case->id)])}}">{{__('Escalate Support')}}</a></li>
{{--                                                    <li><a class="dropdown-item py-2 rounded" href="#">{{__('Reassign')}}</a></li>--}}
                                                </ul>
                                            </div>
                                        @endif

                                    </div>
                                </form>
                            @endif

                        </div>
                    </div>

{{--                    <div class="card card-custom">--}}
{{--                        <div class="card-body">--}}
{{--                            <h6 class="mb-3"><i class="bi-lock-fill"></i> Support PIN</h6>--}}
{{--                            <h3>{{$case->deployment->code}}</h3>--}}
{{--                        </div>--}}
{{--                    </div>--}}
                </div>
            </div>
            <div class="col-md-8">
                <div class="card mb-3">
                    <div class="card-body">
{{--                        @if(false)--}}
                        <div class="tab-pane fade active show" id="notes" role="tabpanel">
                            <h6 class="mb-3 text-primary">{{__('Feedback History')}}</h6>
                            <!-- Chat: body -->
                            <div class="chat-history custom_scroll">
                                <!-- Search: div -->
                                <ul class="py-xl-3 py-2 px-xxl-5 px-lg-4 px-3 list-unstyled mb-0">
                                    <!-- Chat: left -->
                                    <li class="mb-3 d-flex flex-row align-items-end">
                                        <div class="max-width-70">
                                            <div class="user-info mb-1">
                                                <p class="mb-0 fw-bold">{{$case->owner->fullName}}</p>
                                                <span class="text-muted small">{{date('h:i A',strtotime($case->created_at))}}, {{easyDate($case->created_at)}}</span>
                                            </div>
                                            <div class="card p-3">
                                                <div class="message">
                                                    {!! $case->description !!}
                                                    <br>
                                                    @if($case->file_upload != null)
                                                        <a target="_blank" href="{{ route('download-file',['file_path'=>$case->file_upload]) }}"> <i class="icon-paper-clip"></i> {{ __('Download attachment') }}</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                    @foreach($comments as $comment)
                                        @if(!$comment->isMyResponse())
                                            <!-- Chat: left -->
                                            <li class="mb-3 d-flex flex-row align-items-end">
                                                <div class="max-width-70">
                                                    <div class="user-info mb-1">
                                                        <p class="mb-0 fw-bold">{{$comment->respond->fullName}}</p>
                                                        <span class="text-muted small">{{date('h:i A',strtotime($comment->created_at))}}, {{easyDate($comment->created_at)}}</span>
                                                    </div>
                                                    <div class="card p-3">
                                                        <div class="message">
                                                            @if(isset($comment->comment))
                                                                {!! $comment->comment !!}
                                                            @endif
                                                        </div>
                                                    </div>
                                                    @if($comment->attachment != null)
                                                        <a target="_blank" href="{{ route('download-file',['file_path'=>$comment->attachment]) }}"><span class="small"> <i class="icon-paper-clip"></i> {{ __('View attachment') }}</span></a>
                                                    @endif
                                                </div>
                                            </li>
                                        @else
                                            <!-- Chat: right -->
                                            <li class="mb-3 d-flex flex-row-reverse align-items-end">
                                                <div class="max-width-70 text-end">
                                                    <div class="user-info mb-1">
                                                        <span class="text-muted small">{{date('h:i A',strtotime($comment->created_at))}}, {{easyDate($comment->created_at)}}</span>
                                                    </div>
                                                    <div class="card border-0 p-3 bg-primary text-light">
                                                        <div class="message">
                                                            @if(isset($comment->comment))
                                                                {!! $comment->comment !!}
                                                            @endif
                                                        </div>
                                                    </div>
                                                    @if($comment->attachment != null)
                                                        <a target="_blank" href="{{ route('download-file',['file_path'=>$comment->attachment]) }}"><span class="small"> <i class="icon-paper-clip"></i> {{ __('View attachment') }}</span></a>
                                                    @endif
                                                </div>
                                            </li>
                                        @endif
                                    @endforeach
                                </ul>
                            </div>
                            <!-- Chat: Footer -->
                            <div class="py-xl-3 py-2 px-xxl-5 px-lg-4 px-3 chat-msg">

                                @if(in_array($case->stage,['Open','Opened','Pending Review','Resolved']) && canDo('administrator|beneficiary','respond-to-case'))
                                    <form method="POST" action="{{ route('case.saveResponse',[cryptThis($case->id)]) }}" enctype="multipart/form-data">
                                        <div class="input-group">
                                            <div class="btn btn-link file-input text-decoration-none">
                                                <input type="file" class="form-control" name="file_input" id="file-input">
                                                <label for="file-input" class="fa fa-paperclip"></label>
                                            </div>
                                            @csrf
                                            <input type="text" class="form-control bg-transparen border-0" required name="response" id="response" placeholder="Enter comment here...">
                                            <button class="btn bg-secondary text-light text-uppercase" type="submit">Send</button>
                                        </div>
                                        @if ($errors->has('response'))
                                            <span class="text-danger form-text">{{ $errors->first('response') }}</span>
                                        @endif
                                    </form>
                                @endif
                            </div>
                        </div>
{{--                        @endif--}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
