<div class="row">
    <div class="col-12">
        <h6 class="card-title">{{ __('Complainant') }}</h6>
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <input type="text" class="form-control" required name="name" id="name" value="{{$name}}">
            <label for="name">{{ __('Full Name') }}<span class="required">*</span></label>
        </div>
        @if ($errors->has('name'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('name') }}</span>
            </p>
        @endif
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <input type="text" class="form-control" required name="contact" id="contact" value="{{$contact}}">
            <label for="contact">{{ __('Contact') }}<span class="required">*</span></label>
        </div>
        @if ($errors->has('contact'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('contact') }}</span>
            </p>
        @endif
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <input type="text" class="form-control" name="reference" id="reference" value="{{$reference}}">
            <label for="reference">{{ __('Reference') }}</label>
        </div>
        @if ($errors->has('reference'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('reference') }}</span>
            </p>
        @endif
    </div>
    <div class="col-12 mt-3">
        <h6 class="card-title">{{ __('Case') }}</h6>
    </div>
    <div class="col-md-8 mb-3">
        <div class="form-floating">
            <input type="text" class="form-control" name="title" id="title" value="{{$title}}">
            <label for="title">{{ __('Case Title') }}<span class="required">*</span></label>
        </div>
        @if ($errors->has('title'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('title') }}</span>
            </p>
        @endif
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <select name="category" id="category" class="form-select" required>
                <option value="">-- Choose --</option>
                @foreach(getCaseCategories() as $key=>$name)
                    <option value="{{$key}}" @if($category == $key) selected @endif>
                        {{$name}}
                    </option>
                @endforeach
            </select>
            <label for="category">{{ __('Category') }}<span class="required">*</span></label>
        </div>
        @if ($errors->has('category'))
            <span class="text-warning form-text">{{ $errors->first('category') }}
                                    </span>
        @endif
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <select name="type" id="type" class="form-select" required>
                <option value="">-- Choose --</option>
                @foreach(getCaseTypes() as $key=>$name)
                    <option value="{{$key}}" @if($type == $key) selected @endif>
                        {{$name}}
                    </option>
                @endforeach
            </select>
            <label for="type">{{ __('Type') }}</label>
        </div>
        @if ($errors->has('type'))
            <span class="text-warning form-text">{{ $errors->first('type') }}
                                    </span>
        @endif
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <select name="severity" id="severity" class="form-select" required>
                @foreach(config('settings.severity') as $key=>$value)
                    <option value="{{$value}}" @if($severity == $value) selected @endif>{{$value}}</option>
                @endforeach
            </select>
            <label for="severity">{{ __('Severity Level') }}<span class="required">*</span></label>
        </div>
        @if ($errors->has('severity'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('severity') }}</span>
            </p>
        @endif
    </div>
    <div class="col-md-4 mb-3">
        <div class="form-floating">
            <input type="text" class="form-control" name="beneficiary" id="beneficiary" value="{{$beneficiary_id}}">
            <label for="beneficiary">{{ settings()->get('applicant_title','applicant') }} ID</label>
        </div>
        @if ($errors->has('beneficiary'))
            <span class="text-warning form-text">{{ $errors->first('beneficiary') }}
                                    </span>
        @endif
    </div>
    <div class="col-md-12 mb-3">
        <div class="form-floating">
            <textarea name="description" id="description" required class="form-control" style="height:200px">{!! $description !!}</textarea>
            <label for="description">{{ __('Description') }}<span class="required">*</span></label>
        </div>
        @if ($errors->has('description'))
            <span class="text-warning form-text">{{ $errors->first('description') }}
                                        </span>
        @endif
    </div>
    <div class="col-md-5 mb-3">
        <input type="file" class="form-control" name="file_upload" id="file_upload">
        @if ($errors->has('file_upload'))
            <span class="text-warning form-text">{{ $errors->first('file_upload') }}
                                        </span>
        @endif
    </div>
    <div class="col-md-5 mb-3">
        <button type="submit" class="btn btn-primary"><i class="fa fa-paper-plane mx-1"></i> {{ __('Save') }}</button>
        <a href="{{ route('case.list') }}" class="btn btn-link text-danger">{{ __('Cancel') }}</a>
    </div>
</div>
