<x-beneficiary-layout>

    <div class="section call-action-6 bg-dark">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="subscribe py-4">
                        <h3 class="color-fff">{{__('My Surveys')}}</h3>
                        <span class="lead text-light">Enjoy our service! Contact us if you need any assistance. <br>
                                        Have a nice day!</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        @component('components.announcement')@endcomponent
    </div>
    <div class="section call-action-6 my-3">
        <div class="container">
            <div class="row g-3">
                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 40px">#</th>
                                <th>Survey Title</th>
                                <th style="width: 100px">Status</th>
                                <th style="width: 100px">Submission Period</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php
                                $count=1;
                            @endphp
                            @forelse($surveys as $survey)
                                <tr>
                                    @php
                                        $completed = false;
                                        $entry = null;
                                        if (isset($survey->surveyEntries[0])){
                                            $completed = true;
                                            $entry = $survey->surveyEntries[0];
                                        }
                                    @endphp
                                    <td>{{$count++}}</td>
                                    <td>{{$survey->title}}</td>
                                    <td>
                                        @if($completed)
                                            <a href="{{route('customer.viewSurveyEntry',[$entry])}}"
                                               class="text-success">
                                                {{__('Completed on ').date('d M Y', strtotime($entry->created_at))}}</a>
                                        @else
                                            @if(strtotime($survey->end_date) >= strtotime(date('Y-m-d')))
                                                <a href="{{route('customer.newEntry',[$survey])}}"
                                                   class="text-primary">{{__('Take Survey')}}</a>
                                            @else
                                                <span class="text-danger">{{__('Overdue')}}</span>
                                            @endif
                                        @endif
                                    </td>
                                    <td>{{date('d M Y',strtotime($survey->start_date))." - ".date('d M Y',strtotime($survey->end_date))}}</td>
                                    {{--                                        <td>{{date('D, dS F Y',strtotime($survey->created_at))}}</td>--}}
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">
                                        <x-no-data-sm></x-no-data-sm>
                                    </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>
                    {{$surveys->links()}}
                </div>
            </div>
        </div>
    </div>

</x-beneficiary-layout>
