<x-beneficiary-layout>

    <div class="section call-action-6 bg-dark mb-5">
        <div class="container">
            <div class="row">
                <div class="col-12 px-3 px-lg-5">
                    <div class="subscribe py-4" style="max-width: 70%;">
                        <h3 class="color-fff">{{__('View Application')}}</h3>
                        <span class="lead text-light">{{__('Check out my application details and status.')}}</span>
                    </div>
                </div>
            </div> <!-- .row end -->
        </div>
    </div>

    <div class="container">
        @component('components.announcement')@endcomponent
    </div>

    <div class="container">
        <div class="row g-3 row-dec mb-5">
            <div class="col-lg-3 col-md-6">
                @include('customers.profile-details')
            </div>
            <div class="col-lg-6 col-md-6">
                <div class="mb-3">
                    <div class="card">
                        <div class="card-body">
                            <p><span class="fw-bold">{{__('Applied Benefit')}}</span><br>
                                <span class="fw-light">{{$application->benefit->titles}} {{__('by')}} {{$application->addedBy?->fullName}}</span>
                            </p>
                            <div class="mt-1">
                                <div class="card bg-body my-4 p-3 d-flex flex-row">
                                    <div class="flex-fill">
                                        <div class="flex mb-2 justify-between items-center">
                                            <strong>{{__('Permanent Address')}}</strong>
                                        </div>
                                        <div class="flex mb-2 justify-between items-center">
                                            @php
                                                $info = getDefaultPostal($applicant->id);
                                            @endphp
                                            @if($info)
                                                <span>{{$info->postal_address.", "}}</span><br>
                                                <span>{{$info->village.", ".$info->island}}</span>
                                            @else
                                                <span>{{__('No Information')}}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="flex-fill">
                                        <div class="flex mb-2 justify-between items-center">
                                            <strong>{{__('Current Residence')}}</strong>
                                        </div>
                                        <div class="flex mb-2 justify-between items-center">
                                            @php
                                                $info = getDefaultResidence($applicant->id);
                                            @endphp
                                            @if($info)
                                                <span>{{$info->address.", "}}</span><br>
                                                <span>{{$info->village.", ".$info->island}}</span>
                                            @else
                                                <span>{{__('No Information')}}</span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-5">
                                {!! $channel !!}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h6 class="mb-4">Reporter Information</h6>
                            <div class="table-responsive">
                                <table class="table card-table table-sm table-nowrap mb-0">
                                    <tbody>
                                    <tr>
                                        <td style="width:200px"><strong>Identification Type</strong></td>
                                        <td>{{$application->reporter_id_type}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Full Name</strong></td>
                                        <td>{{$application->reporter_surname.' '.$application->reporter_first_name}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Contact</strong></td>
                                        <td>{{$application->reporter_contact}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Relationship</strong></td>
                                        <td>{{$application->reporter_relationship}}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h6 class="mb-4">{{__('Documentations')}}</h6>
                            <div class="table-responsive">
                                <table class="table card-table table-sm table-nowrap mb-0">
                                    <tbody>
                                    @foreach ($used_documents as $document)
                                        <tr>
                                            <td>
                                                <a href="{{route('download-file',['file_path'=>$document->url])}}"
                                                   target="_blank">
                                                    <i class="fa fa-file"></i> Download {{$document->type}}</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="mb-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4">{{__('Application Processing History')}}</h6>
                                <ul class="timeline-activity list-unstyled mb-0">
                                    @foreach($application->applicationProcessings as $process)
                                        <li class="activity px-3 py-2 mb-1"
                                            data-date="{{easyDate($process->created_at)}}">
                                            <div class="fw-bold small d-flex justify-content-between align-items-center">{{$process->stage}}
                                                <x-approval-status status="{{$process->action}}"></x-approval-status>
                                            </div>
                                            <div>
                                                <small class="text-muted">{{$process->remarks}}</small><br>
                                                <small class="text-muted">Accessed via {{$process->access_type}}</small>
                                            </div>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

                <p class="text-center">
                    <a href="{{route('customer.profile')}}">{{__('Close')}}</a>
                </p>

            </div>
            <div class="col-lg-3 col-md-12">
                @include('customers.right-side-details')
            </div>
        </div> <!-- .row end -->
    </div>

</x-beneficiary-layout>
