@php
    $is_deployed = false;
    if ($deployment->status == 'Deployed') $is_deployed = true;
@endphp
<form action="{{ route('subscription.saveProjectSettings') }}" enctype="multipart/form-data" method="post">@csrf
    @if($deployment)<input type="hidden" name="deployment_id" value="{{ cryptThis($deployment->id) }}"> @endif
    <input type="hidden" name="client_id" value="{{ cryptThis($client_id) }}">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-md-8">
                    <div class="row">
                        <div class="col-md-6 col-sm-12 mb-3">
                            <div class="form-floating">
                                <input type="text" name="app_project_name"  required id="app_project_name" class="form-control form-control-l"
                                       value="{{ (old('app_project_name'))?old('app_project_name'):$app_project_name }}" placeholder="Application Name">
                                <label class="text-muted">{{__('Project Name/Title')}} *</label>
                            </div>
                            @if ($errors->has('app_project_name'))
                                <div class="small text-warning">{{ $errors->first('app_project_name') }}</div>
                            @endif
                        </div>
                        <div class="col-md-6 col-sm-12 mb-3">
                            <div class="form-floating">
                                <input type="text" @disabled(true) class="form-control form-control-l" value="{{$app_owner}}">
                                <label class="text-muted">{{__('Organization')}}</label>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-12 mb-3">
                            <div class="form-floating">
                                <input type="email" name="app_email" required id="app_email" class="form-control form-control-l"
                                       value="{{ (old('app_email'))?old('app_email'):$app_email }}" placeholder="Project Email">
                                <label class="text-muted">{{__('Project Email')}} *</label>
                            </div>
                            @if ($errors->has('app_email'))
                                <div class="small text-warning">{{ $errors->first('app_email') }}</div>
                            @endif
                        </div>
                        <div class="col-md-6 mb-3">
                            <div class="form-floating">
                                <select @disabled(true) class="form-select">
                                    <option value="">-- {{__('Choose Scheme')}} --</option>
                                    @foreach(config('settings.project_module') as $key=>$value)
                                        <option value="{{$value}}" {{ ($app_project_module == $value)?'selected':'' }}>{{ $value }}</option>
                                    @endforeach
                                </select>
                                <label for="app_project_module">{{__('Scheme Classification')}}</label>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6 mb-3">
                            <div class="form-floating">
                                <select name="language" id="language" required class="form-select">
                                    @foreach (config('settings.languages') as $language=>$code )
                                        <option value="{{$language}}" @if($default_language == $language) @endif>{{$language}}</option>
                                    @endforeach
                                </select>
                                <label class="text-muted">{{__('Default language')}} *</label>
                            </div>
                        </div>

                        <div class="col-md-6 col-sm-12 mb-3">
                            <div class="form-floating">
                                <input type="text" required @disabled(true) class="form-control"
                                       value="{{ $app_deployment_date }}">
                                <label class="text-muted">{{__('Start Date')}}</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <input type="file" name="app_logo" id="dropify-event" class="dropify" data-default-file="{{asset($app_logo)}}">

                    @if ($errors->has('app_logo'))
                        <div class="small text-warning">{{ $errors->first('app_logo') }}</div>
                    @endif
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-md-4 col-sm-6 mb-3">
                    <div class="form-floating">
                        <select name="app_country" id="app_country" required class="form-select form-control-l" placeholder="{{__('Select Country')}}">
                            <option></option>
                            @foreach(getCountries() as $country)
                                <option value="{{$country['id']}}" {{ ($country['id'] == $app_country)?'selected':'' }}>{{ $country['country_name'] }}</option>
                            @endforeach
                        </select>
                        <label class="text-muted">{{__('Country')}} *</label>
                    </div>
                    @if ($errors->has('app_country'))
                        <div class="small text-warning">{{ $errors->first('app_country') }}</div>
                    @endif
                </div>
                <div class="col-md-4 col-sm-6 mb-3">
                    <div class="form-floating">
                        <select name="app_main_currency" id="app_main_currency" required class="form-select form-control-l" placeholder="Select Currency">
                            <option></option>
                            @foreach(getCountries() as $currency)
                                <option value="{{$currency['id']}}" {{ ($currency['id'] == $app_country)?'selected':'' }}>{{ \Illuminate\Support\Str::title($currency['currency_name']) }} - {{ $currency['currency_code'] }}</option>
                            @endforeach
                        </select>
                        <label class="text-muted">{{__('Currency')}} *</label>
                    </div>
                    @if ($errors->has('app_main_currency'))
                        <div class="small text-warning">{{ $errors->first('app_main_currency') }}</div>
                    @endif
                </div>

                <div class="col-md-4 col-sm-12 mb-3">
                    <div class="form-floating">
                        <input class="form-control form-control-l" required id="app_contact" name="app_contact" inputmode="text" value="{{ (old('app_contact'))?old('app_contact'):$app_contact }}">
                        <label class="text-muted">{{__('Contact')}} <span id="call_code"> ({{$app_call_code}})</span> *</label>
                    </div>
                    @if ($errors->has('app_contact'))
                        <div class="small text-warning">{{ $errors->first('app_contact') }}</div>
                    @endif
                </div>

                <div class="col-md-8 col-sm-12 mb-3">
                    <div class="form-floating">
                        <textarea rows="6" style="height: 100px" name="app_description" id="app_description" class="form-control form-control-l"
                                  placeholder="Description">{{ (old('app_description'))?old('app_description'):$app_description }}</textarea>
                        <label class="text-muted">{{__('Description')}}</label>
                    </div>
                    @if ($errors->has('app_description'))
                        <div class="small text-warning">{{ $errors->first('app_description') }}</div>
                    @endif
                </div>
                <div class="col-md-4 col-sm-12 mb-3">
                    <div class="form-floating">
                        <textarea rows="6" style="height: 100px" name="app_address" id="app_address" class="form-control form-control-l"
                                  placeholder="Address">{{ (old('app_address'))?old('app_address'):$app_address }}</textarea>
                        <label class="text-muted">{{__('Address')}}</label>
                    </div>
                    @if ($errors->has('app_address'))
                        <div class="small text-warning">{{ $errors->first('app_address') }}</div>
                    @endif
                </div>
            </div>
        </div>
        <div class="card-footer text-end">
            <button class="btn btn-l btn-light me-2" type="reset">{{__('Discard')}}</button>
            <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane mx-2"></i> {{__('Save')}}</button>
        </div>
    </div>
</form>

@if(false)
    <div class="row g-3 mt-4">
        <div class="col-12">
            <div id="holding" class="card fieldset border border-muted mt-0">
                <!-- form: profile details -->
                <span class="fieldset-tile text-muted bg-body">Terminology:</span>
                <form action="{{ route('subscription.saveTerms') }}" enctype="multipart/form-data" method="post">@csrf
                    <div class="card">
                        <div class="card-body">
                            <p>Please provide the information for the following</p>
                            <div class="row mb-3">
                                @foreach(config('settings.contentConfig') as $key=>$config)
                                    @if($config == 'text')
                                        <div class="col-md-4 col-sm-12 mb-3">
                                            <div class="form-floating">
                                                <input type="text" name="{{$key}}"  required id="{{$key}}" class="form-control"
                                                       value="{{ (old($key))?old($key):settings()->get($key) }}" placeholder="{{Str::headline($key)}}">
                                                <label class="text-muted">{{Str::headline($key)}}</label>
                                            </div>
                                        </div>
                                    @elseif($config == 'description')
                                        <div class="col-md-8 col-sm-12 mb-3">
                                            <div class="form-floating">
                                                <input type="text" name="{{$key}}"  required id="{{$key}}" class="form-control"
                                                       value="{{ (old($key))?old($key):settings()->get($key) }}" placeholder="{{Str::headline($key)}}">
                                                <label class="text-muted">{{Str::headline($key)}}</label>
                                            </div>
                                        </div>
                                    @endif
                                @endforeach
                            </div>
                        </div>
                        <div class="card-footer text-end">
                            <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                            <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane mx-2"></i> Save</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endif
