<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Deployments</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('subscription.list') }}">Subscriptions</a></li>
            <li class="breadcrumb-item active" aria-current="page">Preferences</li>
        </ol>
    </x-slot>

        <!-- form: profile details -->
        @php
            $app_logo = $app_project_name = $app_owner = $app_email =
            $app_contact =
            $app_description = $app_address = $app_linkedIn_url = $app_twitter_url = $app_facebook_url = $app_whatsApp_url =
            $app_copyright = $app_deployment_date = null;
            $app_country = env('DEFAULT_COUNTRY_ID');
            $app_call_code = env('DEFAULT_CALL_CODE');
            $app_project_module = $app_business_type = $language = null;

            if (!is_null($deployment)) {
                $default_language = $deployment->language;
                $domain = $deployment->domain;
                $app_logo = getDeploymentConfig($deployment,'logo');
                $app_project_name = getDeploymentConfig($deployment,'name');
                $app_business_type = $deployment->client->field;
                $app_owner = $deployment->client->name;
                $app_email = getDeploymentConfig($deployment,'email');
                $app_country = getDeploymentConfig($deployment,'country_id');
                $app_call_code = getDeploymentConfig($deployment,'call_code', env('DEFAULT_CALL_CODE'));
                $app_contact = getDeploymentConfig($deployment,'contact');
                $app_description = getDeploymentConfig($deployment,'description');
                $app_address = getDeploymentConfig($deployment,'address');
                $app_project_module = getDeploymentConfig($deployment,'module');
                $app_deployment_date = getDeploymentConfig($deployment,'deployment_date');
//                $app_linkedIn_url = getDeploymentConfig($deployment,'app_linkedIn_url');
//                $app_twitter_url = getDeploymentConfig($deployment,'app_twitter_url');
//                $app_facebook_url = getDeploymentConfig($deployment,'app_facebook_url');
//                $app_whatsApp_url = getDeploymentConfig($deployment,'app_whatsApp_url');
//                $app_copyright = getDeploymentConfig($deployment,'copyright');
            }
        @endphp
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">
                    <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex mb-3" role="tablist">
                        <li class="nav-item" role="presentation"><a class="nav-link active" data-bs-toggle="tab" href="#subscription" role="tab" aria-selected="true" tabindex="-1">{{__('Subscription')}}</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" data-bs-toggle="tab" href="#preferences-tab" role="tab" aria-selected="false">{{__('Preferences')}}</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" data-bs-toggle="tab" href="#billing" role="tab" aria-selected="false" tabindex="-1">{{__('Billing')}}</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" data-bs-toggle="tab" href="#plans" role="tab" aria-selected="false" tabindex="-1">{{__('Pricing')}}</a></li>
                    </ul>
                    <div class="card mb-3">
                        <div class="card-body">
                            <div class="tab-content">
                                <div class="tab-pane fade show active" id="subscription" role="tabpanel">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="card mb-3">
                                                        <div class="card-body d-flex align-items-center">
                                                            <div class="avatar rounded-circle no-thumbnail xlg bg-light"><i class="bi-person-badge-fill fs-3"></i></div>
                                                            <div class="flex-fill ms-3 text-truncate">
                                                                <div class="small text-uppercase">Membership</div>
                                                                <div><span class="h6 mb-0 fw-bold">{{easyCount($deployment->applicants_count)}}</span></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card mb-3">
                                                        <div class="card-body d-flex align-items-center">
                                                            <div class="avatar rounded-circle no-thumbnail xlg bg-light"><i class="bi-people-fill fs-3"></i></div>
                                                            <div class="flex-fill ms-3 text-truncate">
                                                                <div class="small text-uppercase">Users</div>
                                                                <div><span class="h6 mb-0 fw-bold">{{easyCount($deployment->users_count)}}</span></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card mb-3">
                                                        <div class="card-body d-flex align-items-center">
                                                            <div class="avatar rounded-circle no-thumbnail xlg bg-light"><i class="bi-basket2-fill fs-3"></i></div>
                                                            <div class="flex-fill ms-3 text-truncate">
                                                                <div class="small text-uppercase">Benefits</div>
                                                                <div><span class="h6 mb-0 fw-bold">{{easyCount($deployment->benefits_count)}}</span></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card mb-3">
                                                        <div class="card-body d-flex align-items-center">
                                                            <div class="avatar rounded-circle no-thumbnail xlg bg-light"><i class="bi-clipboard-check fs-3"></i></div>
                                                            <div class="flex-fill ms-3 text-truncate">
                                                                <div class="small text-uppercase">Applications</div>
                                                                <div><span class="h6 mb-0 fw-bold">{{easyCount($deployment->applications_count)}}</span></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="card mb-3">
                                                        <div class="card-body d-flex align-items-center">
                                                            <div class="avatar rounded-circle no-thumbnail xlg bg-light"><i class="bi-list-ul fs-3"></i></div>
                                                            <div class="flex-fill ms-3 text-truncate">
                                                                <div class="small text-uppercase">Cases</div>
                                                                <div><span class="h6 mb-0 fw-bold">{{easyCount($deployment->cases_count)}}</span></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-7">
                                            @if($plan)
                                                <div class="col-12">
                                                    <div class="card mb-5">
                                                        <div class="card-body">
                                                            <h5 class="mb-2">{{__('Current Subscription Plan')}}</h5>
                                                            <h6 class="mb-2">{{$plan->name}}</h6>

                                                            <p>{{$plan->description}}</p>
                                                            <div class="pt-2 pb-3"><span class="fs-4 me-1 fw-bold text-primary">{{$plan->price}}</span><span>/{{$plan->invoice_interval}}</span></div>
                                                            <div class="row">
                                                                @foreach($plan->features as $feature)
                                                                    <div class="col-md-4 mb-2">
                                                                        <i class="bi-check-circle-fill text-success me-2"></i> {{Str::headline($feature->name)}}
                                                                    </div>
                                                                @endforeach
                                                            </div>
                                                            <p class="text-muted small mt-3 m-0"><i class="bi-arrow-repeat me-1"></i>
                                                                {{__('Your payment method will be charged automatically per each billing period')}}</p>
{{--                                                            <a data-bs-toggle="tab" href="#plans" class="btn btn-danger text-uppercase mt-4">--}}
{{--                                                                <small>{{__('Change Subscription Plan')}}</small> </a>--}}
                                                            {{--                                        <a href="{{route('plan.editPlan',[$plan->slug])}}" class="btn btn-danger text-uppercase mt-4">--}}
                                                            {{--                                            <small>{{__('Change Subscription Plan')}}</small> </a>--}}
                                                        </div>
                                                    </div>
                                                </div>
                                            @else
                                                <div class="col-12">
                                                    <div class="card mb-5">
                                                        <div class="card-body">
                                                            <h5 class="mb-2">
                                                                <span class="text-danger fw-light">{{__('No active plan')}}</span></small>
                                                            </h5>
                                                            <p class="text-muted">
                                                                {{__('It looks like you do not have an active subscription.
You may choose one of the subscription plans below to get started. Subscription plans may be changed or cancelled at your convenience.')}}
                                                            </p>
                                                            @if(!$plan && !is_null($deployment->package))
                                                                <button type="button" data-bs-target="#renewSubscription" data-bs-toggle="modal" class="btn btn-success text-uppercase me-3">
                                                                    <small>{{__('Renew Subscription')}}</small> </button>
                                                                <button type="button" data-bs-target="#changePlan" data-bs-toggle="modal" class="btn btn-primary text-uppercase">
                                                                    <small>{{__('Change Plan')}}</small> </button>
                                                            @else
                                                                <a href="{{route('client.plans')}}" class="btn btn-primary text-uppercase">
                                                                    <small>{{__('Subscribe')}}</small> </a>
                                                            @endif

                                                        </div>
                                                    </div>
                                                </div>
                                            @endif
                                        </div>
                                    </div>

                                </div>
                                <div class="tab-pane fade" id="preferences-tab" role="tabpanel">
                                    @include('deployment.settings-form')

                                    <div class="mt-4">
                                    @include('deployment.id-gen-form')
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="billing" role="tabpanel">
                                    <div class="row mt-3 row-deck">
                                        <div class="col-md-4">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="alert alert-info rounded mb-3">
                                                        <p class="m-0">Managing Billing for <strong class="fw-bolder">{{$deployment->name}}</strong></p>
                                                    </div>

                                                    <p>{{__('Our billing management portal allows you to conveniently manage your subscription plan,
                            payments methods and download your recent receipts')}}</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-1"></div>
                                        <div class="col-md-7">
                                            <div class="row">
                                                <div class="col-12">
                                                    <h5 class="mb-2">{{__('Payment Methods')}}</h5>
                                                    <div class="card mb-5">
                                                        <div class="card-body">
                                                            <div class="card">
                                                                <div class="d-flex p-2 border-1">
                                                                    <i class="bi-credit-card fs-4"></i>
                                                                    <div class="flex-fill ms-3">
                                            <span> Visa
                                                <i class="bi-circle-fill" style="font-size: 0.5rem; margin-left: 20px"></i>
                                                <i class="bi-circle-fill" style="font-size: 0.5rem"></i>
                                                <i class="bi-circle-fill" style="font-size: 0.5rem"></i>
                                                7760</span>
                                                                        <div><small class="text-muted">Expires Dec 2026</small></div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <button href="#" class="btn btn-danger text-uppercase mt-4">
                                                                <small>{{__('Add Payment method')}}</small> </button>
                                                        </div>
                                                    </div>
                                                </div>
                                                @if($plan)
                                                    <div class="col-12">
                                                        <h5 class="mb-2">{{__('Apply Coupon')}}</h5>
                                                        <form action="#">
                                                            <div class="card mb-5">
                                                                <div class="card-body">
                                                                    <div class="row">
                                                                        <label for="{{__('Coupon')}}" class="col-sm-4 col-form-label">{{__('Coupon')}}</label>
                                                                        <div class="col-sm-8">
                                                                            <input type="text" name="coupon" class="form-control"
                                                                                   placeholder="{{__('Coupon')}}" id="{{__('Coupon')}}">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card-footer text-end">
                                                                    <button href="#" class="btn disabled btn-danger text-uppercase">
                                                                        <small>{{__('Apply')}}</small> </button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                @endif
                                                <div class="col-12">
                                                    <h5 class="mb-2">{{__('Billing Information')}}</h5>
                                                    <form action="#">
                                                        <div class="card mb-5">
                                                            <div class="card-body">
                                                                <p class="text-muted">
                                                                    {{__('If you want to add specific contact of tax information to your receipts, like your full
                        business name, VAT Identification number, or address of record, you may add it here.')}}
                                                                </p>
                                                                <div class="row">
                                                                    <label for="extra-billing-info" class="col-sm-4 col-form-label">{{__('Extra billing information')}}</label>
                                                                    <div class="col-sm-8">
                                                <textarea type="text" style="height: 100px" name="coupon" class="form-control"
                                                          placeholder="{{__('Extra billing information')}}" id="extra-billing-info"></textarea>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="card-footer text-end">
                                                                <button href="#" class="btn btn-danger text-uppercase">
                                                                    <small>{{__('Update')}}</small> </button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="col-12">
                                                    <h5 class="mb-2">{{__('Receipt Email Addresses')}}</h5>
                                                    <form action="#">
                                                        <div class="card mb-5">
                                                            <div class="card-body">
                                                                <p class="text-muted">
                                                                    {{__('We will send a receipt download link to the email addresses that you specify below.
                                                                    You may separate multiple email addresses using commas.')}}
                                                                </p>
                                                                <div class="row">
                                                                    <label for="emails" class="col-sm-4 col-form-label">{{__('Email Addresses')}}</label>
                                                                    <div class="col-sm-8">
                                                                        <input type="text" name="emails" class="form-control"
                                                                               placeholder="" id="emails">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="card-footer text-end">
                                                                <button href="#" class="btn btn-danger disabled text-uppercase">
                                                                    <small>{{__('Save')}}</small> </button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                                @if($plan)
                                                    <div class="col-12">
                                                        <h5 class="mb-2">{{__('Payments')}}</h5>
                                                        <div class="card mb-5">
                                                            <div class="card-body">
                                                                <p class="text-muted">
                                                                    {{__('Next Payment on.')}} {{date('F d, Y')}}
                                                                </p>
                                                                <h3>{{$plan->price}}</h3>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <h5 class="mb-2">{{__('Cancel Subscription')}}</h5>
                                                        <div class="card mb-5">
                                                            <div class="card-body">
                                                                <p class="text-muted">
                                                                    {{__('You may cancel your subscription at any time. Once your subscription has been cancelled,
                                                                    you will have the option to resume the subscription until the end of the current billing cycle.')}}
                                                                </p>
                                                                <button href="#" class="btn btn-danger text-uppercase">
                                                                    <small>{{__('Cancel Subscription')}}</small> </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endif

                                                <div class="col-12">
                                                    <h5 class="mb-2">{{__('Receipts')}}</h5>
                                                    <div class="card mb-5">
                                                        <div class="card-body">
                                                            <div class="table-responsive">
                                                                <table class="table card-table table-nowrap mb-0">
                                                                    <tbody>
                                                                    <tr>
                                                                        <td>September 06,2022</td>
                                                                        <td>$350</td>
                                                                        <td><span class="badge bg-success">New</span></td>
                                                                        <td>
                                                                            <strong class="text-danger">
                                                                                <a href="#"><i class="bi-download"></i></a>
                                                                            </strong>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>April 06,2022</td>
                                                                        <td>$350</td>
                                                                        <td><span class="badge bg-success">New</span></td>
                                                                        <td>
                                                                            <strong class="text-danger">
                                                                                <a href="#"><i class="bi-download"></i></a>
                                                                            </strong>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>March 06,2022</td>
                                                                        <td>$350</td>
                                                                        <td><span class="badge bg-success">New</span></td>
                                                                        <td>
                                                                            <strong class="text-danger">
                                                                                <a href="#"><i class="bi-download"></i></a>
                                                                            </strong>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>February 06,2022</td>
                                                                        <td>$350</td>
                                                                        <td><span class="badge bg-success">New</span></td>
                                                                        <td>
                                                                            <strong class="text-danger">
                                                                                <a href="#"><i class="bi-download"></i></a>
                                                                            </strong>
                                                                        </td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="plans" role="tabpanel">

                                    <div class="row">
                                        @php
                                            if(isset($country_pricing->currency->currency_code)) {
                                                $currency_code = $country_pricing->currency->currency_code;
                                            }
                                            else {
                                                $currency_code = env('DEFAULT_CURRENCY_CODE');
                                            }
//                                                dd($currency_code);
                                        @endphp

                                        @foreach($plans as $plan)
                                            @continue($plan->isFree())
                                            @php
                                                if(isset($country_pricing->planPricing))
                                                    {
                                                        $pricing = $country_pricing->planPricing?->where('plan_id','=',$plan->id)->pluck('pricing')->first();
                                                        if (is_null($pricing)) $pricing = $plan->price;
                                                    }
                                                else
                                                    {$pricing = $plan->price;}
                                                @endphp
                                                <div class="col-12">
                                                    <div class="card mb-5">
                                                        <div class="card-body">
                                                            {{--                                                    <h5 class="mb-2">{{__('Current Subscription Plan')}}</h5>--}}
                                                            <h6 class="mb-2">{{$plan->name}}</h6>

                                                            <p>{{$plan->description}}</p>
                                                            <div class="pt-2 pb-3"><span class="fs-4 me-1 fw-bold text-primary">{{$pricing}} <small>{{$currency_code}}</small> </span><span>/{{$plan->invoice_interval}}</span></div>
                                                            <div class="row">
                                                                @foreach($plan->features as $feature)
                                                                    <div class="col-md-4 mb-2">
                                                                        <i class="bi-check-circle-fill text-success me-2"></i> {{Str::headline($feature->name)}}
                                                                    </div>
                                                                @endforeach
                                                            </div>
                                                            <a href="{{route('client.plans')}}" class="btn btn-danger text-uppercase mt-4">
                                                                <small>{{__('Subscribe')}}</small> </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('vendor-scripts')
    @endpush
    @push('scripts')
            <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/inputmask.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/dropify.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/deployment-form.js') }}"></script>
            <script>
                const COUNTRYDATA = "{{route('countryData')}}";
            </script>
    @endpush
</x-app-layout>
