<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Duplicate Detection</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Duplicate Detection</h1>
                <!--<small class="text-muted">Provisional duplicate detection</small>-->
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                {{-- <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" name="refId" id="refId" class="form-control" placeholder="Reference Number"
                                    value="{{request()->get('refId')}}">
                                    
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{route('applicant.duplicateDetection')}}" class="btn btn-light-primary" ><i class="bi-arrow-repeat"></i></a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div> --}}
                <div class="col-12" id="showResultsArea" style="min-height: 300px">
                    
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="EditroleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="edit-form-container">

                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            // $('#myDataTable_no_filter').addClass('nowrap').dataTable({
            //     responsive: false,
            //     searching: false,
            //     paging: false,
            //     ordering: false,
            //     info: false,
            // });

            $('document').ready(function() {
                showResults();
            });

            function showResults() {
                var path = "{{route('applicant.getDuplicates')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {name: 'load'},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#showResultsArea').empty();
                        $('#showResultsArea').html(data.view);
                    },
                    complete: function () {
                        $.getScript("{{ asset('assets/js/custom.js') }}", function () {
                        });
                    },
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
