<x-app-layout>
    @push('vendor-css')
        <style>
            .table.table-sm td{
                padding: 0.5rem;
            }
        </style>
    @endpush
    <x-slot name="page_title">
        {{ __('New Email Templates') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('settings.email_templates') }}" class="text-muted">{{ __('Email Templates') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
            <a href="" class="text-muted">{{ __('New Email Templates') }}</a>
            </li>
        </ul>
    </x-slot>

    <a href="{{route('settings.email_templates')}}" class="btn btn-info mb-3"><i class="la la-mail-bulk"></i> {{ __('See Templates') }}</a>

    <div class="row">
        <div class="col-md-4">
{{--            <a href="{{route('email_templates')}}" class="btn btn-secondary square mb-1"><i class="ft-mail"></i> See Templates</a>--}}
            <div class="card">
                <div class="card-header">{{ __('Variable Options') }}</div>
                <div class="card-body">
                    <table class="table table-bordered table-sm">
                        <tr>
                            <td><strong>[name]</strong> - {{ __('Recipient Name') }}</td>
                        </tr>
                        <tr>
                            <td><strong>[email]</strong> - {{ __('Recipient Email') }}</td>
                        </tr>
                        @foreach($roles as $role)
                        <tr>
                            <td><strong>[{{$role->name}}]</strong> - {{$role->display_name}} Email</td>
                        </tr>
                        @endforeach
                        <tr>
                            <td><strong>[application_type]</strong> - {{ __('Application Type') }}</td>
                        </tr>
                        <tr>
                            <td><strong>[additional_messages]</strong> - {{ __('Additional Message') }}</td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                    <h3 class="card-title">{{ __('Set Email Notification Template') }}</h3>
                    <div class="card-toolbar">
                        <a href="{{route('settings.email_templates.create')}}" class="btn btn-primary btn-sm mb-1 mr-3"><i class="la la-folder-plus"></i> {{ __('New Template') }}</a>
                    </div>
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ route('settings.email_templates.save') }}">
                        @csrf
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="title">{{ __('Template Description') }} <span class="required">*</span></label>

                                    <div>
                                        <input id="title" type="text" class="form-control{{ $errors->has('title') ? ' is-invalid' : '' }}"
                                               name="title" value="{{ old('title') }}" required autofocus>

                                        @if ($errors->has('title'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('title') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="subject">{{ __('Subject') }} <span class="required">*</span>
                                    <span class="form-text text-info">{{ __('This description may be used for a desktop notification') }}</span>
                                    </label>

                                    <div class="">
                                        <input id="subject" type="text" class="form-control{{ $errors->has('subject') ? ' is-invalid' : '' }}"
                                               name="subject" value="{{ old('subject') }}" required autofocus>

                                        @if ($errors->has('subject'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('subject') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="email_message">{{ __('Message') }}</label>
                                    <textarea name="message"  id="email_message" cols="30" rows="15"
                                              class="textarea form-control{{ $errors->has('message') ? ' is-invalid' : '' }}">{{ old('message') }}</textarea>
                                        @if ($errors->has('message'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('message') }}</strong>
                                            </span>
                                        @endif
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="active">{{ __('Receiver Type') }}</label>

                                    <div class="">
                                        <div class="d-inline-block custom-control custom-radio mr-1">
                                            <input type="radio" class="custom-control-input" required value="specific" onchange="email_type()" name="receiver_type" id="specific">
                                            <label class="custom-control-label" for="specific">{{ __('Specific Receiver(s)') }}</label>
                                        </div>
                                        {{--<div class="d-inline-block custom-control custom-radio mr-1">--}}
                                            {{--<input type="radio" class="custom-control-input" required value="specific_in_group" onchange="email_type()" name="receiver_type" id="specific_in_group">--}}
                                            {{--<label class="custom-control-label" for="specific_in_group">{{ __('Variable Receivers') }}</label>--}}
                                        {{--</div>--}}
                                        <div class="d-inline-block custom-control custom-radio mr-1">
                                            <input type="radio" class="custom-control-input" required value="group" onchange="email_type()" name="receiver_type" id="group">
                                            <label class="custom-control-label" for="group">{{ __('Group Receivers') }}</label>
                                        </div>
                                    </div>
                                    @if ($errors->has('receiver_type'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('receiver_type') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group" id="theGroup" style="display: none;">
                                    <label for="g_receivers">{{ __('Select Group') }}</label>
                                    <select name="g_receivers[]" id="g_receivers" multiple disabled="disabled" class="form-control select2" style="width: 100%;">
                                        <option value=""></option>
                                        @foreach($roles as $role)
                                            <option value="{{$role->id}}">{{$role->display_name}}</option>
                                        @endforeach
                                    </select>
                                    @if ($errors->has('g_receivers'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('g_receivers') }}</strong>
                                        </span>
                                    @endif
                                </div>
                                <div class="repeater-default" id="theSpecific" style="display: none;">
                                    <div data-repeater-list="s_receivers">
                                        <h6>{{ __('Receiver(s)') }}</h6>
                                        <div data-repeater-item>
                                            <div class="row">
                                                <div class="form-group mb-1 col-md-5">
                                                    <input type="text" class="form-control" name="r_name" id="r_name" placeholder="John Doe">
                                                </div>
                                                <div class="form-group mb-1 col-md-5">
                                                    <input type="email" class="form-control" name="r_email" id="r_email" placeholder="johndoe@mail.com">
                                                </div>
                                                <div class="form-group col-md-1 text-center mb-1">
                                                    <button type="button" class="btn btn-danger btn-icon" data-repeater-delete><i class="la la-trash"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <span data-repeater-create class="btn btn-outline-info">
                                            <i class="la la-plus"></i> {{ __('Add Receiver') }}
                                        </span>
                                    </div>
                                </div>
                                {{--<div class="repeater-default" id="theVarSpecific" style="display: none;">--}}
                                    {{--<div data-repeater-list="s_receivers">--}}
                                        {{--<h6>{{ __('Receiver(s)') }}</h6>--}}
                                        {{--<div data-repeater-item>--}}
                                            {{--<div class="row">--}}
                                                {{--<div class="form-group mb-1 col-md-5">--}}
                                                    {{--<input type="text" class="form-control" name="r_name" id="r_name" placeholder="[monitor]">--}}
                                                {{--</div>--}}
                                                {{--<div class="form-group mb-1 col-md-5">--}}
                                                    {{--<input type="text" class="form-control" name="r_email" id="r_email" placeholder="[monitor_email]">--}}
                                                {{--</div>--}}
                                                {{--<div class="form-group col-md-1 text-center mb-1">--}}
                                                    {{--<button type="button" class="btn btn-danger btn-icon" data-repeater-delete><i class="la la-trash"></i></button>--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                    {{--<div class="form-group">--}}
                                        {{--<span data-repeater-create class="btn btn-outline-info">--}}
                                            {{--<i class="la la-plus"></i> {{ __('Add Receiver') }}--}}
                                        {{--</span>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                @if ($errors->has('s_receivers'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('s_receivers') }}</strong>
                                    </span>
                                @endif
                            </div>

                            <div class="col-md-12">
                                <div class="repeater-default" id="theCc">
                                    <div data-repeater-list="cc_list">
                                        <h6>{{ __('Cc') }}</h6>
                                        <div data-repeater-item>
                                            <div class="row">
                                                <div class="form-group mb-1 col-md-5">
                                                    <input type="text" class="form-control" name="cc_name" id="cc_name" placeholder="John Doe or [name]">
                                                </div>
                                                <div class="form-group mb-1 col-md-5">
                                                    <input type="text" class="form-control" name="cc_email" id="cc_email" placeholder="johndoe@mail.com or [email]">
                                                </div>
                                                <div class="form-group col-md-1 text-center mb-1">
                                                    <button type="button" class="btn btn-danger btn-icon" data-repeater-delete><i class="la la-trash"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <span data-repeater-create class="btn btn-outline-info">
                                            <i class="la la-plus"></i> {{ __('Add Cc') }}
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <div class="">
                                        <button type="submit" class="btn btn-primary mr-2">
                                            {{ __('Save Template') }}
                                        </button>
                                        <a href="{{route('settings.email_templates')}}" class="btn btn-secondary left">
                                            {{ __('Back') }}
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <script src="{{ asset('assets/js/customjs/email-form-repeater.js') }}"></script>
        <script src="{{asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js')}}" type="text/javascript"></script>
        <script>
            $(function () {
                ClassicEditor.create( document.querySelector( '#email_message' ) );
            });
            $('document').ready(function () {
                email_type();

                $('.select2').select2({
                    placeholder: 'Choose',
                    allowClear: true
                });
            });

            function email_type() {
                var key = $("input[name='receiver_type']:checked").val();

                if (key === 'specific'){
                    $('#theSpecific').show();
                    $('input#s_receivers').prop("disabled",false);
                    $('#theGroup').hide();
                    // $('#theVarSpecific').hide();
                }
                else if (key === 'group'){
                    $('#theGroup').show();
                    $('select#g_receivers').prop("disabled",false);
                    $('#theSpecific').hide();
                    // $('#theVarSpecific').hide();
                }
                // else if (key === 'specific_in_group'){
                //     $('#theVarSpecific').show();
                //     $('select#s_receivers').prop("disabled",false);
                //     $('#theSpecific').hide();
                //     $('#theGroup').hide();
                // }
            }
        </script>
    @endpush
</x-app-layout>