<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Email Templates') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="#" class="text-muted">{{ __('Email Templates') }}</a>
            </li>
            {{--<li class="breadcrumb-item text-muted">--}}
                {{--<a href="" class="text-muted">{{ __($page_title) }}</a>--}}
            {{--</li>--}}
        </ul>
    </x-slot>
    <!--begin::Row-->

        <div class="row">
            <div class="col-md-12">
                <div class="card card-custom" id="action-card">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('List of Email Notification Templates') }}</h3>
                        <div class="card-toolbar">
                            <a href="{{route('settings.email_templates.create')}}" class="btn btn-primary btn-sm mb-1 mr-3"><i class="la la-folder-plus"></i> {{ __('New Template') }}</a>
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table table-bordered template-list">
                            <thead>
                            <tr>
                                <th scope="col">{{ __('Title') }}</th>
                                <th scope="col">{{ __('Receiver Type') }}</th>
                                <th scope="col" style="width: 80px">{{ __('Action') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($mails as $mail)
                                <tr>
                                    <td>
                                        {{ucwords($mail->title)}}
                                    </td>
                                    <td>{{ucwords(str_replace('_',' ',$mail->receiver_type))}}</td>
                                    <td class="text-center">
                                            <a href="{{route('settings.email_templates.edit',[$mail->id])}}" title="Edit" class="btn btn-secondary btn-icon mr-2">
                                                <i class="la la-edit"></i>
                                            </a>
                                            <a class="btn btn-danger btn-icon mr-2" href="{{ route('settings.email_templates.destroy',[$mail->id]) }}"
                                               onclick="event.preventDefault();
                                                       document.getElementById('delete-form-{{$mail->id}}').submit();" title="Delete">
                                                <i class="la la-trash"></i>
                                            </a>

                                            <form id="delete-form-{{$mail->id}}" action="{{ route('settings.email_templates.destroy',[$mail->id]) }}" method="POST" style="display: none;">
                                                @csrf {{method_field('DELETE')}}
                                            </form>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
<!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('.template-list').dataTable();
        </script>
    @endpush
</x-app-layout>