<div class="col-md-{{$form_field->column_size}}">
    @php
        $options = null;
        $auto_options = false;
        $checked = 'checked="checked"';
        $data_values = null;
        if(isset($form_data[$form_field->name])){
            $data_values = json_decode($form_data[$form_field->name]);
        }
    @endphp
    @if($form_field->has_auto_options == 1 && $form_field->auto_options > 0)
        @php
            $options = getActiveOptionsFor($form_field->auto_options);
            $auto_options = true;
        @endphp
    @elseif(isset($form_field->options) || $form_field->option_forms->count() > 0)
        @php
            if ($form_field->hasChild == 1){
                $options = json_decode($form_field->forms);
            }else{
                $options = json_decode($form_field->options);
            }
        @endphp
    @endif
    @if($displayAsDetails == 0)
    <div class="form-group">
        <label for="{{$form_field->name}}">{{setTextLabel($form_field->label)}}
            @if($form_field->required == 1)<span class="required">*</span>@endif</label>
        <br>
        @if($options != null)

            <div class="radio-inline">
                @foreach($options as $key=>$option)
                    @php
                        $theId = $form_field->name.'_'.$key;
                    if ($auto_options) { $option_value = $key;$option_name = $option;}
                    else {$option_value = $option->opt_value;$option_name = $option->opt_name;}
                    @endphp
                    <label class="radio radio-outline radio-outline-2x radio-primary">
                        <input @if(isset($form_field->class)) class="{{$form_field->class}}" @endif
                            @if(isset($option->c_form) && $auto_options) showSubForm_{{$subform_level}} @endif"
                            type="radio"
                            @if($form_field->disabled == 1 || $editable == 0)  disabled @endif
                            @if(isset($form_field->inline_css)) style="{{$form_field->inline_css}}" @endif
                            name="{{$form_field->name}}"

                            @if(isset($form_data[$form_field->name]) && $form_data[$form_field->name] == $option_value)
                            {{$checked}}
                            @elseif(old($form_field->name) == $option_value)
                            {{$checked}}
                            @elseif($form_field->default_value == $option_value)
                            {{$checked}}
                            @endif
                        @if(isset($option->c_form) && $auto_options)onchange="showSubForm_{{$subform_level}}({{$option->c_form}});@endif

                            @if(isset($option->c_form) && $auto_options) data-subformid="{{$option->c_form}}" data-subformlevel='{{$subform_level}}'@endif
                        id="{{$form_field->name.'_'.$key}}"
                        @if($form_field->required == 1)  required @endif
                        value="{{$option_value}}"><span></span>{{$option_name}}</label>
                @endforeach

                @if ($errors->has($form_field->name))
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $errors->first($form_field->name) }}</strong>
                    </span>
                @endif
            </div>
        @else
            {{ __('No Options available') }}
        @endif
    </div>
    @else
        @php $selected = null; @endphp
        @foreach($options as $key=>$option)
            @php
                if ($auto_options) {
                    $option_value = $key;
                    $option_name = $option;
                }
                else {
                    $option_value = $option->opt_value;
                    $option_name = $option->opt_name;
                }
            @endphp
            @if(isset($form_data[$form_field->name]) && $form_data[$form_field->name] == $option_value)
                @php $selected = $option_name; @endphp
                @break
            @endif
        @endforeach
        <div class="{{$form_field->class}}">
        <p><strong>{{setTextLabel($form_field->label)}}</strong> <br> {{$selected}}</p>
        </div>
    @endif
</div>