<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Submit Form') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="#" class="text-muted">{{ __($form->title) }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="#" class="text-muted">{{ __('Submit Form') }}</a>
            </li>
        </ul>
    </x-slot>
    <div class="row">
        <div class="col-md-12">
            @if (session('success'))
                <div class="alert alert-success" role="alert">
                    {{ session('success') }}
                </div>
            @endif

            @if (session('message'))
                    @php
                        $messages = session('message');
                    @endphp
                <div class="alert alert-warning alert-dismissible mb-2" role="alert">
                    <h5 class="danger">Please complete and save the following tabs before you submit.</h5>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">×</span>
                </button>
                    <ul>
                        @foreach($messages as $key=>$message)
                            <li>{{ $message }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            {!! $form_view !!}
        </div>
    </div>

@if($form->sub_forms)
    @push('scripts')
        @if($editable == 1)
            <script src="{{ asset('form-builder/js/form-builder-editable-form.js') }}"></script>
        @endif
    @endpush
@endif
</x-app-layout>