<div class="col-md-{{$form_field->column_size}}">
    @php
        $options = null;
        $auto_options = false;
        $checked = 'checked="checked"';
        $data_values = null;
        if(isset($form_data[$form_field->name])){
            $data_values = $form_data[$form_field->name];
            if ($form_field->is_multiple) {
                $data_values = json_decode($form_data[$form_field->name]);
            }
        }
    @endphp
    @if($form_field->has_auto_options == 1 && $form_field->auto_options > 0)
        @php
            $options = getActiveOptionsFor($form_field->auto_options);
            $auto_options = true;
        @endphp
    @elseif(isset($form_field->options) || $form_field->option_forms->count() > 0)
        @php
            if ($form_field->hasChild == 1){
                $options = json_decode($form_field->forms);
            }else{
                $options = json_decode($form_field->options);
            }
        @endphp
    @endif
    @if($displayAsDetails == 0)
        <div class="form-group">
            <label for="{{$form_field->name}}">{{setTextLabel($form_field->label)}}
                @if($form_field->required == 1)<span class="required">*</span>@endif</label>
            <br>
<select
       @if($form_field->required == 1)  required @endif
        @if($form_field->hasChild == 1) onchange="showSubFormSelect_{{$subform_level}}('{{$form_field->name}}')" @endif
       @if($form_field->disabled == 1 || $editable == 0)  disabled @endif
       class="form-control select2 {{ $errors->has($form_field->name) ? ' is-invalid' : '' }} {{$form_field->class}}"
       style="width: 100%; {{$form_field->inline_css}}"
        name="{{$form_field->name}}@if($form_field->is_multiple == true)[]@endif" @if($form_field->is_multiple == true)multiple="multiple"@endif
       id="{{$form_field->name}}">
    <option></option>
        @isset($form_field->options)
            @foreach($options as $key=>$option)
                @php
                    if ($auto_options) {
                        $option_value = $key;
                        $option_name = $option;
                    }
                    else {
                        //$value = $option->opt_value;
                        $option_value = $option->opt_value;
                        $option_name = $option->opt_name;
                    }
                    if($form_field->hasChild == 1){
                        $option_value = $option->c_form;
                    }
                            @endphp
                            <option
                                @if(isset($data_values))
                                    @if(is_array($data_values))
                                        {{(in_array($option_value,$data_values))?'selected':''}}
                                    @else
                                        {{($option_value == $data_values)?'selected':''}}
                                    @endif
                                @elseif(old($form_field->name) == $option_value) selected
                                @elseif((!empty($form_data['for_empty_request_id']) || $form_data == null) && ($form_field->default_value == $option_value))
                                selected
                                @endif value="{{$option_value}}">{{$option_name}}</option>
                        @endforeach
                    @endisset
            </select>
            @if ($errors->has($form_field->name))
                <span class="invalid-feedback" role="alert">
                        <strong>{{ $errors->first($form_field->name) }}</strong>
                    </span>
            @endif
        </div>
    @else
        @php $display = '<ul class="list-unstyled-display">'; @endphp
        @foreach($options as $key=>$option)
            @php
                if ($auto_options) {
                    $option_value = $key;
                    $option_name = $option;
                }
                else {
                    //$value = $option->opt_value;
                    $option_value = $option->opt_value;
                    $option_name = $option->opt_name;
                }
                if($form_field->hasChild == 1){
                    $option_value = $option->c_form;
                }
            @endphp
            @if(is_array($data_values))
                @if(in_array($option_value,$data_values))
                    @php $display .= '<li class=" mb-3">'.$option_name.'</li>'; @endphp
                @endif
            @elseif($option_value == $data_values)
                @php $display = $option_name; @endphp
            @endif
        @endforeach
        @if(is_array($data_values))
            @php $display = '</ul>'; @endphp
        @endif

        <p><strong>{{setTextLabel($form_field->label)}}</strong> <br> {!! $display !!}</p>
        {{--@if(is_array($data_values))--}}
            {{--<ul class="list-unstyled-display">--}}
                {{--@foreach($options as $key=>$option)--}}
                        {{--@php--}}
                            {{--if ($auto_options) {--}}
                                {{--$option_value = $key;--}}
                                {{--$option_name = $option;--}}
                            {{--}--}}
                            {{--else {--}}
                                {{--//$value = $option->opt_value;--}}
                                {{--$option_value = $option->opt_value;--}}
                                {{--$option_name = $option->opt_name;--}}
                            {{--}--}}
                            {{--if($form_field->hasChild == 1){--}}
                                {{--$option_value = $option->c_form;--}}
                            {{--}--}}
                        {{--@endphp--}}
                    {{--@if(is_array($data_values))--}}
                        {{--@if(in_array($option_value,$data_values))--}}
                            {{--<li class=" mb-3">{$option_name}}</li>--}}
                        {{--@endif--}}
                    {{--@elseif($option_value == $data_values)--}}
                        {{--<li class=" mb-3">{{$option_name}}</li>--}}
                    {{--@endif--}}
                {{--@endforeach--}}
            {{--</ul>--}}
        {{--@else--}}
                {{--{{$option_name}}--}}
        {{--@endif--}}
    @endif
</div>
@if($displayAsDetails == 0)
@push('scripts')
    <script>
        $('.select2').select2({
            placeholder: 'Choose',
            allowClear: true
        });
    </script>
@endpush
@endif