<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Create A Form') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('forms') }}" class="text-muted">{{ __('Forms') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="#" class="text-muted">{{ __('Create A Form') }}</a>
            </li>
        </ul>
    </x-slot>
    <div class="row">
        <div class="col-md-10 offset-md-1">
            @if (session('message'))
                <div class="alert alert-success" role="alert">
                    {{ session('message') }}
                </div>
            @endif
            <div class="card card-custom">
                <div class="card-header">
                    <h3 class="card-title">{{ __('Add New Form') }}</h3>
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ route('form.save') }}">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="title">{{ __('Title') }} <span class="required">*</span></label>

                                    <div>
                                        <input id="title" type="text" class="form-control{{ $errors->has('title') ? ' is-invalid' : '' }}"
                                               name="title" value="{{ old('title') }}" required autofocus>

                                        @if ($errors->has('title'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('title') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="table_name">{{ __('Table Name') }} <span class="required">*</span></label>

                                    <div class="">
                                        <input id="table_name" type="text" class="form-control{{ $errors->has('table_name') ? ' is-invalid' : '' }}"
                                               name="table_name" value="{{ old('table_name') }}" required autofocus>

                                        @if ($errors->has('table_name'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('table_name') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="description">{{ __('Description') }}</label>

                                    <div>
                                    <textarea name="description" id="description" cols="30" rows="7"
                                              class="textarea form-control{{ $errors->has('description') ? ' is-invalid' : '' }}">{{ old('description') }}</textarea>
                                        @if ($errors->has('description'))
                                            <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row mt-1">
                            <div class="col-md-4">
                                <label for="form_type">{{ __('Set form ACTIVE') }}<span class="required">*</span></label>
                                <fieldset class="checkboxsas mb-3">
                                    <label class="checkbox">
                                        <input type="checkbox" checked id="active" name="active" value="1">
                                        <span class="mr-3"></span><strong>{{__('Yes')}}</strong>
                                    </label>
                                </fieldset>
                                {{--<div class="form-group">--}}
                                    {{--<label for="active"></label>--}}

                                    {{--<div class="">--}}
                                        {{--<div class="form-check">--}}
                                            {{--<input class="form-check-input" name="active" type="checkbox" value="1" id="active">--}}
                                            {{--<label class="form-check-label" for="active">--}}
                                                {{--{{ __('Set form to active') }}--}}
                                            {{--</label>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                            </div>

                            {{--<div class="col-md-4">--}}
                                {{--<div class="form-group">--}}
                                    {{--<label for="active"></label>--}}

                                    {{--<div class="">--}}
                                        {{--<div class="form-check">--}}
                                            {{--<input class="form-check-input" name="collective" type="checkbox" value="1" id="collective">--}}
                                            {{--<label class="form-check-label" for="collective">--}}
                                                {{--Create a <strong>Collective Form</strong>--}}
                                            {{--</label>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                            {{--</div>--}}

                            {{--<div class="col-md-4">--}}
                                {{--<div class="form-group">--}}
                                    {{--<label for="active"></label>--}}

                                    {{--<div class="">--}}
                                        {{--<div class="form-check">--}}
                                            {{--<input class="form-check-input" name="registration_form" type="checkbox" value="1" id="registration_form">--}}
                                            {{--<label class="form-check-label" for="registration_form">--}}
                                                {{--<strong>{{ __('Create a Registration Form') }}</strong>--}}
                                            {{--</label>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                            {{--</div>--}}

                            <div class="col-md-8">
                                <div class="form-group{{ $errors->has('form_type') ? ' form-control-warning' : '' }}">
                                    <label for="form_type">{{ __('Select Type of Form') }}<span class="required">*</span></label>
                                    <select name="form_type" id="form_type" class="form-control select2" style="width: 100%;">
                                        <option></option>
                                        @foreach(config('form-builder.form_type') as $key=>$value)
                                        <option value="{{$key}}" @if($form_type == $key) selected @endif>{{ __($value) }}</option>
                                        @endforeach
                                        {{--<option value="registration" @if($form_type == 'general') selected @endif>{{ __('Benefit Registration Form') }}</option>--}}
                                        {{--<option value="survey" @if($form_type == 'general') selected @endif>{{ __('Survey/Questionnaire Form') }}</option>--}}
                                        {{--<option value="complaint" @if($form_type == 'general') selected @endif>{{ __('Grievance/Complaint Form') }}</option>--}}
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="row mt-1">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="">
                                        <button type="submit" class="btn btn-primary mr-2">
                                            {{ __('Add Form') }}
                                        </button>
                                        <a href="{{URL::previous()}}" class="btn btn-secondary left">
                                            {{ __('Back') }}
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
        <!--end::Row-->
        @push('vendor-scripts')
            <script src="{{ asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js') }}"></script>
        @endpush
        @push('scripts')
            <script>
                ClassicEditor.create( document.querySelector( '#description' ) );
                $('.select2').select2({
                    placeholder: "Select Option",
                    allowClear: true
                });
            </script>
        @endpush
</x-app-layout>
