<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">@lang('dashboard.dashboard')</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Survey Forms')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{__('Survey Forms')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-12 mb-7">
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                    <h3 class="card-title">{{ __('List of Forms') }}</h3>
                    <div class="card-toolbar">
                        <a href="{{route('form.add')}}" class="btn btn-primary btn-sm mb-1 mr-3"><i class="la la-folder-plus"></i> {{ __('New Form') }}</a>
                        {{--<a href="{{route('form_collectives')}}" class="btn btn-secondary btn-sm mb-1">{{ __('Form Collectives') }}</a>--}}
                    </div>
                </div>
                <div class="card-body">
                <div class="table-responsive">

                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                    @if (session('error'))
                        <div class="alert alert-danger" role="alert">
                            {{ session('error') }}
                        </div>
                    @endif
                    <table class="table table-bordered table-hover" id="forms_table" style="width: 100%;margin-top: 13px !important">
                        <thead>
                        <tr>
                            <th style="width: 300px;">{{ __('Title') }}</th>
                            <th style="width: 200px;">{{ __('Form Type') }}</th>
                            {{--<th scope="col">Description</th>--}}
                            <th scope="col">{{ __('Action') }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($forms as $form)
                            <tr>
                                <td>{{$form->title}}</td>
                                <td>
                                    {{config('form-builder.form_type.'.$form->form_type)}}
                                </td>
                                {{--<td>{{$form->description}}</td>--}}
                                <td>
                                    <a href="{{route('form.edit',[$form->id])}}" title="Edit" class="btn btn-primary btn-icon btn-sm">
                                        <i class="la la-edit"></i>
                                    </a>
                                    <a href="{{route('form.preview',[$form->id])}}" title="Preview Form" class="btn btn-primary btn-icon btn-sm">
                                        <i class="la la-expand"></i>
                                    </a>
                                    <a href="{{route('form.builder',[$form->id])}}"
                                       class="btn btn-primary btn-sm" title="Build Form">
                                        <i class="la la-laptop-code"></i> Build Form
                                    </a>
                                    @if(!$form->system_form)
                                    <a href="{{route('form.activate',[$form->id])}}"
                                       class="btn @if($form->active == 1) btn-warning @else btn-success @endif btn-sm">
                                        @if($form->active == 1)<i class=" la la-times-circle-o"></i>  Deactivate @else<i class=" la la-check"></i>  Activate @endif
                                    </a>
                                    <a class="btn btn-danger btn-icon btn-sm" href="{{ route('form.delete',[$form->id]) }}"
                                       onclick="event.preventDefault();destroy({{$form->id}});
                                               document.getElementById('delete-form-{{$form->id}}').submit();" title="Delete">
                                        <i class="la la-trash"></i>
                                    </a>
                                    <form id="delete-form-{{$form->id}}" action="{{ route('form.delete',[$form->id]) }}" method="POST" style="display: none;">
                                        @csrf {{method_field('DELETE')}}
                                    </form>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    {{--                        {{ $forms->links() }}--}}
                </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
            $('#forms_table').dataTable( {
                "ordering": false
            } );
        </script>
    @endpush
</x-app-layout>
