<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Preview Form') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('forms') }}" class="text-muted">{{ __('Forms') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('form.builder',[$form->id]) }}" class="text-muted">{{ __('Build form') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="#" class="text-muted">{{ __('Preview Form').' - '.$form->title }}</a>
            </li>
        </ul>
    </x-slot>
        <div class="row">
            <div class="col-md-12">
                <div class="card card-custom">
                    <div class="card-header">
                        <h3 class="card-title">{{strtoupper($form->title)}}</h3>
                        <div class="card-toolbar">
                            <form action="{{route('form.generate_form')}}" method="POST">
                                <a href="{{\Illuminate\Support\Facades\URL::previous()}}"
                                   class="btn btn-secondary btn-sm square mt-2 mb-1"><i class="la la-arrow-left mr-1"></i>{{ __('Go Back') }}</a>
                                @csrf
                                <input type="hidden" name="form_id" value="{{$form->id}}">
                                <input type="hidden" name="form_type" value="single">
                                <button type="submit" class="btn btn-success btn-sm mt-2 mb-1">
                                    <i class="fa fa-cogs mr-1"></i> {{ __('Generate & Save Form') }}
                                </button>
                            </form>
                        </div>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif
                        @php
                            $tableName = $form->table_name;
                            $parent_table = $tableName;
                        @endphp

                        <div class="row">
                            @php
                                $subform_level = 0;
                            @endphp
                            @foreach($form_fields as $form_field)
                                @component('form-builder.components.forms.preview.'.$form_field->input_type,['form_field'=>$form_field,
                                'editable'=>$editable,'tableName'=>$tableName,'subform_level'=>$subform_level])
                                @endcomponent
                                @if($form->sub_forms)
                                    @foreach($form->sub_forms as $subform)
                                        @php
                                            $form = $subform->form;
                                            $form_fields = $subform->form->fields;
                                            $form_table = \Illuminate\Support\Str::plural($form->table_name);
                                            $tableName = \Illuminate\Support\Str::plural($parent_table."_sub_".$form_table);
                                        @endphp
                                        @component('form-builder.components.forms.preview.sub_form.child_form',['subform'=>$subform,
                                        'form_fields'=>$form_fields,'editable'=>$editable,'subform_level'=>$subform_level,
                                        'tableName'=>$tableName,'parent_table'=>$parent_table])
                                        @endcomponent
                                    @endforeach
                                @endif
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--end::Row-->
        @push('vendor-scripts')
            <script src="{{ asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js') }}"></script>
        @endpush
        @push('scripts')
            {{--<script>--}}
                {{--$('.select2').select2({--}}
                    {{--placeholder: 'Choose',--}}
                    {{--allowClear: true--}}
                {{--});--}}
            {{--</script>--}}
            @if($form->sub_forms)
                    <script>
                        function showSubForm_0(key) {
                            $("[id^='sc_0_']").hide().find('input, textarea, button, select').prop("disabled", true);
                            if (key > 0){
                                $('#sc_0_'+key).show().find('input, textarea, button, select').prop("disabled", false);
                            }
                        }

                        function showSubForm_1(key) {
                            $("[id^='sc_1_']").hide().find('input, textarea, button, select').prop("disabled", true);
                            if (key > 0){
                                $('#sc_1_'+key).show().find('input, textarea, button, select').prop("disabled", false);
                            }
                        }

                        function showSubFormSelect_0(key) {
                            var theName = $("select#"+key+">option:selected").val();
                            $("[id^='sc_0_']").hide().find('input, textarea, button, select').prop("disabled", true);
                            if (theName > 0){
                                $('#sc_0_'+theName).show().find('input, textarea, button, select').prop("disabled", false);
                            }
                        }

                        function showSubFormSelect_1(key) {
                            var theName = $("select#"+key+">option:selected").val();
                            $("[id^='sc_1_']").hide().find('input, textarea, button, select').prop("disabled", true);
                            if (theName > 0){
                                $('#sc_1_'+theName).show().find('input, textarea, button, select').prop("disabled", false);
                            }
                        }
                    </script>
            @endif
        @endpush
</x-app-layout>