<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('household.list') }}">Households</a>
            </li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('household.view',[cryptThis($household->id)]) }}">Household
                    - {{$household->reference_id}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">Add New Member</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Add New Member</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent
            @php
                $island_list = getLocations();
                $gender_list = getGender();
                $surnames = old('surnames');
                $first_names = old('first_names');
                $other_names = old('other_names');
                $dobs = old('dobs');
                $genders = old('genders');
                $place_of_births = old('place_of_births');
                $country_of_births = old('country_of_births');
                $app_nationalities = old('nationalities');
                $upload_passport_pic = old('upload_passport_pic');
                $impairments[] = old('impairments');
            @endphp
            <div class="card">
                <div class="card-body border-bottom">
                    <form action="{{route('applicant.saveApplicantRegistration')}}" method="post"
                          enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" value="{{ cryptThis($household->id) }}" name="household_id">
                        <input type="hidden" value="Household" name="type">

                        @include('applicant.applicant-form.personal-details-form')
                    </form>
                </div>
            </div>

        </div>

    </div>
    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
    @endpush
</x-app-layout>
