<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('household.list')}}" method="get">
                                @csrf
                                <div class="input-group">

                                    <select name="type" id="type" class="form-select">
                                        <option value="">{{ __('-- Type --') }}</option>
                                        @foreach(getHouseholdTypes() as $key=>$name)
                                            <option value="{{$key}}" {{ (request()->get('type') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="area" id="area" class="form-select">
                                        <option value="">{{ __('-- Area --') }}</option>
                                        @foreach(getHouseholdAreas() as $key=>$name)
                                            <option value="{{$key}}" {{ (request()->get('area') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="tenure" id="tenure" class="form-select">
                                        <option value="">{{ __('-- Tenure --') }}</option>
                                        @foreach(getHouseholdTenures() as $key=>$name)
                                            <option value="{{$key}}" {{ (request()->get('tenure') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="location" id="location" class="form-select">
                                        <option value="">{{ __('-- Location --') }}</option>
                                        @foreach(getLocations() as $key=>$locationName)
                                            <option value="{{$key}}" {{ (request()->get('location') == $key)?'selected':'' }}>{{ $locationName }}</option>
                                        @endforeach

                                    </select>
                                    <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i></button>
                                    <a href="{{ route('household.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#newHousehold" title="Add new Household"><i class="fa fa-plus me-2"></i> {{__('New')}}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Household ID</th>
                                <th>Accommodation</th>
                                <th>Enrolment</th>
                                <th class="text-right">Actions</th>
                            </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--begin::Row-->
    <div class="modal fade" id="newHousehold" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog modal-md" role="document">

            <form action="{{route('household.create')}}" method="POST">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Add New Household</h5>
                        <button type="button" class="btn btn-link" class="close" data-bs-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="bi-x"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="info">
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <select name="type" id="type" required class="form-control">
                                        <option value="">-- Choose Type --</option>
                                        @foreach(getHouseholdTypes() as $key=>$name)
                                            <option value="{{$key}}" {{ (old('type') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>
                                    <label for="type">Type*</label>
                                </div>
                                @if ($errors->has('type'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('type') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <select name="area" required id="area" class="form-control">
                                        <option value="">-- Choose Area --</option>
                                        @foreach(getHouseholdAreas() as $key=>$name)
                                            <option value="{{$key}}" {{ (old('area') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>
                                    <label for="area">Area*</label>
                                </div>
                                @if ($errors->has('area'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('area') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <select name="tenure" required id="tenure" class="form-control">
                                        <option value="">-- Choose Tenure --</option>
                                        @foreach(getHouseholdTenures() as $key=>$name)
                                            <option value="{{$key}}" {{ (old('tenure') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>
                                    <label for="tenure">Tenure*</label>
                                </div>
                                @if ($errors->has('tenure'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('tenure') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <select name="location" required id="location" class="form-control">
                                        <option value="">-- Choose Location --</option>
                                        @foreach(getLocations() as $key=>$name)
                                            <option value="{{$key}}" {{ (old('location') == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>
                                    <label for="location">Location*</label>
                                </div>
                                @if ($errors->has('location'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('location') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <input type="number" name="household_count" value="{{old('household_count')}}" required min="1"
                                           class="form-control" id="household_count" placeholder="Household Count">
                                    <label for="household_count">Household Count</label>
                                </div>
                                @if ($errors->has('household_count'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('household_count') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <select name="status" required id="status" class="form-control">
                                        <option>-- Choose Status --</option>
                                        <option value="1" {{ (old('status') == 1)?'selected':'' }}>Active</option>
                                        <option value="0" {{ (old('status') == 0)?'selected':'' }}>Inactive</option>
                                    </select>
                                    <label for="status">Status</label>
                                </div>
                                @if ($errors->has('status'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('status') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <input type="text" name="head" value="{{old('head')}}"
                                           class="form-control" id="head" placeholder="Head Applicant Number">
                                    <label for="head">Head Applicant Number</label>
                                </div>
                                @if ($errors->has('head'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('head') }}</span>
                                    </p>
                                @endif
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-light-primary font-weight-bold"><i class="fa fa-paper-plane mx-1"></i> Save</button>
                        <button type="button" class="btn btn-light-danger font-weight-bold" data-bs-dismiss="modal">Close
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div class="modal fade" id="editHousehold" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div id="editHouseholdForm">


            </div>
        </div>
    </div>
    <!--end::Row-->

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>

            @if($query > 0)
                const APPLICATIONS_AJAX = "{{ route('household.getHouseholdList',[$type,$area,$tenure,$location]) }}";
            @else
                const APPLICATIONS_AJAX = "{{ route('household.getHouseholdList') }}";
            @endif
        </script>
        <script>

            function editHousehold(id) {
                var path = "{{route('household.edit')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {reference_id: id},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#editHouseholdForm').empty();
                        $('#editHouseholdForm').html(data.theView);
                    },
                    complete: function () {
                        $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function () {
                            console.log('Done');
                        });
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>

        <script src="{{ asset('assets/js/customjs/custom-households-datatable.js') }}"></script>
    @endpush
</x-app-layout>
