<x-app-layout>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css">
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('household.list') }}">Households</a></li>
            <li class="breadcrumb-item active" aria-current="page">View Household</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">View Household - {{$household->reference_id}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3 mt-4">
                <div class="col-md-12">
                    @if(false)
                        <div class="dropdown text-end mb-3">
                            <button class="btn btn-light-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="fa fa-cog"></i>
                            </button>
                            <ul class="dropdown-menu border-0 shadow">
                                <li>
                                    <a class="dropdown-item py-2 rounded" onclick="editHousehold('{{makeString($household->reference_id)}}')" data-bs-toggle="modal" data-bs-target="#editHousehold" data-bs-placement="top">Edit Household</a>
                                </li>
                                <li>
                                    <a class="dropdown-item py-2 rounded" data-bs-toggle="modal" data-bs-target="#addMember" data-bs-placement="top">Add Existing Member</a>
                                </li>
                                <li><a class="dropdown-item py-2 rounded" href="{{route('household.addMember',[cryptThis($household->id)])}}">Add New Member</a></li>
                            </ul>
                        </div>
                    @endif

                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-2">
                                    <i class="fa-solid fa-people-roof" style="font-size: 550%; line-height: 120%"></i>
                                </div>
                                <div class="col-md-5">
                                    <p>
                                        <span class="fw-bold me-3">Household:</span> {{($household->_head?->fullName)?$household->_head?->fullName.',':''}} {{$household->_type?->fullName}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Area:</span>   {!! $household->_location?->fullName ?? '<strong class="text-danger">(Not Set)</strong>' !!}
                                    </p>

                                    <p>
                                        @if (isset($household->created_at))
                                            @php $created_at = 'on '.easyDateNormal($household->created_at,true); @endphp
                                        @endif
                                        <span class="fw-bold me-3">Created By:</span> <span data-bs-toggle="tooltip" title="{!! $created_at !!}">{{$household->createdBy?->name.' '.$household->createdBy?->firstname}}</span>

                                    </p>
                                </div>
                                <div class="col-md-5">
                                    <p>
                                        <span class="fw-bold me-3">Accommodation:</span> {{$household->_area?->fullName}} {{$household->_tenure?->fullName}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Status:</span> {{($household->status == 1)?'Active':'Disabled'}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Last Updated By:</span>
                                        {{$household->updatedBy?->name.' '.$household->updatedBy?->firstname}}
                                        @if (isset($household->updated_by))
                                            on {{easyDateNormal($household->updated_at,true)}}
                                        @endif
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row  g-3 mt-2 mb-2">
                <div class="col-12">
                    <a href="javascript:;" class="float-right" style="margin-right: 15px;float: right" onclick="editHousehold('{{makeString($household->reference_id)}}')" data-bs-toggle="modal" data-bs-target="#editHousehold" data-bs-placement="top"><i class="fa fa-edit"></i> Edit Household</a>
                    <a href="javascript:;" class="float-right" style="margin-right: 15px;float: right" data-bs-toggle="modal" data-bs-target="#addMember" data-bs-placement="top"><i class="fa fa-user-circle-o"></i> Add Existing Member</a>
                    <a href="{{route('household.addMember',[cryptThis($household->id)])}}" class="float-right" style="margin-right: 15px;float: right"><i class="fa fa-user-plus"></i> Add New Member</a>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <h6 class="mb-4">Members <br>
                                <small class="text-muted fw-light">Total Expected Household Count:
                                    {{($household->members->count()).' of '.$household->household_count}}
                                </small>
                            </h6>
                            @if ($household->members->count() > 0)
                                <table class="table table-nowrap mb-0 card-table align-middle table-sm">
                                    <thead>
                                    <th style="width: 30px">#</th>
                                    <th>Member</th>
                                    <th style="width: 100px">Bio</th>
                                    <th style="width: 50px">Action</th>
                                    </thead>
                                    <tbody>
                                    @php
                                        $count = 0;
                                    @endphp
                                    @foreach ($household->members as $member)
                                        @php
                                            $count += 1;
                                        @endphp
                                        <tr>
                                            <td>{{$count}}</td>
                                            <td>{{$member->applicant->fullName}}
                                                <br><small class="text-muted">{{$member->applicant->regID}}</small></td>
                                            <td>{{$member->applicant->genders}}<br><small data-bs-toggle="tooltip" title="{{defaultDateFormat($member->applicant->dobs)}}" class="text-muted">{{getAgeByDate($member->applicant->dobs)}}</small></td>
                                            <td><a href="{{route('applicant.viewApplicantInfo',['app_id'=>cryptThis($member->applicant?->id)])}}" class="btn btn-sm btn-link"><i class="fa fa-user"></i></a></td>
                                        </tr>
                                    @endforeach
                                    @if($household->_head)
                                    <tr class="bg-light-success">
                                        <td>{{$count+1}}</td>
                                        <td>{{$household->_head?->fullName}}
                                            <br><small class="text-muted">{{$household->_head?->regID}}</small>
                                        </td>
                                        <td>{{$household->_head?->genders}}<br><small data-bs-toggle="tooltip" title="{{defaultDateFormat($household->_head?->dobs)}}" class="text-muted">{{getAgeByDate($household->_head?->dobs)}}</small></td>
                                        <td><a href="{{route('applicant.viewApplicantInfo',['app_id'=>cryptThis($household->_head?->id)])}}" class="btn btn-sm btn-link"><i class="fa fa-user"></i></a></td>
                                    </tr>
                                    @endif
                                    </tbody>
                                </table>
                            @else
                                <x-no-data></x-no-data>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="editHousehold" data-backdrop="static" tabindex="-1" role="dialog"
             aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog modal-md" role="document">
                <div id="editHouseholdForm">


                </div>
            </div>
        </div>
        <div class="modal fade" id="addMember" data-backdrop="static" tabindex="-1" role="dialog"
             aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <form action="{{route('household.saveMember')}}" method="POST">
                    @csrf
                    <input type="hidden" name="household_id" value="{{cryptThis($household->id)}}">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h6 class="modal-title">Add Household Member</h6>
                            <button type="button" class="btn btn-link" class="close" data-bs-dismiss="modal" aria-label="Close">
                                <i aria-hidden="true" class="bi-x"></i>
                            </button>
                        </div>
                        <div class="modal-body" id="info">
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="applicant_number" required  onkeydown="resetButton()"
                                               class="form-control" id="applicant_number" value="{{old('applicant_number')}}" placeholder="Applicant Number*">
                                        <label for="applicant_number">Applicant Number*</label>
                                    </div>
                                    @if ($errors->has('applicant_number'))
                                        <p class="text-right">
                                            <span class="text-warning form-text">{{ $errors->first('applicant_number') }}</span>
                                        </p>
                                    @endif
                                    <div id="applicant_info" class="mt-3"></div>
                                </div>
                                <div class="col-md-12 mb-3">
                                    <div class="text-end">
                                        <button type="button" onclick="validateApplicant()" class="btn btn-light-primary font-weight-bold"><i class="fa fa-info-circle mx-1"></i> Query</button>
                                        <button type="submit" id="save_applicant_to_household" style="display: none" class="btn btn-light-success font-weight-bold"><i class="fa fa-paper-plane mx-1"></i> Save</button>
                                        <button type="button" class="btn btn-light-danger font-weight-bold" data-bs-dismiss="modal">Close
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        @push('vendor-scripts')
        @endpush
        @push('scripts')
            <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/custom.js') }}"></script>
            <script>

                function editHousehold(id) {
                    var path = "{{route('household.edit')}}";
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {reference_id: id},
                        beforeSend: function () {
                        },
                        success: function (data) {
                            $('#editHouseholdForm').empty();
                            $('#editHouseholdForm').html(data.theView);
                        },
                        complete: function () {
                            $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function () {
                                console.log('Done');
                            });
                        }
                        ,
                        error: function (data) {
                        }
                    });
                }

                function resetButton(){
                    $('#save_applicant_to_household').hide();
                }

                function validateApplicant() {
                    var path = "{{route('household.validateApplicant')}}";
                    var applicant_number = $('input#applicant_number').val();

                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {applicant_number: applicant_number},
                        beforeSend: function () {
                        },
                        success: function (data) {
                            $('#applicant_info').empty();
                            $('#applicant_info').html(data.message);
                            if(data.passed == 1) {
                                $('#save_applicant_to_household').show();
                            }
                        },
                        complete: function () {
                            $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function () {
                                console.log('Done');
                            });
                        }
                        ,
                        error: function (data) {
                        }
                    });
                }
            </script>
    @endpush
</x-app-layout>
