<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Instance Preferences</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Instance Preferences</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" name="value" id="value" class="form-control" placeholder="Project/Owner/Email/Contact">
                                    <select name="country" id="country" class="form-control">
                                        <option value="">-- Select Country --</option>
                                        @foreach($countries as $country)
                                            <option value="{{$country->id}}">{{ $country->en_short_name }}</option>
                                        @endforeach
                                    </select>
                                    <select name="status" id="status" class="form-control">
                                        <option value="">-- Select Status --</option>
                                            <option value="1">Active</option>
                                            <option value="0">Inactive</option>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                    <a href="{{ route('instances.instances') }}" class="btn btn-light-primary" >All Preference</a>
                                    <a href="{{ route('instances.createInstance') }}" class="btn btn-primary" >New Preference</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <table id="myDataTable_no_filter" class="table myDataTable align-middle table-bordered mb-0 custom-table">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Project Name</th>
                            <th>Owner</th>
                            <th>Country</th>
                            <th>Contact</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php $count = 1; @endphp
                        @foreach($instances as $instance)
                        <tr>
                            <td>{{ $count++ }}</td>
                            <td class="d-flex align-items-center">
                                <img src="{{ asset($instance->logo_url) }}" class="rounded-circle avatar" alt="{{$instance->project_name}}">
                                <div class="ms-2 mb-0 fw-bold">{{$instance->project_name}}</div>
                            </td>
                            <td>{{$instance->owner}}</td>
                            <td>{{ $instance->country->en_short_name }}</td>
                            <td>{{ $instance->contact }}</td>
{{--                            <td>{{ $instance->currency->iso_code }} ({{ $instance->currency->symbol }})</td>--}}
                            <td>
                                @if($instance->status == 1)
                                    <span class="badge bg-success">Active</span>
                                @else
                                    <span class="badge bg-danger">Inactive</span>
                                @endif
                            </td>
                            <td>
                                @php
                                    if($instance->status == 1) {
                                        $action = 'Remove';
                                    }
                                    else {
                                        $action = 'Restore';
                                    }
                                @endphp
                                <form action="{{ route('instances.removeInstance') }}" method="post" onsubmit="return confirm('Do you want to {{$action}} this Instance Preference?');">
                                    <button type="button" class="btn btn-link btn-sm text-success" data-bs-toggle="tooltip" data-bs-placement="top" title="View"><i class="fa fa-eye"></i></button>
                                    <a href="{{route('instances.editInstance',[cryptThis($instance->id)])}}" class="btn btn-link btn-sm text-primary" data-bs-toggle="tooltip" data-bs-placement="top" title="Edit"><i class="fa fa-edit"></i></a>

                                        @csrf
                                        <input type="hidden" name="instance" value="{{cryptThis($instance->id)}}">
                                    @if($instance->status == 1)
                                        <button type="submit" class="btn btn-link btn-sm text-danger" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="Deactivate"><i class="fa fa-times-circle"></i></button>
                                    @else
                                        <button type="submit" class="btn btn-link btn-sm text-success" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="Restore"><i class="fa fa-check-circle"></i></button>
                                    @endif
                                </form>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div> <!-- .row end -->
        </div>
    </div>
    <div class="modal fade" id="viewProduce" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLiveLabel">Current Production Items</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body custom_scroll p-lg-4">
                    <div id="form-container">
                        <div class="table-responsive border-top">
                            <table class="table card-table table-nowrap mb-0">
                                <thead>
                                <tr>
                                    <th>{{ __i('products_title') }}</th>
                                    <th>Cost</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td><i class="fa fa-circle me-2 chart-text-color1"></i>Gross value</td>
                                    <td>$3,500.71</td>
                                    <td><span class="badge bg-success">+12.1%</span></td>
                                </tr>
                                <tr>
                                    <td><i class="fa fa-circle me-2 chart-text-color2"></i>Net volume from sales</td>
                                    <td>$2,980.45</td>
                                    <td><span class="badge bg-warning">+6.9%</span></td>
                                </tr>
                                <tr>
                                    <td><i class="fa fa-circle me-2 chart-text-color3"></i>New volume from sales</td>
                                    <td>$950.00</td>
                                    <td><span class="badge bg-danger">-1.5%</span></td>
                                </tr>
                                <tr>
                                    <td><i class="fa fa-circle me-2"></i>Other</td>
                                    <td>32</td>
                                    <td><span class="badge bg-success">1.9%</span></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- start: page footer -->
@push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            // Data Table
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: true,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
            // $('document').ready(function (){
            //     $('select#filter').change(function () {
            //         var filter_value = $(this).val();
            //         console.log(filter_value);
            //
            //         if (filter_value === "Location") {
            //             $('select#location').show().prop('required','required');
            //             $('select#type').prop('required',false).hide();
            //             $('input#value').prop('required',false).hide();
            //         }
            //         else if (filter_value === "Type") {
            //             $('select#location').prop('required',false).hide();
            //             $('select#type').show().prop('required','required');
            //             $('input#value').prop('required',false).hide();
            //         }
            //         else {
            //             $('select#location').prop('required',false).hide();
            //             $('select#type').prop('required',false).hide();
            //             $('input#value').show().prop('required','required');
            //         }
            //     })
            // });

        </script>
@endpush
</x-app-layout>
