<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Preferences</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
            <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
            </div>
            @endif
            <div class="row g-3">
                <div class="col-12">
                    <div id="holding" class="card fieldset border border-muted mt-0">
                        @php
                            $project_name = $owner = $contact = $description = $logo_url = $bg_image_url =
                            $email = $contact = $copyright  = $deployment_date = $lms_url = $advisory_url = null;
                            $county_ids = array();
                            $measurement_system_id = old('measurement_system_id');
                            $main_currency = old('main_currency'); $country_id = old('country_id'); $alt_currency_id = old('alt_currency_id');

                            if($instance) {
                                $project_name = $instance->project_name;
                                $owner = $instance->owner;
                                $main_currency = $instance->currency_id;
                                $country_id = $instance->country_id;
                                $alt_currency_id = $instance->alt_currency_id;
                                $measurement_system_id = $instance->measurement_system_id;
                                $contact = $instance->contact;
                                $email = $instance->email;
                                $description = $instance->description;
                                $logo_url = $instance->logo_url;
                                $bg_image_url = $instance->bg_image_url;
                                $copyright = $instance->copyright;
                                $lms_url = $instance->lms_url;
                                $advisory_url = $instance->advisory_url;
                                $county_ids = $instance->counties;
                                if (isset($instance->deployment_date)) $deployment_date = $instance->deployment_date;
                            }
                        @endphp
                        <!-- form: profile details -->
                        <span class="fieldset-tile text-muted bg-body">Instance Preferences Information:</span>
                        <form action="{{ route('instances.saveInstance') }}" enctype="multipart/form-data" method="post">@csrf
{{--                            <input type="hidden" name="user_id" value="{{ cryptThis($user->id) }}">--}}
                            @if(isset($instance))
                            <input type="hidden" name="action_type" value="{{ $action_type }}">
                            <input type="hidden" name="instance_id" value="{{ cryptThis($instance->id) }}">
                            @endif
                            <div class="card">
                                <div class="card-body">
                                    <p>Please provide the information for the following</p>
                                    <div class="row mb-3">
                                        <div class="col-md-3">
                                            <label for="logo" class="col-form-label">Logo</label><br>
                                            <div class="image-input avatar xl rounded-4" style="background-image: url({{(isset($instance))??asset($instance->logo_url)}});width:100px;height: 100px">
                                                <div class="avatar-wrapper rounded-4" @if(isset($instance))style="background-image: url('{{ asset($instance->logo_url) }}')"@endif></div>
                                                <div class="file-input">
                                                    <input type="file" class="form-control" name="logo" id="logo">
                                                    <input type="hidden" name="logo_remove" />
                                                    <label for="logo" class="fa fa-pencil shadow text-muted"></label>
                                                    <label class="fa fa-times shadow text-muted" id="cancel"></label>
                                                </div>
                                                @if ($errors->has('logo'))
                                                    <div class="small text-warning">{{ $errors->first('logo') }}</div>
                                                @endif
                                            </div>
                                        </div>
                                        @if(false)
{{--                                            <div class="col-md-3">--}}
{{--                                                <label for="favicon_url" class="col-form-label">Favicon</label><br>--}}
{{--                                                <div class="image-input avatar xl rounded-4" style="background-image: url({{(isset($instance))??asset($instance->favicon_url)}});width:100px;height: 100px">--}}
{{--                                                    <div class="avatar-wrapper rounded-4" @if(isset($instance))style="background-image: url('{{ asset($instance->favicon_url) }}')"@endif></div>--}}
{{--                                                    <div class="file-input">--}}
{{--                                                        <input type="file" class="form-control"  name="favicon_url" id="favicon_url">--}}
{{--                                                        <label for="favicon_url" class="fa fa-pencil shadow text-muted"></label>--}}
{{--                                                    </div>--}}
{{--                                                    @if ($errors->has('favicon_url'))--}}
{{--                                                        <div class="small text-warning">{{ $errors->first('favicon_url') }}</div>--}}
{{--                                                    @endif--}}
{{--                                                </div>--}}
{{--                                            </div>--}}
{{--                                        <div class="col-md-3">--}}
{{--                                            <label for="footer_logo_url" class="col-form-label">Footer Icon</label><br>--}}
{{--                                            <div class="image-input avatar xxl rounded-4" style="background-image: url({{asset('assets/img/image-placeholder.png')}});width:150px;height: 150px">--}}
{{--                                                <div class="avatar-wrapper rounded-4" @if(isset($instance))style="background-image: url('{{ asset($instance->footer_logo_url) }}')"@endif></div>--}}
{{--                                                <div class="file-input">--}}
{{--                                                    <input type="file" class="form-control"  name="footer_logo_url" id="footer_logo_url">--}}
{{--                                                    <label for="footer_logo_url" class="fa fa-pencil shadow text-muted"></label>--}}
{{--                                                </div>--}}
{{--                                                @if ($errors->has('footer_logo_url'))--}}
{{--                                                    <div class="small text-warning">{{ $errors->first('footer_logo_url') }}</div>--}}
{{--                                                @endif--}}
{{--                                            </div>--}}
{{--                                        </div>--}}
{{--                                        <div class="col-md-3">--}}
{{--                                            <label for="bg_image" class="col-form-label">Background Image</label><br>--}}
{{--                                            <div class="image-input avatar xxl rounded-4" style="background-image: url({{asset('assets/img/image-placeholder.png')}}); width: 150px;height: 150px">--}}
{{--                                                <div class="avatar-wrapper rounded-4" @if(isset($instance))style="background-image: url('{{ asset($instance->bg_image_url) }}')"@endif></div>--}}
{{--                                                <div class="file-input">--}}
{{--                                                    <input type="file" class="form-control"  name="bg_image" id="bg_image">--}}
{{--                                                    <label for="bg_image" class="fa fa-pencil shadow text-muted"></label>--}}
{{--                                                </div>--}}
{{--                                                @if ($errors->has('bg_image'))--}}
{{--                                                    <div class="small text-warning">{{ $errors->first('bg_image') }}</div>--}}
{{--                                                @endif--}}
{{--                                            </div>--}}
{{--                                        </div>--}}
                                        @endif
                                    </div>
                                        <div class="row mb-3">
                                            <div class="col-md-4 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="project_name"  required id="project_name" class="form-control form-control-l"
                                                    value="{{ (old('project_name'))?old('project_name'):$project_name }}" placeholder="Application Name">
                                                    <label class="text-muted">Project Name *</label>
                                                </div>
                                                @if ($errors->has('project_name'))
                                                    <div class="small text-warning">{{ $errors->first('project_name') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-4 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="owner" required id="owner" class="form-control form-control-l"
                                                           value="{{ (old('owner'))?old('owner'):$owner }}" placeholder="Owner">
                                                    <label class="text-muted">Owner *</label>
                                                </div>
                                                @if ($errors->has('owner'))
                                                    <div class="small text-warning">{{ $errors->first('owner') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-4 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="email" name="email" required id="email" class="form-control form-control-l"
                                                           value="{{ (old('email'))?old('email'):$email }}" placeholder="Project Email">
                                                    <label class="text-muted">Project Email *</label>
                                                </div>
                                                @if ($errors->has('email'))
                                                    <div class="small text-warning">{{ $errors->first('email') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-3 col-sm-6 mb-3">
                                                <div class="form-floating">
                                                    <select name="country_id" id="country_id" required class="form-select form-control-l" placeholder="Select Country">
                                                        <option></option>
                                                        @foreach($countries as $country)
                                                            <option value="{{$country->id}}" {{ ($country->id == $country_id)?'selected':'' }}>{{ $country->en_short_name }}</option>
                                                        @endforeach
                                                    </select>
                                                    <label class="text-muted">Country *</label>
                                                </div>
                                                @if ($errors->has('country_id'))
                                                    <div class="small text-warning">{{ $errors->first('country_id') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-3 col-sm-6 mb-3">
                                                <div class="form-floating">
                                                    <select name="main_currency" id="main_currency" required class="form-select form-control-l" placeholder="Select Currency">
                                                        <option></option>
                                                        @foreach($currencies as $currency)
                                                            <option value="{{$currency->id}}" {{ ($currency->id == $main_currency)?'selected':'' }}>{{ \Illuminate\Support\Str::title($currency->name) }} - {{ $currency->iso_code }} ({{ $currency->symbol }})</option>
                                                        @endforeach
                                                    </select>
                                                    <label class="text-muted">Currency *</label>
                                                </div>
                                                    @if ($errors->has('main_currency'))
                                                        <div class="small text-warning">{{ $errors->first('main_currency') }}</div>
                                                    @endif
                                            </div>

                                            <div class="col-md-3 col-sm-6 mb-3">
                                                <div class="form-floating">
                                                    <select name="alt_currency_id" id="alt_currency_id" class="form-select form-control-l select" data-placeholder="Select">
                                                        <option value=""></option>
                                                        @foreach($currencies as $currency)
                                                            <option value="{{$currency->id}}" {{ ($currency->id == $alt_currency_id)?'selected':'' }}>{{ \Illuminate\Support\Str::title($currency->name) }} - {{ $currency->iso_code }} ({{ $currency->symbol }})</option>
                                                        @endforeach
                                                    </select>
                                                    <label class="text-muted">Alt Currency</label>
                                                </div>
                                                @if ($errors->has('alt_currency_id'))
                                                    <div class="small text-warning">{{ $errors->first('alt_currency_id') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-3 col-sm-6 mb-3">
                                                <div class="form-floating">
                                                    <select name="measurement_system_id" id="measurement_system_id" required class="form-select form-control-l" placeholder="Select Country">
                                                        <option></option>
                                                        @foreach($measure as $type)
                                                        <option value="{{$type->id}}" {{ ($type->id == $measurement_system_id)?'selected':'' }}>{{ $type->name }}</option>
                                                        @endforeach
                                                    </select>
                                                    <label class="text-muted">Measure Type *</label>
                                                </div>
                                                    @if ($errors->has('country_id'))
                                                        <div class="small text-warning">{{ $errors->first('country_id') }}</div>
                                                    @endif
                                            </div>
                                            <div class="col-md-3 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="contact" required id="contact" class="form-control form-control-l"
                                                           value="{{ (old('contact'))?old('contact'):$contact }}" placeholder="Contact">
                                                    <label class="text-muted">Contact (+233)*</label>
                                                </div>
                                                @if ($errors->has('contact'))
                                                    <div class="small text-warning">{{ $errors->first('contact') }}</div>
                                                @endif
                                            </div>

                                            @if(false)
                                            <div class="col-md-12 col-sm-12 mb-3">
                                                @php
                                                    //$country_system = ucfirst(\Illuminate\Support\Str::plural($instance->country->system));
                                                    $country_system = 'Region';
                                                @endphp
                                                <div class="form-floating">
                                                    <select style="height: 60px" name="counties[]" id="counties" multiple class="form-select form-control-lg select2"
                                                    placeholder="Choose {{$country_system}}">
                                                        <option>-- Select {{$country_system}} --</option>
                                                        @foreach($counties as $county)
                                                            <option value="{{$county->id}}" @if(!empty($county_ids)) {{ in_array($county->id, $county_ids)?'selected':'' }}@endif>{{ $county->county }}</option>
                                                        @endforeach
                                                    </select>
                                                    <label class="text-muted">Select {{$country_system}}</label>
                                                </div>
                                                @if ($errors->has('counties'))
                                                    <div class="small text-warning">{{ $errors->first('counties') }}</div>
                                                @endif
                                            </div>
                                            @endif

                                            <div class="col-md-12 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <textarea rows="6" style="height: 200px" name="description" id="description" class="form-control form-control-l"
                                                    placeholder="Description">{{ (old('description'))?old('description'):$description }}</textarea>
                                                    <label class="text-muted">Description</label>
                                                </div>
                                                @if ($errors->has('description'))
                                                    <div class="small text-warning">{{ $errors->first('description') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-6 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="url" name="advisory_url" id="advisory_url" class="form-control form-control-l"
                                                           value="{{ (old('advisory_url'))?old('advisory_url'):$advisory_url }}" placeholder="Advisory URL">
                                                    <label class="text-muted">Advisory URL</label>
                                                </div>
                                                @if ($errors->has('advisory_url'))
                                                    <div class="small text-warning">{{ $errors->first('advisory_url') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-6 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="url" name="lms_url" id="lms_url" class="form-control form-control-l"
                                                           value="{{ (old('lms_url'))?old('lms_url'):$lms_url }}" placeholder="Learning Management URL">
                                                    <label class="text-muted">Learning Management URL</label>
                                                </div>
                                                @if ($errors->has('lms_url'))
                                                    <div class="small text-warning">{{ $errors->first('lms_url') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-9 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="copyright" required id="copyright" class="form-control form-control-l"
                                                           value="{{ (old('copyright'))?old('copyright'):$copyright }}" placeholder="Copyright">
                                                    <label class="text-muted">Copyright Text *</label>
                                                </div>
                                                @if ($errors->has('copyright'))
                                                    <div class="small text-warning">{{ $errors->first('copyright') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-3 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="deployment_date" required id="deployment_date" class="form-control form-control-l datepicker"
                                                           value="{{ (old('deployment_date'))?old('deployment_date'):$deployment_date }}" placeholder="Deployment">
                                                    <label class="text-muted">Deployment Date *</label>
                                                </div>
                                                @if ($errors->has('deployment_date'))
                                                    <div class="small text-warning">{{ $errors->first('deployment_date') }}</div>
                                                @endif
                                            </div>

                                        </div>
                                </div>
                                <div class="card-footer text-end">
                                    <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                    <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane mx-2"></i> Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="col-12 mt-5">
                    <div id="holding" class="card fieldset border border-muted mt-0">
                    @php
                        $data = $configs = [];
                        foreach(config('settings.contentConfig') as $key=>$content){
                            $data[$key] = null;
                        }

                        if(isset($instance->configs)) {
                        $configs = $instance->configs->pluck('text','key')->toArray();
                            foreach(config('settings.contentConfig') as $key=>$content){
                                if (isset($configs[$key])) {
                                    $data[$key] = $configs[$key];
                                }
                            }
                        }
                    @endphp
                    <!-- form: profile details -->
                        <span class="fieldset-tile text-muted bg-body">Content Configurations:</span>
                        <form action="{{ route('instances.saveContentConfig') }}" method="post">@csrf
                            {{--                            <input type="hidden" name="user_id" value="{{ cryptThis($user->id) }}">--}}
                            @if(isset($instance))
                                <input type="hidden" name="action_type" value="{{ $action_type }}">
                                <input type="hidden" name="instance_id" value="{{ cryptThis($instance->id) }}">
                            @endif
                            <div class="card">
                                <div class="card-body">
                                    <p>Please provide the information for the following</p>
                                    <div class="row mb-3">
                                        @foreach(config('settings.contentConfig') as $key=>$content)
                                            @php
                                                $title = \Illuminate\Support\Str::headline($key);
                                                if ($content == 'text') {
                                                    $size = 'col-md-3';
                                                }
                                                else {
                                                    $size = 'col-md-9';
                                                }
                                            @endphp
                                        <div class="{{$size}} col-sm-12 mb-3">
                                            <div class="form-floating">
                                                @if($content == 'text')
                                                <input type="text" name="{{$key}}"  required id="{{$key}}" class="form-control form-control-l"
                                                       value="{{ (old($key))?old($key):$data[$key] }}" placeholder="{{$title}}">
                                                @else
                                                    <textarea rows="3" style="height: 100px" name="{{$key}}" id="{{$key}}" class="form-control form-control-l"
                                                              placeholder="{{$title}}">{{ (old($key))?old($key):$data[$key] }}</textarea>
                                                @endif
                                                <label class="text-muted">{{ $title }}</label>
                                            </div>
                                            @if ($errors->has($key))
                                                <div class="small text-warning">{{ $errors->first($key) }}</div>
                                            @endif
                                        </div>
                                        @endforeach
                                    </div>
                                </div>
                                <div class="card-footer text-end">
                                    <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                    <button class="btn btn-l btn-primary" type="submit">Save Changes</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('vendor-scripts')
    @endpush
    @push('scripts')
            <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script>
            $('.datepicker').datepicker({});

            $(document).ready(function() {
                imagePop();
                datePick();
            });
            function datePick() {
                $('.datepicker').datepicker({});
            }
            function imagePop() {
                $(".fancybox").fancybox({
                    openEffect: "none",
                    closeEffect: "none"
                });
            }
        </script>
    @endpush
</x-app-layout>
