<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="icon" href="{{ asset(getProjectFavicon()) }}" type="image/x-icon">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Alleviate') }}</title>
    <!-- plugin css file  -->
    <!-- Application vendor css url -->

    <link rel="stylesheet" href="{{ asset('assets/cssbundle/summernote.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">

    <!-- project css file  -->
    <link rel="stylesheet" href="{{ asset('assets/css/luno-style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/vendor/prismjs/prism.css') }}">
    @stack('last-css')
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/fancybox.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/daterangepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/spis.css') }}">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/bs5-toast/dist/bs5-toast.js"></script>
    <style>
        body {
            font-family: 'Inter', sans-serif !important;
            font-weight: 300;
            font-size: 14px;
        }
        main{
            min-height: 800px;
        }
        /*.custom-footer-wrapper{
            z-index: -1;
            width: 100%;
            position: fixed;
            bottom: 0;
            right: 0;
        }*/
        .cstm-fs-12{
            font-size: .85rem;
        }
        @media only screen and (min-width: 600px) {
            /*.custom-footer-wrapper{
                width: 82%;
                
            }*/
        }
    </style>
    <script>
        const BASE_URL = "{{env('APP_URL')}}";
    </script>
</head>

<body class="layout-1" data-luno="theme-blue">
    <!-- start: sidebar -->
    @include('layouts.sidebar')

    <!-- start: body area -->
    <div class="wrapper">

        <!-- start: page header -->
        @include('layouts.topbar')

        <!-- start: page toolbar -->
        @include('layouts.toolbar')

        <!-- start: page page body -->

        <!-- Page Content -->
        <main style="">
            {{ $slot }}
        </main>

        <!-- start: page page footer -->
        <div class="custom-footer-wrapper">
        @include('layouts.page-footer')
        </div>
        
    </div>

{{--    @include('components.modals')--}}

    @stack('vendor-scripts')
    @component('components.alert-notify')@endcomponent

    <!-- Jquery Core Js -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
    <script src="{{ asset('assets/js/theme.js') }}"></script>
    <!-- Prism js file please do not add in your project -->
{{--    <script src="{{ asset('assets/vendor/prismjs/prism.js') }}"></script>--}}
    <!-- Jquery Page Js -->
    <!-- Plugin Js -->
    <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
    <script>
        @if(session()->has('notification'))
        new bs5.Toast({
            header: '{!! session()->get("header") !!}',
            body: '{{session()->get("body")}}',
            placement: '{{session()->get("position")}}',
        }).show()
        @endif

        $(function () {
            $('[data-toggle="popover"]').popover()
        });
        $('.datepicker').datepicker({});
        // $('.daterangepicker').daterangepicker({});

        $('#dobs').datepicker({

        });
        $('.select2').select2({
            placeholder: 'Select',
            allowClear: true
        });
    </script>
    @include('components.error-page')
    @stack('scripts')
    </body>
</html>
