<div class="sub-header bg-white">
    <nav class="navbar navbar-expand-lg navbar-light p-3 rounded bg-white">
        <div class="container">
            <!-- Brand -->
            <a href="{{route('customer.account')}}" class="me-3 me-lg-4 brand-icon">
                @if(systemLogo() != null)
                    <img src="{{ asset(systemLogo()) }}" class="navbar-brand app-logo no-filter p-0" style="width: 100px" alt="{{env('APP_NAME')}}">
                @else
                    <img src="{{ asset(config('app_settings.logo')) }}" class="navbar-brand footer-logo no-filter p-0" alt="Alleviate" style="width: 100px">
                @endif
            </a>
            <!-- header rightbar icon -->
            <div class="h-right d-flex align-items-center me-5 me-lg-0 order-1">
                <div class="d-flex">
                    <a class="nav-link dropdown morphing scale-right Language">
                        <a class="nav-link dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">
                            <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}
                        </a>
                        <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none" style="left: auto">
                            <div class="car">
                                <div class="list-group list-group-custom" style="width: 200px;">
                                    @foreach (config('app.languages') as $language=>$code )
                                        <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </a>
                </div>
                <div class="dropdown notifications">
                    <a class="nav-link dropdown-toggle pulse btn-animate-2 raise" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        @if(hasGeneralNotifications())
                            <i class="bi-bell-fill"></i>
                            <span class="pulse-ring border-danger"></span>
                        @else
                            <i class="bi-bell-slash"></i>
                        @endif

                    </a>
                    <div id="NotificationsDiv" class="dropdown-menu rounded-lg shadow border-0 dropdown-animation dropdown-menu-end p-0 m-0">
                        <div class="card border-0 w380">
                            <div class="card-header border-0 p-3">
                                <h5 class="mb-0 fw-light">
                                    <span>Notifications Center</span>
                                    <span class="badge text-muted">@if(hasGeneralNotifications()) {{getGeneralNotifications()->count()}} @else 0 @endif</span>
                                </h5>
                            </div>
                            <div class="tab-content card-body custom_scroll p-3">
                                <ul class="list-unstyled list mb-0">
                                    @forelse(getGeneralNotifications() as $notify)
                                        <x-general-notification :notify="$notify"></x-general-notification>
                                    @empty
                                        <x-no-data message="You have no notifications"></x-no-data>
                                    @endforelse
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="dropdown user-profile ms-2 ms-sm-3">
                    <a class="nav-link dropdown-toggle pulse p-0" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        <img class="avatar rounded-circle img-thumbnail" src="{{asset('images/profile-pic.png')}}" alt="{{ Auth::user()->surname }}">
                    </a>
                    <div class="dropdown-menu rounded-lg shadow border-0 dropdown-animation dropdown-menu-end p-0 m-0">
                        <div class="card border-0 w240">
                            <div class="card-body border-bottom">
                                <div class="d-flex py-1">
                                    <img class="avatar rounded-circle" src="{{asset('images/profile-pic.png')}}" alt="">
                                    <div class="flex-fill ms-3">
                                        <p class="mb-0 text-muted"><span class="fw-bold">{{auth()->user()->firstname}} {{auth()->user()->name}}</span>
                                            <br>
                                        <small class="text-muted">{{session()->get('role_name')}}</small></p>
                                    </div>
                                </div>
                            </div>
                            <div class="list-group m-2">
                                @if (auth()->user()->account_verified_at != null)
                                    <a class="list-group-item list-group-item-action border-0" href="{{route('customer.account')}}">
                                        <i class="w30 bi-person-fill me-3"></i> {{__('Profile')}}
                                    </a>
                                @endif
                                    <form method="POST" action="{{ route('customer.logout') }}">
                                        @csrf
                                        <a href="{{ route('customer.logout') }}" class="list-group-item list-group-item-action text-danger border-0"
                                           onclick="event.preventDefault(); this.closest('form').submit();" style="width: 100%;">
                                            <i class="w30 bi-power me-3"></i>{{ __('Sign out') }}
                                        </a>
                                    </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- menu toggler -->
            <button class="navbar-toggler p-0 border-0" type="button" data-bs-toggle="collapse" data-bs-target="#mainHeader">
                <span class="fa fa-bars"></span>
            </button>
            <!-- main menu -->
            <div class="collapse navbar-collapse order-0" id="mainHeader">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item me-3">
                        <a class="nav-link console {{isRouteActive(['customer.profile'])}}" href="{{route('customer.profile')}}">
                            <i class="bi-house me-2"></i><span>Dashboard</span>
                        </a>
                    </li>
                    @if(canPerform('surveys'))
                    <li class="nav-item me-3">
                        <a class="nav-link console {{isRouteActive(['customer.mySurveys'])}}" href="{{route('customer.mySurveys')}}">
                            <i class="bi-clipboard-data me-2"></i><span>{{__('My Surveys')}}
                                @if(pendingSurvey() > 0)
                                    <span class="badge rounded-circle bg-success mx-1">{{pendingSurvey()}}</span>
                                @endif
                            </span>
                        </a>
                    </li>
                    @endif
                    @if(canPerform('announcements'))
                        <li class="nav-item me-3">
                            <a class="nav-link console {{isRouteActive(['customer.customerAnnouncements'])}}" href="{{route('customer.customerAnnouncements')}}">
                                <i class="bi-newspaper me-2"></i><span>{{__('Announcements')}}</span>
                            </a>
                        </li>
                    @endif
                    <li class="nav-item me-3">
                        <a class="nav-link console {{isRouteActive(['case.myCases'])}}" href="{{route('case.myCases')}}">
                            <i class="bi-headset me-2"></i><span>{{__('Tickets')}}</span>
                        </a>
                    </li>
                </ul>
            </div>
            {{--            @endif--}}
        </div>
    </nav>
</div>
