@if($record)
    <h6 class="text-center">
        <strong>
            @if( $record->event == "Deletion")
            <span class="text-danger">
                 Record {{$record->event}}
            </span>
            @else
                <span class="text-info">
                 Record {{$record->event}}
            </span>
            @endif
        </strong>
    </h6>
    <table class="table card-table mb-0">
        <tr>
            <td colspan="2"><strong><span class="fw-bolder">Record Type:</span></strong> {{$record->field}}</td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Old Record</strong></td>
            <td class="fw-bolder"><strong>New Record</strong></td>
        </tr>
        <tr>
            <td>
                @if(!is_null($record->old_values))
                    @if(sizeof($record->old_values) > 0)
                        @foreach($record->old_values as $key=>$value)
                            <p><strong><span class="fw-bolder">{{Str::headline(Str::singular($key))}}: </span></strong><br>
                            @if(in_array($key,config('settings.escape_file_names')))
                                <a href="{{ route('download-file',['file_path'=>$value]) }}" target="_blank" class="text-info">Click to download document</a>
                            @else
                            - {{$value}}
                            @endif
                                </p>
                        @endforeach
                    @endif
                @else
                    <strong>No data</strong>
                @endif
            </td>
            <td>
                @if(!is_null($record->new_values))
                    @if(sizeof($record->new_values) > 0)
                        @foreach($record->new_values as $key=>$value)
                            <p><strong><span class="fw-bolder">{{Str::headline(Str::singular($key))}}: </span></strong><br>
                            @if(in_array($key,config('settings.escape_file_names')))
                                    <a href="{{ route('download-file',['file_path'=>$value]) }}" target="_blank" class="text-info">Click to download document</a>
                            @else
                                - {{$value}}
                            @endif
                            </p>
                        @endforeach
                    @endif
                @else
                    <strong>No data</strong>
                @endif
            </td>
        </tr>
        <tr>
            <td colspan="2" class="fw-bolder"><strong>Reason(s): </strong><br>{{$record->reason}}</td>
        </tr>
        <tr>
            <td colspan="2" class="fw-bolder mb-3"><strong>Evidence(s): </strong>
                <br>
                @if(!is_null($record->evidences))
                @foreach($record->evidences as $key=>$value)
                        <a href="{{ route('download-file',['file_path'=>$value]) }}" target="_blank" class="btn btn-sm btn-light-secondary me-2">
                            <i class="fa fa-download me-1"></i> Download Evidence {{$key+1}}</a>
                @endforeach
                @else
                <em class="text-muted">No evidence added</em>
                @endif
            </td>
        </tr>
    </table>
    <div class="divider mt-4 py-2 border-top text-uppercase text-muted"></div>
    <h6 class="mt-3 text-muted">Record Verification</h6>
    @include('member-records.form')
@else
    <h5 class="text-center text-muted mt-4">No record found</h5>
@endif
