<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Branches Management</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Branches Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" class="form-control" name="name" placeholder="Enter Branch/Routing No." 
                                    value="{{ request()->get('name') }}">
                                    <select name="bank" id="bank" class="form-select">
                                        <option value="">-- Select Merchant --</option>
                                        @foreach($banks as $bank)
                                            <option value="{{ $bank->id }}" 
                                                {{ (request()->get('bank') == $bank->id)?'selected':'' }}>{{$bank->name}}</option>
                                        @endforeach
                                    </select>
                                    <select name="location" id="location" class="form-select">
                                        <option value="">-- Select Location --</option>
                                        @foreach(getLocations() as $id=>$name)
                                            <option value="{{ $id }}" 
                                            {{ (request()->get('location') == $id)?'selected':'' }}>{{$name}}</option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{ route('banks.list') }}" class="btn btn-light-primary"><i class="fa fa-folder-open"></i></a>
                                    <button data-bs-toggle="modal" data-bs-target="#uploadBranches" type="button"
                                            class="btn btn-light-success"><i class="fa fa-upload"></i>
                                    </button>
                                    <button data-bs-toggle="modal" data-bs-target="#roleModal" type="button"
                                            class="btn btn-primary">Add New Branch
                                    </button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="table-responsive">
                        <table id="myDataTable_no_filter"
                               class="table myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 30px">{{ __('#') }}</th>
                                <th>{{ __('Merchant Branch Name') }}</th>
                                <th>{{ __('Services') }}</th>
                                <th>{{ __('Location') }}</th>
                                <th style="width: 50px">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if($branches->count() > 0)
                                @php $count = 1; @endphp
                                @foreach($branches as $branch)
                                    @php
                                        $logo = asset('assets/img/image-placeholder.png');
                                    if(isset($branch->bank)) $bank_name = $branch->bank->name; if($branch->bank->logo != null)$logo = asset($branch->bank->logo);
                                    @endphp
                                    <tr>
                                        <td>{{$count++}}</td>
                                        <td>
                                            <div class="d-flex align-items-center">
                                                <img src="{{ $logo }}" class="rounded-circle avatar" alt="{{$branch->shortname}}">
                                                <h6 class="ms-2 mb-0 fw-bold">{{$branch->name}} <br><small class="text-muted fw-light" style="font-size: 13px">{{$bank_name}}</small></h6>
                                            </div>
                                        </td>
                                        <td>{{$branch->services}}</td>
                                        <td>@if(isset($branch->location)){{$branch->location->fullName}}@endif</td>
                                        <td>
                                            <button class="btn btn-link btn-sm text-primary loadRole"
                                                    onclick="loadRole('{{$branch->id}}')" data-bs-toggle="modal"
                                                    data-bs-target="#EditroleModal">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                            @if($branch->status == 1)
                                                <a href="{{ route('banks.branch.activation',[cryptThis($branch->id)]) }}"
                                                   data-bs-toggle="tooltip"
                                                   data-bs-placement="top" title="Deactivate Branch"
                                                   class="btn btn-link btn-sm text-warning"
                                                   onclick="return confirm('Are you sure you want to deactivate this Merchant Branch?')">
                                                    <i class="fa fa-times-circle"></i>
                                                </a>
                                            @else
                                                <a href="{{ route('banks.branch.activation',[cryptThis($branch->id)]) }}"
                                                   data-bs-toggle="tooltip"
                                                   data-bs-placement="top" title="Activate Branch"
                                                   class="btn btn-link btn-sm text-success"
                                                   onclick="return confirm('Are you sure you want to activate this Merchant Branch?')">
                                                    <i class="fa fa-check-circle"></i>
                                                </a>
                                            @endif
                                            <a href="{{ route('banks.branch.remove',[cryptThis($branch->id)]) }}"
                                               data-bs-toggle="tooltip"
                                               data-bs-placement="top" title="Delete Branch"
                                               class="btn btn-link btn-sm text-danger"
                                               onclick="return confirm('Are you sure you want to delete this Merchant Branch permanently?')">
                                                <i class="fa fa-trash"></i>
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="roleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="uploadBranches" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                        <h5>Upload Merchant Branches</h5>
                        <hr class="dotted">
                        <form action="{{route('banks.branches.upload')}}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="mb-3">
                                <label for="formFile" class="form-label">Select Merchant</label>
                                <select name="merchant" required id="merchant" class="form-select">
                                    <option value="">-- Select Merchant --</option>
                                    @foreach($banks as $merchant)
                                        <option value="{{ $merchant->id }}">{{$merchant->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="mb-3">
                                <label for="uploadFile" class="form-label">Select Excel File</label>
                                <input class="form-control" required type="file" name="uploadFile" id="uploadFile">
                                @if ($errors->has('uploadFile'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('uploadFile') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="mb-3">
                                <a href="{{asset('files/merchant-branches-template.xlsx')}}" target="_blank">Download Excel Template</a>
                            </div>
                            <div class="mb-3">
                                <button type="submit" class="btn btn-primary"><i class="fa fa-paper-plane mx-1"></i> Submit</button>
                            </div>
                        </form>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="EditroleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="edit-form-container">

                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('document').ready(function () {
                addView();
            });

            function addView() {
                var path = "{{route('banks.branch.emptyForm')}}";
                $.ajax({
                    url: path,
                    type: 'GET',
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#form-container').empty();
                        $('#form-container').html(data);
                    },
                    complete: function () {
                        $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function () {
                            console.log('Reset');
                        });
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function loadRole(key) {
                var path = "{{route('banks.branch.edit')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#edit-form-container').empty();
                        $('#edit-form-container').html(data.theView);
                    },
                    complete: function () {
                        $.getScript("{{ asset('assets/js/custom.js') }}", function () {});
                    },
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
