<form action="{{route('banks.update')}}" enctype="multipart/form-data" method="post">
    @csrf {{method_field('PUT')}}
    <div id="action-form">
        <input type="hidden" name="id"  value="{{$bank->id}}">
        <div class="row">
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <select name="country" required id="country" class="form-select">
                        <option value="">-- {{__('Choose')}} --</option>
                        @foreach(getCountries() as $key=>$name)
                            <option value="{{$key}}" @if($bank->country_id == $key) selected @endif>
                                {{ $name }}
                            </option>
                        @endforeach
                    </select>
                    <label for="country">Country *</label>
                </div>
                @if ($errors->has('country'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('country') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <select name="type" id="type" required class="form-control">
                        <option value="">-- Click To Select --</option>
                        @foreach(getBankTypes() as $key=>$type)
                            <option value="{{$key}}" @if($bank->type == $key) selected @endif>
                                {{ $type }}
                            </option>
                        @endforeach
                    </select>
                    <label for="type">Type*</label>
                </div>
                @if ($errors->has('type'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('type') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="text" required name="shortname" value="{{$bank->shortname}}"
                           class="form-control" id="shortname" placeholder="ADM">
                    <label for="shortname">Short Name *</label>
                </div>
                @if ($errors->has('shortname'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('shortname') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-8 mb-3">
                <div class="form-floating">
                    <input type="text" required min="2" name="name" class="form-control"
                           value="{{$bank->name}}" id="name" placeholder="Type Name">
                    <label for="name">Name *</label>
                </div>
                @if ($errors->has('name'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('name') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="swift_code" name="swift_code" value="{{$bank->swift_code}}"
                           class="form-control text-uppercase" id="swift_code" placeholder="2345">
                    <label for="swift_code">Swift Code</label>
                </div>
                @if ($errors->has('swift_code'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('swift_code') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="email" name="email" value="{{$bank->email}}"
                           class="form-control text-lowercase" id="email" placeholder="email@bank.com">
                    <label for="email">Email</label>
                </div>
                @if ($errors->has('email'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('email') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="text" name="contact" value="{{$bank->contact}}"
                           class="form-control" id="contact" placeholder="0234-555">
                    <label for="contact">Contact</label>
                </div>
                @if ($errors->has('contact'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('contact') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="url" min="5" name="website" class="form-control"
                           value="{{$bank->website}}" id="website" placeholder="Type Website">
                    <label for="website">Website</label>
                </div>
                @if ($errors->has('website'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('website') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input class="form-control" name="logo" type="file" id="formFile">
                </div>
                @if ($errors->has('logo'))
                    <div class="small text-warning">{{ $errors->first('logo') }}</div>
                @endif
            </div>
            <div class="col-md-8 mb-3">
                <div class="form-floating">
                    <input type="text" min="5" name="address" class="form-control"
                           value="{{$bank->address}}" id="address" placeholder="Type Address">
                    <label for="address">Address</label>
                </div>
                @if ($errors->has('address'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('address') }}</span>
                    </p>
                @endif
            </div>
        </div>
    </div>
    <div class="form-group mt-3 text-end">
        <button class="btn btn-primary" type="submit"><i class="fa fa-paper-plane mx-1"></i>
            {{__('Submit')}}</button>
    </div>
</form>
