<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Merchant Management</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Merchant Management</h1>
                <small class="text-muted">Add, update and track merchant data</small>
            </div>
            <!--<div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>-->
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" class="form-control" name="bank" placeholder="Enter Merchant Name"
                                    value="{{request()->get('bank')}}">
                                    <select name="type" id="type" class="form-select">
                                        <option value="">-- Select Type --</option>
                                        @foreach(getMerchantTypes() as $key=>$type)
                                            <option value="{{ $key }}"
                                            {{ (request()->get('type') == $key)?'selected':'' }}
                                            >{{Str::headline($type)}}</option>
                                        @endforeach
                                    </select>
                                    <select name="country" id="country" class="form-select">
                                        <option value="">-- Country --</option>
                                        @foreach(getCountries() as $key=>$type)
                                            <option value="{{ $type['id'] }}"
                                            {{ (request()->get('country') == $type['id'])?'selected':'' }}>{{$type['country_name']}}</option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="Search"><i class="bi-search"></i></button>
                                    <a href="{{ route('merchants.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip"
                                       data-bs-placement="top" title="Reset"><i class="fa fa-refresh"></i></a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="table-responsive">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 30px">{{ __('#') }}</th>
                                <th>{{ __('Name') }}</th>
                                <th style="width: 100px">{{ __('Short Name') }}</th>
                                <th>{{ __('Beneficiaries') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if(sizeof($merchants) > 0)
                                @php $count = 1;@endphp
                                @foreach($merchants as $key=>$merchant)
                                    @php
                                        $logo = asset('assets/img/image-placeholder.png');
                                    if($merchant['logo'] != null && file_exists(env('CONSOLE_URL').$merchant['logo'])) $logo = env('CONSOLE_URL').$merchant['logo']
                                    @endphp
                                    <tr>
                                        <td>{{$count++}}</td>
                                        <td>
                                            <div class="d-flex align-items-center">
                                                <img src="{{$logo}}" class="rounded-circle avatar" alt="{{$merchant['shortname']}}">
                                                <h6 class="ms-2 mb-0 fw-bold">
                                                    <a href="{{ route('merchants.merchantDetails',[cryptThis($merchant['id'])]) }}"
                                                       data-bs-toggle="tooltip"
                                                       data-bs-placement="top" title="View Merchant Details">
                                                    {{$merchant['name']}}
                                                    <br>
                                                    <small class="text-muted fw-lighter">{{getMerchantType($merchant['type'])}} - {{$merchant['country']['name']}}</small>
                                                    </a></h6>
                                            </div>
                                        </td>
                                        <td>{{$merchant['shortname']}}
                                        </td>
                                        <td>{{(isset($bank_members[$merchant['id']]))?$bank_members[$merchant['id']]:0}}</td>
{{--                                        <td>--}}
{{--                                            <a href="{{ route('merchants.merchantDetails',[cryptThis($merchant['id'])]) }}"--}}
{{--                                                data-bs-toggle="tooltip"--}}
{{--                                                data-bs-placement="top" title="View Merchant Details"--}}
{{--                                                class="btn btn-link text-primary btn-sm"><i class="bi bi-list"></i>--}}
{{--                                             </a>--}}
{{--                                        </td>--}}
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="roleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="EditroleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="edit-form-container">

                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('document').ready(function () {
                addView();
            });
        </script>
    @endpush
</x-app-layout>
