<div class="container-fluid">
     @if(session()->has('message'))
         <div class="mb-5">
             @if(session()->get('status') == 'success')
                 <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
             @else
                 <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
             @endif
         </div>
     @endif
     <div class="row g-3">
          <div class="col-md-3">
               <div class="card mb-2">
                    <div class="card-body p-4">
                         <div class="information text-center">
                              @php
                                   $merchant_avatar = asset('assets/img/image-placeholder.png');
                                   if(!is_null($merchant['logo'])) $merchant_avatar = env('CONSOLE_URL').$merchant['logo'];
                              @endphp
                              <div class="image-input avatar xxl rounded-circle text-center mb-2" style="background-image: url({{$merchant_avatar}}); width: 150px; height: 150px">
                              </div>

                              <h6 class="mb-2">{{$merchant['name']}}</h6>
                              <p class="mb-2 text-muted"><strong>@if($merchant['type']){{$merchant['type']['name']}}@endif</strong></p>
                              <p class="mb-4 text-muted"><strong>{{sizeof($merchant['branches'])}} Branches</strong></p>
                              <ul class="mt-3 list-unstyled d-flex justify-content-center">
                                   <li><a class="p-3" target="_blank" href="#"><i class="fa fa-facebook"></i></a></li>
                                   <li><a class="p-3" target="_blank" href="#"><i class="fa fa-linkedin"></i></a></li>
                                   <li><a class="p-3" target="_blank" href="#"><i class="fa fa-twitter"></i></a></li>
                              </ul>
                         </div>
                    </div>
               </div>
               <div class="card mb-2">
                    <div class="card-body p-2">
                         <div class="information">
                              <ul class="list-group list-group-flush">
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Swift Code</strong></p>
                                        <p class="mb-2 text-muted">{{$merchant['swift_code']}}</p>
                                   </li>
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Country</strong></p>
                                        <p class="mb-2 text-muted">{{$merchant['country']['name']}}</p>
                                   </li>
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Email</strong></p>
{{--                                        <p class="mb-2 text-muted">{{$merchant->email}}</p>--}}
                                   </li>
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Website</strong></p>
{{--                                        <p class="mb-2 text-muted">{{$merchant->website}}</p>--}}
                                   </li>
                               </ul>
                         </div>
                    </div>
               </div>
          </div>
         <div class="col-md-9">
          <div class="col-12">
               <div class="card">
                   <div class="card-body">
                       <form action="#" method="GET">
                           @csrf
                           <div class="input-group">
                               <input type="text" class="form-control" name="beneficiary" placeholder="Beneficiary Name"
                               value="{{request()->get('beneficiary')}}">
                               <select name="benefit" id="benefit" class="form-select">
                                   <option value="">-- Benefit Type --</option>
                                   @foreach(getActiveBenefit() as $key=>$title)
                                       @continue(!in_array($key,array_values($working_benefits)))
                                       <option value="{{ $key }}"
                                       {{ (request()->get('benefit') == $key)?'selected':'' }}>{{$title}}</option>
                                   @endforeach
                               </select>
                               <select name="branch" id="branch" class="form-select">
                                   <option value="">-- Select Branch --</option>
                                   @foreach($merchant['branches'] as $key=>$branch)
                                       @continue(!in_array($branch['id'],$working_branches))
                                       <option value="{{ $branch['id'] }}"
                                       {{ (request()->get('branch') == $branch['id'])?'selected':'' }}>{{$branch['name']}}</option>
                                   @endforeach
                               </select>
                               <select name="status" id="status" class="form-select">
                                   <option value="">-- Select Status --</option>
                                   {{-- @foreach($merchant->branches as $branch)
                                       <option value="{{ $branch->id }}"
                                       {{ (request()->get('status') == $key)?'selected':'' }}
                                       >{{$branch->name}}</option>
                                   @endforeach --}}
                                   <option value="Pending Payment">Pending Payment</option>
                                   <option value="Decline Payment">Decline Payment</option>
                                   <option value="Paid">Paid</option>
                               </select>
                               <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip"
                                       data-bs-placement="top" title="Search"><i class="bi-search"></i></button>
                               <a href="{{ route('merchants.merchantDetails',[cryptThis($merchant['id'])]) }}" data-bs-toggle="tooltip"
                                  data-bs-placement="top" title="Reset" class="btn btn-light-primary"><i class="bi-arrow-repeat"></i></a>
                           </div>
                       </form>

                   </div>
               </div>
           </div>
             @if(!is_null($applicants))
                 <div class="table-responsive mt-3">
                     <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                         <thead>
                         <tr>
                             <th style="width: 30px">#</th>
                             <th>Beneficiaries</th>
                             <th style="width: 130px">Branch</th>
                             <th style="width: 50px">Status</th>

{{--                             <th style="width: 50px">Action</th>--}}
                         </tr>
                         </thead>
                         <tbody>
                         @php($count=1)
                         @foreach($applicants as $applicant)
                             <tr>
                                 <td>{{$count++}}</td>
                                 <td>
                                     <strong>{{$applicant->surnames.' '.$applicant->first_names.' '.$applicant->other_names }}</strong>
                                     <span class="text-muted mx-2">({{$applicant->applicant_number}})</span>
                                     <br>
                                     <small class="text-muted">{{$applicant->benefit_title}}</small>
                                 </td>
                                 <td>{{$applicant->bank_branch}} <br>
                                     <small class="text-muted">{{getCurrency().' '.easyCount($applicant->amount)}}</small>
                                 </td>
                                 <td><em class="text-muted">Processing...</em></td>
{{--                                 <td>--}}
{{--                                     <button class="btn btn-link text-primary">--}}
{{--                                         <i class="bi bi-cash"></i>--}}
{{--                                     </button>--}}
{{--                                 </td>--}}
                             </tr>
                         @endforeach

                         </tbody>
                     </table>
                 </div>
             @else
                 <x-no-data></x-no-data>
             @endif

         </div>
     </div>
 </div>
