<form action="{{route('offices.update')}}" method="post">
    @csrf {{method_field('PUT')}}
    <div id="action-form">
        <input type="hidden" name="id"  value="{{$office->id}}">
        <div class="row">
            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <input type="text" required min="2" name="name" class="form-control"
                           value="{{$office->name}}" id="name" placeholder="Type Name">
                    <label for="name">Name *</label>
                </div>
                @if ($errors->has('name'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('name') }}</span>
                    </p>
                @endif
            </div>

{{--            <div class="col-md-3 mb-3">--}}
{{--                <div class="form-floating">--}}
{{--                    <input type="text" required min="3" max="3" name="code" value="{{$office->code}}"--}}
{{--                           class="form-control text-uppercase" id="code" placeholder="ADM">--}}
{{--                    <label for="code">Code *</label>--}}
{{--                </div>--}}
{{--                @if ($errors->has('code'))--}}
{{--                    <p class="text-right">--}}
{{--                        <span class="text-warning form-text">{{ $errors->first('code') }}</span>--}}
{{--                    </p>--}}
{{--                @endif--}}
{{--            </div>--}}

            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <input type="date" required min="3" max="3" name="coverable_date" value="{{$office->coverable_date}}"
                           class="form-control text-uppercase" id="coverable_date">
                    <label for="coverable_date">Start Date *</label>
                </div>
                @if ($errors->has('coverable_date'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('coverable_date') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="lead" id="lead" class="form-control">
                        <option value="">-- Choose --</option>
                        @foreach($leads as $lead)
                            <option value="{{$lead->id}}" @if($office->lead == $lead->id) selected @endif>
                                {{ Str::headline($lead->name) }}
                            </option>
                        @endforeach
                    </select>
                    <label for="lead">Lead</label>
                </div>
                @if ($errors->has('lead'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('lead') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="manager" id="manager" class="form-control" required>
                        <option value="">-- Choose --</option>
                        @foreach($users as $user)
                            <option value="{{$user->id}}" @if($office->manager == $user->id) selected @endif>
                                {{ Str::headline($user->name.", ".$user->firstname." ".$user->othername) }}
                            </option>
                        @endforeach
                    </select>
                    <label for="manager">Manager *</label>
                </div>
                @if ($errors->has('manager'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('manager') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="type" id="type" class="form-control" required>
                        <option value="">-- Choose --</option>
                        @foreach($types as $id=>$type)
                            <option value="{{$id}}" @if($office->type == $id) selected @endif>
                                {{ Str::headline($type) }}
                            </option>
                        @endforeach
                    </select>
                    <label for="type">Type  *</label>
                </div>
                @if ($errors->has('type'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('type') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="location" id="location" class="form-control" required>
                        <option value="">-- Choose --</option>
                        @foreach($locations as $id=>$location)
                            <option value="{{$id}}" @if($office->location == $id) selected @endif>
                                {{ Str::headline($location) }}
                            </option>
                        @endforeach
                    </select>
                    <label for="location">Location *</label>
                </div>
                @if ($errors->has('location'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('location') }}</span>
                    </p>
                @endif
            </div>

        </div>
    </div>
    <div class="form-group mt-5">
        <button class="btn btn-primary" type="submit"><i class="fa fa-save mr-1"></i>
            {{ __('Save') }}</button>
    </div>
</form>
