<x-single-form-layout>
    <div class="col-md-6 offset-3 d-flex justify-content-center align-items-center">
        <div class="car w-100 p-4 p-md-5" style="max-width: 36rem; border: none">
            <!-- Form -->
            @php
                $client = auth()->user()->hasOrganisation();
                $business_name = old('business_name');
                $country = old('country');
                $size = old('size');
                $type = old('type');
                if ($client) {
                    $business_name = $client->name;
                    $country = $client->country_id;
                    $size = $client->size;
                    $type = $client->field;
                }
            @endphp
                    <!-- Form -->
            <form method="POST" action="{{ route('on_boarding.create') }}">
                @csrf
                <div class="row">

                    <div class="col-12 text-center mb-3">
                        @component('components.announcement')@endcomponent
                    </div>
                    <div class="col-12 text-start mb-3">
                        <h3>Your organization details</h3>
                        <span>{{__('Please provide your Organization information accurately, it will be used in
                        all your communications on the platform')}}</span>
                    </div>

                    <div class="col-md-12">
                        <div class="mt-2">
                            <x-input id="business_name" class="block mt-1 w-full" :placeholder="__('Organization name')"
                                     type="text" name="business_name" :value="$business_name" required autofocus/>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="mt-4">
                            <select name="country" required class="form-select form-control-lg block mt-1 w-full"
                                    id="country">
                                <option value="">Headquarters Country</option>
                                @foreach(getCountries() as $key=>$value)
                                    <option value="{{$value['id']}}" @selected($country == $value['id'])>{{$value['country_name']}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="mt-4">
                            <select name="size" required class="form-select form-control-lg block mt-1 w-full"
                                    id="size">
                                <option value="">Organization Size</option>
                                <option value="1-5" @selected($size == '1-5')>1 - 5 Employees</option>
                                <option value="6-20" @selected($size == '6-20')>6 - 20 Employees</option>
                                <option value="21+" @selected($size == '21+')>More than 20 Employees</option>
                            </select>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="mt-4">
                            <select name="type" required class="form-select form-control-lg block mt-1 w-full"
                                    id="business_type">
                                <option value="">What do you do?</option>
                                @foreach(getBusinessTypes() as $key=>$value)
                                    <option value="{{$value}}" @selected($type == $value)>{{$value}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-12 text-center mt-2">
                        <x-button class="mt-2 rounded btn-primary btn-lg btn-block" style="width:100%">
                            {{ __('Next') }}
                        </x-button>
                    </div>
                    {{--                                <div class="col-md-7 text-left mt-2">--}}
                    {{--                                    <a class="underline text-sm text-gray-600 hover:text-gray-900" href="{{ route('login') }}">--}}
                    {{--                                        {{ __('Already registered?') }} Login--}}
                    {{--                                    </a>--}}
                    {{--                                </div>--}}
                    {{--                                <div class="col-md-5 text-end">--}}
                    {{--                                    <form method="POST" action="{{ route('logout') }} mt-3">--}}
                    {{--                                        @csrf--}}

                    {{--                                        <button type="submit" class="btn btn-outline-primary mt-3 mb-4">--}}
                    {{--                                            <i class="fa fa-sign-out me-1"></i> {{ __('Logout') }}--}}
                    {{--                                        </button>--}}
                    {{--                                    </form>--}}
                    {{--                                    <div class="dropdown morphing scale-right Language mx-sm-2">--}}
                    {{--                                        <a class="nav-link dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">--}}
                    {{--                                            <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}--}}
                    {{--                                        </a>--}}
                    {{--                                        <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">--}}
                    {{--                                            <div class="card">--}}
                    {{--                                                <div class="list-group list-group-custom" style="width: 200px;">--}}
                    {{--                                                    @foreach (config('app.languages') as $language=>$code )--}}
                    {{--                                                        <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>--}}
                    {{--                                                    @endforeach--}}
                    {{--                                                </div>--}}
                    {{--                                            </div>--}}
                    {{--                                        </div>--}}
                    {{--                                    </div>--}}
                    {{--                                </div>--}}
                </div>

            </form>
            <!-- End Form -->
        </div>
    </div>
</x-single-form-layout>
