<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">This module allows prospective partners to easily register and submit necessary
                    information, such as business details, contact information, <br>and relevant documentation.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('partner.list')}}" method="get">
                                @csrf
                                <div class="input-group">

                                    <input type="text" name="name_query" id="name_query" value="{{request()->get('name_query')}}" placeholder="Partner Name" class="form-control">

                                    <select name="type" id="type" class="form-select">
                                        <option value="">{{ __('-- Types --') }}</option>
                                        @foreach (getProgramPartnerTypes() as $key=>$partnerType)
                                        <option value="{{$key}}" {{ (request()->get('type') == $key)?'selected':'' }}>{{$partnerType}}</option>
                                        @endforeach
                                    </select>

                                    <select name="status_query" id="status_query" class="form-select">
                                        <option value="">{{ __('-- Status --') }}</option>
                                        <option value="1" {{ (request()->get('status_query') == 1)?'selected':'' }}>Active</option>
                                        <option value="0" {{ (request()->get('status_query') == 0)?'selected':'' }}>Disabled</option>
                                    </select>

                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                    <a href="{{ route('partner.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>

                                    @if(canDo('administrator','add-partner'))
                                    <a href="{{ route('program.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip"
                                       data-bs-placement="top" title="Program"><i class="bi-journals"></i></a>
                                    @endif
                                    @if(canDo('administrator','add-partner'))
                                    <a href="{{ route('partner.create') }}" class="btn btn-primary" data-bs-toggle="tooltip"
                                       data-bs-placement="top" title="Add new Partner"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                    @endif
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    @if ($partners->count() > 0)
                        <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 20px;">#</th>
                                    <th>Partner</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                    <th class="text-right">Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                    @php
                                        $count = 0;
                                    @endphp
                                    @foreach ($partners as $partner)
                                    @php
                                        $count++;
                                    @endphp
                                        <tr>
                                            <td>{{$count}}</td>
                                            <td class="d-flex align-items-center">
                                                @php
                                                    $logo = asset('assets/PlaceholderLogo.png');
                                                    if($partner->logo_url != null) {
                                                        $logo = asset($partner->logo_url);
                                                    }
                                                @endphp
                                                <img src="{{ $logo }}" class="rounded-circle avatar" alt="{{$partner->name}}">
                                                <div class="ms-2 mb-0">
                                                    <span class="fw-bold">{{$partner->name}}</span>
                                                    <br>
                                                    <small class="text-muted">{{$partner->_type->fullName}}</small>
                                                </div>
                                            </td>
                                            <td>{{$partner->phone}} <br><small class="text-muted">{{$partner->email}}</small> </td>
                                            <td>{{($partner->status == 1)?'Active':'Disable'}}</td>
                                            <td>
                                                @if(canDo('administrator','view-partner-info'))
                                                <a href="{{route('partner.view',[cryptThis($partner->id)])}}"
                                                    class="btn btn-sm btn-link text-info mr-2" data-bs-toggle="tooltip" data-bs-placement="top" title="{{__("View Partner")}}">
                                                    <i class="fa fa-file-text"></i></a>
                                                @endif
                                                    @if(canDo('administrator','edit-partner'))
                                                <a href="{{route('partner.edit',[cryptThis($partner->id)])}}" class="btn btn-sm btn-link text-primary mr-2" data-bs-toggle="tooltip"
                                                    data-bs-placement="top" title="{{__("Edit Partner")}}"><i class="fa fa-edit"></i></a>
                                                    @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    @else
                    <x-no-data></x-no-data>
                    @endif

                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
    @endpush
</x-app-layout>
