<x-app-layout>
    <x-slot name="page_title">
        {{ __('Payment Schedule') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('payment.paymentSchedule') }}" class="text-muted">{{ __('Payment Schedules') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:;" class="text-muted">{{ __('Save Payment Schedule')." - ".$benefit->titles }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="row">
        <div class="col-12 mb-7">
{{--            <a href="{{route('payment.paymentSchedule')}}" class="btn btn-primary btn-sm mb-3 mr-3 text-right"><i class="la la-folder-plus"></i> {{ __('Create Payment Schedule') }}</a>--}}
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                    <h3 class="card-title">{{ $benefit->titles }}</h3>
                </div>
                <div class="card-body">
                    <form id="add-form" action="{{route('payment.savePaymentSchedule')}}" method="post">
                        @csrf
                        <div id="hidden-input"></div>
                        <div class="row">
                            {{--<div class="col-md-6">--}}
                                {{--<div class="form-group{{ $errors->has('title') ? ' form-control-warning' : '' }}">--}}
                                    {{--<label for="title">{{ __('Title') }} <span class="required">*</span></label>--}}
                                    <input type="hidden" name="benefit" class="form-control" value="{{ $benefit->id }}">
                                    {{--@if ($errors->has('title'))--}}
                                        {{--<span class="form-text text-warning">{{ $errors->first('title') }}</span>--}}
                                    {{--@endif--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-6">--}}
                                {{--<div class="form-group{{ $errors->has('benefit') ? ' form-control-warning' : '' }}">--}}
                                    {{--<label for="benefit">{{ __('Select Benefit') }}</label>--}}
                                    {{--<select name="benefit" id="benefit" class="form-control" required>--}}
                                        {{--<option>{{ __('Select') }}</option>--}}
                                        {{--@foreach($benefits as $benefit)--}}
                                            {{--<option value="{{ $benefit->id }}">{{ $benefit->titles }}</option>--}}
                                        {{--@endforeach--}}
                                    {{--</select>--}}
                                    {{--@if ($errors->has('benefit'))--}}
                                        {{--<span class="form-text text-warning">{{ $errors->first('benefit') }}</span>--}}
                                    {{--@endif--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            <div class="col-md-3">
                                <div class="form-group{{ $errors->has('type') ? ' form-control-warning' : '' }}">
                                    <label for="type">{{ __('Payment Type') }}<span class="required">*</span></label>
                                    <select name="type" id="type" class="form-control" required>
                                        <option>{{ __('Select') }}</option>
                                        <option value="Recurring"
                                                @if(isset($schedule))
                                                    @if($schedule->type == 'Recurring') selected
                                                    @elseif(old('type') == 'Recurring') selected @endif
                                                @endif>
                                            {{ __('Recurring') }}</option>
                                        <option value="One-Off"
                                                @if(isset($schedule))
                                                @if($schedule->type == 'One-Off') selected
                                                @elseif(old('type') == 'One-Off') selected @endif
                                                @endif>
                                            {{ __('One-Off') }}</option>
                                    </select>
                                    @if ($errors->has('type'))
                                        <span class="form-text text-warning">{{ $errors->first('type') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group{{ $errors->has('day_of_payment') ? ' form-control-warning' : '' }}">
                                    <label for="day_of_payment">{{ __('Day(s) to Pay') }} <span class="required">*</span></label>
                                    <input type="text" name="day_of_payment" placeholder="1 or 2, 23" required class="form-control"
                                           value="@if(isset($schedule)) {{ $schedule->day_of_payment }}
                                                @else {{ old('day_of_payment') }} @endif"
                                           id="day_of_payment">
                                    <span class="form-text text-info">{{ __('Separate days with comma') }}</span>
                                    @if ($errors->has('day_of_payment'))
                                        <span class="form-text text-warning">{{ $errors->first('day_of_payment') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group{{ $errors->has('amount') ? ' form-control-warning' : '' }}">
                                    <label for="amount">{{ __('Amount') }} - $ <span class="required">*</span></label>
                                    @php
                                    $amount = old('amount')?old('amount'):0;
                                    if(isset($schedule)) { $amount = $schedule->amount; }
                                    @endphp
                                    <input type="number" name="amount" required class="form-control" step="0.01"
                                           value="{{ $amount }}" id="amount">
                                    @if ($errors->has('amount'))
                                        <span class="form-text text-warning">{{ $errors->first('amount') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group{{ $errors->has('tax') ? ' form-control-warning' : '' }}">
                                    <label for="tax">{{ __('Tax') }}(%)</label>
                                    @php
                                        $tax = old('tax')?old('tax'):0;
                                        if(isset($schedule)) { $tax = $schedule->tax; }
                                    @endphp
                                    <input type="number" name="tax" required class="form-control" step="0.01"
                                           value="{{ $tax }}" id="tax">
                                    @if ($errors->has('tax'))
                                        <span class="form-text text-warning">{{ $errors->first('tax') }}</span>
                                    @endif
                                </div>
                            </div>
                            @if(false && $benefit->form->table_name == config('settings.child_benefit'))
                            <div class="col-md-2">
                                <div class="form-group{{ $errors->has('child_age_limit') ? ' form-control-warning' : '' }}">
                                    <label for="child_age_limit">{{ __('Child Age Limit') }} - $ <span class="required">*</span></label>
                                    @php
                                        $child_age_limit = old('child_age_limit')?old('child_age_limit'):0;
                                        if(isset($schedule)) { $child_age_limit = $schedule->child_age_limit; }
                                    @endphp
                                    <input type="number" name="child_age_limit" required class="form-control"
                                           value="{{ $child_age_limit }}" id="child_age_limit">
                                    @if ($errors->has('child_age_limit'))
                                        <span class="form-text text-warning">{{ $errors->first('child_age_limit') }}</span>
                                    @endif
                                </div>
                            </div>
                            @endif
                        </div>
                        @if($benefit->form->table_name == config('settings.pension_benefit'))
                        <div id="pension">
                            <label for="day_of_payment">{{ __('Pension') }} <span class="required">*</span></label>
                            <hr>
                            <div class="row">
                                @php
                                    $pension_amount = old('pension_amount')?old('pension_amount'):0;
                                    if(isset($schedule)) { $pension_amount = $schedule->pension_amount; }
                                @endphp
                                @foreach(config('settings.pension_age_groups') as $key=>$value)
                                    @php
                                            $p_amount = $pension_amount[$value]['amount'];
                                            $p_tax = $pension_amount[$value]['tax'];
                                    @endphp
                                    <div class="col-md-2">
                                        <div class="form-group{{ $errors->has('pension_amount') ? ' form-control-warning' : '' }}">
                                            <label for="pension_amount">{{ $value }} {{ __('Amount') }} <span class="required">*</span></label>
                                            <input type="number" name="pension_amount[{{$value}}][amount]" required class="form-control" step="0.01"
                                                   value="{{ $p_amount }}" id="amount"><br>
                                            <label for="pension_tax">{{ $value }} {{ __('Tax') }} <span class="required">*</span></label>
                                            <input type="number" name="pension_amount[{{$value}}][tax]" required class="form-control" step="0.01"
                                                   value="{{ $p_tax }}" id="amount">
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                        @endif

                        @if($benefit->form->table_name == config('settings.funeral_allowance'))
                        <div id="pension">
                            <label for="day_of_payment">{{ __('Amounts') }} <span class="required">*</span></label>
                            <hr>
                            <div class="row">
                                @php
                                    $funeral_amount = old('funeral_amount')?old('funeral_amount'):0;
                                    if(isset($schedule)) { $funeral_amount = $schedule->funeral_amount; }
                                @endphp
                                @foreach(config('settings.funeral_amount') as $key=>$value)
                                    @php
                                        $f_amount = $funeral_amount[$value];
                                    @endphp
                                    <div class="col-md-3">
                                        <div class="form-group{{ $errors->has('funeral_amount') ? ' form-control-warning' : '' }}">
                                            <label for="funeral_amount">{{ $value }} {{ __('Amount') }} <span class="required">*</span></label>
                                            <input type="number" name="funeral_amount[{{$value}}]" required class="form-control" step="0.01"
                                                   value="{{ $f_amount }}" id="funeral_amount">
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                        @endif
                        {{--<div class="col-md-3">--}}
                            <div class="form-group">
                                <button class="btn btn-light-primary mt-8" type="submit">
                                    <i class="la la-save mr-1"></i> {{ __('Save') }}</button>
                            </div>
                        {{--</div>--}}
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
    @endpush
    @push('scripts')

    @endpush
</x-app-layout>