<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Payroll') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('payment.payroll') }}" class="text-muted">{{ __('Payroll') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
        <div class="row">
            @if(false)
        <div class="col-12 mb-7">
            <div class="card card-custom">
                <div class="card-body">
                    <h5 class="text-primary">{{ __('New Payroll') }}</h5>
                    <form action="{{ route('payment.createPayroll') }}" method="get">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group{{ $errors->has('benefit') ? ' form-control-warning' : '' }}">
                                    <select name="benefit" class="form-control" required>
                                        <option>{{ __('Select Benefit') }}</option>
                                        @foreach($benefits as $benefit)
                                            <option value="{{ $benefit->id }}">{{ $benefit->titles }}</option>
                                        @endforeach
                                    </select>
                                    @if ($errors->has('benefit'))
                                        <span class="form-text text-warning">{{ $errors->first('benefit') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <button class="btn btn-light-primary" type="submit">
                                        <i class="la la-save mr-1"></i> {{ __('Create Payroll') }}</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
            @endif
        <div class="col-12 mb-7">
            <div class="card card-custom">
                <div class="card-header">
                    <h3 class="card-title">{{ __('Payroll Register') }}</h3>
                </div>
                <div class="card-body">
                    <table class="table table-sm table-bordere table-hover" id="payrolls_table" style="width: 100%;margin-top: 13px !important">
                        <thead>
                        <tr>
                            <th style="width: 100px;">{{ __('Period') }}</th>
                            <th style="width: 40px;">{{ __('Date') }}</th>
                            <th style="width: 150px;">{{ __('Account') }}</th>
                            <th styl="width: 100px;">{{ __('Category') }}</th>
                            <th style="width: 100px;">{{ __('Total') }}</th>
                            <th style="width: 100px;">{{ __('Status') }}</th>
                            <th style="width: 40px">{{ __('Action') }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
        </script>
        <script>
            const APPLICATIONS_AJAX = "{{ route('payment.getPayrolls') }}";
        </script>
        <script src="{{ asset('assets/js/customjs/custom-payroll-datatable.js') }}"></script>
    @endpush
</x-app-layout>