<x-app-layout>
    @push('vendor-css')
        <style>
            .table thead th {
                padding: 0.75rem 0.75rem !important;
            }
        </style>
        {{--<link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">--}}
    @endpush
    <x-slot name="page_title">
        {{ __('Payroll') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('payment.payroll') }}" class="text-muted">{{ __('Payroll') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
        <div class="row">
            {{--@if(false)--}}
        <div class="col-12 mb-3">
            {{--<div class="card card-custom">--}}
                {{--<div class="card-body">--}}
                    {{--<h5 class="text-primary">{{ __('New Payroll') }}</h5>--}}
                    <form action="{{ route('payment.payroll') }}" method="get">
                        @csrf
                        <div class="row">
                            <div class="col-md-9">
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Enter Year</label>
                                    <div class="input-group">
                                        <input type="text" value="{{ $year }}" name="year" class="form-control" placeholder="{{ date('Y') }}">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="submit">Submit</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                {{--</div>--}}
            {{--</div>--}}
        </div>
            {{--@endif--}}
        <div class="col-12 mb-7">
            <div class="card card-custom">
                <div class="card-header">
                    <h3 class="card-title">{{ __('Payroll Register').' - '.$year }}</h3>
                </div>
                <div class="card-body">
                    <table class="table table-md table-striped" id="payrolls_table" style="width: 100%;margin-top: 13px !important">
                        <thead class="thead-light">
                        <tr>
                            <th style="width: 100px;">{{ __('Period') }}</th>
                            <th style="width: 100px;">{{ __('Date') }}</th>
                            <th style="width: 200px;">{{ __('Account') }}</th>
                            <th style="width: 200px;">{{ __('Category') }}</th>
                            <th style="width: 100px;">{{ __('Total') }}</th>
                            <th style="width: 100px;">{{ __('Status') }}</th>
                            <th style="width: 50px">{{ __('Action') }}</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach(config('settings.months') as $key=>$month)
                                {{--@php $count = 0; @endphp--}}
                                    {{--@foreach($payrolls as $payroll)--}}
                                        {{--@php --}}
                                            {{----}}
                                        {{--@endphp--}}
                                    {{--@if(date('F', strtotime($payroll->created_at)) != $month && $count >= 1) @break @endif--}}
                                    <tr>
                                        <td>{{ $month }}</td>
                                        <td>-</td>
                                        <td>Regular</td>
                                        <td>-</td>
                                        <td>0.00</td>
                                        <td>-</td>
                                        <td>
                                            <div class="dropdown dropdown-inline mr-4">
                                                <button type="button" class="btn btn-light-primary btn-icon btn-xs mb-0" disabled="disabled" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <i class="ki ki-bold-more-hor"></i>
                                                </button>
                                                <div class="dropdown-menu drop-left">
                                                    {{--<a href="{{route('payment.viewPayroll',[cryptThis($payroll->id)])}}" class="dropdown-item">--}}
                                                        {{--<i class="la la-eye mr-2"></i> View</a>--}}
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    {{--<tr>--}}
                                        {{--<td>{{ $month }}</td>--}}
                                        {{--<td>{{date('d-M-Y',strtotime($payroll->payment_date)) }}</td>--}}
                                        {{--<td>{{ ($payroll->benefit->main_benefit == 1)?'Regular':'Add-On' }}</td>--}}
                                        {{--<td>{{date('F', strtotime($payroll->created_at))}}</td>--}}
                                        {{--<td>{{$month}}</td>--}}
                                        {{--<td></td>--}}
                                        {{--<td>--}}
                                            {{--<div class="dropdown dropdown-inline mr-4">--}}
                                                {{--<button type="button" class="btn btn-light-primary btn-icon btn-xs mb-0" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">--}}
                                                    {{--<i class="ki ki-bold-more-hor"></i>--}}
                                                {{--</button>--}}
                                                {{--<div class="dropdown-menu drop-left">--}}
                                                    {{--<a href="{{route('payment.viewPayroll',[cryptThis($payroll->id)])}}" class="dropdown-item">--}}
                                                        {{--<i class="la la-eye mr-2"></i> View</a>--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                        {{--</td>--}}
                                    {{--</tr>--}}
                                    {{--@php $count += 1; @endphp--}}
                                {{--@endforeach--}}
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    {{--@push('vendor-scripts')--}}
        {{--<script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>--}}
    {{--@endpush--}}
    @push('scripts')
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
        </script>
        {{--<script>--}}
            {{--const APPLICATIONS_AJAX = "{{ route('payment.getPayrolls') }}";--}}
        {{--</script>--}}
        {{--<script src="{{ asset('assets/js/customjs/custom-payroll-datatable.js') }}"></script>--}}
    @endpush
</x-app-layout>