<form action="{{route('payment.generateVoucher')}}" method="post">
    @csrf
    <input type="hidden" name="month" value="{{$month}}">
    <div id="action-form">
        <div class="mb-4 text-center">
            <h5 class="text-muted fw-light">Total Verified Claims</h5>
            <h3 class=""><strong>{{easyCount($approved_claims)}} </strong>({{getCurrency().' '.easyCount($approved_claims_amount)}})</h3>
        </div>
        <div class="row mb-3">
            <div class="col-md-5">
                <p class="fw-bold text-center">Benefit Amount Distribution</p>
                <div class="card p-2">
                    <table class="table table-sm mt-1">
                        <tr>
                            <th class="text-muted">Benefit</th>
                            <th class="text-muted">Amount({{getCurrency()}})</th>
                        </tr>
                        @forelse($benefit_aggregate as $benefit)
                            <tr>
                                <td>{{$benefit->title}}</td>
                                <td>{{easyCount($benefit->claims_sum)}}</td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="2" class="text-muted fw-light">No Claims for this month</td>
                            </tr>
                        @endforelse
                    </table>
                </div>
            </div>
            <div class="col-md-7">
                <p class="fw-bold text-center">Benefit Quantity Distribution</p>
                <div class="card p-2 text-center">
                    @if($approved_claims > 0)
                        <div id="apex-SalesbyCategory"></div>
                    @else
                        <div class="text-muted mt-4 mb-4 fw-bolder">No data available</div>
                    @endif
                    {{--                                            <div class="ct-chart" id="C_PieChart"></div>--}}
                </div>
            </div>
        </div>
    </div>

    <div class="form-group mt-5">
        <button class="btn btn-primary" type="submit"><i class="fa fa-send mx-1"></i>
            {{__('Generate Batch')}}</button>
    </div>
</form>
<script>
    var options = {
        chart: {
            height: 350,
            type: 'donut',
        },
        dataLabels: {
            enabled: false,
        },
        legend: {
            position: 'bottom',
            horizontalAlign: 'center',
            show: true,
        },
        colors: ['var(--chart-color1)', 'var(--chart-color2)', 'var(--chart-color3)'],
        series: {!! $benefit_aggregate_claims !!},
        labels: {!! $benefit_aggregate_titles !!}
    }
    var chart = new ApexCharts(document.querySelector("#apex-SalesbyCategory"), options);
    chart.render();
</script>
