<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('benefit_registration.list') }}">Applications</a></li>
            <li class="breadcrumb-item active" aria-current="page">Payment Vouchers</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Payment Vouchers</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
{{--                <div class="p-2 pe-lg-0">--}}
{{--                    <div><span class="h6 mb-0">3.66K</span> <small class="text-danger"><i class="fa fa-angle-down"></i> 7.5%</small></div>--}}
{{--                    <small class="text-muted text-uppercase">Revenue</small>--}}
{{--                </div>--}}
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                @if(session()->get('status') == 'success')
                    <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                @else
                    <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                @endif
                </div>
            @endif
                <div class="row g-3">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="get">
                                    @csrf
                                    <div class="input-group">
                                        <input type="number" name="year" id="year" value="{{$year}}" placeholder="{{date('Y')}}" class="form-control">
                                        <input type="text" name="voucher_id" id="voucher_id" placeholder="Voucher #" class="form-control"
                                        value="{{request()->get('voucher_id') }}">

                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- {{ __('Status') }} --</option>
                                            @foreach(getPaymentVoucherStatus() as $id=>$name)
                                                <option value="{{$id}}" @selected(request()->get('status') == $id)>{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i></button>
                                        <button data-bs-toggle="modal" data-bs-target="#paymentModal" title="Add new Voucher" type="button"
                                                class="btn btn-primary"><i class="fa fa-plus me-2"></i> {{__('New')}}
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="table-responsive mt-10">
                            <table id="forms_table" class="table myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th>Period</th>
                                    <th>Voucher ID</th>
                                    <th>Voucher Date</th>
                                    <th>Payees</th>
                                    <th>Gross Pay</th>
                                    <th>Tax</th>
                                    <th>Net Payble</th>
                                    <th>Status</th>
                                    <th style="width: 100px">Action</th>
                                </tr>
                                </thead>
                                <tbody>

                                    @for ($month=0; $month < sizeof($months); $month++)
                                        @php $full_month = $months[$month]; @endphp
                                        <tr>
                                            <td>{{$full_month}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?$available_master_list[$full_month]['voucher_number']:"-"}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?$available_master_list[$full_month]['voucher_date']:"-"}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?$available_master_list[$full_month]['beneficiaries']:"-"}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?$available_master_list[$full_month]['gross_pay']:"-"}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?$available_master_list[$full_month]['tax']:"-"}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?$available_master_list[$full_month]['netable_pay']:"-"}}</td>
                                            <td>{{(isset($available_master_list[$full_month]))?getLookupSelectedOptionTextByValue($available_master_list[$full_month]['status']):"-"}}</td>
                                            <td>
                                                @if (isset($available_master_list[$full_month]))
                                                    @php $id = $available_master_list[$full_month]['id']; @endphp

                                                    <a href="{{ route('payment.paymentBatchVoucher',[$id]) }}"
                                                        class="btn btn-sm btn-link text-success" data-bs-toggle="tooltip" title="View Voucher">
                                                        <i class="fa fa-envelope-open-o"></i>
                                                    </a>

                                                    <a href="{{ route('payment.paymentBatch',[$id]) }}"
                                                        class="btn btn-sm btn-link text-primary" data-bs-toggle="tooltip" title="View Benefactors">
                                                        <i class="bi-people-fill"></i>
                                                    </a>
                                                    @if(canDo('administrator','voucher-management'))
                                                    <button type="button" class="btn btn-sm btn-link text-danger" data-bs-toggle="tooltip" title="Remove"><i class="fa fa-trash-o"></i></button>
                                                    @endif
                                                @endif

                                            </td>
                                        </tr>

                                    @endfor

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- .row end -->
        </div>
    </div>
    <!-- start: page footer -->
{{--    @push('modals')--}}
        <div class="modal fade" id="paymentModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-header">
                        <h5 class="modal-title" >New Voucher</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body custom_scroll">
                        <div class="mb-3">
                            <div class="row">
                                <label for="period" class="col-sm-2 col-form-label">Select Period</label>
                                <div class="col-sm-4">
                                    <select name="period" id="period" class="form-select">
                                        <option> -- Choose --</option>
                                        @for ($month=0; $month < sizeof($months); $month++)
                                            <option value="{{$month+1}}">{{$months[$month]}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>

                        </div>
                        <div id="form-container">

                        </div>
                    </div>
                </div>
            </div>
        </div>
{{--    @endpush--}}
@push('scripts')
        <script src="{{ asset('assets/js/bundle/apexcharts.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/helpers.js') }}"></script>
        <script src="{{ asset('assets/js/pages/users.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            $('#forms_table').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('.select2').select2();

            $('document').ready(function () {
                $('select#period').on('change',function (){
                    let selectedMonth = $(this).val();

                    var path = "{{route('payment.loadVoucherForm')}}";
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-Token': $('meta[name=_token]').attr('content')
                        }
                    });
                    $.ajax({
                        url: path,
                        type: 'GET',
                        data: {month: selectedMonth},
                        beforeSend: function () {
                        },
                        success: function (data) {
                            $('#form-container').empty().html(data.formView);
                        },
                        complete: function () {
                            $.getScript("{{ asset('assets/js/bundle/apexcharts.bundle.js') }}", function () {
                                console.log('Reset');
                            });
                        },
                        error: function (data) {
                            console.log(data);
                        }
                    });
                });
            });

        </script>
@endpush
</x-app-layout>
