<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">{{__('Home')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Plan Subscriptions')}}</li>
        </ol>
    </x-slot>

<div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
    <div class="container-fluid">

        <div class="row g-3 mb-lg-5">
            <div class="col-12">
                <div class="row">
                    <div class="col-md-6">
                        <h5 class="card-title mb-4"><i class="bi-award-fill me-2"></i>{{__('Our Pricing Design')}}</h5>
                    </div>
                    <div class="col-md-6 text-end">
                        <form method="GET" action="#">
                            @csrf
                            <div class="input-group">
{{--                                <select name="country" id="country" class="form-select select2">--}}
{{--                                    <option value="">{{ __('-- Choose Country --') }}</option>--}}
{{--                                    @foreach($countries as $country)--}}
{{--                                        <option value="{{$country->id}}" @selected(request()->get('country') == $country->id)>--}}
{{--                                            {{$country->country_name}}--}}
{{--                                        </option>--}}
{{--                                    @endforeach--}}
{{--                                </select>--}}
                                <select name="is_custom" id="is_custom" class="form-select">
                                    <option>{{ __('-- Is Custom? --') }}</option>
                                    <option value="">{{ __('All') }}</option>
                                        <option value="0" @selected(request()->get('is_custom') == 0)>
                                            {{__('No')}}
                                        </option>
                                        <option value="1" @selected(request()->get('is_custom') == 1)>
                                            {{__('Yes')}}
                                        </option>
                                </select>
                                <button class="btn btn-primary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i></button>
                                <a class="btn btn-light-primary" href="{{ route('plan.list') }}"><i class="bi-arrow-repeat"></i></a>
                                <a class="btn btn-light-primary" data-bs-toggle="tooltip" title="Country Pricing" href="{{ route('plan.countryPricing') }}"><i class="bi-cash-coin"></i></a>
                                <a href="{{route('plan.create')}}" class="btn btn-primary">
                                    {{__('Add Plan')}}</a>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-12">
                        <p class="text-muted">It is a long-established fact that a reader will be of a page when established fact looking at its layout.</p>
                    </div>
                </div>

                @if($plans->count() > 0)
                    <div class="pricing-table owl-carousel owl-theme" id="OwlBasic">
                        @foreach($plans as $plan)
                            <div class="card text-center overflow-hidden">
                                <div class="card-body chart-color1 text-white">
                                    <h3 class="mb-0">
                                        {{$plan->name}}
                                        @if(!auth()->user()->is_owner())
                                            @if($plan->is_custom)<small class="fw-light small" style="font-size: 15px">(Custom)</small> @endif
                                        @endif
                                    </h3>
                                </div>
                                <div class="card-body">
                                    <div class="display-6">{{env('DEFAULT_CURRENCY_CODE')}} {{$plan->price}}</div>
                                    <div class="text-muted">per {{$plan->invoice_interval}}</div>
                                </div>
                                <ul class="list-group list-group-custom list-group-flush">
                                    <li class="list-group-item"><i class="fa fa-check me-2"></i>{{easyCount($plan->active_subscribers_limit)}} {{__('Beneficiaries')}} </li>
                                    @foreach($all_modules as $name=>$params)
                                        @if($plan->hasFeatureByName($name))
                                            <li class="list-group-item"><i class="fa fa-check me-2"></i> {{Str::headline($name)}} </li>
                                        @endif
                                    @endforeach
                                </ul>
                                <div class="card-footer">
                                    <a href="{{route('plan.editPlan',[$plan->slug])}}" class="btn chart-color1 text-white btn-lg px-5">Edit Plan</a>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @else
                    <x-no-data message="No Plans available."></x-no-data>
                    <div class="text-center">
                        <a href="{{route('plan.create')}}" class="btn btn-primary">{{__('Add Plan')}}</a>
                    </div>
                @endif

            </div>

        </div>

    </div>
</div>
@push('scripts')
        <!-- Plugin Js -->
        <script src="{{asset('assets/js/bundle/owlcarousel.bundle.js')}}"></script>
        <!-- Jquery Page Js -->
        <script>
            $('#OwlBasic').owlCarousel({
                loop: false,
                margin: 10,
                nav: true,
                responsive: {
                    0: {
                        items: 1
                    },
                    600: {
                        items: 2
                    },
                    992: {
                        items: 3
                    },
                    1600: {
                        items: 4
                    }
                }
            })
        </script>
    <script>

        $(document).ready(function() {
            ownedDomain();
        });

        function ownedDomain() {
            if (document.getElementById('own_domain').checked) {
                $('#default').hide();
                $('#owned').show()
                $('input#domain').prop('placeholder','mydomain.com')
            } else {
                $('#default').show();
                $('#owned').hide()
                $('input#domain').prop('placeholder','mydomain')
            }
        }
    </script>
    @endpush
    </x-app-layout>
