<div class="card card-custom card-stretch">
        <!--begin::Header-->
        <div class="card-header py-3">
            <div class="card-title align-items-start flex-column">
                <h3 class="card-label font-weight-bolder text-dark">{{ __('Account Information') }}</h3>
                <span class="text-muted font-weight-bold font-size-sm mt-1">{{ __('Update your account information') }}</span>
            </div>
        </div>
        <!--end::Header-->
        <!--begin::Form-->
        <form class="form" action="{{ route('account.account_info_update') }}" enctype="multipart/form-data" method="POST">
            @csrf
        <!--begin::Body-->
        <div class="card-body">
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label">{{ __('Avatar') }} <br>
                    <span class="form-text text-muted">{{ __('Optional') }}</span></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="image-input image-input-outline" id="kt_profile_avatar"
                         style="background-color: #ffffff">
                        <div class="image-input-wrapper" style="background-image: url({{ $avatar }})"></div>
                        <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow" data-action="change" data-toggle="tooltip" title="" data-original-title="{{ __('Change Logo') }}">
                            <i class="fa fa-pen icon-sm text-muted"></i>
                            <input type="file" name="profile_avatar" accept=".png, .jpg, .jpeg" />
                            <input type="hidden" name="profile_avatar_remove" />
                        </label>
                        <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow" data-action="cancel" data-toggle="tooltip" title="{{ __('Cancel Logo') }}">
                            <i class="ki ki-bold-close icon-xs text-muted"></i>
                        </span>
                        <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow" data-action="remove" data-toggle="tooltip" title="{{ __('Remove Logo') }}">
                            <i class="ki ki-bold-close icon-xs text-muted"></i>
                        </span>
                    </div>
                    <span class="form-text text-muted">{{ __('Allowed file types: png, jpg, jpeg.') }}</span>
                    @if ($errors->has('profile_avatar'))
                        <div class="invalid-feedback">
                            {{ $errors->first('profile_avatar') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label">{{ __('Full Name') }}</label>
                <div class="col-lg-9 col-xl-6">
                    <input class="form-control form-control-lg form-control-solid {{($errors->has('name'))?'is-invalid':''}}"
                           value="{{ (old('name'))?old('name'):\Auth::user()->name }}" type="text" name="name" required />
                    @if ($errors->has('name'))
                        <div class="invalid-feedback">
                            {{ $errors->first('name') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label">{{ __('Agency Name') }} <br>
                    <span class="form-text text-muted">{{ __('If applicable') }}</span></label>
                <div class="col-lg-9 col-xl-6">
                    <input class="form-control form-control-lg form-control-solid {{($errors->has('company'))?'is-invalid':''}}"
                           value="{{ (old('company'))?old('company'):$company }}" name="company" type="text" />
                    @if ($errors->has('company'))
                        <div class="invalid-feedback">
                            {{ $errors->first('company') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="row">
                <label class="col-xl-3"></label>
                <div class="col-lg-9 col-xl-6">
                    <h5 class="font-weight-bold mt-10 mb-6">{{ __('Contact Information') }}</h5>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label">{{ __('Email Address') }}</label>
                <div class="col-lg-9 col-xl-6">
                    <div class="input-group input-group-lg input-group-solid">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="la la-at"></i>
                            </span>
                        </div>
                        <input type="email" class="form-control form-control-lg form-control-solid {{($errors->has('email'))?'is-invalid':''}}"
                               value="{{ (old('email'))?old('email'):Auth::user()->email }}" placeholder="Email" name="email" required />
                    </div>
                    <span class="form-text text-info">{{ __('You are changing your login information.') }}</span>
                    @if ($errors->has('email'))
                        <div class="invalid-feedback">
                            {{ $errors->first('email') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label">{{ __('Contact Phone') }} <br>
                    <span class="form-text text-muted">{{ __('Optional') }}</span></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="input-group input-group-lg input-group-solid">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="la la-phone"></i>
                            </span>
                        </div>
                        <input type="text" class="form-control form-control-lg form-control-solid {{($errors->has('contact'))?'is-invalid':''}}"
                               value="{{ (old('contact'))?old('contact'):$contact }}" name="contact" placeholder="Phone" />
                    </div>
                    @if ($errors->has('contact'))
                        <div class="invalid-feedback">
                            {{ $errors->first('contact') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label">{{ __('Agency Site') }} <br>
                    <span class="form-text text-muted">{{ __('Optional') }}</span></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="input-group input-group-lg input-group-solid">
                        <input type="url" class="form-control form-control-lg form-control-solid {{($errors->has('website'))?'is-invalid':''}}"
                               placeholder="http://example.com" value="{{ (old('website'))?old('website'):$website }}" name="website"/>
                    </div>
                    @if ($errors->has('website'))
                        <div class="invalid-feedback">
                            {{ $errors->first('website') }}
                        </div>
                    @endif
                </div>
            </div>
            <!--begin::Form Group-->
            <div class="separator separator-dashed my-5"></div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"></label>
                <div class="col-lg-9 col-xl-6">
                    <button type="submit" class="btn btn-primary mr-2">{{ __('Update Profile') }}</button>
                    <button type="reset" class="btn btn-secondary">{{ __('Cancel') }}</button>
                </div>
            </div>
        </div>
        <!--end::Body-->
    </form>
    <!--end::Form-->
</div>