<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('program.list') }}">Programs</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            @php
                                $program_name = $description = null;
                                $existing_partners[] = old('existing_partners');
                                $existing_locations[] = old('existing_locations');
                                $existing_benefits[] = old('existing_benefits');
                                $existing_managers[] = old('existing_managers');
                                $existing_currencies[] = old('existing_currencies');

                                if($program) {
                                    $program_name = $program->name;
                                    $description = $program->description;
                                    $existing_partners = $program->partners->pluck('id')->toArray();
                                    $existing_locations = $program->locations->pluck('id')->toArray();
                                    $existing_benefits = $program->benefits->pluck('id')->toArray();
                                    $existing_managers = $program->managers->pluck('id')->toArray();
                                    $existing_currencies = $program->currencies->pluck('id')->toArray();
                                }

                            @endphp
                            <h6 class="text-danger mb-5">Provide information for the all the necessary fields.</h6>
                            <form action="{{($action == 'new')?route('program.save'):route('program.update')}}" enctype="multipart/form-data" method="POST">
                                @csrf
                                @if($action == 'edit') <input type="hidden" name="program_id" value="{{cryptThis($program->id)}}"> @endif
                                <div class="row">

                                    <div class="col-md-7 mb-3">
                                        <div class="form-floating">
                                        <input type="text" name="name"  required id="name" class="form-control form-control-l"
                                            placeholder="Enter Name" value="{{ (old('name'))?old('name'):$program_name }}">
                                            <label for="name" class="text-muted">Name *</label>
                                        </div>
                                        @if ($errors->has('name'))
                                            <div class="small text-warning">{{ $errors->first('name') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-5 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="currencies[]" id="currencies" required multiple class="form-control form-control-l select2" placeholder="Select Currencies">
                                            <option value="">-- Choose Currencies --</option>
                                            @foreach($currencies as $currency)
                                                <option value="{{ $currency->id }}" {{ (in_array($currency->id,array_values($existing_currencies)))?'selected':'' }}>{{ $currency->country.' ('.$currency->name.')' }}</option>
                                            @endforeach
                                        </select>
                                        <label for="currencies" class="text-muted">Select Currencies *</label>
                                        </div>
                                        @if ($errors->has('currencies'))
                                            <div class="small text-warning">{{ $errors->first('currencies') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="partners[]" id="partners" required multiple class="form-control form-control-l select2" placeholder="Select Partners">
                                            <option value="">-- Choose Partners--</option>
                                            @foreach($partners as $key=>$name)
                                                <option value="{{ $key }}" {{ (in_array($key,array_values($existing_partners)))?'selected':'' }}>{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="partners" class="text-muted">Select Partners *</label>
                                        </div>
                                        @if ($errors->has('partners'))
                                            <div class="small text-warning">{{ $errors->first('partners') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="managers[]" id="managers" required multiple class="form-control form-control-l select2" placeholder="Select Managers">
                                            <option value="">-- Choose Managers--</option>
                                            @foreach($managers as $manager)
                                                <option value="{{ $manager->id }}" {{ (in_array($manager->id,array_values($existing_managers)))?'selected':'' }}>{{ $manager->surname.' '.$manager->firstname.' '.$manager->othername }}</option>
                                            @endforeach
                                        </select>
                                        <label for="managers" class="text-muted">Select Managers *</label>
                                        </div>
                                        @if ($errors->has('managers'))
                                            <div class="small text-warning">{{ $errors->first('managers') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="locations[]" id="locations" required multiple class="form-control form-control-l select2" placeholder="Select Locations">
                                            <option value="">-- Choose Locations--</option>
                                            @foreach(getLocations() as $key=>$name)
                                                <option value="{{ $key }}" {{ (in_array($key,array_values($existing_locations)))?'selected':'' }}>{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="locations" class="text-muted">Select Locations *</label>
                                        </div>
                                        @if ($errors->has('locations'))
                                            <div class="small text-warning">{{ $errors->first('locations') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="benefits[]" id="benefits" multiple class="form-control form-control-l select2" placeholder="Select Benefits">
                                            <option value="">-- Choose Benefits--</option>
                                            @foreach($benefits as $key=>$name)
                                                <option value="{{ $key }}" {{ (in_array($key,array_values($existing_benefits)))?'selected':'' }}>{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="benefits" class="text-muted">Select Benefits</label>
                                        </div>
                                        @if ($errors->has('benefits'))
                                            <div class="small text-warning">{{ $errors->first('benefits') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <textarea name="description" required id="description" class="form-control" style="min-height:150px">{{ (old('description'))?old('description'):$description }}</textarea>
                                            <label for="description" class="text-muted">Description *</label>
                                        </div>
                                        @if ($errors->has('description'))
                                            <div class="small text-warning">{{ $errors->first('description') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-12 col-sm-12 mb-3">
                                        <label for="document" class="form-label">Upload Document</label>
                                        <input class="form-control" name="document" type="file" id="document">
                                        @if ($errors->has('document'))
                                            <div class="small text-warning">{{ $errors->first('document') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <button type="submit" class="btn btn-light-primary font-weight-bold"><i class="fa fa-paper-plane mx-1"></i> Save</button>
                                        <button type="reset" class="btn btn-light-danger font-weight-bold"><i class="fa fa-ban mx-1"></i> Cancel</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>

    @endpush
</x-app-layout>
