<x-app-layout>
    @push('last-css')
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/chartist.min.css') }}">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css" integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin=""/>
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js" integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin=""></script>
    <style>
      .leaflet-container {
        height: 350px;
        width: 100%;
        max-height: 100%;
      }
      .info {
        padding: 6px 8px;
        font: 14px/16px Arial, Helvetica, sans-serif;
        background: white;
        background: rgba(255,255,255,0.8);
        box-shadow: 0 0 15px rgba(0,0,0,0.2);
        border-radius: 5px;
      }
        .info h4 {
          margin: 0 0 5px;
          color: #777;
        }
      .legend {
        text-align: left;
        line-height: 18px;
        color: #555;
      }
      .legend i {
        width: 18px;
        height: 18px;
        float: left;
        margin-right: 8px;
        opacity: 0.7;
      }
    </style>
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('program.list') }}">Programs</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}} - {{$program->name}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$program->name}}
                    @if(canDo('administrator','edit-program')) -
                <a class="fw-normal" href="{{route('partner.edit',[cryptThis($program->id)])}}">Edit</a>
                    @endif
                </h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">Created</span></div>
                    <small class="text-muted text-uppercase">
                        {{defaultDateFormat($program->created_at)}}
                    </small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="mb-0 h6">Last Updated</span></div>
                    <small class="text-muted text-uppercase">
                        {{easyDate($program->updated_at)}}
                    </small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <!-- start: Analytic Tiles -->
            <div class="row mb-4">
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-lg-3 p-2">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-primary"><i class="bi-people-fill fa-2x text-primary"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="fw-bold h6 mb-1">Beneficiaries</div>
                                <div class="small text-muted">0</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-lg-3 p-2">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-primary"><i class="fa fa-building fa-2x text-primary"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="fw-bold h6 mb-1">Households</div>
                                <div class="small text-muted">0</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-lg-3 p-2">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-primary"><i class="fa fa-check-square-o fa-2x text-primary"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="fw-bold h6 mb-1">Surveys</div>
                                <div class="small text-muted">{{easyCount($program->surveys->count())}}</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-lg-3 p-2">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-primary"><i class="bi-person-bounding-box fa-2x text-primary"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="fw-bold h6 mb-1">Teams</div>
                                <div class="small text-muted">{{easyCount($program->team->count())}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- End: Analytic Tiles -->

            <div class="row g-3 mt-4">
                <div class="col-md-12">
                    {{-- <div class="text-end mb-3">
                        <div class="text-en input-grou">
                            <a class="btn btn-primary btn-sm" href="{{route('partner.edit',[cryptThis($program->id)])}}"><i class="fa fa-edit me-2"></i> Edit</a>
                            <a class="btn btn-light-primary btn-sm" href="{{route('partner.edit',[cryptThis($program->id)])}}"><i class="fa fa-plus me-2"></i> Add Surveys</a>
                            <a class="btn btn-light-primary btn-sm" href="{{route('partner.edit',[cryptThis($program->id)])}}"><i class="fa fa-users me-2"></i> Team Management</a>

                        </div>
                    </div> --}}

                    {{-- <div class="dropdown text-end mb-3">
                        <button class="btn btn-light-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="fa fa-cog"></i>
                        </button>
                        <ul class="dropdown-menu border-0 shadow">
                            <li><a class="dropdown-item py-2 rounded" href="{{route('partner.edit',[cryptThis($program->id)])}}">Edit</a></li>
                        </ul>
                    </div> --}}
                    <div class="card">
                        <div class="card-body">
                            {{-- <h6 class="mb-4">Program Details</h6> --}}

                            <p>
                                <span class="fw-bold me-3">Managers:</span>
                                @foreach ($program->managers as $manager)
                                    @if (!$loop->first)
                                        ;
                                    @endif
                                    <span>{{$manager->fullName}}</span>
                                @endforeach
                            </p>
                            <div class="row">
                                <div class="col-md-6">
                                    <p>
                                        <span class="fw-bold me-3">Currencies:</span>
                                        @foreach ($program->currencies as $currency)
                                            @if (!$loop->first)
                                                ,
                                            @endif
                                            <span>{{$currency->name.' - '.$currency->symbol}}</span>
                                        @endforeach
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Locations:</span>
                                        @foreach ($program->locations as $location)
                                            @if (!$loop->first)
                                                ,
                                            @endif
                                            <span>{{$location->fullName}}</span>
                                        @endforeach
                                    </p>
                                </div>
                                <div class="col-md-6">
                                    <p>
                                        <span class="fw-bold me-3">Partners:</span>
                                        @foreach ($program->partners as $partner)

                                            <span>@if (!$loop->first)
                                                ,
                                            @endif{{$partner->name}}</span>
                                        @endforeach
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Benefits:</span>
                                        @foreach ($program->benefits as $benefits)
                                            <span>@if (!$loop->first)
                                                ,
                                            @endif
                                            {{$benefits->titles}}</span>
                                        @endforeach
                                    </p>
                                </div>
                                <div class="col-md-6">

                                    <p>
                                        <span class="fw-bold me-3">Created By:</span> {{$program->createdBy->fullName.' ('.easyDateNormal($program->created_at,true).')'}}
                                    </p>
                                </div>
                                <div class="col-md-6">

                                    <p>
                                        <span class="fw-bold me-3">Last Updated By:</span> {{$program->updatedBy?->fullName.' ('.easyDateNormal($program->updated_at,true).')'}}
                                    </p>
                                </div>
                                <div class="col-12">
                                    <p>
                                        <span class="fw-bold me-3">Document:</span>
                                        @if ($program->document != null)
                                            <a href="{{asset($program->document)}}">
                                                <span class="mb-2 me-2"><i class="bi-file-earmark-arrow-down-fill"></i></span>
                                                Click to download
                                            </a>
                                        @else
                                            No document added
                                        @endif
                                    </p>
                                    <p class="mb-2 fw-bold">Program Description</p>
                                    {!! $program->description !!}
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="card">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="card border-0">
                                    <div class="card-body">
                                        <div class="ct-chart" id="C_PieChart"></div>
                                        <h6 class="card-title text-center">Applications</h6>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="card border-0">
                                    <div class="card-body">
                                        <div class="ct-chart" id="C2_PieChart"></div>
                                        <h6 class="card-title text-center">Ages</h6>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="card border-0">
                                    <div class="card-body">
                                        <div class="ct-chart" id="C3_PieChart"></div>
                                        <h6 class="card-title text-center">Cases</h6>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="card border-0">
                                    <div class="card-body">
                                        <div class="ct-chart" id="C4_PieChart"></div>
                                        <h6 class="card-title text-center">Surveys</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row g-3 row-deck mt-3">
                <div class="col-md-6 my-3">
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title">Total Surveys: {{$program->surveys->count()}}</h6>
                            <div class="d-flex">
                                <a class="nav-link py-2 px-3 text-muted" href="javascript:void(0);">View all Surveys</a>
                            </div>
                        </div>
                        <div class="card-body pt-0">
                            @forelse ($program->surveys->take(3) as $survey)
                            <div class="card d-flex flex-row p-3 mt-1">
                                <div class="flex-fill me-3">
                                  <div class="d-flex flex-wrap justify-content-between">
                                    <span class="h6 mb-1 author">{{$survey->title}}</span>
                                    <small class="text-muted msg-time">{{date('d M Y', strtotime($survey->start_date))." to ".date('d M Y', strtotime($survey->end_date))}}</small>
                                  </div>
                                  {{-- <span class="text-muted">{{$survey->_type->fullName}}</span> --}}
                                </div>
                                <span class="text-muted me-3">{{$survey->_status->fullName}}</span>
                                @if(canDo('administrator','view-survey-info'))
                                <span class="h6 mb-1 author"><a href="{{route('survey.view',[cryptThis($survey->id)])}}">Manage</a></span>
                                @endif
                            </div>
                            @empty
                                <x-no-data></x-no-data>
                            @endforelse
                        </div>
                    </div>
                </div>
                <div class="col-md-6 my-3">
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title">Total Benefits: {{$program->benefits->count()}}</h6>
                            <div class="d-flex">
                                <a class="nav-link py-2 px-3 text-muted" href="javascript:void(0);">View all Benefits</a>
                            </div>
                        </div>
                        <div class="card-body pt-0">
                                @forelse ($program->benefits->take(3) as $benefit)
                                <div class="card d-flex flex-row p-3 mt-1">
                                    <div class="flex-fill me-3">
                                      <div class="d-flex flex-wrap justify-content-between">
                                        <span class="h6 mb-1 author">{{$benefit->titles}}</span>
                                        {{-- <small class="text-muted msg-time">{{$benefit->financial}}</small> --}}
                                      </div>
                                      <span class="text-muted">0 Beneficiaries</span>
                                    </div>
                                    <span class="text-muted me-3">{{$benefit->_class?->fullName}}</span>
                                    @if(canDo('administrator','view-benefit-info'))
                                    <span class="h6 mb-1 author"><a href="#">Manage</a></span>
                                    @endif
                                </div>
                                @empty
                                    <x-no-data></x-no-data>
                                @endforelse
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            {{-- <h6 class="mb-4">Program Description</h6> --}}
                           <div class="row">
                            <div class="col-md-6">
                                <div id="mapping"></div>
                            </div>
                            <div class="col-md-6">
                                <div class="row">
                                    @foreach ($program->locations as $location)
                                        <div class="col-md-4">
                                            <div class="card mb-3 text-center">
                                                <div class="card-body py-3">
                                                    <i class="fa fa-map-marker text-muted" style="font-size: 20px;"></i>
                                                    <div class="fs-5 fw-bold text-primary">
                                                        {{getRandomString(3, '012345')}}
                                                    </div>
                                                    <span class="fw-normal">{{$location->fullName}}</span>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                           </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script src="{{ asset('assets/js/customjs/custom-programs-datatable.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/chartist.bundle.js') }}"></script>
        <script type="text/javascript" src="{{asset('assets/js/ghana-geojson-data.js')}}"></script>
        <script>

            // Pie Chart - Benefit Distribution
            var gender_groups = ["Approved (50%)","Rejected (50%)"];
            var gender_values = [230,148];
            var data = {
                labels: gender_groups,
                series: gender_values
            };
            new Chartist.Pie('#C_PieChart', data);

            // Pie Chart - Beneficiary Distribution
            var age_groups_values = [4900,4590]
            var age_groups = ["Male (50%)","Female (50%)"]
            var data2 = {
                labels: age_groups,
                series: age_groups_values
            };
            new Chartist.Pie('#C2_PieChart', data2);

            // Pie Chart - Household Distribution
            var household_groups = ["New (60%)","Closed (40%)"];
            var household_values = [2420,2120];
            var data = {
                labels: household_groups,
                series: household_values
            };
            new Chartist.Pie('#C3_PieChart', data);

            // Pie Chart - Survey Distribution
            var survey_groups = ["New (30%)","Completed (10%)","In Progress (20%)","Suspended (40%)"];
            var survey_values = [234,92,184,324];
            var data = {
                labels: survey_groups,
                series: survey_values
            };
            new Chartist.Pie('#C4_PieChart', data);



            /** ------------MAP---------------------------------------------------- **/
          $(document).ready(function() {

                var program_regions = {"Bono":1900,"Ahafo":15000,"Eastern":680};
                for (var i = 0; i < ghanaGeoJson.features.length; i++) {
                Object.keys(program_regions).forEach(function(key) {
                    if (ghanaGeoJson.features[i].properties.region == key) {
                    ghanaGeoJson.features[i].properties.beneficiaries = program_regions[key];
                    }
                });
                }

                console.log(ghanaGeoJson);
                });

                const map = L.map('mapping').setView([7.9528, -1.0307], 6);

                const tiles = L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
                maxZoom: 8,
                attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
                }).addTo(map);

                // control that shows state info on hover
                const info = L.control();

                info.onAdd = function (map) {
                this._div = L.DomUtil.create('div', 'info');
                this.update();
                return this._div;
                };

                info.update = function (props) {
                const contents = props ? `<b>${props.region}</b><br />${props.beneficiaries} Surveys` : 'Hover over a region';
                this._div.innerHTML = `<h6>Regional Program Distribution</h6>${contents}`;
                };

                info.addTo(map);


                // get color depending on beneficiaries value
                function getColor(d) {
                return d > 100000  ? '#FC4E2A' :
                d > 10000   ? '#FD8D3C' :
                d > 1000   ? '#FEB24C' :
                d > 100   ? '#FED976' : '#FFEDA0';
                }

                function style(feature) {
                return {
                weight: 2,
                opacity: 1,
                color: 'white',
                dashArray: '3',
                fillOpacity: 0.7,
                fillColor: getColor(feature.properties.beneficiaries)
                };
                }

                function highlightFeature(e) {
                const layer = e.target;

                layer.setStyle({
                weight: 5,
                color: '#666',
                dashArray: '',
                fillOpacity: 0.7
                });

                layer.bringToFront();

                info.update(layer.feature.properties);
                }

                /* global statesData */
                const geojson = L.geoJson(ghanaGeoJson, {
                style,
                onEachFeature
                }).addTo(map);

                // geojson.eachLayer((layer) => {
                //   layer.bindPopup(layer.feature.properties.region+' - '+layer.feature.properties.beneficiaries);
                // });

                function resetHighlight(e) {
                geojson.resetStyle(e.target);
                info.update();
                }

                function zoomToFeature(e) {
                map.fitBounds(e.target.getBounds());
                }

                function onEachFeature(feature, layer) {
                layer.on({
                mouseover: highlightFeature,
                mouseout: resetHighlight,
                click: zoomToFeature
                });
                }

                // map.attributionControl.addAttribution('Population data &copy; <a href="http://census.gov/">US Census Bureau</a>');


                const legend = L.control({position: 'bottomright'});

                legend.onAdd = function (map) {

                const div = L.DomUtil.create('div', 'info legend');
                const grades = [0, 100, 1000, 10000, 100000];
                const labels = [];
                let from, to;

                for (let i = 0; i < grades.length; i++) {
                from = grades[i];
                to = grades[i + 1];

                labels.push(`<i style="background:${getColor(from + 1)}"></i> ${from} ${to ? `&ndash; ${to}` : '+'}`);
                }

                div.innerHTML = labels.join('<br>');
                return div;
            };

            legend.addTo(map);
        </script>
    @endpush
</x-app-layout>
