<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ $page_title }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('project.list') }}" class="text-muted">{{ __('Projects') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Timeline') }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="card card-custom">
        <div class="card-header">
            <h3 class="card-title">{{ __('Timeline') }}</h3>
            <div class="card-toolbar">
                <a href="{{route('project.createProjectTimeline',[$project_id])}}" class="btn btn-primary btn-sm mb-1 mr-3"><i class="la la-clock"></i> {{ __('New Timeline') }}</a>
            </div>
        </div>
        <div class="card-body">
        <div class="table-responsive">
            <!--begin: Datatable-->
            <table class="table table-bordered table-head-custom" id="project_timeline"
                   style="margin-top: 13px !important;">
                <thead>
                <tr>
                    <th>{{ __('Activity Name') }}</th>
                    <th style="width: 100px;">{{ __('End Date') }}</th>
                    <th style="width: 130px;">{{ __('Status') }}</th>
                    <th style="width: 80px;">{{ __('Action') }}</th>
                </tr>
                </thead>
                <tbody>
                @foreach($project->timeline as $timeline)
                    <tr>
                        <td>{{ $timeline->activity_names }}</td>
                        <td>{{ date('d M, Y',strtotime($timeline->end_dates)) }}</td>
                        <td>{!! getVerificationLabel($timeline->statuses) !!}</td>
                        <td>
                            <a href="{{route('project.editProjectTimeline',[$project_id,cryptThis($timeline->id)])}}"
                               class="btn btn-icon btn-light-primary mb-1" title="{{ __("Edit Timeline") }}"><i class="la la-edit"></i>
                            </a>
                            <a href="{{route('project.deleteTimeline',[cryptThis($timeline->id)])}}"
                               class="btn btn-icon btn-danger mb-1" title="{{ __("Delete Timeline") }}"
                               onclick="return confirm('The timeline will be removed completely. Do you want to proceed?')">
                                <i class="la la-trash"></i>
                            </a>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
            <!--end: Datatable-->
        </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
            <script>
                $('#project_timeline').dataTable( {
                    "ordering": [1,'asc']
                } );
            </script>
        {{--<script>--}}
            {{--const APPLICATIONS_AJAX = "{{ route('project.getProjectsList') }}";--}}
        {{--</script>--}}
        {{--<script src="{{ asset('assets/js/customjs/custom-projects-datatable.js') }}"></script>--}}

    @endpush
</x-app-layout>
