<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Surveys Responses') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('survey.list') }}" class="text-muted">{{ __('Surveys') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Responses') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        @php $count_responses = 0; @endphp
        @foreach($responses as $response)
        <div class="col-12 mb-7">
            @php
                $display_responses->request_id(cryptThis($response->id));

                $render_form = $display_responses->renderFormView($form->table_name);
            @endphp
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                        <h3 class="card-title">{{ __('Responses') }} - {{$count_responses+=1}}</h3>
                    <div class="card-toolbar">
                        <span class="mr-3">{{ date('d M, Y h:i a', strtotime($response->updated_at)) }}</span>
                        <a href="{{route('survey.create',[cryptThis($benefit_id),cryptThis($response->id)])}}" class="btn btn-outline-primary btn-sm mb-1 mr-3"><i class="la la-edit"></i> {{ __('Edit Response') }}</a>
{{--                        <a href="{{route('survey.create',[cryptThis($benefit_id),cryptThis($response->id)])}}" class="btn btn-danger btn-sm mb-1 mr-3"><i class="la la-trash"></i> {{ __('Delete') }}</a>--}}
                        <a class="btn btn-danger btn-sm" href="javascript:void(0)"
                           onclick="event.preventDefault(); destroy({{ $response->id }})" title="Delete">
                            <i class="la la-trash"></i> {{ __('Delete') }}
                        </a>
                        <form id="delete-response-{{$response->id}}" action="{{ route('survey.destroyResponse',[cryptThis($form->id)]) }}" method="POST" style="display: none;">
                            <input type="hidden" name="response_id" value="{{cryptThis($response->id)}}">
                            @csrf {{method_field('DELETE')}}
                        </form>
                    </div>
                </div>
                <div class="card-body">
                    {!! $render_form['form_view'] !!}
                </div>
            </div>
        </div>
        @endforeach
    </div>{{ $responses->links() }}
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#forms_table').dataTable( {
                "ordering": false
            } );
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-response-'+key).submit();
                }
            }
        </script>
    @endpush
</x-app-layout>