<x-app-layout>
    @push('stylesheets')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dataTables.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="javascript:;">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Users</li>
        </ol>
    </x-slot>

        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
            <div class="container-fluid">
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="right-side col-md-6 col-12">
                                        <div role="group" aria-label="Button group with nested dropdown" class="btn-group float-md-right">
                                            @if(in_array('create_roles', $user_permissions))
                                                <a href="" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#role-add-form"><i
                                                        class="ft-plus"></i>Create User Role</a>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div id="" class="table-responsive dataTables_wrapper dt-bootstrap5 no-footer">
                                    <table style="width: 100%!important;" id="user_accounts" class="table align-middle mb-0 card-table nowrap dataTable no-footer dtr-inline">
                                        <thead>
                                            <tr>
                                                <th style="width: 20%!important;">Role</th>
                                                <th style="width: 60%!important;">Permissions</th>
                                                <th style="width: 20%!important;">Action</th>
                                            </tr>
										</thead>
										<tbody>
											@forelse($roles as $role)
												<tr class="text-left">
													<td >{{ $role->display_name }}</td>
													<td >
														@foreach($role->permissions as $permission)
															<div class="badge bg-info" style="margin-bottom: 2px;">{{ $permission->display_name }}</div>
														@endforeach
													</td>
													<td >
														<div class="btn-group" role="group" aria-label="Basic example">
                                                            @if(in_array('edit_roles', $user_permissions))
															<button type="button" id="role-edit" data-fetch-url="{{ route('roles.edit', ['role'=>$role->id]) }}" data-update-url="{{ route('roles.update', ['role' => $role->id ]) }}" class="btn btn-outline-secondary btn-sm role-edit"><i class="fa fa-pencil"></i> Edit</button>
															@endif
                                                            @if(in_array('delete_roles', $user_permissions))
															<a href="{{ route('roles.destroy', ['role' => $role->id ]) }}" type="button" data-title="{{ $role->display_name }}"  class="btn btn-outline-danger btn-sm role-delete"><i class="fa fa-trash"></i> Delete</a>
															@endif
														</div>
													</td>
												</tr>
											@empty
											<tr>
												<td colspan="5" class="text-center">
													No data to display
												</td>
											</tr>
										    @endforelse
										</tbody>
									</table>
                                    @if($roles->isNotEmpty())
                                        <div class="row">
                                            <div class="col-7">
                                                @if(count($roles) == 0)

                                                @else
                                                    Showing {{$roles->firstitem()}} - {{ $roles->lastitem()}} of {{$roles->total()}} entries
                                                @endif
                                            </div>
                                            <div class="col-5">
                                                <div class="btn-group pull-right">
                                                    <nav aria-label="...">
                                                        @if($roles->isNotEmpty())
                                                            {{ $roles->links('vendor.pagination.default') }}
                                                        @endif
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
								</div>
							</div>
						</div>
					</div>
				</div>
            </div>
        </div>

@push('modals')

    <div class="modal fade" id="role-add-form" aria-modal="true" role="dialog">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
                    <div class="modal-content text-start">
                        <div class="modal-body custom_scroll p-lg-5">
                            <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                            <h4 class="modal-title">Create User Role</h4>
                            <p class="text-muted">Provide role for a user account</p>
                            <form action="{{ route('roles.store') }}" method="post">
                                @csrf
                                <div class="row g-2 mt-3">
                                    <div class="form-group  col-6">
                                        <label for="role">Role: </label>
                                        <div class="form-group {{ $errors->has('role')?'has-danger':'' }}">
                                            <input type="text" name="role" value="{{ old('role') }}" id="role" required
                                                   class="form-control">
                                            @if($errors->has('role'))
                                                <p class="text-left danger text-muted">{{ $errors->first('role') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="rank">Rank: </label>
                                        <div class="form-group {{ $errors->has('rank')?'has-danger':'' }}">
                                            <input type="text" name="rank" value="{{ old('rank') }}" id="rank" required
                                                   class="form-control">
                                            @if($errors->has('rank'))
                                                <p class="text-left danger text-muted">{{ $errors->first('rank') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="permissions">Permissions: </label>
                                        <div class="form-group">
                                            <select name="permissions[]" id="permissions" class="form-control form-select select2" multiple>
                                                @foreach($permissions as $permission)
                                                    <option value="{{ $permission->id }}">{{ $permission->display_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-12 mt-3">
                                        <button class="btn btn-sm btn-secondary text-uppercase" type="button" data-bs-dismiss="modal">Close</button>
                                        <button class="btn btn-sm btn-primary text-uppercase" type="submit">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
    </div>

    <div class="modal fade" id="role-edit-form" aria-modal="true" role="dialog">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
                    <div class="modal-content text-start">
                        <div class="modal-body custom_scroll p-lg-5">
                            <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                            <h4 class="modal-title">Update User Role</h4>
                            <p class="text-muted">Update role for a user account</p>
                            <form action="{{ route('roles.store') }}" method="post">
                                @csrf
                                @method('PATCH')
                                <div class="row g-2 mt-3">
                                    <div class="form-group  col-6">
                                        <label for="role">Role: </label>
                                        <div class="form-group {{ $errors->has('role')?'has-danger':'' }}">
                                            <input type="text" name="role" value="{{ old('role') }}" id="role" required
                                                   class="form-control">
                                            @if($errors->has('role'))
                                                <p class="text-left danger text-muted">{{ $errors->first('role') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="role">Rank: </label>
                                        <div class="form-group {{ $errors->has('rank')?'has-danger':'' }}">
                                            <input type="text" name="rank" value="{{ old('rank') }}" id="rank" required
                                                   class="form-control">
                                            @if($errors->has('rank'))
                                                <p class="text-left danger text-muted">{{ $errors->first('rank') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="status">Status: </label>
                                        <div class="form-group {{ $errors->has('status')?'has-danger':'' }}">
                                            <select name="status" id="status" class="select2" >
                                                @foreach($statuses as $status_value)
                                                    <option value="{{$status_value->id}}">{{$status_value->status}}</option>
                                                @endforeach
                                            </select>
                                            @if($errors->has('status'))
                                                <p class="text-left danger text-muted">{{ $errors->first('status') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="permissions">Permissions: </label>
                                        <div class="form-group">
                                            <select name="permissions[]" id="permissions" class="form-control form-select" multiple>
                                                @foreach($permissions as $permission)
                                                    <option value="{{ $permission->id }}">{{ $permission->display_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-12 mt-3">
                                        <button class="btn btn-sm btn-secondary text-uppercase" type="button" data-bs-dismiss="modal">Close</button>
                                        <button class="btn btn-sm btn-primary text-uppercase" type="submit">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
    </div>
@endpush
@push('scripts')
	<script src="{{ asset('assets/js/pages/roles.js') }}"></script>
@endpush
</x-app-layout>
