<x-app-layout>
    <x-slot name="page_title">
        {{ __('Lookup Codes') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('Lookup Codes') }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="row" id="action-card">
        <div class="col-12">
            <div class="card card-custom">
                <div class="card-header">
                    <h3 class="card-title">{{ __('Lookup Codes') }}</h3>
                </div>
                <div class="card-body">
                    <div class="mb-8">
                        <form id="add-form" action="{{route('settings.lookupCodeSave')}}" method="post">
                            @csrf
                            <div id="hidden-input"></div>
                            <div class="row">
                                <div class="col-md-5">
                                    <div class="form-group{{ $errors->has('lookupName') ? ' form-control-warning' : '' }}">
                                        <label for="lookupName">{{ __('Name') }}<span class="required">*</span></label>
                                        <input type="text" required min="2" name="lookupName" class="form-control" value="{{ old('lookupName') }}" id="lookupName">
                                        @if ($errors->has('lookupName'))
                                            <span class="form-text text-warning">{{ $errors->first('lookupName') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group{{ $errors->has('lookupCode') ? ' form-control-warning' : '' }}">
                                        <label for="lookupCode">{{ __('Code') }}</label>
                                        <input type="text" name="lookupCode" class="form-control" value="{{ old('lookupCode') }}" id="lookupCode">
                                        @if ($errors->has('lookupCode'))
                                            <span class="form-text text-warning">{{ $errors->first('lookupCode') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('is_process') ? ' form-control-warning' : '' }}">
                                        <label for="is_process">{{ __('Is Process?') }}<span class="required">*</span></label>
                                        <select name="is_process" id="is_process" class="form-control">
                                            <option selected value="0">{{ __('No') }}</option>
                                            <option value="1">{{ __('Yes') }}</option>
                                        </select>
                                        @if ($errors->has('is_process'))
                                            <span class="form-text text-warning">{{ $errors->first('is_process') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('activeFlag') ? ' form-control-warning' : '' }}">
                                        <label for="activeFlag">{{ __('Status') }}<span class="required">*</span></label>
                                        <select name="activeFlag" id="activeFlag" class="form-control">
                                            <option selected value="1">{{ __('Active') }}</option>
                                            <option value="0">{{ __('Disable') }}</option>
                                        </select>
                                        @if ($errors->has('activeFlag'))
                                            <span class="form-text text-warning">{{ $errors->first('activeFlag') }}</span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary btn-sm square" type="submit">
                                    <i class="la la-save mr-1"></i> Save</button>
                                <a href="{{ route('settings.lookupCode') }}" class="btn btn-sm btn-success font-weight-bold">
                                    <i class="la la-plus"></i>{{ __('New Option') }}</a>
                            </div>
                        </form>

                        <div class="separator separator-solid"></div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-sm table-hover" id="lookup_code_table">
                            <thead>
                            <tr>
                                <th width="50px">#</th>
                                <th>{{ __('Name') }}</th>
                                <th>{{ __('Code') }}</th>
                                <th>{{ __('Is Process') }}</th>
                                <th>{{ __('Status') }}</th>
                                <th width="120px">{{ __('Actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if($codes->count() > 0)
                                @php $counter=0; @endphp
                                @foreach($codes as $code)
                                    <tr>
                                        <td>{{$counter+=1}}</td>
                                        <td>{{$code->lookupName}}</td>
                                        <td>{{$code->lookupCode}}</td>
                                        <td>
                                            @if($code->is_process == 1) <span class="text-primary">{{ __('Yes') }}</span>
                                            @else <span class="text-muted">{{ __('No') }}</span> @endif
                                        </td>
                                        <td>
                                            @if($code->activeFlag == 1) <span class="text-success">{{ __('Active') }}</span>
                                            @else <span class="text-danger">{{ __('Disabled') }}</span> @endif
                                        </td>
                                        <td>
                                            @if($code->system == 0)
                                            <a class="btn btn-icon btn-light-primary btn-xs" href="{{ url('/settings/lookup-codes') }}#action-card" onclick="editLookupCodes('{{$code->id}}')">
                                                <i class="la la-edit"></i>
                                            </a>
                                            @else
                                                <span class="btn btn-warning btn-icon btn-xs"><i class="la la-lock"></i></span>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @else
                                <tr>
                                    <td colspan="5" class="text-center">{{ __('No Lookup Codes Set') }}</td>
                                </tr>
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script>
            // $('#lookuo_code_table').dataTable( {
            //     "ordering": false
            // } );
            function editLookupCodes(key) {
                var path = "{{route('settings.lookupCodeEdit')}}";
                var path_update = "{{route('settings.lookupCodeUpdate')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    beforeSend: function(){
                        $('#action-card').block({
                            message: '<div class="ft-loader icon-spin font-large-1"></div>',
                            overlayCSS: {
                                backgroundColor: '#ccc',
                                opacity: 0.8,
                                cursor: 'wait'
                            },
                            css: {
                                border: 0,
                                padding: 0,
                                backgroundColor: 'transparent'
                            }
                        });
                    },
                    success: function(data){
                        $('input#lookupName').val(data.lookupName);
                        $('input#lookupCode').val(data.lookupCode);
                        $('select#is_process').val(data.is_process);
                        // if (data.system == 1) {
                        //     $('select#activeFlag').val(data.activeFlag).prop('readonly',false);
                        // }
                        $('select#activeFlag').val(data.activeFlag);
                        $("form#add-form").attr("action", path_update);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="'+data.id+'"><input type="hidden" name="_method" value="PUT">');
                    },
                    complete:function(){
                        $('#action-card').unblock();
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
