<form method="POST" action="{{ route('settings.stage_emails.update',[$data->id]) }}">
    @csrf {{method_field('PUT')}}
    <input type="hidden" name="id" value="{{$data->id}}">
    <div class="row">
        <div class="col-md-2">
            <div class="form-group{{ $errors->has('order') ? ' form-control-warning' : '' }}">
                <label for="order">{{ __('Order No.') }}<span class="required">*</span></label>
                <input type="number" min="1" required class="form-control" value="{{$data->order}}" name="order" id="order">
            </div>
        </div>
        <div class="col-md-10">
            <div class="form-group{{ $errors->has('status') ? ' form-control-warning' : '' }}">
                <label for="status">{{ __('Approval Process Stage') }}<span class="required">*</span></label>
                <select name="status" id="status" class="form-control select2" style="width: 100%;">
                    <option></option>
                    @foreach($stages as $stage)
                        <option value="{{$stage->id}}" @if($stage->id == $data->lookup_id) selected @endif>
                            {{$stage->fullName}}
                            <strong class="text-muted"> ~~ {{$stage->lookupName}}</strong>
                        </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-8">
            <div class="form-group{{ $errors->has('email') ? ' form-control-warning' : '' }}">
                <label for="email">{{ __('Email Template') }}<span class="required">*</span></label>
                <select name="email" id="email" class="form-control select2" style="width: 100%;">
                    <option></option>
                    @foreach($email_templates as $email_template)
                        <option @if($email_template->id == $data->email_template_id) selected @endif
                        value="{{$email_template->id}}">{{$email_template->title}}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group{{ $errors->has('roles') ? ' form-control-warning' : '' }}">
                <label for="roles">{{ __('Permitted Roles') }}<span class="required">*</span></label>
                <select name="roles[]" multiple id="roles" class="form-control select2" style="width: 100%;">
                    <option></option>
                    @php
                        $permitted_roles = explode(',',$data->roles);
                    @endphp
                    @foreach($roles as $role)
                        <option @if(in_array($role->id,$permitted_roles)) selected="selected" @endif value="{{$role->id}}">{{$role->display_name}}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <button type="submit" class="btn btn-primary">
        <i class="la la-save"></i> {{ __('Update') }}
    </button>
</form>