<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Subscriptions</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">

            <div class="row" >
                <div class="col-12">
                    <form action="#" method="GET">
                        @csrf
                        <div class="input-group">
                            <input type="text" name="organisation" id="organisation" class="form-control"
                                   placeholder="Client/Organization" value="{{request()->get('organisation')}}">
                            <select name="status" id="status"  class="form-select">
                                <option value="">-- Choose Status --</option>
                                @foreach($statuses as $key=>$status)
                                    <option value="{{$status}}" @if(request()->get('status') == $status) selected @endif>{{$status}}</option>
                                @endforeach
                            </select>
                            <select name="instance" id="instance"  class="form-select">
                                <option value="">-- Choose Instance --</option>
                                @foreach($instances as $key=>$instance)
                                    <option value="{{$instance}}" @if(request()->get('instance') == $instance) selected @endif>{{$instance}}</option>
                                @endforeach
                            </select>
                            <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i></button>
                            <a href="{{route('dashboard')}}" class="btn btn-light-primary"><i class="bi-arrow-repeat"></i></a>
                            @if(systemUserCan())
                                <a href="{{route('flush_expired_subscriptions')}}" data-bs-toggle="tooltip" title="Flush expired subscriptions" class="btn btn-danger"><i class="fa fa-unlink"></i></a>
                            @endif
{{--                            <a href="#" data-bs-toggle="modal" data-bs-target="#addProjec"  class="btn btn-primary disabled"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>--}}
                        </div>
                    </form>
                </div>
            </div>

            <div class="row g-3 mt-4">
                <div class="col-12">

                    @if(!is_null($deployments))
                        @foreach($deployments as $deployment)
                            <x-deployment-card :deployment="$deployment"></x-deployment-card>
                        @endforeach
                        {{$deployments->links()}}
                    @else
                        <x-no-data></x-no-data>
                    @endif
                </div>
            </div>
        </div>
    </div>

    @include('touring-pages.deployment')
{{--    @include('client-pages.pages.deployment-form')--}}
    @push('scripts')
        {{--        <script src="{{ asset('assets/js/bundle/apexcharts.bundle.js') }}"></script>--}}
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script src="{{asset('assets/js/domain-checking.js')}}"></script>
        <!-- Jquery Page Js -->
        @if (canTour('subscription'))
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "{{route('on_boarding.skipTour')}}";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        @endif
        <script>
            $(function() {
                $('input[name="date_range"]').daterangepicker({ startDate: moment().subtract(30, 'day'), endDate: moment()});
            })
            // project data table
            $('.clientsTable').addClass('nowrap').dataTable({
                responsive: false,
                searching: true,
                paging: true,
                ordering: true,
                info: false,
                // serverSide: true,
            });

            $('button#suspend_action').on('click',function(e){
                e.preventDefault();
                var form = $(this).parents('form');
                Swal.fire({
                    title: "Are you sure?",
                    text: "The portal will not be accessible to the users.",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Yes, suspend it!"
                }).then((isConfirm) => {
                    if (isConfirm.isConfirmed) {
                        form.submit();
                    }
                });
            });
        </script>
    @endpush
</x-app-layout>
