<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('survey.list') }}">{{__('Surveys')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Survey Forms')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{__('Survey Forms')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="get">
                                @csrf
                                <div class="input-group">
                                    <input type="text" name="title_query" value="{{request()->get('title_query')}}"
                                           id="title_query" placeholder="Survey Name" class="form-control">
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i>
                                    </button>
                                    <a href="{{ route('survey_module.index') }}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>

                                    <a href="{{ route('survey.list') }}" class="btn btn-light-success"
                                       data-bs-toggle="tooltip" title="Surveys"> <i class="bi-bounding-box"></i></a>
                                    <button data-bs-toggle="modal" data-bs-target="#addSurveyForm" type="button"
                                            class="btn btn-primary"><i class="fa fa-plus me-2"></i> {{__('New')}}
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Name</th>
                                <th style="width: 50px;">Linked Surveys</th>
                                <th style="width: 50px;">Created On</th>
                                <th style="width: 50px;" class="text-right">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php($count = 1)
                            @forelse($survey_forms as $survey)
                                <tr>
                                    <td>{{$count++}}</td>
                                    <td>{{$survey->name}}</td>
                                    <td class="text-end">{{easyCount($survey->surveys_count)}}</td>
                                    <td>{{defaultDateFormat($survey->created_at)}}</td>
                                    <td>
                                        <a href="{{route('survey_module.surveyQuestions',[$survey])}}"
                                           title="Survey Details" class="btn-icon btn text-primary"> <span
                                                    class="fa fa-info-circle"></span></a>
                                        <a href="#" class="btn-icon btn text-danger"> <span class="fa fa-trash"></span></a>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="5"><span class="text-muted">No Surveys added</span></td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="addSurveyForm" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <h6 class="mt-3 mb-4">{{__('New Survey Form')}}</h6>
                        <p id="err" class="text-danger"></p>
                        <form id="add-form" action="{{route('survey_module.saveSurveyForm')}}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-floating">
                                        <input type="text" required value="{{old('name')}}" class="form-control"
                                               name="name" id="name" placeholder="E.g. Population Census">
                                        <label for="name" class="text-muted">{{__('Survey Name')}}<span
                                                    class="required">*</span></label>
                                    </div>
                                    <x-field-error field="name"></x-field-error>
                                </div>

                                <div class="col-12 mt-3">
                                    <div class="form-floating">
                                        <select name="category" id="category" required
                                                class="form-control form-control-l select2"
                                                placeholder="Select category">
                                            <option value="">-- Choose Category--</option>
                                            @foreach(getSurveyCategory() as $key=>$name)
                                                <option value="{{ $name }}">{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="category" class="text-muted">Select Category *</label>
                                    </div>
                                    <x-field-error field="category"></x-field-error>
                                </div>

                                {{--                                <div class="col-4 mt-3">--}}
                                {{--                                    <div class="form-floating">--}}
                                {{--                                        <input type="number" required min="0" value="{{(old('limit_per_participant'))?old('limit_per_participant'):1}}" class="form-control" name="limit_per_participant" id="limit_per_participant" placeholder="E.g. Population Census">--}}
                                {{--                                        <label for="limit_per_participant" class="text-muted">{{__('Limit Per Participant')}}<span class="required">*</span></label>--}}
                                {{--                                    </div>--}}
                                {{--                                    <x-field-error field="limit_per_participant"></x-field-error>--}}
                                {{--                                </div>--}}

                                {{--                                <div class="col-12 mt-3">--}}
                                {{--                                    <div class="form-check">--}}
                                {{--                                        <input class="form-check-input" type="checkbox" id="guest_entries" name="guest_entries">--}}
                                {{--                                        <label class="form-check-label" for="guest_entries">{{__('Allow Guest Entries')}}</label>--}}
                                {{--                                    </div>--}}
                                {{--                                    <p><small class="text-info"> Checking this will allow unregistered users make entries to this survey.</small></p>--}}
                                {{--                                </div>--}}
                            </div>
                            <button type="submit" class="btn btn-primary mt-3"><i
                                        class="fa fa-paper-plane"></i> {{__('Save')}}</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>

            function removeSurvey(key) {
                if (confirm("Data maybe lost after removing this Team.\nDo you want to continue?") == true) {
                    document.getElementById('delete-team' + key).submit();
                } else {
                    event.preventDefault();
                }
            }

            function activateSurvey(id) {
                var path = "{{route('survey.changeTeamStatus')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id},
                    success: function (data) {
                        console.log(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }

        </script>
    @endpush
</x-app-layout>
