<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('survey_module.index') }}">Survey
                    Forms</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('survey_module.surveyQuestions',[$survey->id]) }}">{{$survey->name}}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Add Question')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{__('Add Question')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title">
                                <a href="{{route('survey_module.surveyQuestions',[$survey])}}"
                                   class="btn btn-light-primary btn-sm me-2"><i class="fa fa-arrow-left"></i></a>
                                {{Str::headline($action)}} Question</h6>
                            <div class="d-flex">
                                <button data-bs-toggle="modal" data-bs-target="#sectionModal" type="button"
                                        class="btn btn-light-primary">{{__('Sections')}}
                                </button>
                            </div>
                        </div>
                        <div class="card-body pt-0">
                            <form action="{{route('survey_module.saveQuestion',[$survey])}}" method="post">
                                @csrf
                                @php
                                    $question_content = old('question')?old('question'):null;
                                    $input_type = old('input_type')?old('input_type'):null;
                                    $required = old('required')?old('required'):null;
                                    $section_id = old('section')?old('section'):null;
                                    $options = old('options')?old('options'):null;
                                    $default_value = old('default_value')?old('default_value'):null;
                                    $min = old('min')?old('min'):null;
                                    $max = old('max')?old('max'):null;
                                    $decimal = old('decimal')?old('decimal'):null;
                                    $file_type = old('file_type')?old('file_type'):null;
                                    $file_size = old('file_size')?old('file_size'):null;;

                                    if($action == 'edit' && isset($question)) {
                                        $raw = $question->raw;
                                        $question_content = $question->content;
                                        $input_type = $question->type;
                                        $required = (isset($raw['required']))?$raw['required']:null;
                                        $section_id = (isset($question->section_id))?$question->section_id:null;
                                        $options = (isset($raw['options']))?$raw['options']:null;
                                        $default_value = (isset($raw['default_value']))?$raw['default_value']:null;
                                        $min = (isset($raw['min']))?$raw['min']:null;
                                        $max = (isset($raw['max']))?$raw['max']:null;
                                        $decimal = (isset($raw['decimal']))?$raw['decimal']:null;
                                        $file_type = (isset($raw['file_type']))?$raw['file_type']:null;
                                        $file_size = (isset($raw['file_size']))?$raw['file_size']:null;
                                    }
                                @endphp
                                @if($action == 'edit')
                                    <input type="hidden" name="question_id" value="{{$question->id}}">
                                @endif

                                <div class="row">
                                    <div class="form-group col-12 mb-3">
                                        <div class="form-floating">
                                            <input type="text" required value="{{$question_content}}"
                                                   class="form-control" name="question" id="question"
                                                   placeholder="Eg. What is your question?">
                                            <label for="question" class="text-muted">{{__('What is your question?')}}
                                                <span class="required">*</span></label>
                                        </div>
                                        <x-field-error field="question"></x-field-error>
                                    </div>
                                    <div class="form-group col-md-3">
                                        <div class="form-floating">
                                            <select class="form-select" style="width: 100%;" name="input_type"
                                                    onchange="select_option()" required id="input_type">
                                                @foreach($fields as $key=>$field)
                                                    <option {{($input_type==$key)?'selected': ''}} value="{{$key}}">{{$field}}</option>
                                                @endforeach
                                            </select>
                                            <label for="input_type" class="text-muted">Input Type<span class="required">*</span></label>
                                        </div>
                                        <x-field-error field="input_type"></x-field-error>
                                    </div>
                                    <div class="form-group col-md-2 mb-3">
                                        <div class="form-floating">
                                            <select name="required" style="width: 100%;" class="form-select"
                                                    id="required">
                                                <option {{($required=="Nullable")?'selected': ''}} value="Nullable">No
                                                </option>
                                                <option {{($required=="Required")?'selected': ''}} value="Required">
                                                    Yes
                                                </option>
                                            </select>
                                            <label for="required" class="text-muted">Required? <span
                                                        class="text-mute"></span></label>
                                        </div>
                                        <x-field-error field="required"></x-field-error>
                                    </div>
                                    <div class="form-group col-md-7 mb-3">
                                        <div class="form-floating">
                                            <select name="section" style="width: 100%;" class="form-select"
                                                    id="required">
                                                <option value="">No Section</option>
                                                @foreach($survey->sections as $section)
                                                    <option {{($section_id==$section->id)?'selected': ''}} value="{{$section->id}}">{{$section->name}}</option>
                                                @endforeach
                                            </select>
                                            <label for="placeholder" class="text-muted">Section</label>
                                        </div>
                                        <x-field-error field="placeholder"></x-field-error>
                                    </div>
                                    <div class="form-group col-md-12 mb-3" id="show_options">
                                        <div class="form-floating">
                                            <textarea placeholder="Separate Options with ';'" class="form-control"
                                                      style="height: 100px" name="options"
                                                      id="options">{{$options}}</textarea>
                                            <label for="options" class="text-muted">Add Options</label>
                                        </div>
                                        <small class="text-info">Example: Male;Female;Other</small>
                                        <x-field-error field="options"></x-field-error>
                                    </div>
                                </div>

                                <p class="mt-4 fw-bold">Field Properties</p>
                                <div class="line"></div>

                                {{--SHOWS Optional--}}
                                <div class="row">
                                    <div class="form-group col-md-6 mb-3">
                                        <div class="form-floating">
                                            <input type="text" value="{{$default_value}}" class="form-control"
                                                   name="default_value" id="default_value">
                                            <label for="default_value" class="text-muted">Default Value</label>
                                        </div>
                                        <x-field-error field="default_value"></x-field-error>
                                    </div>
                                    <div class="form-group col-md-2 mb-3">
                                        <div class="form-floating">
                                            <input type="number" class="form-control" value="{{$min}}" name="min"
                                                   id="min">
                                            <label for="min" class="text-muted">Min</label>
                                        </div>
                                        <x-field-error field="min"></x-field-error>
                                    </div>
                                    <div class="form-group col-md-2 mb-3">
                                        <div class="form-floating">
                                            <input type="number" class="form-control" value="{{$max}}" name="max"
                                                   id="max">
                                            <label for="max" class="text-muted">Max</label>
                                        </div>
                                        <x-field-error field="max"></x-field-error>
                                    </div>

                                    <div class="form-group col-md-2 mb-3">
                                        <div class="form-floating">
                                            <input type="number" min="0" max="3" class="form-control"
                                                   value="{{$decimal}}" name="decimal" id="decimal">
                                            <label for="decimal" class="text-muted">Decimals</label>
                                        </div>
                                        <x-field-error field="step"></x-field-error>
                                    </div>

                                    <div class="form-group col-md-6 file_options">
                                        <div class="form-floating">
                                            <input type="text" placeholder="pdf,xlsx,docx,txt" class="form-control"
                                                   value="{{$file_type}}" name="file_type" id="file_type">
                                            <label for="file_type" class="text-muted">Allowed file types</label>
                                        </div>
                                        <x-field-error field="file_type"></x-field-error>
                                    </div>

                                    <div class="form-group col-md-2 file_options">
                                        <div class="form-floating">
                                            <input type="number" class="form-control" value="{{$file_size}}"
                                                   name="file_size" id="file_size">
                                            <label for="file_size" class="text-muted">Max File Size (Mb)</label>
                                        </div>
                                        <x-field-error field="file_size"></x-field-error>
                                    </div>
                                </div>

                                <div class="col-12 text-end">
                                    @if($action == "add")
                                        <button type="submit" name="return" value="return" class="btn btn-primary"><i
                                                    class="fa fa-reply me-2"></i> Save & Return to Questions
                                        </button>
                                        <button type="submit" name="return" value="stay" class="btn btn-light-primary">
                                            <i class="fa fa-paper-plane me-2"></i> Save & Add Another
                                        </button>
                                    @else
                                        <button type="submit" name="return" value="return" class="btn btn-primary"><i
                                                    class="fa fa-reply me-2"></i> Save & Return to Survey
                                        </button>
                                    @endif

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="sectionModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <h6 class="mt-3 mb-4">Sections</h6>
                    <p id="err" class="text-danger"></p>
                    <form id="add-form" action="{{route('survey_module.saveSection',[$survey])}}" method="post">
                        @csrf
                        <input type="hidden" name="section_id" id="section_id">
                        <div class="form-floating">
                            <input type="text" required value="{{old('name')}}" class="form-control" name="name"
                                   id="name" placeholder="Personal Information">
                            <label for="name" class="text-muted">{{__('Section name')}}<span
                                        class="required">*</span></label>
                        </div>
                        <x-field-error field="name"></x-field-error>
                        <button type="submit" class="btn btn-primary mt-3"><i class="fa fa-paper-plane"></i> Save
                        </button>
                    </form>

                    <table class="table card-table table-nowrap mb-0 mt-4">
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th style="width: 50px">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse($survey->sections as $section)
                            <tr>
                                <td>{{$section->name}}</td>
                                <td>
                                    <a href="#" class="btn-icon btn text-primary"> <span
                                                class="fa fa-pencil"></span></a>
                                    <a href="#" class="btn-icon btn text-danger"> <span class="fa fa-trash"></span></a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="2"><span class="text-muted">No Sections added</span></td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script>
            $(function () {
                $('input[name="duration"]').daterangepicker({
                    startDate: moment().subtract(30, 'day'),
                    endDate: moment()
                });
            })
            $('document').ready(function () {
                isChecked();
                select_option();
                hasAnOption();
                hasAutoOption();
                isDropdown();
            });

            function hasAutoOption() {
                let opt_val = $("select#autocomplete>option:selected").val();

                if (opt_val == 1) {
                    $("#show_autoOptions").show();
                    hasAnOption();
                } else {
                    $('#show_autoOptions').hide();
                    hasAnOption()
                }
            }

            function isDropdown() {
                var opt_val = $("select#is_dropdown_button>option:selected").val();

                if (opt_val == 1) {
                    $("#show_button_dropdown_options").show();
                    $("#show_button_url").hide();
                } else {
                    $('#show_button_dropdown_options').hide();
                    $('#show_button_url').show();
                }
            }

            function hasAnOption() {
                var opt_val = $("select#has_auto_options>option:selected").val();

                if (opt_val >= 1) {
                    $("#the_opts").show();
                } else {
                    $('#the_opts').hide();
                }
            }

            function isChecked() {
                var opt_val = $("select#hasChild>option:selected").val();

                if (opt_val == 1) {
                    $("#show_options").hide();
                    $('#show_type').show();
                    $('#show_forms').show();
                } else {
                    // $('#show_forms').hide().find('input, textarea, button, select').prop("disabled", true);
                    $('#show_forms').hide();
                    $('#show_type').hide();
                    $('#show_options').show();
                }
            }

            function select_option() {
                var option = $("select#input_type>option:selected").val();
                if (option === 'file') {
                    $(".file_options").show();
                    $("#show_options").hide();

                } else if (option === 'select' || option === 'multiselect' || option === 'radio') {
                    $(".file_options").hide();
                    $("#show_options").show();

                } else {
                    $(".file_options").hide();
                    $("#show_options").hide();
                }
            }
        </script>

    @endpush
</x-app-layout>
