<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('survey.list') }}">Surveys</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('survey.view',[cryptThis($survey->id)]) }}">{{$survey->title}}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Entries')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Entries</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <ul class="nav nav-tabs tab-card mb-3" role="tablist">
                        <li class="nav-item"><a class="nav-link active fw-bolder" data-bs-toggle="tab" href="#summary"
                                                role="tab">Summary of all Entries</a></li>
                        <li class="nav-item"><a class="nav-link fw-bolder" data-bs-toggle="tab" href="#individual"
                                                role="tab">Individual Entries</a></li>
                    </ul>
                    {{--                        <div class="card">--}}
                    {{--                        <div class="card-body">--}}
                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="summary" role="tabpanel">
                            <div class="mb-0">
                                <div class="table-responsive mt-10">
                                    <table id="myDataTable_no_filter"
                                           class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                        <thead>
                                        <tr>
                                            <th style="width: 40px">#</th>
                                            <th>Added By</th>
                                            <th style="width: 100px">Date Added</th>
                                            <th style="width: 50px">Action</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php($count=1)
                                        @forelse($entries_summary as $entry)
                                            <tr>
                                                <td>{{$count++}}</td>
                                                <td>
                                                    @if($entry->participant)
                                                        {{$entry->participant->fullName}}
                                                    @else
                                                        {{__('Anonymous')}}
                                                    @endif
                                                </td>
                                                <td>{{defaultDateFormat($entry->created_at,true)}}</td>
                                                <td>
                                                    <form action="{{route('survey.deleteEntry')}}"
                                                          onsubmit="return editDelete({{$count}})"
                                                          id="delete-entry-{{$entry}}" method="post">
                                                        @csrf @method('DELETE')
                                                        <input type="hidden" name="id"
                                                               value="{{cryptThis($entry->id)}}">

                                                        <button type="button"
                                                                class="btn btn-sm btn-link text-primary mr-2"
                                                                data-bs-toggle="modal" data-bs-target="#openEntry"
                                                                onclick="editEntry('{{$entry->id}}')"
                                                                data-bs-placement="top" title="Open Team"><i
                                                                    class="fa fa-edit"></i></button>

                                                        <button type="submit" class="btn text-danger btn-link"
                                                                data-toggle="tooltip" title="{{ __('Delete Entry') }}">
                                                            <i class="fa fa-trash"></i></button>
                                                    </form>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="4">No Entries available</td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                </div>
                                {{$entries_summary->links()}}
                            </div>
                        </div>
                        <div class="tab-pane fade" id="individual" role="tabpanel">
                            <div class="mb-0">

                                <div class="text-end mt-3">
                                    {{$entries->onEachSide(2)->links()}}
                                </div>
                                @forelse($entries as $entry)
                                    <div class="card mb-3">
                                        <div class="card-header bg-primary-gradient border-bottom-0 py-3 d-flex justify-content-between align-items-center">
                                            <h6 class="card-title mb-0 text-light fw-light"><i
                                                        class="fa fa-user"></i> {{$entry->participant?->fullName}}</h6>
                                            <div class="d-flex">
                                                        <span class="text-white">
                                                            <i class="fa fa-calendar"></i>
                                                            {{easyDateNormal($entry->created_at,true)}}
                                                        </span>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            {{--                                                            <div class="d-flex justify-content-between align-items-center mb-4">--}}
                                            {{--                                                                <div>--}}
                                            {{--                                                                    <span class="fw-bold">Submitted by: </span>--}}
                                            {{--                                                                    <span class="fw-bolder">{{$entry->participant?->fullName}}</span>--}}
                                            {{--                                                                </div>--}}
                                            {{--                                                                <span class="text-muted">{{easyDateNormal($entry->created_at,true)}}</span>--}}
                                            {{--                                                            </div>--}}
                                            @foreach($entry->surveyForm->sections as $section)
                                                @include('survey::entries.single.sections.single')
                                            @endforeach

                                            @foreach($entry->surveyForm->questions()->withoutSection()->get() as $question)
                                                @include('survey::entries.single.questions.single')
                                            @endforeach
                                        </div>
                                    </div>
                                @empty
                                    <x-no-data></x-no-data>
                                @endforelse
                                <div class="text-end mt-3">
                                    {{$entries->onEachSide(2)->links()}}
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="viewEntry" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Team Assignments</h6>
                            <div id="entry-information"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @push('vendor-scripts')
        @endpush
        @push('scripts')
            <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>

            <script>


                {{--function viewTeam(key) {--}}
                {{--    var path = "{{route('survey.viewTeams')}}";--}}
                {{--    $.ajaxSetup(    {--}}
                {{--        headers: {--}}
                {{--            'X-CSRF-Token': $('meta[name=_token]').attr('content')--}}
                {{--        }--}}
                {{--    });--}}
                {{--    $.ajax({--}}
                {{--        url: path,--}}
                {{--        type: 'GET',--}}
                {{--        data: {id:key},--}}
                {{--        success: function(data){--}}
                {{--            $('#entry-information').html(data.message);--}}
                {{--        },--}}
                {{--        complete:function(){--}}
                {{--        }--}}
                {{--        ,--}}
                {{--        error: function (data) {--}}
                {{--        }--}}
                {{--    });--}}
                {{--}--}}

                function editDelete(key) {
                    if (confirm("Data maybe lost after removing this Entry.\nDo you want to continue?") == true) {
                        document.getElementById('delete-entry' + key).submit();
                    } else {
                        event.preventDefault();
                    }
                }
            </script>
    @endpush
</x-app-layout>
