<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Surveys')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{__('Surveys')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('program.list')}}" method="get">
                                @csrf
                                <div class="input-group">

                                    <input type="text" name="title_query" id="title_query" placeholder="Survey Title" class="form-control">

                                    <select name="type_query" id="type_query" required class="form-select form-control-l" placeholder="Select Type">
                                        <option value="">-- Choose Type--</option>
                                        @foreach(getSurveyType() as $key=>$name)
                                            <option value="{{ $key }}" {{ ($key == request()->get('type_query'))?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="program_query" id="program_query" class="form-select">
                                        <option value="">{{ __('-- Program --') }}</option>
                                        @foreach($programs as $program)
                                            <option value="{{$program->id}}" {{ (request()->get('program_query') == $program->id)?'selected':'' }}>{{ $program->name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="status_query" id="status_query" class="form-select">
                                        <option value="">{{ __('-- Status --') }}</option>
                                        @foreach(getSurveyStatus() as $key=>$name)
                                            <option value="{{ $key }}" {{ ($key == request()->get('status_query'))?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                    <a href="{{ route('survey.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <a href="{{ route('survey_module.index') }}" class="btn btn-light-info" data-bs-toggle="tooltip" title="Survey Forms"> <i class="bi-check-square"></i></a>
                                    <a href="{{ route('program.list') }}" class="btn btn-light-success" data-bs-toggle="tooltip" title="Programs"> <i class="bi-journals"></i></a>
                                    <a href="{{ route('team.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Teams"> <i class="bi-people"></i></a>
                                    <a href="{{ route('survey.create') }}" class="btn btn-primary" data-bs-toggle="tooltip" title="Add new Survey"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Survey</th>
                                <th>Type</th>
                                <th style="width: 120px;">Timeline</th>
                                <th style="width: 120px;">Status</th>
                                <th style="width: 50px;">Created On</th>
                                <th class="text-right">Actions</th>
                            </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="viewTeamModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Team Assignments</h6>
                            <div id="team-information"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            @if($query > 0)
                const APPLICATIONS_AJAX = "{{ route('survey.getSurveyList',[$title_query,$type_query,$program_query,$status_query]) }}";
            @else
                const APPLICATIONS_AJAX = "{{ route('survey.getSurveyList') }}";
            @endif

            function viewTeam(key) {
                var path = "{{route('survey.viewTeams')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    success: function(data){
                        $('#team-information').html(data.message);
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function removeTeam(key) {
                if (confirm("Data maybe lost after removing this Team.\nDo you want to continue?") == true){
                    document.getElementById('delete-team'+key).submit();
                }
                else {
                    event.preventDefault();
                }
            }

            function activateTeam(id) {
                var path = "{{route('survey.changeTeamStatus')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:id},
                    success: function(data){
                        console.log(data.message);
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }

        </script>

        <script src="{{ asset('assets/js/customjs/custom-surveys-datatable.js') }}"></script>
    @endpush
</x-app-layout>
