<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('My Survey')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">My Surveys</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 40px">#</th>
                                <th>Survey Title</th>
                                <th style="width: 100px">Status</th>
                                <th style="width: 100px">Submission Period</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php
                                $count=1;
                            @endphp
                            @forelse($surveys as $survey)
                                <tr>
                                    @php
                                        $completed = false;
                                        $entry = null;
                                        if (isset($survey->surveyEntries[0])){
                                            $completed = true;
                                            $entry = $survey->surveyEntries[0];
                                        }
                                    @endphp
                                    <td>{{$count++}}</td>
                                    <td>{{$survey->title}}</td>
                                    <td>
                                        @if($completed)
                                            <a href="{{route('survey.mySurveyView',[$entry])}}" class="text-success">
                                                {{__('Completed on ').date('d M Y', strtotime($entry->created_at))}}</a>
                                        @else
                                            @if(strtotime($survey->end_date) >= strtotime(date('Y-m-d')))
                                                <a href="{{route('survey.newEntry',[$survey])}}"
                                                   class="text-primary">{{__('Take Survey')}}</a>
                                            @else
                                                <span class="text-danger">{{__('Overdue')}}</span>
                                            @endif
                                        @endif
                                    </td>
                                    <td>{{date('d M Y',strtotime($survey->start_date))." - ".date('d M Y',strtotime($survey->end_date))}}</td>
                                    {{--                                        <td>{{date('D, dS F Y',strtotime($survey->created_at))}}</td>--}}
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">
                                        <x-no-data-sm></x-no-data-sm>
                                    </td>
                                </tr>
                            @endforelse
                            </tbody>
                        </table>
                    </div>
                    {{$surveys->links()}}
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>

        <script>

            function editDelete(key) {
                if (confirm("Data maybe lost after removing this Entry.\nDo you want to continue?") == true) {
                    document.getElementById('delete-entry' + key).submit();
                } else {
                    event.preventDefault();
                }
            }
        </script>
    @endpush
</x-app-layout>
