
<form action="{{route('survey.saveTeams')}}" method="POST">
    @csrf
    <input type="hidden" name="survey_id" value="{{$survey->id}}">
    <div class="row mb-4">
        <div class="col-md-8 mb-3">
            <div class="form-floating">
                <select name="team_id" id="team_id" required class="form-select">
                    <option selected value="">-- Choose Team --</option>
                    @foreach ($teams as $team)
                    <option value="{{$team->id}}">{{ $team->code.' - '.$team->name }}</option>
                    @endforeach
                    
                </select>
                <label for="team_id">{{ __('Team') }}<span class="required">*</span></label>
            </div>
            @if ($errors->has('team_id'))
                <span class="form-text text-warning">{{ $errors->first('team_id') }}</span>
            @endif
        </div>
        <div class="col-md-4 text-end">
            <button class="btn btn-primary btn-sm square me-2" type="submit">
                <i class="fa fa-paper-plane mx-1"></i> Assign</button> or 
            <button class="btn btn-link btn-sm text-danger" type="reset"
            data-bs-dismiss="modal" aria-label="Close">Cancel</button>
        </div>
    </div>
</form>


@if ($survey->teams->count() > 0)
<table class="table table-nowrap mb-0 card-table align-middle table-sm">
    <thead>
        <th style="width: 30px">#</th>
        <th>Team</th>
        <th style="width: 100px">Members</th>
        <th style="width: 100px">Households</th>
        <th style="width: 50px">Action</th>
    </thead>
    <tbody>
        @php
            $count = 0;
        @endphp
        @foreach ($survey->teams as $team)
        @php
            $count += 1;
        @endphp
        <tr>
            <td>{{$count}}</td>
            <td>{{$team->name}}</td>
            <td>{{$team->members->count()}}</td>
            <td>3</td>
            <td>
                <form action="{{route('survey.deleteTeam')}}" onsubmit="removeTeam({{$team->pivot->id}})" id="delete-team-{{$count}}" method="post">
                    @csrf @method('DELETE')
                    <input type="hidden" name="id" value="{{cryptThis($team->pivot->id)}}">

                    @if($team->pivot->status == 1)
                        <span class="form-switch">
                            <input class="form-check-input" onchange="activateTeam('{{$team->pivot->id}}')" type="checkbox" style="margin-top: 0.6em;" value="0"  checked role="switch" id="status">
                        </span>
                    @else
                        <span class="form-switch">
                            <input class="form-check-input" onchange="activateTeam('{{$team->pivot->id}}')" type="checkbox" style="margin-top: 0.6em;" value="1" role="switch" id="status">
                        </span>
                    @endif
                    
                    <button type="submit" class="btn text-danger btn-sm btn-link" data-toggle="tooltip" title="{{ __('Detach Team') }}">
                        <i class="fa fa-trash"></i></button>
                </form>
            </td>
        </tr>
        @endforeach
    </tbody>
</table>
@else
<x-no-data></x-no-data>
@endif
