<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Option Menu</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Option Menu</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <!--begin::Row-->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
            <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
            </div>
            @endif

            <div class="row g-3" >
                <div class="col-12">
                    <div class="card card-custom">
                        <div class="card-body pt-5 pb-5">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <select name="option_type" id="option_type"  class="form-select">
                                        <option value="">-- Select Option Type --</option>
                                        @foreach($codes as $lookupCode)
                                            <option value="{{$lookupCode->id}}" {{ (request()->get('option_type') == $lookupCode->id)?'selected':'' }}>
                                                {{$lookupCode->lookupName}}
                                            </option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{ route('settings.lookupCode') }}" class="btn btn-light-primary" ><i class="bi-arrow-repeat"></i></a>
                                    <a href="{{ route('settings.lookup') }}" class="btn btn-light-success" title="Lookup Options"><i class="fa fa-list-ol"></i></a>
                                    <button  data-bs-toggle="modal" data-bs-target="#lookupCodeModal" type="button" class="btn btn-primary"
                                             onclick="addLookupCode()">Add New Type</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row g-3 mt-4" id="action-card">
                <div class="col-12">

                    <div class="table-responsive">
                        <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                            <tr>
                                <th width="50px">#</th>
                                <th>{{ __('Name') }}</th>
                                <th>{{ __('Code') }}</th>
                                {{--                                        <th>{{ __('Is Process') }}</th>--}}
                                <th>{{ __('Status') }}</th>
                                <th width="120px">{{ __('Actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if($codes->count() > 0)
                                @php $counter=0; @endphp
                                @foreach($codes as $code)
                                    <tr>
                                        <td>{{$counter+=1}}</td>
                                        <td>{{$code->lookupName}}</td>
                                        <td>{{$code->lookupCode}}</td>
                                        <td>
                                            @if($code->activeFlag == 1) <span class="text-success">{{ __('Active') }}</span>
                                            @else <span class="text-danger">{{ __('Disabled') }}</span> @endif
                                        </td>
                                        <td>
                                            @if($code->system == 0)
                                                <a class="btn btn-link text-light-primary btn-xs" href="{{ url('/settings/lookup-codes') }}#action-card"
                                                   data-bs-toggle="modal" data-bs-target="#lookupCodeModal" onclick="editLookupCodes('{{$code->id}}')">
                                                    <i class="fa fa-edit"></i>
                                                </a>
                                            @else
                                                <span class="btn btn-link text-warning btn-xs"><i class="fa fa-lock"></i></span>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="lookupCodeModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                        <h6 class="mt-3 mb-4">Submit Type Information</h6>
                        <form id="add-form" action="{{route('settings.lookupCodeSave')}}" method="post">
                            @csrf
                            <div id="hidden-input"></div>
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating">
                                        {{--                                            <div class="form-group{{ $errors->has('lookupName') ? ' form-control-warning' : '' }}">--}}
                                        <input type="text" required min="2" name="lookupName" class="form-control" value="{{ old('lookupName') }}" id="lookupName" placeholder="Name">
                                        <label for="lookupName">{{ __('Name') }}<span class="required">*</span></label>
                                        {{--                                            </div>--}}
                                        @if ($errors->has('lookupName'))
                                            <span class="form-text text-warning">{{ $errors->first('lookupName') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        {{--                                            <div class="form-group{{ $errors->has('lookupCode') ? ' form-control-warning' : '' }}">--}}
                                        <input type="text" name="lookupCode" class="form-control" value="{{ old('lookupCode') }}" id="lookupCode" placeholder="Code">
                                        <label for="lookupCode">{{ __('Code') }}</label>
                                    </div>
                                    @if ($errors->has('lookupCode'))
                                        <span class="form-text text-warning">{{ $errors->first('lookupCode') }}</span>
                                    @endif
                                    {{--                                            </div>--}}
                                </div>
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        {{--                                            <div class="form-group{{ $errors->has('activeFlag') ? ' form-control-warning' : '' }}">--}}
                                        <select name="activeFlag" id="activeFlag" class="form-control">
                                            <option selected value="1">{{ __('Active') }}</option>
                                            <option value="0">{{ __('Disable') }}</option>
                                        </select>
                                        <label for="activeFlag">{{ __('Status') }}<span class="required">*</span></label>
                                    </div>
                                    @if ($errors->has('activeFlag'))
                                        <span class="form-text text-warning">{{ $errors->first('activeFlag') }}</span>
                                    @endif
                                    {{--                                            </div>--}}
                                </div>
                                <div class="col-12 mb-3 text-end">
                                    <button class="btn btn-primary btn-sm square" type="submit">
                                        <i class="fa fa-paper-plane mx-1"></i> Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            // Data Table
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: true,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function addLookupCode() {
                var path_update = "{{route('settings.lookupCodeSave')}}";
                $('input#lookupName').val(null);
                $('input#lookupCode').val(null);
                $('input#activeFlag').val(null);
                $("form#add-form").attr("action", path_update);
                $('div#hidden-input').empty()
            }

            function editLookupCodes(key) {
                var path = "{{route('settings.lookupCodeEdit')}}";
                var path_update = "{{route('settings.lookupCodeUpdate')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    success: function(data){
                        $('input#lookupName').val(data.lookupName);
                        $('input#lookupCode').val(data.lookupCode);
                        $('select#activeFlag').val(data.activeFlag);
                        $("form#add-form").attr("action", path_update);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="'+data.id+'"><input type="hidden" name="_method" value="PUT">');
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
