<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('team.list') }}">Teams</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('team.teamManagement') }}">Team
                    Members</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            @php
                                $name = $date_of_birth = $phone = $email = $address =
                                $education_institution = $work_experience = $training_skills = null;
                                $gender = old('gender');
                                $status = old('status');
                                $member_languages[] = old('member_languages');
                                $criminal_background = old('criminal_background');
                                // $regions[] = old('regions');
                                $education_level = old('education_level');;
                                if($member) {
                                    $name = $member->name;
                                    $email = $member->email;
                                    $gender = $member->gender;
                                    $date_of_birth = $member->date_of_birth;
                                    $phone = $member->phone;
                                    $address = $member->address;
                                    $education_level = $member->education_level;
                                    $education_institution = $member->education_institution;
                                    $work_experience = $member->work_experience;
                                    $training_skills = $member->training_skills;
                                    $member_languages = $member->languages;
                                    $criminal_background = $member->criminal_background;
                                    $status = $member->status;
                                }

                            @endphp
                            <h6 class="text-danger mb-5">Provide information for the all the necessary fields.</h6>
                            <form action="{{($action == 'new')?route('team.saveTeamManagementMember'):route('team.updateTeamManagementMember')}}"
                                  enctype="multipart/form-data" method="POST">
                                @csrf
                                @if($action == 'edit')
                                    <input type="hidden" name="team_member" value="{{cryptThis($member->id)}}">
                                @endif

                                <div class="row mb-3">
                                    <div class="col-md-3 col-sm-8">
                                        <div class="image-input avatar xxl rounded-4"
                                             style="background-image: url({{asset('assets/img/avatar.png')}}); width: 200px; height: 200px">
                                            <div class="avatar-wrapper rounded-4"
                                                 @if($action == 'edit')style="background-image: url('{{ asset($member->avatar_url) }}')"@endif></div>

                                            <div class="file-input">
                                                <input type="file" class="form-control" name="avatar" id="avatar">
                                                <label for="avatar" class="fa fa-pencil shadow text-muted"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="row mb-3">
                                            <div class="col-md-6 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="name" required id="name"
                                                           class="form-control form-control-l"
                                                           placeholder="Enter Name"
                                                           value="{{ (old('name'))?old('name'):$name }}">
                                                    <label for="name" class="text-muted">Full Name<span
                                                                class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('name'))
                                                    <div class="small text-warning">{{ $errors->first('name') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-6 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="email" name="email" id="email"
                                                           class="form-control form-control-l" placeholder="Enter Email"
                                                           value="{{ (old('email'))?old('email'):$email }}">
                                                    <label for="email" class="text-muted">Email</label>
                                                </div>
                                                @if ($errors->has('email'))
                                                    <div class="small text-warning">{{ $errors->first('email') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="date_of_birth" autocomplete="off" required
                                                           id="date_of_birth" class="form-control datepicker"
                                                           placeholder="Enter Date of Birth"
                                                           value="{{ (old('date_of_birth'))?old('date_of_birth'):$date_of_birth }}">
                                                    <label for="date_of_birth" class="text-muted">Date of Birth<span
                                                                class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('date_of_birth'))
                                                    <div class="small text-warning">{{ $errors->first('date_of_birth') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <input type="tel" name="phone" id="phone" required
                                                           class="form-control form-control-l"
                                                           placeholder="Enter Phone No."
                                                           value="{{ (old('phone'))?old('phone'):$phone }}">
                                                    <label for="phone" class="text-muted">Phone<span
                                                                class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('phone'))
                                                    <div class="small text-warning">{{ $errors->first('phone') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <select name="gender" id="gender" required class="form-select"
                                                            placeholder="Select Gender">
                                                        <option value="">-- Choose Gender--</option>
                                                        @foreach(getGender() as $key=>$sex)
                                                            <option value="{{ $key }}" {{ ($key == $gender)?'selected':'' }}>{{ $sex }}</option>
                                                        @endforeach
                                                    </select>
                                                    <label for="gender" class="text-muted">Select Gender<span
                                                                class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('gender'))
                                                    <div class="small text-warning">{{ $errors->first('gender') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <select name="member_languages[]" multiple id="member_languages"
                                                            required class="form-select select2"
                                                            placeholder="Select languages">
                                                        <option value="">-- Choose Languages --</option>
                                                        @foreach($languages as $id=>$name)
                                                            <option value="{{ $id }}" {{ (in_array($id,$member_languages))?'selected':'' }}>{{ ucfirst($name) }}</option>
                                                        @endforeach
                                                    </select>
                                                    <label for="member_languages" class="text-muted">Languages<span
                                                                class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('member_languages'))
                                                    <div class="small text-warning">{{ $errors->first('member_languages') }}</div>
                                                @endif
                                            </div>

                                            <div class="col-md-8 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <textarea name="address" required id="address"
                                                              class="form-control form-control-l"
                                                              rows="6">{{ (old('address'))?old('address'):$address }}</textarea>
                                                    <label for="address" class="text-muted">Address<span
                                                                class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('address'))
                                                    <div class="small text-warning">{{ $errors->first('address') }}</div>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-3">
                                    <div class="col-md-4 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="education_level" id="education_level" required
                                                    class="form-select form-control-l"
                                                    placeholder="Select Education Level">
                                                <option value="">-- Choose Level --</option>
                                                @foreach(getEducationalLevels() as $id=>$name)
                                                    <option value="{{ $id }}" {{ ($education_level == $id)?'selected':'' }}>{{ ucfirst($name) }}</option>
                                                @endforeach
                                            </select>
                                            <label for="education_level" class="text-muted">Education Level<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('education_level'))
                                            <div class="small text-warning">{{ $errors->first('education_level') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-8 mb-3">
                                        <div class="form-floating">
                                            <input type="text" name="education_institution" id="education_institution"
                                                   class="form-control form-control-l"
                                                   placeholder="Enter education_institution"
                                                   value="{{ (old('education_institution'))?old('education_institution'):$education_institution }}">
                                            <label for="education_institution" class="text-muted">Institution
                                                Name</label>
                                        </div>
                                        @if ($errors->has('education_institution'))
                                            <div class="small text-warning">{{ $errors->first('education_institution') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-6 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <textarea name="work_experience" id="work_experience"
                                                      class="form-control form-control-l"
                                                      style="min-height:100px">{{ (old('work_experience'))?old('work_experience'):$work_experience }}</textarea>
                                            <label for="work_experience" class="text-muted">Work Experience</label>
                                        </div>
                                        @if ($errors->has('work_experience'))
                                            <div class="small text-warning">{{ $errors->first('work_experience') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-6 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <textarea name="training_skills" id="training_skills"
                                                      class="form-control form-control-l"
                                                      style="min-height:100px">{{ (old('training_skills'))?old('training_skills'):$training_skills }}</textarea>
                                            <label for="training_skills" class="text-muted">Training Skills</label>
                                        </div>
                                        @if ($errors->has('training_skills'))
                                            <div class="small text-warning">{{ $errors->first('training_skills') }}</div>
                                        @endif
                                    </div>

                                    <div class="col-md-3 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="criminal_background" id="criminal_background" required
                                                    class="form-select" placeholder="Select">
                                                <option value="">-- Choose --</option>
                                                <option value="0" {{ ($criminal_background == 0)?'selected':'' }}>No
                                                </option>
                                                <option value="1" {{ ($criminal_background == 1)?'selected':'' }}>Yes
                                                </option>
                                            </select>
                                            <label for="criminal_background" class="text-muted">Criminal Background<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('criminal_background'))
                                            <div class="small text-warning">{{ $errors->first('criminal_background') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-6 col-sm-12 mb-3">
                                        {{-- <div class="form-floating"> --}}
                                        <label for="criminal_background_file" class="text-muted">Criminal Background
                                            File</label>
                                        <input type="file" name="criminal_background_file" class="form-control"
                                               id="criminal_background_file">
                                        {{-- </div> --}}
                                        @if ($errors->has('criminal_background_file'))
                                            <div class="small text-warning">{{ $errors->first('criminal_background_file') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-3 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="status" id="status" required class="form-select"
                                                    placeholder="Select">
                                                <option value="">-- Choose --</option>
                                                <option value="0" {{ ($status == 0)?'selected':'' }}>No</option>
                                                <option value="1" {{ ($status == 1)?'selected':'' }}>Yes</option>
                                            </select>
                                            <label for="status" class="text-muted">Status<span class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('status'))
                                            <div class="small text-warning">{{ $errors->first('status') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mb-3 text-end">
                                        <button type="submit" class="btn btn-light-primary font-weight-bold"><i
                                                    class="fa fa-paper-plane mx-1"></i> Save
                                        </button>
                                        <button type="reset" class="btn btn-light-danger font-weight-bold"><i
                                                    class="fa fa-ban mx-1"></i> Cancel
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script>
            $('.datepicker').datepicker({});
            $(function () {
                $('input[name="duration"]').daterangepicker({
                    startDate: moment().subtract(30, 'day'),
                    endDate: moment()
                });
            })
        </script>

    @endpush
</x-app-layout>
