<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('team.list') }}">Teams</a></li>
            <li class="breadcrumb-item active" aria-current="page">Team Members</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Team Members</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('team.teamManagement')}}" method="get">
                                @csrf
                                <div class="input-group">

                                    <input type="text" name="name" id="name" placeholder="Name or Email"
                                           class="form-control" value="{{request()->get('name')}}">

                                    <select name="gender" id="gender" class="form-select form-control-l"
                                            placeholder="Select Gender">
                                        <option value="">-- Choose Gender--</option>
                                        @foreach(getGender() as $key=>$name)
                                            <option value="{{ $key }}" {{ ($key == request()->get('gender'))?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="status" id="status" class="form-select">
                                        <option value="">{{ __('-- Status --') }}</option>
                                        <option value="1" {{ (1 == request()->get('status'))?'selected':'' }}>Active
                                        </option>
                                        <option value="0" {{ (0 == request()->get('status'))?'selected':'' }}>Disabled
                                        </option>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i>
                                    </button>
                                    <a href="{{ route('team.teamManagement') }}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <a href="{{ route('team.list') }}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Teams"> <i class="bi-people"></i></a>
                                    {{-- <a href="{{ route('survey.list') }}" class="btn btn-light-success" data-bs-toggle="tooltip" title="Surveys"> <i class="bi-bounding-box"></i></a> --}}
                                    <a href="{{ route('team.addTeamManagementMember') }}" class="btn btn-primary"
                                       data-bs-toggle="tooltip" title="New Member"> <i class="fa fa-plus me-2"></i> {{__('New')}}</a>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Name</th>
                                <th style="width: 50px;">Age</th>
                                <th style="width: 50px;">Gender</th>
                                <th style="width: 50px;">Phone</th>
                                <th style="width: 50px;">Status</th>
                                <th style="width: 100px;">Created On</th>
                                <th class="text-right" style="width: 50px;">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php
                                $count = 0;
                            @endphp
                            @foreach ($team_members as $team_member)
                                <tr>
                                    <td>{{$count+=1}}</td>
                                    <td><span>{{$team_member->name}}</span><br><small
                                                class="text-muted">{{$team_member->email}}</small></td>
                                    <td>{{getAgeByDate($team_member->date_of_birth)}}<br><small
                                                class="text-muted">{{date('d M Y', strtotime($team_member->date_of_birth))}}</small>
                                    </td>
                                    <td>{{$team_member->_gender->fullName}}</td>
                                    <td>{{$team_member->phone}}</td>
                                    <td>{{($team_member->status == 1)?'Active':'Disabled'}}</td>
                                    <td>{{date('d M Y H:i:s', strtotime($team_member->created_at))}}</td>
                                    <td>
                                        <form action="{{route('team.deleteTeamManagementMember')}}"
                                              onsubmit="return removeTeamManagementMember({{$count}})"
                                              id="delete-teamMember-{{$count}}" method="post">
                                            @csrf @method('DELETE')
                                            <input type="hidden" name="id" value="{{cryptThis($team_member->id)}}">

                                            <a href="{{route('team.editTeamManagementMember',[cryptThis($team_member->id)])}}"
                                               class="btn btn-sm btn-link text-primary mr-2" data-bs-toggle="tooltip"
                                               data-bs-placement="top" title="Edit Member"><i
                                                        class="fa fa-edit"></i></a>

                                            <button type="button" data-bs-toggle="modal"
                                                    data-bs-target="#viewMemberModal"
                                                    onclick="viewMember('{{$team_member->id}}')"
                                                    class="btn btn-sm btn-link text-info mr-2" href="javascript:;"
                                                    data-bs-placement="top"
                                                    title="View Member">
                                                <i class="bi-person-check"></i></button>

                                            <button type="submit" class="btn text-danger btn-link" data-bs-toggle="tooltip"
                                                    title="{{ __('Delete Member') }}">
                                                <i class="fa fa-trash"></i></button>
                                        </form>

                                    </td>
                                </tr>

                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="viewMemberModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Team Member Information</h6>
                            <div id="team-information"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function viewMember(key) {
                var path = "{{route('team.viewTeamManagementMember')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    success: function (data) {
                        $('#team-information').html(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function removeTeamManagementMember(key) {
                if (confirm("Data maybe lost after deleting this Member.\nDo you want to continue?") == true) {
                    document.getElementById('delete-teamMember' + key).submit();
                } else {
                    event.preventDefault();
                }
            }
        </script>
    @endpush
</x-app-layout>
