<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Teams</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Teams</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('team.list')}}" method="get">
                                @csrf
                                <div class="input-group">

                                    <input type="text" name="code" id="code" placeholder="Name or Code"
                                           class="form-control" value="{{request()->get('code')}}">

                                    <select name="program" id="program_id" class="form-select form-control-l"
                                            placeholder="Select Program">
                                        <option value="">-- Choose Program--</option>
                                        @foreach($programs as $key=>$name)
                                            <option value="{{ $key }}" {{ ($key == request()->get('program'))?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="status" id="status" class="form-select">
                                        <option value="">{{ __('-- Status --') }}</option>
                                        <option value="1" {{ (1 == request()->get('status'))?'selected':'' }}>Active
                                        </option>
                                        <option value="0" {{ (0 == request()->get('status'))?'selected':'' }}>Disabled
                                        </option>
                                    </select>
                                    <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i>
                                    </button>
                                    <a href="{{ route('team.list') }}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <a href="{{ route('survey.list') }}" class="btn btn-light-success"
                                       data-bs-toggle="tooltip" title="Surveys"> <i class="bi-bounding-box"></i></a>
                                    <a href="{{ route('team.teamManagement') }}" class="btn btn-light-primary"
                                       data-bs-toggle="tooltip" title="Team Members"> <i class="bi-people"></i></a>
                                    <button data-bs-toggle="modal" data-bs-target="#teamModal" type="button"
                                            onclick="addTeam()"
                                            class="btn btn-primary"><i class="fa fa-plus me-2"></i> {{__('New')}}
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Name</th>
                                <th>Program</th>
                                <th style="width: 80px;">Members</th>
                                <th style="width: 100px;">Created On</th>
                                <th class="text-right" style="width: 50px;">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php
                                $count = 0;
                            @endphp
                            @foreach ($teams as $team)
                                <tr>
                                    <td>{{$count+=1}}</td>
                                    <td><span>{{$team->name}}</span><br><small
                                                class="text-muted">{{$team->code}}</small></td>
                                    <td>{{$team->program->name}}</td>
                                    <td>{{$team->members->count()}}</td>
                                    <td>{{date('d M Y H:i:s', strtotime($team->created_at))}}</td>
                                    <td>
                                        <form action="{{route('team.delete')}}" onsubmit="return removeTeam({{$count}})"
                                              id="delete-team-{{$count}}" method="post">
                                            @csrf @method('DELETE')
                                            <input type="hidden" name="id" value="{{cryptThis($team->id)}}">

                                            @if($team->status == 1)
                                                <span class="form-switch">
                                                    <input class="form-check-input" data-bs-toggle="tooltip" title="Deactivate"
                                                           onchange="activateTeam({{$team->id}})" type="checkbox"
                                                           style="margin-top: 0.6em;" value="0" checked role="switch"
                                                           id="status">
                                                </span>
                                            @else
                                                <span class="form-switch">
                                                    <input class="form-check-input"
                                                           onchange="activateTeam({{$team->id}})" data-bs-toggle="tooltip" title="Activate" type="checkbox"
                                                           style="margin-top: 0.6em;" value="1" role="switch"
                                                           id="status">
                                                </span>
                                            @endif

                                            <button type="button" class="btn btn-sm btn-link text-primary mr-2"
                                                    data-bs-toggle="modal" data-bs-target="#teamModal"
                                                    onclick="editTeam('{{$team->id}}')"
                                                    data-bs-placement="top" title="Edit Team"><i class="fa fa-edit"></i>
                                            </button>

                                            <button type="button" data-bs-toggle="modal" data-bs-target="#viewTeamModal"
                                                    onclick="viewTeam('{{$team->id}}')"
                                                    class="btn btn-sm btn-link text-info mr-2" href="javascript:;"
                                                    data-bs-placement="top" title="View Team">
                                                <i class="bi-info-circle"></i></button>

                                            <button type="button" class="btn btn-sm btn-link text-primary mr-2"
                                                    data-bs-toggle="modal" data-bs-target="#teamMemberModal"
                                                    onclick="addTeamMember('{{$team->id}}')"
                                                    data-bs-placement="top" title="Add Team Member"><i
                                                        class="fa fa-user-plus"></i></button>

                                            <button type="submit" class="btn text-danger btn-link" data-bs-toggle="tooltip"
                                                    title="{{ __('Delete Team') }}">
                                                <i class="fa fa-trash"></i></button>
                                        </form>

                                    </td>
                                </tr>

                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="teamModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Submit Team Information</h6>
                            <p id="err" class="text-danger"></p>
                            <form id="add-form" action="{{route('team.save')}}" method="post">
                                @csrf
                                <div id="hidden-input"></div>
                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <select name="program" id="program" onchange="getProgramSurveys()" required
                                                    class="form-select">
                                                <option selected value="">-- Choose Program --</option>
                                                @foreach ($programs as $key=>$name)
                                                    <option value="{{$key}}" {{(old('program') == $key)?'selected':''}}>{{ $name }}</option>
                                                @endforeach

                                            </select>
                                            <label for="program">{{ __('Program') }}<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('program'))
                                            <span class="form-text text-warning">{{ $errors->first('program') }}</span>
                                        @endif
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <select name="team_type" id="team_type" required class="form-select">
                                                <option selected value="">-- Choose Type --</option>
                                                @foreach (getTeamTypes() as $key=>$name)
                                                    <option value="{{$key}}" {{(old('team_type') == $key)?'selected':''}}>{{ $name }}</option>
                                                @endforeach

                                            </select>
                                            <label for="team_type">{{ __('Type') }}<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('team_type'))
                                            <span class="form-text text-warning">{{ $errors->first('team_type') }}</span>
                                        @endif
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <input type="text" required min="2" name="name" class="form-control"
                                                   value="{{ old('name') }}" id="name" placeholder="Name">
                                            <label for="name">{{ __('Name') }}<span class="required">*</span></label>
                                            @if ($errors->has('name'))
                                                <span class="form-text text-warning">{{ $errors->first('name') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <select name="status" id="status" class="form-select">
                                                <option selected value="">-- Choose Status --</option>
                                                <option value="1" {{(old('program') == 1)?'selected':''}}>{{ __('Active') }}</option>
                                                <option value="0" {{(old('program') == 0)?'selected':''}}>{{ __('Disable') }}</option>
                                            </select>
                                            <label for="status">{{ __('Status') }}<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('status'))
                                            <span class="form-text text-warning">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>
                                    <div class="col-12 mb-3 text-end">
                                        <button class="btn btn-primary btn-sm square" type="submit">
                                            <i class="fa fa-paper-plane mx-1"></i> Save
                                        </button>
                                        <button class="btn btn-light-danger btn-sm square" type="reset"
                                                onclick="addTeam()"
                                                data-bs-dismiss="modal" aria-label="Close">
                                            <i class="fa fa-ban mx-1"></i> Cancel
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="teamMemberModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-containe">
                            <h6 class="mt-3 mb-4">Team Member Information</h6>
                            <p id="errMember" class="text-danger"></p>
                            <form id="memberform" action="{{route('team.saveMember')}}" method="post">
                                @csrf
                                <input type="hidden" name="team" id="active_team" value="">
                                <input type="hidden" name="id" id="memberformHidden" value="">
                                <div class="row">
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <select name="member" id="member" required class="form-select">
                                                <option selected value="">-- Choose Member --</option>
                                                @foreach ($members as $member)
                                                    <option value="{{$member->id}}" {{(old('member') == $member->id)?'selected':''}}>{{ $member->name.' ('.$member->email.')' }}</option>
                                                @endforeach
                                            </select>
                                            <label for="member">{{ __('Member') }}<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('member'))
                                            <span class="form-text text-warning">{{ $errors->first('member') }}</span>
                                        @endif
                                        <small class="text-info mt-2">If no member found,
                                            <a href="{{ route('team.addTeamManagementMember') }}" class="text-danger">click here</a> to add a new member.</small>
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <select name="team_role" id="team_role" required class="form-select">
                                                <option selected value="">-- Choose Role --</option>
                                                @foreach (getTeamRoles() as $key=>$value)
                                                    <option value="{{$key}}" {{(old('team_role') == $key)?'selected':''}}>{{ $value }}</option>
                                                @endforeach
                                            </select>
                                            <label for="team_role">{{ __('Role') }}<span
                                                        class="required">*</span></label>
                                            @if ($errors->has('team_role'))
                                                <span class="form-text text-warning">{{ $errors->first('team_role') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-12 mb-3">
                                        <div class="form-floating">
                                            <select name="status" id="status" class="form-select">
                                                <option value="1">{{ __('Active') }}</option>
                                                <option value="0">{{ __('Disable') }}</option>
                                            </select>
                                            <label for="status">{{ __('Status') }}<span
                                                        class="required">*</span></label>
                                        </div>
                                        @if ($errors->has('status'))
                                            <span class="form-text text-warning">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>
                                    <div class="col-md-12 text-center">
                                        <button class="btn btn-primary btn-sm square" type="submit">
                                            <i class="fa fa-paper-plane mx-1"></i> Save
                                        </button>
                                        <button class="btn btn-light-danger btn-sm square" type="reset"
                                                data-bs-dismiss="modal" aria-label="Close">
                                            <i class="fa fa-ban mx-1"></i> Cancel
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="viewTeamModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                data-bs-dismiss="modal" aria-label="Close"></button>
                        <div id="form-container">
                            <h6 class="mt-3 mb-4">Team Member Information</h6>
                            <div id="team-information"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function addTeamMember(key) {
                $('input#active_team').val(key);
            }

            function editTeamMember(key) {
                var path = "{{route('team.editMember')}}";
                var path_update = "{{route('team.updateMember')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    success: function (data) {
                        if (data.status == 0) {
                            $('#errMember').html(data.message);
                        } else {
                            $('select#member').val(data.member.user_id).prop('disabled', true);
                            $('select#team_role').val(data.member.role);
                            $('select#status').val(data.member.status);
                            $("form#memberform").attr("action", path_update);
                            $('input#memberformHidden').val(data.member.id);
                        }

                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function viewTeam(key) {
                var path = "{{route('team.view')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    success: function (data) {
                        $('#team-information').html(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function addTeam() {
                var path_update = "{{route('team.save')}}";
                $('input#name').val(null);
                $('select#program').val(null);
                $('select#team_type').val(null);
                $('select#status').val(null);
                $("form#add-form").attr("action", path_update);
                $('div#hidden-input').empty()
                $('div#err').empty()
            }

            function editTeam(key) {
                var path = "{{route('team.edit')}}";
                var path_update = "{{route('team.update')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    success: function (data) {
                        if (data.status == 0) {
                            $('#err').html(data.message);
                            addTeam();
                        } else {
                            $('input#name').val(data.team.name);
                            $('select#program').val(data.team.program_id);
                            $('select#team_type').val(data.team.team_type);
                            $('select#status').val(data.team.status);
                            $("form#add-form").attr("action", path_update);
                            $('div#hidden-input').html('<input type="hidden" name="id" value="' + data.team.id + '">');
                        }

                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function getProgramSurveys() {
                var path = "{{route('team.getProgramSurveys')}}";
                var program = $('select#program').val();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {program_id: program},
                    success: function (data) {
                        $('select#survey').html(data.surveyOptions).prop('disabled', false);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function removeMember(key) {
                if (confirm("Data maybe lost after removing this member.\nDo you want to continue?") == true) {
                    document.getElementById('delete-member' + key).submit();
                } else {
                    event.preventDefault();
                }
            }

            function removeTeam(key) {
                if (confirm("Data maybe lost after deleting this Team.\nDo you want to continue?") == true) {
                    document.getElementById('delete-team' + key).submit();
                } else {
                    event.preventDefault();
                }
            }

            function activateTeam(id) {
                var path = "{{route('team.changeTeamStatus')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id},
                    success: function (data) {
                        console.log(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }

            function activateMember(id) {
                var path = "{{route('team.changeTeamMemberStatus')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id},
                    success: function (data) {
                        console.log(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
