<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="javascript:;">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Users</li>
        </ol>
    </x-slot>
@php @endphp
@push('stylesheets')
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/dataTables.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">
@endpush

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="right-side col-md-6 col-12">
                                    <div role="group" aria-label="Button group with nested dropdown" class="btn-group float-md-right">
                                        {{--                    @if(in_array('create_users', $user_permissions))--}}
                                        <a href="javascript:;" class="btn btn-outline-primary" data-bs-toggle="modal"  data-bs-target="#UserAccountCreate"><i
                                                class="ft-plus"></i> Create User Account</a>
                                        {{--                    @endif--}}
                                    </div>
                                </div>
                            </div>
                            <div id="" class="table-responsive dataTables_wrapper dt-bootstrap5 no-footer">
                                <table id="user_accounts" class="table align-middle mb-0 card-table nowrap dataTable no-footer dtr-inline">
                                    <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>E-mail</th>
                                        <th>Role</th>
                                        <th>Office</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @if($users->isNotEmpty())

                                        @foreach($users as $user)

                                            <tr>
                                                <td>{{ $user->name }}</td>
                                                <td>{{ $user->email }}</td>
                                                <td>{{ $user->roles->isNotEmpty()?$user->roles->first()->display_name :'' }}</td>
                                                <td>{{ $user->office ? $user->office->facility_name:"" }}</td>
                                                <td class="justify-content-center">
                                                    <div class="btn-group" role="group">
                                                        {{--                                                            @if(in_array('view_users', $user_permissions))--}}
                                                        <a type="button"
                                                           href="{{ route('users.show', ['user'=> $user->id]) }}"
                                                           class="btn btn-sm btn-outline-secondary action-view"><i
                                                                class="fa fa-eye"></i> View</a>
                                                        {{--                                                            @endif--}}
                                                        {{--                                                            @if(in_array('edit_users', $user_permissions))--}}
                                                        <a href="{{ route('users.edit', ['user' => $user->id ]) }}"
                                                           class="btn btn-sm btn-outline-primary action-edit"
                                                           data-update-url="{{ route('users.update', ['user' => $user->id ]) }}"><i
                                                                class="fa fa-pencil"></i> Edit</a>
                                                        {{--                                                            @endif--}}
                                                        {{--                                                            @if(in_array('delete_users', $user_permissions))--}}
                                                        @if($user->deactivated_at)
                                                            <a href="{{ route('users.destroy', ['user' => $user->id ]) }}"
                                                               class="btn btn-sm btn-success action-activate"
                                                               data-title="{{ $user->name }}"><i
                                                                    class="fa fa-check"></i> Activate Account</a>
                                                        @else
                                                            <a href="{{ route('users.destroy', ['user' => $user->id ]) }}"
                                                               class="btn btn-sm btn-outline-danger action-delete"
                                                               data-title="{{ $user->name }}"><i
                                                                    class="fa fa-close"></i> Deactivate Account</a>

                                                        @endif

                                                        {{--                                                            @endif--}}

                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="4"><p class="text-center">No data to display</p></td>
                                        </tr>
                                    @endif
                                    </tbody>
                                </table>
                                @if($users->isNotEmpty())
                                    <div class="row">
                                        <div class="col-7">
                                            @if(count($users) == 0)

                                            @else
                                                Showing {{$users->firstitem()}} - {{ $users->lastitem()}} of {{$users->total()}} entries
                                            @endif
                                        </div>
                                        <div class="col-5">
                                            <div class="btn-group pull-right">
                                                <nav aria-label="...">
                                                    @if($users->isNotEmpty())
                                                        {{ $users->links('vendor.pagination.default') }}
                                                    @endif
                                                </nav>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@push('modals')
        <div class="modal fade" id="UserAccountCreate" aria-modal="true" role="dialog">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                        <h4 class="modal-title">User Account Registration</h4>
                        <p class="text-muted">Provide details to create user account</p>
                        <form action="{{ route('users.store') }}" method="post">
                            @csrf
                        <div class="row g-2 mt-3">
                            <div class="form-group  col-6">
                                <label for="name">Full Name: </label>
                                <div class="form-group {{ $errors->has('name')?'has-danger':'' }}">
                                    <input type="text" name="name" value="{{ old('name') }}" id="name" required
                                           class="form-control">
                                    @if($errors->has('name'))
                                        <p class="text-left text-danger text-muted">{{ $errors->first('name') }}</p>
                                    @endif
                                </div>
                            </div>
                            <div class="form-group col-6">
                                <label for="email">Email: </label>
                                <div class="form-group {{ $errors->has('email')?'has-danger':'' }}">
                                    <input type="email" id="email" required value="{{ old('email') }}" name="email"
                                           class="form-control">
                                    @if($errors->has('email'))
                                        <p class="text-left text-danger text-muted">{{ $errors->first('email') }}</p>
                                    @endif
                                </div>
                            </div>
                            <div class="form-group col-6">
                                <label for="role">Role: </label>
                                <div class="form-group">
                                    <select onchange="getRoleOffices(this.value,'create')" name="role" id="role" class="form-control select2 form-select">
                                        <option value="">Select a role</option>
                                        @foreach($roles as $role)
                                            <option value="{{ $role->id }}" {{ old('role')==$role->id?'selected':'' }}>{{ $role->display_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group col-6">
                                <label for="role">Assign Office: </label>
                                <div class="form-group">
                                    <select name="office_id" id="office_id" class="form-control form-select assigned_office">
                                        <option value="">Assign Office to User Account</option>
                                        @foreach($offices as $office)
                                            <option value="{{ $office->id }}" {{ old('office_id')==$office->id?'selected':'' }}>{{ $office->facility_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group col-6">
                                <label for="password">Password: </label>
                                <div class="form-group {{ $errors->has('password')?'has-danger':'' }}">
                                    <input type="password" name="password" value="" required id="password" class="form-control">
                                    @if($errors->has('password'))
                                        <p class="text-left text-danger text-muted">{{ $errors->first('password') }}</p>
                                    @endif
                                </div>
                            </div>
                            <div class="form-group col-6">
                                <label for="password_confirmation">Confirm Password: </label>
                                <div class="form-group {{ $errors->has('password_confirmation')?'has-danger':'' }}">
                                    <input type="password" name="password_confirmation" required id="password_confirmation"
                                           class="form-control">
                                    @if($errors->has('password_confirmation'))
                                        <p class="text-left text-danger text-muted">{{ $errors->first('password_confirmation') }}</p>
                                    @endif
                                </div>
                            </div>

                            <div class="col-12 mt-3">
                                <button class="btn btn-sm btn-secondary text-uppercase" type="button" data-bs-dismiss="modal">Close</button>
                                <button class="btn btn-sm btn-primary text-uppercase" type="submit">Submit</button>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="user-form-edit" aria-modal="true" role="dialog">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                        <h4 class="modal-title">Edit User Account Details</h4>
                        <p class="text-muted">Update details to user account</p>
                        <form action="#" method="post">
                            @csrf
                            @method('put')
                            <div class="row g-2 mt-3">
                                <div class="form-group  col-6">
                                    <label for="name">Full Name: </label>
                                    <div class="form-group {{ $errors->has('name')?'has-danger':'' }}">
                                        <input type="text" name="name" value="{{ old('name') }}" id="name" required
                                               class="form-control">
                                        @if($errors->has('name'))
                                            <p class="text-left text-danger text-muted">{{ $errors->first('name') }}</p>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group col-6">
                                    <label for="role">Role: </label>
                                    <div class="form-group">
                                        <select name="role" id="role" class="form-control select2 form-select edit_role">
                                            <option value="">Select a role</option>
                                            @foreach($roles as $role)
                                                <option value="{{ $role->id }}" {{ old('role')==$role->id?'selected':'' }}>{{ $role->display_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group col-6">
                                    <label for="role">Assign Office: </label>
                                    <div class="form-group">
                                        <select name="office_id" id="office_id" class="form-control form-select update_assigned_office">
                                            <option value="">Assign Office to User Account</option>
                                            @foreach($offices as $office)
                                                <option value="{{ $office->id }}" {{ old('office_id')==$office->id?'selected':'' }}>{{ $office->facility_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <button class="btn btn-sm btn-secondary text-uppercase" type="button" data-bs-dismiss="modal">Close</button>
                                    <button class="btn btn-sm btn-primary text-uppercase" type="submit">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
@endpush
@push('scripts')

    <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/helpers.js') }}"></script>
    <script src="{{ asset('assets/js/pages/users.js') }}"></script>
    <script>
        $(document).ready(function () {
            @if($errors->has('name')|| $errors->has('email')|| $errors->has('password'))
            $('#UserAccountCreate').modal('show');
            @endif
        })


        $('#user_accounts').addClass('nowrap').dataTable({
            responsive: false,
            searching: false,
            paging: false,
            ordering: false,
            info: false,
        });


        $('.select2').select2();

        function getRoleOffices(role_id,type)
        {

            let update_role = $('.edit_role').find(":selected").val();
            let selected_office = $('.update_assigned_office').find(":selected").val();
            // co
            if(type == 'create') {
                blockSelect('.assigned_office');
            }
            if(type == 'update'){

                blockSelect('.update_assigned_office');
            }

            $.ajax({
                type: "post",
                {{--url: "{{route('fetch.role.assigned_offices')}}",--}}
                data: {
                    role_id: role_id,
                    update_role: update_role,
                    type: type,
                    update_office_id: selected_office,
                    _token: '{{csrf_token()}}'
                },
                success: function (response) {
                    if(type == 'create'){
                        $('.assigned_office').html(response);
                        unblockSelect('.assigned_office');
                    }

                    if(type == 'update'){
                        $('.update_assigned_office').html(response);
                        unblockSelect('.update_assigned_office');
                    }

                }
            });
        }
    </script>
@endpush
</x-app-layout>
