@extends('layouts.app')
@php use App\Models\User; /** @var User $user**/ @endphp
@push('stylesheets')
	<link rel="stylesheet" href="{{ asset('assets/vendors/css/tables/datatable/datatables.min.css') }}">
	<link rel="stylesheet" href="{{ asset('assets/vendors/css/forms/selects/select2.css') }}">
	<link rel="stylesheet" href="{{ asset('assets/vendors/css/extensions/sweetalert.css') }}">
@endpush


@section('content')
	<div class="content-wrapper">
        <div class="card">
            <div class="card-header">
		<div class="content-header row">
			<div class="content-header-left col-md-6 col-12 mb-2">
				<h3 class="content-header-title mb-0">Users</h3>
				<div class="row breadcrumbs-top">
					<div class="breadcrumb-wrapper col-12">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item"><a href="{{ route('users.index') }}">Users</a>
							</li>
							<li class="breadcrumb-item active">{{ $user->name }}
							</li>
						</ol>
					</div>
				</div>
			</div>
		</div>
		<div class="content-body">
			<section id="configuration">
				<div class="row">
							<div class="card-body">
								<div class="card-text">
									<dl class="row">
										<dt class="col-sm-3">Name</dt>
										<dd class="col-sm-9">{{ $user->name }}</dd>
									</dl>
									<dl class="row">
										<dt class="col-sm-3">E-mail</dt>
										<dd class="col-sm-9">{{ $user->email }}</dd>
									</dl>

									<dl class="row">
										<dt class="col-sm-3">Phone Number</dt>
										<dd class="col-sm-9">{{ $user->phone_number }}</dd>
									</dl>

									<dl class="row">
										<dt class="col-sm-3">Role</dt>
										<dd class="col-sm-9">{{ (empty($user->roles->first()))?'':$user->roles->first()->display_name }}</dd>
									</dl>


									<dl class="row">
										<dt class="col-sm-3">Permissions</dt>
										<dd class="col-sm-9">
											@foreach($user->allPermissions() as $permission)
												<div class="badge badge-primary" style="margin-bottom: 2px;">{{ $permission->display_name }}</div>
											@endforeach
										</dd>
									</dl>
								</div>
							</div>

				</div>
			</section>
		</div>
            </div>
        </div>
	</div>
@endsection
@push('modals')

@endpush
@push('scripts')
@endpush
