<div class="card">
    <div class="card-header bg-white">
        <div class="row">
            <div class="col-12">
                <h6 class="mb-0">{{ $info->title??'Sample View' }} {{__('Survey')}}</h6></div>
            <div class="col-6"><span class="text-muted">{{$survey->category}}</span></div>
            <div class="col-6 text-end"><span class="text-muted"><i class="fa fa-calendar"></i> {{date('D, dS M Y')}}</span></div>
            <div class="col-12 mt-2">
                @if(!$eligible)
                    We only accept
                    <strong>{{ $survey->limitPerParticipant() }} {{ \Str::plural('entry', $survey->limitPerParticipant()) }}</strong>
                    per participant.
                @endif

                @if($lastEntry)
                    You last submitted your answers <strong>{{ $lastEntry->created_at->diffForHumans() }}</strong>.
                @endif
            </div>
            <div class="col-12 mt-3">
                <p>Please take a moment to complete the following questions.</p>
            </div>
        </div>
    </div>
    @if(!$survey->acceptsGuestEntries() && auth()->guest())
        <div class="p-5">
            Please login to join this survey.
        </div>
    @else
        @php($count = 1)
        @foreach($survey->sections as $section)
            @include('survey::sections.single')
        @endforeach

        @foreach($survey->questions()->withoutSection()->get() as $question)
            @include('survey::questions.single')
        @endforeach

        @if($eligible && $submit)
            <button class="btn btn-primary">Submit</button>
        @endif
    @endif
</div>
