<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\AnnouncementsController;

//Announcement Routes
Route::name('announcement.')->group(function () {

    Route::get('announcements', [AnnouncementsController::class,'index'])->name('list')
        ->middleware(['check-permissions:administrator,view-announcements-list']);

    Route::prefix('announcements')->group(function () {
        Route::get('create', [AnnouncementsController::class,'create'])->name('create')
        ->middleware(['check-permissions:administrator,add-announcement']);
        Route::post('save', [AnnouncementsController::class,'save'])->name('save')
            ->middleware(['check-permissions:administrator,add-announcement']);
        Route::get('edit/{id}', [AnnouncementsController::class,'edit'])->name('edit')
            ->middleware(['check-permissions:administrator,edit-announcement']);
        Route::get('view/{id}', [AnnouncementsController::class,'view'])->name('view')
            ->middleware(['check-permissions:administrator,view-announcement-info']);
        Route::delete('delete', [AnnouncementsController::class,'delete'])->name('delete')
            ->middleware(['check-permissions:administrator,delete-announcement']);
    });

});
