<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\ApplicantController;
use App\Http\Controllers\BenefitsController;
use \Illuminate\Support\Str;

$applicant = 'beneficiary';
$applicants = 'beneficiaries';
//$applicant = config('app.portal_base_url','portal');
//Applicant Routes
//Route::get($applicant.'-login', [ApplicantController::class,'loginForm'])->name('applicant.login')->middleware('guest');
Route::name('applicant.')->prefix($applicants)->group(function () use($applicant) {
//    Route::prefix($applicant)->group(function () use ($applicant) {
        Route::get('get-'.$applicant.'-record', [ApplicantController::class,'viewApplicantRecordInfo'])->name('viewApplicantRecordInfo')->middleware(['check-permissions:administrator,edit-beneficiary']);
        Route::put('update-'.$applicant.'-record', [ApplicantController::class,'updateApplicantRecord'])->name('updateApplicantRecord')->middleware(['check-permissions:administrator,edit-beneficiary']);
        Route::get('financial-statements/{applicant_number}', [ApplicantController::class,'financialStatements'])->name('financialStatements');
        Route::post('verify-contact', [ApplicantController::class,'verifyContact'])->name('verifyContact');
        Route::get('getMerchantBranches', [ApplicantController::class,'getMerchantBranches'])->name('getMerchantBranches');
        Route::get('getAllMerchants', [ApplicantController::class,'getAllMerchants'])->name('getAllMerchants');
        Route::get('duplicate-detection', [ApplicantController::class,'duplicateDetection'])->name('duplicateDetection')->middleware(['check-permissions:administrator,duplicate-detection']);
        Route::get('duplicate-detection-view', [ApplicantController::class,'getDuplicates'])->name('getDuplicates')->middleware(['check-permissions:administrator,duplicate-detection']);
        Route::get('remove-profile-image', [ApplicantController::class,'removeProfileImage'])->name('removeProfileImage')->middleware(['check-permissions:administrator,duplicate-detection']);

        Route::middleware(['admin-access'])->group(function () use ($applicant) {
            //Route::get('/', [ApplicantController::class,'getApplicantInfo'])->name('getApplicantInfo')->middleware(['check-permissions:administrator,view-beneficiaries-list']);
            Route::get('/', [BenefitsController::class,'custom_beneficiaries'])->name('getApplicantInfo')->middleware(['check-permissions:administrator,view-beneficiaries-list']);
            Route::get('view', [ApplicantController::class,'viewApplicantInfo'])->name('viewApplicantInfo')->middleware(['check-permissions:administrator,view-member-info']);
//            Route::get('get-query-'.$applicant.'/{query?}/{value?}/{gender?}/{location?}', [ApplicantController::class,'getApplicationsInfoList'])->name('getApplicationsInfoList');
            Route::get('get-query-'.$applicant, [ApplicantController::class,'getApplicationsInfoList'])->name('getApplicationsInfoList');
            Route::get('edit/{id}', [ApplicantController::class,'editApplicantInfo'])->name('editApplicantInfo')->middleware(['check-permissions:administrator,edit-beneficiary']);
            Route::get('delete/{id}', [ApplicantController::class,'deleteApplicantInfo'])->name('deleteApplicantInfo')->middleware(['check-permissions:administrator,delete-beneficiary']);
            Route::get('create/{id?}', [ApplicantController::class,'applicantRegistration'])->name('applicantRegistration')->middleware(['check-permissions:administrator,edit-beneficiary']);
            Route::post('save', [ApplicantController::class,'saveApplicantRegistration'])->name('saveApplicantRegistration')->middleware(['check-permissions:administrator,edit-beneficiary|add-beneficiary']);

            Route::get('history/{applicant_number?}', [ApplicantController::class,'getPendingUpdates'])->name('getPendingUpdates');
            Route::post('history/verify-record', [ApplicantController::class,'savePendingUpdates'])->name('savePendingUpdates');

        });
//    });
});
