<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\BeneficiaryController;

//Benefits Management Routes
Route::name('beneficiaries.')->group(function () {
    Route::prefix('beneficiaries')->group(function () {
        Route::get('list/{benefit_id?}', [BeneficiaryController::class,'index'])->name('list');
        Route::get('edit/{beneficiary_id}', [BeneficiaryController::class,'edit'])->name('edit');
        Route::get('view/{beneficiary_id}', [BeneficiaryController::class,'view'])->name('view');
        Route::get('get-beneficiaries-list/{benefit_id?}', [BeneficiaryController::class,'getBeneficiariesList'])->name('getBeneficiariesList');
        Route::get('get-archived-beneficiaries-list/{benefit_id?}', [BeneficiaryController::class,'getArchivedBeneficiariesList'])->name('getArchivedBeneficiariesList');
        Route::get('form-mappings', [BeneficiaryController::class,'formMapping'])->name('formMapping');
        Route::get('form-mappings/{form_id}', [BeneficiaryController::class,'formMappingDetails'])->name('formMappingDetails');
        Route::post('save-form-mapping-details{form_id}', [BeneficiaryController::class,'saveFormMappingDetails'])->name('saveFormMappingDetails');
        Route::get('archives', [BeneficiaryController::class,'archives'])->name('archives');
        Route::get('archive-beneficiary/{beneficiary_id}', [BeneficiaryController::class,'archive'])->name('archive');
        Route::delete('delete/{beneficiary_id}', [BeneficiaryController::class,'delete'])->name('delete');
        Route::post('update/{beneficiary_id}', [BeneficiaryController::class,'update'])->name('update');
        Route::post('recoverDebtForm', [BeneficiaryController::class,'recoverDebtForm'])->name('recoverDebtForm');
    });
});
