<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\BenefitsController;

//Benefits Management Routes
Route::name('benefit.')->group(function () {
        Route::get('benefits', [BenefitsController::class,'index'])->name('list')->middleware(['check-permissions:administrator,view-benefits-list']);
    Route::prefix('benefit')->group(function () {
        Route::get('create', [BenefitsController::class,'create'])->name('create')->middleware(['check-permissions:administrator,add-benefit']);
        Route::get('edit/{benefit_id}', [BenefitsController::class,'edit'])->name('edit')->middleware(['check-permissions:administrator,edit-benefit']);
        Route::get('details/{benefit_id}', [BenefitsController::class,'details'])->name('details')->middleware(['check-permissions:administrator,view-benefit-info']);
        Route::post('save', [BenefitsController::class,'save'])->name('save')->middleware(['check-permissions:administrator,edit-benefit']);
        Route::get('filter-application', [BenefitsController::class,'filterApplication'])->name('filterApplication');
        Route::get('archives', [BenefitsController::class,'archives'])->name('archives')->middleware(['check-permissions:administrator,view-benefits-list']);
        Route::get('archive-benefit/{benefit_id}', [BenefitsController::class,'archive'])->name('archive')->middleware(['check-permissions:administrator,activate-benefit']);
        Route::delete('delete/{benefit_id}', [BenefitsController::class,'delete'])->name('delete')->middleware(['check-permissions:administrator,activate-benefit']);
        Route::post('set-benefit-form/{benefit_id}', [BenefitsController::class,'setBenefitForm'])->name('setBenefitForm')->middleware(['check-permissions:administrator,add-benefit|edit-benefit']);

        Route::group(['middleware' => ['check-permissions:administrator,add-benefit|edit-benefit']],function () {
            Route::get('class-types', [BenefitsController::class, 'classTypes'])->name('classTypes');
            Route::get('types', [BenefitsController::class, 'benefitTypes'])->name('benefitTypes');
            Route::post('types-save', [BenefitsController::class, 'typeSave'])->name('typeSave');
            Route::get('type-view', [BenefitsController::class, 'typeView'])->name('typeView');
            Route::get('type-edit', [BenefitsController::class, 'typeEdit'])->name('typeEdit');
            Route::put('type-update', [BenefitsController::class, 'typeUpdate'])->name('typeUpdate');
            Route::get('activate-type/{type_id}', [BenefitsController::class, 'activateType'])->name('activateType');

            Route::get('amounts', [BenefitsController::class, 'benefitAmount'])->name('benefitAmount');
            Route::post('amount/save}', [BenefitsController::class, 'saveAmount'])->name('saveAmount');
            Route::post('amount/update}', [BenefitsController::class, 'updateAmount'])->name('updateAmount');
            Route::get('amount/edit', [BenefitsController::class, 'amountEdit'])->name('amountEdit');
            Route::delete('amount/delete', [BenefitsController::class, 'amountDelete'])->name('amountDelete');

        });

        //Benefit Eligibility
        Route::get('eligibility', [BenefitsController::class,'eligibility'])->name('eligibility')->middleware(['check-permissions:administrator,view-benefits-list']);
        Route::post('eligibility/create-application-group', [BenefitsController::class, 'create_application_group'])->name('eligibility.group');
    });
});
