<?php
use \App\Http\Controllers\InstancesController;

Route::middleware(['auth'])->name('instances.')->group(function () {

    Route::get('preference', [InstancesController::class, 'myInstance'])
        ->name('myInstance');

    Route::get('instances', [InstancesController::class, 'index'])->name('instances');

    Route::prefix('instance')->group(function () {

        Route::get('create', [InstancesController::class, 'createInstance'])
            ->name('createInstance');

        Route::post('save', [InstancesController::class, 'saveInstance'])
            ->name('saveInstance');

        Route::get('edit/{instance_id}', [InstancesController::class, 'editInstance'])
            ->name('editInstance');

        Route::post('update', [InstancesController::class, 'updateInstance'])
            ->name('updateInstance');

        Route::post('content-config', [InstancesController::class, 'saveContentConfig'])
            ->name('saveContentConfig');

        Route::post('remove', [InstancesController::class, 'removeInstance'])
            ->name('removeInstance');
    });


});
