<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\Auth\CustomerRegisterController;
use \App\Http\Controllers\Auth\CustomerLoginController;
use \App\Http\Controllers\MembershipController;
use \App\Http\Controllers\AnnouncementsController;

//$applicant = Str::singular(strtolower(settings()->get('applicant_title','applicant')));
$applicant = config('app.portal_base_url','portal');
Route::prefix($applicant)->name('customer.')->group(function () use ($applicant) {

    Route::middleware(['customer-access'])->group(function () use ($applicant) {
        Route::post('logout', [CustomerLoginController::class,'logout'])->name('logout');

        Route::controller(MembershipController::class)->group(function () use($applicant) {
            Route::get('dashboard', 'profile')->name('profile');
            Route::get('profile', 'account')->name('account');
            Route::get('eligible-benefits', 'eligibleBenefits')->name('eligibleBenefits');
            Route::get('view-application/{id}', 'viewApplication')->name('viewApplication');
            Route::post('connect-to-application', 'connectToApplication')->name('connectToApplication');
            Route::post('verify-application', 'verifyApplication')->name('verifyApplication');
            Route::post('code-verification', 'verifyCode')->name('verifyCodeLogin');
            Route::get('resend-verification', 'resendVerifyCode')->name('resendVerifyCode');
            Route::post('save-personal-data', 'saveCustomerRegistration')->name('saveCustomerRegistration');
            Route::put('update-'.$applicant.'-data', 'updateCustomerRecord')->name('updateCustomerRecord');
            Route::get('benefit/enrolment/{benefit_id}', [MembershipController::class,'benefitEnrolment'])->name('benefitEnrolment');
            Route::get('benefit/edit-enrolment/{application_id}', [MembershipController::class,'editBenefitEnrolment'])->name('editBenefitEnrolment');
            Route::get('benefit/validate-applicant', [MembershipController::class,'validateApplicant'])->name('validateApplicant');
            Route::get('applicant-account-details', [MembershipController::class,'applicantAccountDetails'])->name('applicantAccountDetails');
            Route::get('application-print-preview', [MembershipController::class,'printPreview'])->name('printPreview');
            Route::get('my-surveys', [MembershipController::class,'mySurveys'])->name('mySurveys');
            Route::get('new-entry/{survey}', [MembershipController::class,'newEntry'])->name('newEntry');
            Route::post('save-entry/{survey}', [MembershipController::class,'saveEntry'])->name('saveEntry');
            Route::get('my-survey/view/{entry}', [MembershipController::class,'viewSurveyEntry'])->name('viewSurveyEntry');
            Route::post('benefit/save-enrolment/{benefit_id}', [MembershipController::class,'saveEnrolment'])->name('saveEnrolment');
            Route::post('benefit/update-enrolment', [MembershipController::class,'updateEnrolment'])->name('updateEnrolment');
        });


        //Customer Notifications Routes
        Route::prefix('announcements')->group(function () {
            Route::get('/', [AnnouncementsController::class,'customerAnnouncements'])->name('customerAnnouncements');
            Route::get('view/{id}', [AnnouncementsController::class,'customerAnnouncementView'])->name('customerAnnouncementView');
        });
    });
});


