<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\OfficesController;
use \App\Http\Controllers\AjaxController;
/*
|--------------------------------------------------------------------------
| Offices Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth'])->name('offices.')->group(function () {
    Route::get('/fetch-office/{id}', [AjaxController::class, 'fetchOffice']);
    Route::get('/officedata/{id}', [AjaxController::class, 'getOffice']);
    Route::get('/get_higher_offices/{id}', [AjaxController::class, 'getHigherOffices']);
    Route::post('/office/deactivate', [OfficesController::class, 'deactivateOffice']);
    Route::post('/office/activate', [OfficesController::class, 'activateOffice']);

    Route::prefix('offices')->group(function () {

        //Route for LOOKUP CODE
        Route::get('/', [OfficesController::class,'index'])->name('list');
        Route::post('/create', [OfficesController::class,'create'])->name('create');
        Route::get('/edit', [OfficesController::class,'edit'])->name('edit');
        Route::get('/newFormView', [OfficesController::class,'emptyForm'])->name('emptyForm');
        Route::post('/update', [OfficesController::class,'update'])->name('update');
        Route::get('/remove/{id}', [OfficesController::class,'remove'])->name('remove');
        Route::get('/activate/{id}', [OfficesController::class,'activation'])->name('activation');
        Route::get('/hierarchy', [OfficesController::class, 'hierarchy'])->name('hierarchy');
    });
});
