<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\ProjectController;

//Benefits Management Routes
Route::name('project.')->group(function () {
    Route::prefix('projects')->group(function () {
        Route::get('/', [ProjectController::class,'index'])->name('list');
        Route::get('edit/{project_id}', [ProjectController::class,'edit'])->name('edit');
        Route::get('get-project-list', [ProjectController::class,'getProjectsList'])->name('getProjectsList');
        Route::get('get-archived-project-list', [ProjectController::class,'getArchivedProjectsList'])->name('getArchivedProjectsList');
        Route::get('create', [ProjectController::class,'createProject'])->name('createProject');
        Route::post('save', [ProjectController::class,'saveProject'])->name('saveProject');
        Route::post('update/{project_id}', [ProjectController::class,'update'])->name('update');
        Route::get('timeline/{project_id}', [ProjectController::class,'projectTimeline'])->name('projectTimeline');
        Route::get('create-timeline/{project_id}', [ProjectController::class,'createProjectTimeline'])->name('createProjectTimeline');
        Route::post('save-timeline/{project_id}', [ProjectController::class,'saveProjectTimeline'])->name('saveProjectTimeline');
        Route::get('edit-timeline/{project_id}/{timeline_id}', [ProjectController::class,'editProjectTimeline'])->name('editProjectTimeline');
        Route::post('update-timeline/{project_id}/{timeline_id}', [ProjectController::class,'updateProjectTimeline'])->name('updateProjectTimeline');
        Route::get('archives', [ProjectController::class,'archives'])->name('archives');
        Route::get('archive/{project_id}', [ProjectController::class,'archive'])->name('archive');
        Route::get('delete/{project_id}', [ProjectController::class,'delete'])->name('delete');
        Route::get('delete-timeline/{project_timeline_id}', [ProjectController::class,'deleteTimeline'])->name('deleteTimeline');
    });
});
