<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\SurveyModuleController;
use \Illuminate\Support\Str;

//Program Management Routes
Route::name('survey_module.')->group(function (){
    Route::get('survey-forms', [SurveyModuleController::class,'index'])->name('index');
    Route::prefix('survey-forms')->group(function () {
        Route::post('save', [SurveyModuleController::class,'saveSurveyForm'])->name('saveSurveyForm');
        Route::post('update{survey}', [SurveyModuleController::class,'updateSurveyForm'])->name('updateSurveyForm');
        Route::get('questions/{survey}', [SurveyModuleController::class,'surveyQuestions'])->name('surveyQuestions');
        Route::get('questions/{survey}/add-question', [SurveyModuleController::class,'addQuestion'])->name('addQuestion');
        Route::get('questions/{survey}/edit-question/{question}', [SurveyModuleController::class,'editQuestion'])->name('editQuestion');
        Route::post('questions/{survey}/save', [SurveyModuleController::class,'saveQuestion'])->name('saveQuestion');
        Route::get('question/{question}/remove', [SurveyModuleController::class,'deleteQuestion'])->name('deleteQuestion');
        Route::post('section/{survey}/save', [SurveyModuleController::class,'saveSection'])->name('saveSection');
        Route::get('survey/{survey_form}/entry', [SurveyModuleController::class,'entryForm'])->name('entryForm');
        Route::post('survey/{survey_form}/entry', [SurveyModuleController::class,'saveEntry'])->name('saveEntry');
    });
});
