<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\SurveyController;
use \Illuminate\Support\Str;

//Program Management Routes
Route::name('survey.')->group(function (){
    Route::prefix('surveys')->group(function () {
        Route::get('/', [SurveyController::class,'index'])->name('list');
        Route::get('create/{program_id?}', [SurveyController::class,'create'])->name('create');
        Route::post('save', [SurveyController::class,'save'])->name('save');
        Route::get('teams', [SurveyController::class,'viewTeams'])->name('viewTeams');
        Route::post('set-respondents/{survey}', [SurveyController::class,'setRespondents'])->name('setRespondents');
        Route::post('save-teams', [SurveyController::class,'saveTeams'])->name('saveTeams');
        Route::delete('remove-teams', [SurveyController::class,'deleteTeam'])->name('deleteTeam');
        Route::get('activate-team', [SurveyController::class,'changeTeamStatus'])->name('changeTeamStatus');
        Route::get('edit/{survey_id}/{program_id?}', [SurveyController::class,'edit'])->name('edit');
        Route::post('update', [SurveyController::class,'update'])->name('update');
        Route::get('view/{survey_id}', [SurveyController::class,'view'])->name('view');
        Route::get('new-entry/{survey}', [SurveyController::class,'newEntry'])->name('newEntry');
        Route::post('save-entry/{survey}', [SurveyController::class,'saveEntry'])->name('saveEntry');
        Route::get('entries/{survey}', [SurveyController::class,'entries'])->name('entries');
        Route::delete('entry', [SurveyController::class,'deleteEntry'])->name('deleteEntry');
        Route::get('perform-program-query/{type?}/{area?}/{tenure?}/{location?}', [SurveyController::class,'getSurveyList'])->name('getSurveyList');
    });
    Route::get('my-surveys', [SurveyController::class,'mySurveys'])->name('mySurveys');
    Route::get('my-survey/view/{entry}', [SurveyController::class,'mySurveyView'])->name('mySurveyView');
});
