<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\RolesController;
use \App\Http\Controllers\PermissionsController;
use \App\Http\Controllers\UserManagementController;
/*
|--------------------------------------------------------------------------
| User Account Profile Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth','verified'])->name('user_management.')->group(function () {
    Route::get('/users', [UserManagementController::class,'users'])->name('users');
    Route::get('/get-users-list', [UserManagementController::class,'getBasicData'])->name('getUsersList');
    Route::get('/create-user', [UserManagementController::class,'createUser'])->name('createUser');
    Route::get('/edit-user/{id}', [UserManagementController::class,'editUser'])->name('editUser');
    Route::post('/save-user', [UserManagementController::class,'saveUser'])->name('saveUser');
    Route::put('/update-user/{id}', [UserManagementController::class,'updateUser'])->name('updateUser');
    Route::get('/delete-user/{id}', [UserManagementController::class,'deleteUser'])->name('deleteUser');
    Route::get('/restore-user/{id}', [UserManagementController::class,'activateUser'])->name('activateUser');
    Route::get('/verify-user/{id}', [UserManagementController::class,'verifyUser'])->name('verifyUser');


    //Permissions Routes
    Route::get('/permissions', [PermissionsController::class,'index'])->name('permissions');
    Route::post('/permissions/create', [PermissionsController::class,'create'])->name('permissions.create');
    Route::get('/permissions/edit', [PermissionsController::class,'edit'])->name('permissions.edit');
    Route::put('/permissions/update', [PermissionsController::class,'update'])->name('permissions.update');

    //Roles Routes
    Route::get('/roles', [RolesController::class,'index'])->name('roles');
    Route::post('/roles/create', [RolesController::class,'create'])->name('roles.create');
    Route::get('/roles/edit', [RolesController::class,'edit'])->name('roles.edit');
    Route::get('/roles/newFormView', [RolesController::class,'emptyForm'])->name('roles.emptyForm');
    Route::put('/roles/update', [RolesController::class,'update'])->name('roles.update');
    Route::get('/roles/remove/{id}', [RolesController::class,'remove'])->name('role.remove');
});
