<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e($page_title); ?></li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0"><?php echo e($page_title); ?></h1>
                <small class="text-muted">This module allows prospective partners to easily register and submit necessary
                    information, such as business details, contact information, <br>and relevant documentation.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                    <?php if(session()->get('status') == 'success'): ?>
                        <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                    <?php else: ?>
                        <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="<?php echo e(route('partner.list')); ?>" method="get">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">

                                    <input type="text" name="name_query" id="name_query" value="<?php echo e(request()->get('name_query')); ?>" placeholder="Partner Name" class="form-control">

                                    <select name="type" id="type" class="form-select">
                                        <option value=""><?php echo e(__('-- Types --')); ?></option>
                                        <?php $__currentLoopData = getProgramPartnerTypes(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$partnerType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($key); ?>" <?php echo e((request()->get('type') == $key)?'selected':''); ?>><?php echo e($partnerType); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                    <select name="status_query" id="status_query" class="form-select">
                                        <option value=""><?php echo e(__('-- Status --')); ?></option>
                                        <option value="1" <?php echo e((request()->get('status_query') == 1)?'selected':''); ?>>Active</option>
                                        <option value="0" <?php echo e((request()->get('status_query') == 0)?'selected':''); ?>>Disabled</option>
                                    </select>

                                    <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                    <a href="<?php echo e(route('partner.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>

                                    <?php if(canDo('administrator','add-partner')): ?>
                                    <a href="<?php echo e(route('program.list')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip"
                                       data-bs-placement="top" title="Program"><i class="bi-journals"></i></a>
                                    <?php endif; ?>
                                    <?php if(canDo('administrator','add-partner')): ?>
                                    <a href="<?php echo e(route('partner.create')); ?>" class="btn btn-primary" data-bs-toggle="tooltip"
                                       data-bs-placement="top" title="Add new Partner"><i class="fa fa-plus me-2"></i> <?php echo e(__('New')); ?></a>
                                    <?php endif; ?>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-12">
                    <?php if($partners->count() > 0): ?>
                        <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 20px;">#</th>
                                    <th>Partner</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                    <th class="text-right">Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        $count = 0;
                                    ?>
                                    <?php $__currentLoopData = $partners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $partner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $count++;
                                    ?>
                                        <tr>
                                            <td><?php echo e($count); ?></td>
                                            <td class="d-flex align-items-center">
                                                <?php
                                                    $logo = asset('assets/PlaceholderLogo.png');
                                                    if($partner->logo_url != null) {
                                                        $logo = asset($partner->logo_url);
                                                    }
                                                ?>
                                                <img src="<?php echo e($logo); ?>" class="rounded-circle avatar" alt="<?php echo e($partner->name); ?>">
                                                <div class="ms-2 mb-0">
                                                    <span class="fw-bold"><?php echo e($partner->name); ?></span>
                                                    <br>
                                                    <small class="text-muted"><?php echo e($partner->_type->fullName); ?></small>
                                                </div>
                                            </td>
                                            <td><?php echo e($partner->phone); ?> <br><small class="text-muted"><?php echo e($partner->email); ?></small> </td>
                                            <td><?php echo e(($partner->status == 1)?'Active':'Disable'); ?></td>
                                            <td>
                                                <?php if(canDo('administrator','view-partner-info')): ?>
                                                <a href="<?php echo e(route('partner.view',[cryptThis($partner->id)])); ?>"
                                                    class="btn btn-sm btn-link text-info mr-2" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo e(__("View Partner")); ?>">
                                                    <i class="fa fa-file-text"></i></a>
                                                <?php endif; ?>
                                                    <?php if(canDo('administrator','edit-partner')): ?>
                                                <a href="<?php echo e(route('partner.edit',[cryptThis($partner->id)])); ?>" class="btn btn-sm btn-link text-primary mr-2" data-bs-toggle="tooltip"
                                                    data-bs-placement="top" title="<?php echo e(__("Edit Partner")); ?>"><i class="fa fa-edit"></i></a>
                                                    <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>

    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/partners/index.blade.php ENDPATH**/ ?>