<!--begin::Profile Card-->
<div class="card card-custom">
    <!--begin::Body-->
    <div class="card-body pt-4">
        <!--begin::User-->
        <div class="d-flex align-items-center">
            <div class="symbol symbol-60 symbol-xxl-100 mr-5 align-self-start align-self-xxl-center">
                <div class="symbol-label" style="background-image:url(<?php echo e(Auth::user()->profilePicture()); ?>);-webkit-background-size: contain;background-size: contain;"></div>
                <i class="symbol-badge bg-success"></i>
            </div>
            <div>
                <a href="#" class="font-weight-bolder font-size-h5 text-dark-75 text-hover-primary"><?php echo e(\Auth::user()->name); ?></a>
                <div class="text-muted">
                    <?php if(\Auth::user()->is_admin): ?>
                        <?php echo e(__('Administrator')); ?>

                    <?php else: ?>
                        <?php echo e(__('Member')); ?>

                    <?php endif; ?>
                </div>
            </div>
        </div>
        <!--end::User-->
        <!--begin::Contact-->
        <div class="py-9">
            <div class="d-flex align-items-center justify-content-between mb-2">
                <span class="font-weight-bold mr-2"><?php echo e(__('Email')); ?>:</span>
                <a href="#" class="text-muted font-weight-bold"><?php echo e(\Auth::user()->email); ?></a>
            </div>
            <div class="d-flex align-items-center justify-content-between mb-2">
                <span class="font-weight-bold mr-2"><?php echo e(__('Phone')); ?>:</span>
                <span class="text-muted font-weight-bold"><?php echo e(\Auth::user()->phone); ?></span>
            </div>
        </div>
        <!--end::Contact-->

        <div class="separator separator-dashed"></div>
        <!--begin::Nav-->
        <div class="navi navi-bold navi-hover navi-active navi-link-rounded my-9">
            <div class="navi-item mb-2">
                <a href="<?php echo e(route('account.profile')); ?>" class="navi-link py-4 <?php echo e(isRouteActive(['account.profile'],false,'active')); ?>">
                    <span class="navi-icon mr-2">
                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Code/Compiling.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <rect x="0" y="0" width="24" height="24" />
                                    <path d="M2.56066017,10.6819805 L4.68198052,8.56066017 C5.26776695,7.97487373 6.21751442,7.97487373 6.80330086,8.56066017 L8.9246212,10.6819805 C9.51040764,11.267767 9.51040764,12.2175144 8.9246212,12.8033009 L6.80330086,14.9246212 C6.21751442,15.5104076 5.26776695,15.5104076 4.68198052,14.9246212 L2.56066017,12.8033009 C1.97487373,12.2175144 1.97487373,11.267767 2.56066017,10.6819805 Z M14.5606602,10.6819805 L16.6819805,8.56066017 C17.267767,7.97487373 18.2175144,7.97487373 18.8033009,8.56066017 L20.9246212,10.6819805 C21.5104076,11.267767 21.5104076,12.2175144 20.9246212,12.8033009 L18.8033009,14.9246212 C18.2175144,15.5104076 17.267767,15.5104076 16.6819805,14.9246212 L14.5606602,12.8033009 C13.9748737,12.2175144 13.9748737,11.267767 14.5606602,10.6819805 Z" fill="#000000" opacity="0.3" />
                                    <path d="M8.56066017,16.6819805 L10.6819805,14.5606602 C11.267767,13.9748737 12.2175144,13.9748737 12.8033009,14.5606602 L14.9246212,16.6819805 C15.5104076,17.267767 15.5104076,18.2175144 14.9246212,18.8033009 L12.8033009,20.9246212 C12.2175144,21.5104076 11.267767,21.5104076 10.6819805,20.9246212 L8.56066017,18.8033009 C7.97487373,18.2175144 7.97487373,17.267767 8.56066017,16.6819805 Z M8.56066017,4.68198052 L10.6819805,2.56066017 C11.267767,1.97487373 12.2175144,1.97487373 12.8033009,2.56066017 L14.9246212,4.68198052 C15.5104076,5.26776695 15.5104076,6.21751442 14.9246212,6.80330086 L12.8033009,8.9246212 C12.2175144,9.51040764 11.267767,9.51040764 10.6819805,8.9246212 L8.56066017,6.80330086 C7.97487373,6.21751442 7.97487373,5.26776695 8.56066017,4.68198052 Z" fill="#000000" />
                                </g>
                            </svg>
                            <!--end::Svg Icon-->
                        </span>
                    </span>
                    <span class="navi-text font-size-lg"><?php echo e(__('Account Information')); ?></span>
                </a>
            </div>
            <div class="navi-item mb-2">
                <a href="<?php echo e(route('account.change_password')); ?>" class="navi-link py-4 <?php echo e(isRouteActive(['account.change_password'],false,'active')); ?>">
                    <span class="navi-icon mr-2">
                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Communication/Shield-user.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <rect x="0" y="0" width="24" height="24" />
                                    <path d="M4,4 L11.6314229,2.5691082 C11.8750185,2.52343403 12.1249815,2.52343403 12.3685771,2.5691082 L20,4 L20,13.2830094 C20,16.2173861 18.4883464,18.9447835 16,20.5 L12.5299989,22.6687507 C12.2057287,22.8714196 11.7942713,22.8714196 11.4700011,22.6687507 L8,20.5 C5.51165358,18.9447835 4,16.2173861 4,13.2830094 L4,4 Z" fill="#000000" opacity="0.3" />
                                    <path d="M12,11 C10.8954305,11 10,10.1045695 10,9 C10,7.8954305 10.8954305,7 12,7 C13.1045695,7 14,7.8954305 14,9 C14,10.1045695 13.1045695,11 12,11 Z" fill="#000000" opacity="0.3" />
                                    <path d="M7.00036205,16.4995035 C7.21569918,13.5165724 9.36772908,12 11.9907452,12 C14.6506758,12 16.8360465,13.4332455 16.9988413,16.5 C17.0053266,16.6221713 16.9988413,17 16.5815,17 C14.5228466,17 11.463736,17 7.4041679,17 C7.26484009,17 6.98863236,16.6619875 7.00036205,16.4995035 Z" fill="#000000" opacity="0.3" />
                                </g>
                            </svg>
                            <!--end::Svg Icon-->
                        </span>
                    </span>
                    <span class="navi-text font-size-lg"><?php echo e(__('Change Password')); ?></span>
                </a>
            </div>
            
                
                                    
                                        
                                            
                                            
                                                
                                                    
                                                    
                                                    
                                                
                                            
                                            
                                        
                                    
                    
                
            
        </div>
        <!--end::Nav-->
    </div>
    <!--end::Body-->
</div>
<!--end::Profile Card-->
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/profile/side-navigation.blade.php ENDPATH**/ ?>