<?php
    if (auth()->user()->is_admin) {
        $route = 'applicant.updateApplicantRecord';
    }
    else {
        $route = 'customer.updateCustomerRecord';
    }
?>


<div class="modal fade" id="more-details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="detail-title"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-content" id="details-body">

            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="remove-record" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="remove-body-title"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-content" id="remove-body">

            </div>
        </div>
    </div>

</div>


<div class="modal fade" id="add-family" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Relationship</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="family" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control" name="type" id="type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = $family_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('types') == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="types"><?php echo e(__('Relationship')); ?> <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('type')): ?>
                                <span class="form-text text-danger" role="alert">
                                            <strong><?php echo e($errors->first('type')); ?></strong>
                                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="Surname" class="form-control"
                                       style="" value="<?php echo e(old('surname')); ?>" name="surname" id="surname">
                                <label for="surname"><?php echo e(__('Surname')); ?>

                                    <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('surname')): ?>
                                <span class="text-form text-danger" role="alert">
                                                            <strong><?php echo e($errors->first('surname')); ?></strong>
                                                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="First Name" class="form-control"
                                       style="" value="<?php echo e(old('first_name')); ?>" name="first_name" id="first_name">
                                <label for="first_name"><?php echo e(__('First Name')); ?>

                                    <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('first_name')): ?>
                                <span class="text-form text-danger" role="alert">
                                                            <strong><?php echo e($errors->first('first_name')); ?></strong>
                                                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" placeholder="Other Name" class="form-control"
                                       style="" value="<?php echo e(old('other_name')); ?>" name="other_name" id="other_name">
                                <label for="other_name"><?php echo e(__('Other Name')); ?></label>
                            </div>
                            <?php if($errors->has('other_name')): ?>
                                <span class="text-form text-danger" role="alert">
                                                            <strong><?php echo e($errors->first('other_name')); ?></strong>
                                                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" data-date-end-date="0d" required
                                       value="<?php echo e(old('date_of_birth')); ?>" style="min-width: auto;"
                                       name="date_of_birth" id="date_of_birth" readonly="readonly" placeholder="Select date">
                                <label for="date_of_birth">Date Of Birth:
                                    <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('date_of_birth')): ?>
                                <span class="text-form text-danger" role="alert">
                                                                <strong><?php echo e($errors->first('date_of_birth')); ?></strong>
                                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control" name="id_type" id="id_type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getIdentificationType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('id_type') == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="id_type"><?php echo e(__('ID Type')); ?> <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('id_type')): ?>
                                <span class="form-text text-danger" role="alert">
                                            <strong><?php echo e($errors->first('id_type')); ?></strong>
                                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control"
                                       style="" value="<?php echo e(old('dependent_reference_id')); ?>" name="dependent_reference_id" id="dependent_reference_id">
                                <label for="other_name"><?php echo e(__('Registration No.')); ?></label>
                            </div>
                            <?php if($errors->has('dependent_reference_id')): ?>
                                <span class="text-form text-danger" role="alert">
                                                            <strong><?php echo e($errors->first('dependent_reference_id')); ?></strong>
                                                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select name="is_dependant" id="is_dependant" required class="form-control">
                                    <option value="Yes" <?php echo e((old('is_dependant') == 1)?'selected':''); ?>>Yes</option>
                                    <option value="No" <?php echo e((old('is_dependant') == 0)?'selected':''); ?>>No</option>
                                </select>
                                <label for="is_dependant"><?php echo e(__('Is Dependant?')); ?></label>
                            </div>
                            <?php if($errors->has('is_dependant')): ?>
                                <span class="text-form text-danger" role="alert">
                                                            <strong><?php echo e($errors->first('is_dependant')); ?></strong>
                                                        </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="add-contact_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Contact</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="contact_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-select" onchange="resident()" style="width: 100%; " name="type" id="contact_type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getContactTypes(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($id); ?>" <?php if(old('type') == $id): ?> selected <?php endif; ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="type">Type <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('type')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('type')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <select required class="form-select select" style="width: 100%; " onchange="getContactStates()" name="contact_country" id="contact_country">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getCountries(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($country['id']); ?>" <?php if(false): echo 'selected'; endif; ?>><?php echo e($country['country_name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="contact_country">Country <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('contact_country')): ?>
                                <span class="text-form text-danger" role="alert">
                                    <strong><?php echo e($errors->first('contact_country')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <select required class="form-select select" disabled style="width: 100%;" name="contact_region" id="contact_region"
                                        onchange="getContactCities()">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                </select>
                                <label for="contact_region" id="contact_country_system">Location <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('contact_region')): ?>
                                <span class="text-form text-danger" role="alert">
                                    <strong><?php echo e($errors->first('contact_region')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <select required class="form-select select" disabled style="width: 100%;" name="contact_city" id="contact_city">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                </select>
                                <label for="contact_city" id="contact_state_system">Location <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('contact_city')): ?>
                                <span class="text-form text-danger" role="alert">
                                    <strong><?php echo e($errors->first('contact_city')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden postal">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="postal_address" id="postal_address">
                                <label for="postal_address"><?php echo e(__('Postal Address')); ?></label>
                            </div>
                            <?php if($errors->has('postal_address')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('postal_address')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="village" id="village">
                                <label for="village"><?php echo e(__('Village')); ?></label>
                            </div>
                            <?php if($errors->has('village')): ?>
                                <span class="text-form text-danger" role="alert">
                                    <strong><?php echo e($errors->first('village')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden residential">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="house_address" id="house_address">
                                <label for="house_address"><?php echo e(__('House Address')); ?></label>
                            </div>
                            <?php if($errors->has('house_address')): ?>
                                <span class="text-form text-danger" role="alert">
                                    <strong><?php echo e($errors->first('house_address')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden residential">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="landmark" id="landmark">
                                <label for="landmark"><?php echo e(__('Landmark')); ?></label>
                            </div>
                            <?php if($errors->has('landmark')): ?>
                                <span class="text-form text-danger" role="alert">
                                    <strong><?php echo e($errors->first('landmark')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden residential">
                            <div class="form-floating">
                                <input type="file" name="upload_residency" id="upload_residency" class="form-control">
                                <label for="upload_residency">Proof of Residency</label></label>
                            </div>
                            <?php if($errors->has('upload_residency')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('upload_residency')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden telephone">
                            <div class="form-floating">
                                <input type="text" class="form-control" required style="" name="mobile" id="mobile">
                                <label for="mobile"><?php echo e(__("Mobile")); ?> <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('mobile')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('mobile')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 hidden email">
                            <div class="form-floating">
                                <input type="email" class="form-control" style="" name="email" id="email">
                                <label for="email"><?php echo e(__("Email")); ?></label>
                            </div>
                            <?php if($errors->has('email')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('email')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>

                        <?php if(auth()->user()->is_admin): ?>
                            <div class="col-md-12 mb-2 hidden household">
                                <div class="form-floating">
                                    <input type="text" class="form-control" style="" name="household_number" id="household_number">
                                    <label for="household_number"><?php echo e(__("Household Number")); ?></label>
                                </div>
                                <?php if($errors->has('household_number')): ?>
                                    <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('household_number')); ?></strong>
                                            </span>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-12 mb-2 hidden household">
                                <div class="form-floating">
                                    <select class="form-select" style="width: 100%; " name="is_household_head" id="is_household_head">
                                        <option value="0" <?php if(old('is_household_head') == 0): ?> selected <?php endif; ?>>No</option>
                                        <option value="1" <?php if(old('is_household_head') == 1): ?> selected <?php endif; ?>>Yes</option>
                                    </select>
                                    <label for="is_household_head">Is Household Head?</label>
                                </div>
                                <?php if($errors->has('is_household_head')): ?>
                                    <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('is_household_head')); ?></strong>
                                            </span>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="add-identification_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Identification</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="identification_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control"
                                        style="width: 100%; " name="id_types" id="id_types">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getIdentificationType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php if(old('id_types') == $name): ?> selected <?php endif; ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="id_types">ID Type <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('id_types')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('id_types')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="Primary ID No." class="form-control"
                                       style="" value="<?php echo e(old('id_number')); ?>" name="id_number" id="id_number">
                                <label for="id_number">ID No<span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('id_number')): ?>
                                <span class="text-form text-danger" role="alert">
                                <strong><?php echo e($errors->first('id_number')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" value="<?php echo e(old('expiry')); ?>"
                                       name="expiry" id="expiry" readonly="readonly" placeholder="Select date">
                                <label for="expiry">Expiry</label>
                            </div>
                            <?php if($errors->has('expiry')): ?>
                                <span class="text-form text-danger" role="alert">
                                <strong><?php echo e($errors->first('expiry')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div clas="form-floating">
                                <label for="document">Upload ID Document</label>
                                <input type="file" name="document" id="document" class="form-control">
                            </div>
                            <?php if($errors->has('document')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('document')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="add-marital_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Spouse</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="marital_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control" name="marriage_status" onchange="maritalStatus()" id="marriage_status">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getMaritalStatusType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('marriage_status') == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="marriage_status"><?php echo e(__('Marriage Status')); ?> <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('marriage_status')): ?>
                                <span class="form-text text-danger" role="alert">
                            <strong><?php echo e($errors->first('marriage_status')); ?></strong>
                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" placeholder="<?php echo e(__('Spouse Reference ID')); ?>" class="form-control"
                                       style="" value="<?php echo e(old('spouse_ref_id')); ?>" name="spouse_ref_id" id="spouse_ref_id">
                                <label for="spouse_ref_id"><?php echo e(__('Spouse Reference ID')); ?></label>
                            </div>
                            <?php if($errors->has('spouse_ref_id')): ?>
                                <span class="text-form text-danger" role="alert">
                                                                        <strong><?php echo e($errors->first('spouse_ref_id')); ?></strong>
                                                                    </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" required placeholder="Spouse Name" class="form-control"
                                       style="" value="<?php echo e(old('spouse_name')); ?>" name="spouse_name" id="spouse_name">
                                <label for="spouse_name"><?php echo e(__('Spouse Name')); ?> <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('spouse_name')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('spouse_name')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <select required class="form-control" name="marriage_type" id="marriage_type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getMaritalType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('marriage_type') == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="marriage_type"><?php echo e(__('Marriage Type')); ?> <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('marriage_type')): ?>
                                <span class="form-text text-danger" role="alert">
                            <strong><?php echo e($errors->first('marriage_type')); ?></strong>
                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" required
                                       value="<?php echo e(old('marriage_start_date')); ?>" style="min-width: auto;"  data-date-end-date="0d"
                                       name="marriage_start_date" id="marriage_start_date" readonly="readonly" placeholder="Select date">
                                <label for="marriage_start_date">Start Date <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('marriage_start_date')): ?>
                                <span class="form-text text-danger" role="alert">
                            <strong><?php echo e($errors->first('marriage_start_date')); ?></strong>
                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker"
                                       value="<?php echo e(old('marriage_end_date')); ?>" style="min-width: auto;" data-date-end-date="0d"
                                       name="marriage_end_date" id="marriage_end_date" readonly="readonly" placeholder="Select date">
                                <label for="marriage_end_date">End Date</label>
                            </div>
                            <?php if($errors->has('marriage_end_date')): ?>
                                <span class="form-text text-danger" role="alert">
                            <strong><?php echo e($errors->first('marriage_end_date')); ?></strong>
                        </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="add-employment_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Employment</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="employment_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-control select" style="width: 100%; " name="employment_type" id="employment_type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getEmploymentType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('employment_type') == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="employment_type"><?php echo e(__("Type")); ?></label>
                            </div>
                            <?php if($errors->has('employment_type')): ?>
                                <span class="text-form text-danger" role="alert">
                                <strong><?php echo e($errors->first('employment_type')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-control select" style="width: 100%; " name="employment_sector" id="employment_sector">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getEmploymentSectorType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('employment_sector') == $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="employment_sector"><?php echo e(__("Sector")); ?></label>
                            </div>
                            <?php if($errors->has('employment_sector')): ?>
                                <span class="text-form text-danger" role="alert">
                            <strong><?php echo e($errors->first('employment_sector')); ?></strong>
                        </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input class="form-control" style="" value="<?php echo e(old('employer_name')); ?>" name="employer_name" id="employer_name">
                                <label for="employer_name"><?php echo e(__("Company Name")); ?></label>
                            </div>
                            <?php if($errors->has('employer_name')): ?>
                                <span class="text-form text-danger" role="alert">
                                                <strong><?php echo e($errors->first('employer_name')); ?></strong>
                                            </span>
                            <?php endif; ?>
                        </div>











                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" value="<?php echo e(old('employer_mobile')); ?>" name="employer_mobile" id="employer_mobile">
                                <label for="employer_mobile"><?php echo e(__("Mobile")); ?></label>
                            </div>
                            <?php if($errors->has('employer_mobile')): ?>
                                <span class="form-text" role="alert">
                                <strong><?php echo e($errors->first('employer_mobile')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="email" class="form-control" style="" value="<?php echo e(old('employer_email')); ?>" name="employer_email" id="employer_email">
                                <label for="employer_mobile"><?php echo e(__("Email")); ?></label>
                            </div>
                            <?php if($errors->has('employer_email')): ?>
                                <span class="form-text" role="alert">
                                <strong><?php echo e($errors->first('employer_email')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>


















































                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" value="<?php echo e(old('employer_postal_address')); ?>"
                                       name="employer_postal_address" id="employer_postal_address">
                                <label for="employer_postal_address"><?php echo e(__("Company Address")); ?></label>
                            </div>
                            <?php if($errors->has('employer_postal_address')): ?>
                                <span class="form-text" role="alert">
                                <strong><?php echo e($errors->first('employer_postal_address')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" value="<?php echo e(old('employee_position')); ?>"
                                       name="employee_position" id="employee_position">
                                <label for="employee_position"><?php echo e(__("Position")); ?></label>
                            </div>
                            <?php if($errors->has('employee_position')): ?>
                                <span class="form-text" role="alert">
                                <strong><?php echo e($errors->first('employee_position')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>












                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" data-date-end-date="0d" autocomplete="off" value="<?php echo e(old('employment_start_date')); ?>"
                                       name="employment_start_date" id="employment_start_date" style="min-width: auto;">
                                <label for="employment_start_date"><?php echo e(__("Employment Start")); ?></label>
                            </div>
                            <?php if($errors->has('employment_start_date')): ?>
                                <span class="form-text" role="alert">
                                <strong><?php echo e($errors->first('employment_start_date')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" autocomplete="off" value="<?php echo e(old('employment_end_date')); ?>"
                                       name="employment_end_date" id="employment_end_date" style="min-width: auto;">
                                <label for="employment_end_date"><?php echo e(__("Employment End")); ?></label>
                            </div>
                            <?php if($errors->has('employment_end_date')): ?>
                                <span class="form-text" role="alert">
                                <strong><?php echo e($errors->first('employment_end_date')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="add-account_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">Merchant Account Details</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="account_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%; " onchange="getMerchantsTypes()" required name="country" id="merchant_country">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getMerchantCountries(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name['id']); ?>" <?php if(auth()->user()->country_id == $name['id']): echo 'selected'; endif; ?>><?php echo e($name['country']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            <label for="merchant_country"><?php echo e(__("Country")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('country')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('country')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%;" required onchange="getMerchants()" name="account_type" id="account_type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>



                                </select>
                            <label for="account_type"><?php echo e(__("Merchant Type")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('account_type')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('account_type')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select select" onchange="getMerchantBranches()" disabled required style="width: 100%; " name="bank_name" id="bank_name">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>



                                </select>
                                <label for="bank_name"><?php echo e(__("Merchant Name")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('bank_name')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('bank_name')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%; " name="branch" disabled required id="branch">
                                    <option value="">-- <?php echo e(__('Choose Branch')); ?> --</option>
                                </select>
                                <label for="branch"><?php echo e(__("Merchant Branch")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('branch')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('branch')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="Account Number" name="account_number" id="account_number"
                                       class="form-control" value="<?php echo e(old('account_number')); ?>">
                                <label for="account_number"><?php echo e(__("Account Number")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('account_number')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('account_number')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required name="account_holder_name" placeholder="Account Owner" id="account_holder_name"
                                       class="form-control" value="<?php echo e(old('account_holder_name')); ?>">
                                <label for="account_holder_name"><?php echo e(__("Account Owner")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('account_holder_name')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('account_holder_name')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <label for="bank_name"><?php echo e(__("Proof Of Account")); ?></label>
                            <input type="file" name="upload_account" id="upload_account" class="form-control">
                            <?php if($errors->has('upload_account')): ?>
                                <span class="form-text text-danger" role="alert">
                                    <strong><?php echo e($errors->first('upload_account')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="add-health_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Health State</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="<?php echo e(route($route)); ?>" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>
                    <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <input type="hidden" value="health_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-control select" required style="width: 100%; " name="health_type" id="health_type">
                                    <option value="">-- <?php echo e(__('Choose')); ?> --</option>
                                    <?php $__currentLoopData = getImpairmentType(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($name); ?>" <?php echo e((old('health_type')== $name)?'selected':''); ?>><?php echo e($name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <label for="health_type"><?php echo e(__("Health State")); ?>  <span class="required">*</span></label>
                            </div>
                            <?php if($errors->has('health_type')): ?>
                                <span class="form-text text-danger" role="alert">
                                <strong><?php echo e($errors->first('health_type')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" readonly name="date_started" id="date_started" data-date-end-date="0d"
                                       class="form-control datepicker" value="<?php echo e(old('date_started')); ?>">
                                <label for="date_started"><?php echo e(__("Date Started")); ?></label>
                            </div>
                            <?php if($errors->has('date_started')): ?>
                                <span class="form-text text-danger" role="alert">
                                <strong><?php echo e($errors->first('date_started')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" name="confirmed_by" id="confirmed_by"
                                       class="form-control" value="<?php echo e(old('confirmed_by')); ?>">
                                <label for="confirmed_by"><?php echo e(__("Hospital Confirmed")); ?></label>
                            </div>
                            <?php if($errors->has('confirmed_by')): ?>
                                <span class="form-text text-danger" role="alert">
                                <strong><?php echo e($errors->first('confirmed_by')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12 mb-2">
                            <label for="supporting_document"><?php echo e(__("Supporting Document")); ?></label>
                            <input type="file" name="supporting_document" id="supporting_document" class="form-control">
                            <?php if($errors->has('supporting_document')): ?>
                                <span class="form-text text-danger" role="alert">
                                <strong><?php echo e($errors->first('supporting_document')); ?></strong>
                            </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.cancel','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('cancel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.submit','data' => ['class' => 'ml-3']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('submit'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'ml-3']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $(document).ready(function(){
        maritalStatus();
    });

    function maritalStatus() {
        var marriage_status = $('select#marriage_status').val();
        if(marriage_status === 'Single') {
            $('#spouse_name').prop('required',false);
            $('#marriage_type').prop('required',false);
            $('#marriage_start_date').prop('required',false);
            $('.notSingle').hide();
        }
        else {
            $('#spouse_name').prop('required',true);
            $('#marriage_type').prop('required',true);
            $('#marriage_start_date').prop('required',true);
            $('.notSingle').show();
        }
    }

    function getMerchantsTypes() {
        let merchant_country = $('select#merchant_country').val();
        $.get("<?php echo e(env('CONSOLE_API').'get-types-only-country/'); ?>"+merchant_country, function(data, status){
            $('#account_type').html('<option value="">-- Choose --</option>');
            let types = data.data;
            $.each(types, function (index, value) {
                Object.keys(value).forEach(function (key) {
                    $('#account_type').append($('<option/>', {
                        value: key,
                        text : value[key]
                    })).prop('disabled',false);
                });
            });

        });
    }

    function getMerchants() {
        let account_type = $('select#account_type').val();
        $.get("<?php echo e(env('CONSOLE_API').'get-merchant-by-type/'); ?>"+account_type, function(data, status){
            $('#bank_name').html('<option value="">-- Choose --</option>').prop('disabled',false);
            let banks = data.data;

            $.each(banks, function (index, value) {
                $('#bank_name').append($('<option/>', {
                    value: value.id,
                    text : value.name
                }));
            });
        });
    }

    function getMerchantBranches() {
        let bank_name = $('select#bank_name').val();
        $.get("<?php echo e(env('CONSOLE_API').'get-merchant-branches/'); ?>"+bank_name, function(data, status){
            $('#branch').html('<option value="">-- Choose --</option>').prop('disabled',false);
            let branches = data.data;

            $.each(branches, function (index, value) {
                $('#branch').append($('<option/>', {
                    value: value.id,
                    text : value.name
                }));
            });
        });
    }

    function getContactStates() {
        let country = $('select#contact_country').val();
        $.get("<?php echo e(env('CONSOLE_API').'get-country-states/'); ?>"+country, function(data, status){
            $('#contact_region').html('<option value="">-- Choose --</option>');
            let states = data.data.states;

            let country = data.data.country;
            $('#contact_country_system').text(country.system);
            $.each(states, function (index, value) {
                $('#contact_region').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        });
    }

    function getContactCities() {
        let state = $('select#contact_region').val();
        $.get("<?php echo e(env('CONSOLE_API').'get-state-counties/'); ?>"+state, function(data, status){
            $('#contact_city').html('<option value="">-- Choose --</option>');
            let counties = data.data.counties;
            $.each(counties, function (index, value) {
                $('#contact_city').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        });
    }

</script>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231218095220/resources/views/applicant/includes/applicant_forms.blade.php ENDPATH**/ ?>