<div class="row mb-3">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-4">
                <div class=" sticky-top">
                    <div class="card mb-3">
                        <div class="card-body">
                            <h6 class="mb-3">Support Information <small class="text-muted"> - #<?php echo e(date('y',strtotime($case->created_at)).$case->id); ?></small></h6>

                            <p><span class="fw-bolder"><?php echo e(__('Subject')); ?> </span><br><span class="fw-light text-muted"> <?php echo e($case->title); ?></span></p>

                            <p><span class="fw-bolder">Status:</span> <span class="fw-light text-muted"><?php echo getCaseLabel($case->stage); ?></span></p>

                            <p><span class="fw-bolder">Submitted On </span><br>
                                <span class="fw-light text-muted"> <?php echo e(date('d M, Y',strtotime($case->created_at))); ?></span>
                            </p>

                            <p><span class="fw-bolder">Last Updated On </span><br>
                                <span class="fw-light text-muted"> <?php echo e(date('d M, Y',strtotime($case->updated_at))); ?></span>
                            </p>

                            <p><span class="fw-bolder">Complainant</span><br>
                                <span class="fw-bolde"><?php echo e($case->name); ?> - <?php echo e($case->contact); ?></span>
                            </p>
                            <p><span class="fw-bolder">Reference: </span><span class="fw-normal text-muted"> <?php echo e($case->reference); ?></span></p>






                            <?php if(canDo('administrator','change-case-actions') && $case->stage != 'Close' && false): ?>
                                <form action="<?php echo e(route('case.updateType',[cryptThis($case->id)])); ?>" method="post" class="mb-3">
                                    <?php echo csrf_field(); ?>
                                    <span class="fw-bolder">Type </span>
                                    <div class="input-group w-100 mt-2">
                                        <button class="btn btn-light btn-sm" style="min-width: 120px" type="button"><?php echo e($case->_type->fullName); ?></button>
                                        <div class="dropdown">
                                            <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-3">
                                                <?php $__currentLoopData = getCaseTypes(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($key == $case->type) continue; ?>
                                                    <li><button class="dropdown-item py-2 rounded" type="submit" name="updateType" value="<?php echo e($key); ?>"><?php echo e($name); ?></button></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    </div>
                                </form>

                                <form action="<?php echo e(route('case.updateCategory',[cryptThis($case->id)])); ?>" method="post" class="mb-3">
                                    <?php echo csrf_field(); ?>
                                    <span class="fw-bolder">Category </span>
                                    <div class="input-group w-100 mt-2">
                                        <button class="btn btn-light btn-sm" style="min-width: 120px" type="button"><?php echo e($case->_category->fullName); ?></button>
                                        <div class="dropdown">
                                            <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-3">
                                                <?php $__currentLoopData = getCaseCategories(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($key == $case->category) continue; ?>
                                                    <li><button class="dropdown-item py-2 rounded" type="submit" name="updateCategory" value="<?php echo e($key); ?>"><?php echo e($name); ?></button></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    </div>
                                </form>

                                <form action="<?php echo e(route('case.updateSeverity',[cryptThis($case->id)])); ?>" method="post" class=" mb-3">
                                    <?php echo csrf_field(); ?>
                                    <span class="fw-bolder">Severity </span>
                                    <div class="input-group w-100 mt-2">
                                        <button class="btn btn-light btn-sm" style="min-width: 120px" type="button"><?php echo e($case->severity); ?> Impact</button>
                                        <div class="dropdown">
                                            <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-3">
                                                <?php $__currentLoopData = config('settings.severity'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($level == $case->severity) continue; ?>
                                                    <li><button class="dropdown-item py-2 rounded" type="submit" name="updateSeverity" value="<?php echo e($level); ?>"><?php echo e($level); ?> Impact</button></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    </div>
                                </form>
                            <?php else: ?>

                                <p><span class="fw-bolder">Category: </span><span class="fw-light text-muted"> <?php echo e($case->_category->fullName); ?></span></p>
                                <p><span class="fw-bolder">Severity: </span><span class="fw-light text-muted"> <?php echo getSeverityLabel($case->severity); ?></span></p>
                            <?php endif; ?>

                            <?php if($case->stage != 'Close' && canDo('administrator|beneficiary','respond-to-case')): ?>
                                <form action="<?php echo e(route('case.saveResponse',[cryptThis($case->id)])); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <span class="fw-bolder mb-3">Action </span>
                                    <input type="hidden" name="response" value="Support has been closed">
                                    <input type="hidden" name="stage" value="Close">
                                    <div class="input-group w-100" style="min-width: 120px">
                                        <button class="btn btn-success btn-sm" style="min-width: 100px" type="submit" data-bs-toggle="tooltip" aria-label="<?php echo e(__('Mark as Closed')); ?>" data-bs-original-title="<?php echo e(__('Mark as Closed')); ?>"><?php echo e(__('Mark as Closed')); ?></button>
                                        <?php if(auth()->user()->is_admin && $case->severity !== 'Critical'): ?>
                                            <div class="dropdown">
                                                <button class="btn btn-light-success btn-sm dropdown-toggle" style="border-radius: 0" type="button" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                </button>
                                                <ul class="dropdown-menu border-0 shadow p-3">
                                                    <li><a class="dropdown-item py-2 rounded" href="<?php echo e(route('case.escalateCase',[cryptThis($case->id)])); ?>"><?php echo e(__('Escalate Support')); ?></a></li>

                                                </ul>
                                            </div>
                                        <?php endif; ?>

                                    </div>
                                </form>
                            <?php endif; ?>

                        </div>
                    </div>







                </div>
            </div>
            <div class="col-md-8">
                <div class="card mb-3">
                    <div class="card-body">

                        <div class="tab-pane fade active show" id="notes" role="tabpanel">
                            <h6 class="mb-3 text-primary"><?php echo e(__('Feedback History')); ?></h6>
                            <!-- Chat: body -->
                            <div class="chat-history custom_scroll">
                                <!-- Search: div -->
                                <ul class="py-xl-3 py-2 px-xxl-5 px-lg-4 px-3 list-unstyled mb-0">
                                    <!-- Chat: left -->
                                    <li class="mb-3 d-flex flex-row align-items-end">
                                        <div class="max-width-70">
                                            <div class="user-info mb-1">
                                                <p class="mb-0 fw-bold"><?php echo e($case->owner->fullName); ?></p>
                                                <span class="text-muted small"><?php echo e(date('h:i A',strtotime($case->created_at))); ?>, <?php echo e(easyDate($case->created_at)); ?></span>
                                            </div>
                                            <div class="card p-3">
                                                <div class="message">
                                                    <?php echo $case->description; ?>

                                                    <br>
                                                    <?php if($case->file_upload != null): ?>
                                                        <a target="_blank" href="<?php echo e(route('download-file',['file_path'=>$case->file_upload])); ?>"> <i class="icon-paper-clip"></i> <?php echo e(__('Download attachment')); ?></a>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                    <?php $__currentLoopData = $comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(!$comment->isMyResponse()): ?>
                                            <!-- Chat: left -->
                                            <li class="mb-3 d-flex flex-row align-items-end">
                                                <div class="max-width-70">
                                                    <div class="user-info mb-1">
                                                        <p class="mb-0 fw-bold"><?php echo e($comment->respond->fullName); ?></p>
                                                        <span class="text-muted small"><?php echo e(date('h:i A',strtotime($comment->created_at))); ?>, <?php echo e(easyDate($comment->created_at)); ?></span>
                                                    </div>
                                                    <div class="card p-3">
                                                        <div class="message">
                                                            <?php if(isset($comment->comment)): ?>
                                                                <?php echo $comment->comment; ?>

                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                    <?php if($comment->attachment != null): ?>
                                                        <a target="_blank" href="<?php echo e(route('download-file',['file_path'=>$comment->attachment])); ?>"><span class="small"> <i class="icon-paper-clip"></i> <?php echo e(__('View attachment')); ?></span></a>
                                                    <?php endif; ?>
                                                </div>
                                            </li>
                                        <?php else: ?>
                                            <!-- Chat: right -->
                                            <li class="mb-3 d-flex flex-row-reverse align-items-end">
                                                <div class="max-width-70 text-end">
                                                    <div class="user-info mb-1">
                                                        <span class="text-muted small"><?php echo e(date('h:i A',strtotime($comment->created_at))); ?>, <?php echo e(easyDate($comment->created_at)); ?></span>
                                                    </div>
                                                    <div class="card border-0 p-3 bg-primary text-light">
                                                        <div class="message">
                                                            <?php if(isset($comment->comment)): ?>
                                                                <?php echo $comment->comment; ?>

                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                    <?php if($comment->attachment != null): ?>
                                                        <a target="_blank" href="<?php echo e(route('download-file',['file_path'=>$comment->attachment])); ?>"><span class="small"> <i class="icon-paper-clip"></i> <?php echo e(__('View attachment')); ?></span></a>
                                                    <?php endif; ?>
                                                </div>
                                            </li>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                            <!-- Chat: Footer -->
                            <div class="py-xl-3 py-2 px-xxl-5 px-lg-4 px-3 chat-msg">

                                <?php if(in_array($case->stage,['Open','Opened','Pending Review','Resolved']) && canDo('administrator|beneficiary','respond-to-case')): ?>
                                    <form method="POST" action="<?php echo e(route('case.saveResponse',[cryptThis($case->id)])); ?>" enctype="multipart/form-data">
                                        <div class="input-group">
                                            <div class="btn btn-link file-input text-decoration-none">
                                                <input type="file" class="form-control" name="file_input" id="file-input">
                                                <label for="file-input" class="fa fa-paperclip"></label>
                                            </div>
                                            <?php echo csrf_field(); ?>
                                            <input type="text" class="form-control bg-transparen border-0" required name="response" id="response" placeholder="Enter comment here...">
                                            <button class="btn bg-secondary text-light text-uppercase" type="submit">Send</button>
                                        </div>
                                        <?php if($errors->has('response')): ?>
                                            <span class="text-danger form-text"><?php echo e($errors->first('response')); ?></span>
                                        <?php endif; ?>
                                    </form>
                                <?php endif; ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/components/ticket.blade.php ENDPATH**/ ?>