<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">User Profile</li>
        </ol>
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                    <?php if(session()->get('status') == 'success'): ?>
                        <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                    <?php else: ?>
                        <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            <div class="row">
                <div class="col-md-3">
                    <div class="card mb-2">
                        <div class="card-body p-4">
                             <div class="information text-center">
                                  <div class="image-input avatar xxl rounded-circle text-center mb-2" style="background-image: url(<?php echo e(asset(getUserActiveProfile($user->id))); ?>); width: 150px; height: 150px">
                                  </div>

                                  <h6 class="mb-2"><?php echo e($user->name.", ".$user->firstname." ".$user->othername); ?></h6>
                                  <?php if(Auth::id() == $user->id || Auth::user()->hasRole('administrator')): ?>
                                  <p class="mb-2 text-muted"><a href="<?php echo e(route('account.editAccount',[cryptThis($user->id)])); ?>" title="Edit Profile"> <i class="fa fa-pencil-square-o fs-6 ms-2"></i> Edit</a></p>
                                    <?php endif; ?>
                                  
                                  
                                  <ul class="mt-3 list-unstyled d-flex justify-content-center">
                                       <li><a class="p-3" target="_blank" href="#"><i class="fa fa-facebook"></i></a></li>
                                       <li><a class="p-3" target="_blank" href="#"><i class="fa fa-linkedin"></i></a></li>
                                       <li><a class="p-3" target="_blank" href="#"><i class="fa fa-twitter"></i></a></li>
                                  </ul>
                             </div>
                        </div>
                   </div>
                   <div class="card mb-3">
                        <div class="card-body">
                            <h6 class="card-title mb-3">Personal Information</h6>
                            <ul class="list-unstyled mb-0">
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Full Name</span><br><?php echo e($user->name.", ".$user->firstname." ".$user->othername); ?></li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">E-mail</span><br><?php echo e($user->email); ?></li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Date of Birth</span><br><?php echo e(date('dS F Y', strtotime($user->dob))); ?> (<?php echo e(getAgeByDate($user->dob)); ?>)</li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Phone</span><br><?php echo e($user->phone); ?></li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Gender</span><br><?php echo e(getLookupSelectedOptionTextByValue($user->gender)); ?></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="col-md-9">
                    <?php if(!is_null($user->intro)): ?>
                        <div class="card mb-2">
                            <div class="card-body">
                                <p class="text-muted"><?php echo e($user->intro); ?></p>
                            </div>
                        </div>
                    <?php endif; ?>

                    <div class="card mb-2">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" class="form-control" name="activity" placeholder="Enter Activity Word or Phrase"
                                    value="<?php echo e(request()->get('activity')); ?>">
                                    
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="<?php echo e(route('account.userProfile',[cryptThis($user->id)])); ?>" class="btn btn-light-primary"><i class="bi-arrow-repeat"></i></a>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                             <thead>
                             <tr style="width: 100%">
                                  <th style="width: 30px">#</th>
                                  <th styl="width: 90%">Activity</th>
                                  
                             </tr>
                             </thead>
                             <tbody>

                             </tbody>
                        </table>
                   </div>
                </div>
            </div> <!-- Row end  -->
        </div>
    </div>


    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
        <!-- Jquery Page Js -->
        <script>
            $('.datepicker').datepicker({});
            // Data Table
            $('.myDataTable').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/user_management/user-profile.blade.php ENDPATH**/ ?>