<div class="card card-custom card-stretch">
        <!--begin::Header-->
        <div class="card-header py-3">
            <div class="card-title align-items-start flex-column">
                <h3 class="card-label font-weight-bolder text-dark"><?php echo e(__('Account Information')); ?></h3>
                <span class="text-muted font-weight-bold font-size-sm mt-1"><?php echo e(__('Update your account information')); ?></span>
            </div>
        </div>
        <!--end::Header-->
        <!--begin::Form-->
        <form class="form" action="<?php echo e(route('account.account_info_update')); ?>" enctype="multipart/form-data" method="POST">
            <?php echo csrf_field(); ?>
        <!--begin::Body-->
        <div class="card-body">
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"><?php echo e(__('Avatar')); ?> <br>
                    <span class="form-text text-muted"><?php echo e(__('Optional')); ?></span></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="image-input image-input-outline" id="kt_profile_avatar"
                         style="background-color: #ffffff">
                        <div class="image-input-wrapper" style="background-image: url(<?php echo e($avatar); ?>)"></div>
                        <label class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow" data-action="change" data-toggle="tooltip" title="" data-original-title="<?php echo e(__('Change Logo')); ?>">
                            <i class="fa fa-pen icon-sm text-muted"></i>
                            <input type="file" name="profile_avatar" accept=".png, .jpg, .jpeg" />
                            <input type="hidden" name="profile_avatar_remove" />
                        </label>
                        <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow" data-action="cancel" data-toggle="tooltip" title="<?php echo e(__('Cancel Logo')); ?>">
                            <i class="ki ki-bold-close icon-xs text-muted"></i>
                        </span>
                        <span class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow" data-action="remove" data-toggle="tooltip" title="<?php echo e(__('Remove Logo')); ?>">
                            <i class="ki ki-bold-close icon-xs text-muted"></i>
                        </span>
                    </div>
                    <span class="form-text text-muted"><?php echo e(__('Allowed file types: png, jpg, jpeg.')); ?></span>
                    <?php if($errors->has('profile_avatar')): ?>
                        <div class="invalid-feedback">
                            <?php echo e($errors->first('profile_avatar')); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"><?php echo e(__('Full Name')); ?></label>
                <div class="col-lg-9 col-xl-6">
                    <input class="form-control form-control-lg form-control-solid <?php echo e(($errors->has('name'))?'is-invalid':''); ?>"
                           value="<?php echo e((old('name'))?old('name'):\Auth::user()->name); ?>" type="text" name="name" required />
                    <?php if($errors->has('name')): ?>
                        <div class="invalid-feedback">
                            <?php echo e($errors->first('name')); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"><?php echo e(__('Agency Name')); ?> <br>
                    <span class="form-text text-muted"><?php echo e(__('If applicable')); ?></span></label>
                <div class="col-lg-9 col-xl-6">
                    <input class="form-control form-control-lg form-control-solid <?php echo e(($errors->has('company'))?'is-invalid':''); ?>"
                           value="<?php echo e((old('company'))?old('company'):$company); ?>" name="company" type="text" />
                    <?php if($errors->has('company')): ?>
                        <div class="invalid-feedback">
                            <?php echo e($errors->first('company')); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="row">
                <label class="col-xl-3"></label>
                <div class="col-lg-9 col-xl-6">
                    <h5 class="font-weight-bold mt-10 mb-6"><?php echo e(__('Contact Information')); ?></h5>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"><?php echo e(__('Email Address')); ?></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="input-group input-group-lg input-group-solid">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="la la-at"></i>
                            </span>
                        </div>
                        <input type="email" class="form-control form-control-lg form-control-solid <?php echo e(($errors->has('email'))?'is-invalid':''); ?>"
                               value="<?php echo e((old('email'))?old('email'):Auth::user()->email); ?>" placeholder="Email" name="email" required />
                    </div>
                    <span class="form-text text-info"><?php echo e(__('You are changing your login information.')); ?></span>
                    <?php if($errors->has('email')): ?>
                        <div class="invalid-feedback">
                            <?php echo e($errors->first('email')); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"><?php echo e(__('Contact Phone')); ?> <br>
                    <span class="form-text text-muted"><?php echo e(__('Optional')); ?></span></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="input-group input-group-lg input-group-solid">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="la la-phone"></i>
                            </span>
                        </div>
                        <input type="text" class="form-control form-control-lg form-control-solid <?php echo e(($errors->has('contact'))?'is-invalid':''); ?>"
                               value="<?php echo e((old('contact'))?old('contact'):$contact); ?>" name="contact" placeholder="Phone" />
                    </div>
                    <?php if($errors->has('contact')): ?>
                        <div class="invalid-feedback">
                            <?php echo e($errors->first('contact')); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"><?php echo e(__('Agency Site')); ?> <br>
                    <span class="form-text text-muted"><?php echo e(__('Optional')); ?></span></label>
                <div class="col-lg-9 col-xl-6">
                    <div class="input-group input-group-lg input-group-solid">
                        <input type="url" class="form-control form-control-lg form-control-solid <?php echo e(($errors->has('website'))?'is-invalid':''); ?>"
                               placeholder="http://example.com" value="<?php echo e((old('website'))?old('website'):$website); ?>" name="website"/>
                    </div>
                    <?php if($errors->has('website')): ?>
                        <div class="invalid-feedback">
                            <?php echo e($errors->first('website')); ?>

                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <!--begin::Form Group-->
            <div class="separator separator-dashed my-5"></div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"></label>
                <div class="col-lg-9 col-xl-6">
                    <button type="submit" class="btn btn-primary mr-2"><?php echo e(__('Update Profile')); ?></button>
                    <button type="reset" class="btn btn-secondary"><?php echo e(__('Cancel')); ?></button>
                </div>
            </div>
        </div>
        <!--end::Body-->
    </form>
    <!--end::Form-->
</div><?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/profile/account-information-component.blade.php ENDPATH**/ ?>