<div class="container-fluid">
     <?php if(session()->has('message')): ?>
         <div class="mb-5">
             <?php if(session()->get('status') == 'success'): ?>
                 <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
             <?php else: ?>
                 <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
             <?php endif; ?>
         </div>
     <?php endif; ?>
     <div class="row g-3">
          <div class="col-md-3">
               <div class="card mb-2">
                    <div class="card-body p-4">
                         <div class="information text-center">
                              <?php
                                   $merchant_avatar = asset('assets/img/image-placeholder.png');
                                   if(!is_null($merchant['logo'])) $merchant_avatar = env('CONSOLE_URL').$merchant['logo'];
                              ?>
                              <div class="image-input avatar xxl rounded-circle text-center mb-2" style="background-image: url(<?php echo e($merchant_avatar); ?>); width: 150px; height: 150px">
                              </div>

                              <h6 class="mb-2"><?php echo e($merchant['name']); ?></h6>
                              <p class="mb-2 text-muted"><strong><?php if($merchant['type']): ?><?php echo e($merchant['type']['name']); ?><?php endif; ?></strong></p>
                              <p class="mb-4 text-muted"><strong><?php echo e(sizeof($merchant['branches'])); ?> Branches</strong></p>
                              <ul class="mt-3 list-unstyled d-flex justify-content-center">
                                   <li><a class="p-3" target="_blank" href="#"><i class="fa fa-facebook"></i></a></li>
                                   <li><a class="p-3" target="_blank" href="#"><i class="fa fa-linkedin"></i></a></li>
                                   <li><a class="p-3" target="_blank" href="#"><i class="fa fa-twitter"></i></a></li>
                              </ul>
                         </div>
                    </div>
               </div>
               <div class="card mb-2">
                    <div class="card-body p-2">
                         <div class="information">
                              <ul class="list-group list-group-flush">
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Swift Code</strong></p>
                                        <p class="mb-2 text-muted"><?php echo e($merchant['swift_code']); ?></p>
                                   </li>
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Country</strong></p>
                                        <p class="mb-2 text-muted"><?php echo e($merchant['country']['name']); ?></p>
                                   </li>
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Email</strong></p>

                                   </li>
                                   <li class="list-group-item">
                                        <p class="mb-1"><strong>Website</strong></p>

                                   </li>
                               </ul>
                         </div>
                    </div>
               </div>
          </div>
         <div class="col-md-9">
          <div class="col-12">
               <div class="card">
                   <div class="card-body">
                       <form action="#" method="GET">
                           <?php echo csrf_field(); ?>
                           <div class="input-group">
                               <input type="text" class="form-control" name="beneficiary" placeholder="Beneficiary Name"
                               value="<?php echo e(request()->get('beneficiary')); ?>">
                               <select name="benefit" id="benefit" class="form-select">
                                   <option value="">-- Benefit Type --</option>
                                   <?php $__currentLoopData = getActiveBenefit(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$title): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <option value="<?php echo e($key); ?>"
                                       <?php echo e((request()->get('benefit') == $key)?'selected':''); ?>

                                       ><?php echo e($title); ?></option>
                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                               </select>
                               <select name="branch" id="branch" class="form-select">
                                   <option value="">-- Select Branch --</option>
                                   <?php $__currentLoopData = $merchant['branches']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <option value="<?php echo e($branch['id']); ?>"
                                       <?php echo e((request()->get('branch') == $branch['id'])?'selected':''); ?>

                                       ><?php echo e($branch['name']); ?></option>
                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                               </select>
                               <select name="status" id="status" class="form-select">
                                   <option value="">-- Select Status --</option>
                                   
                                   <option value="Pending Payment">Pending Payment</option>
                                   <option value="Decline Payment">Decline Payment</option>
                                   <option value="Paid">Paid</option>
                               </select>
                               <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                               <a href="<?php echo e(route('merchants.merchantDetails',[cryptThis($merchant['id'])])); ?>" class="btn btn-light-primary"><i class="bi-arrow-repeat"></i></a>
                           </div>
                       </form>

                   </div>
               </div>
           </div>
             <?php if(!is_null($applications)): ?>
                 <div class="table-responsive mt-3">
                     <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                         <thead>
                         <tr>
                             <th style="width: 30px">#</th>
                             <th>Beneficiary</th>
                             <th style="width: 130px">Branch</th>
                             <th style="width: 50px">Status</th>
                             <th style="width: 50px">Action</th>
                         </tr>
                         </thead>
                         <tbody>
                         <?php ($count=1); ?>
                         <?php $__currentLoopData = $applications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $application): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             <tr>
                                 <td><?php echo e($count++); ?></td>
                                 <td>
                                     <strong><?php echo e($application->applicant->fullName); ?></strong> <br>
                                     <small class="text-muted"><?php echo e($application->benefit->titles); ?></small>
                                 </td>
                                 <td>Osu</td>
                                 <td><?php echo e($application->status); ?></td>
                                 <td>
                                     <button class="btn btn-link text-primary">
                                         <i class="bi bi-cash"></i>
                                     </button>
                                 </td>
                             </tr>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                         </tbody>
                     </table>
                 </div>
             <?php else: ?>
                 <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
             <?php endif; ?>

         </div>
     </div>
 </div>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231129140011/resources/views/merchant/main-content.blade.php ENDPATH**/ ?>