<form action="<?php echo e(route('case.saveCase')); ?>" method="POST" enctype="multipart/form-data"><?php echo csrf_field(); ?>
    <input type="hidden" name="case_id" value="<?php echo e($case_id); ?>">
    <input type="hidden" name="action" value="<?php echo e($action); ?>">
    <?php
        $name = old('name');
        $contact = old('contact');
        $reference = old('reference');
        $title = old('title');
        $category = old('category');
        $type = old('type');
        $severity = old('severity');
        $beneficiary_id = old('beneficiary');
        $description = old('description');

        if($case_id != null){
            $name = $case->name;
            $contact = $case->contact;
            $reference = $case->reference;
            $title = $case->title;
            $category = $case->category;
            $type = $case->type;
            $severity = $case->severity;
            $beneficiary_id = $beneficiary;
            $description = $case->description;
        }
    ?>
    <div class="row">
        <div class="col-12">
            <h6 class="card-title"><?php echo e(__('Complainant')); ?></h6>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <input type="text" class="form-control" required name="name" id="name" value="<?php echo e($name); ?>">
                <label for="name"><?php echo e(__('Full Name')); ?><span class="required">*</span></label>
            </div>
            <?php if($errors->has('name')): ?>
                <p class="text-right">
                    <span class="text-warning form-text"><?php echo e($errors->first('name')); ?></span>
                </p>
            <?php endif; ?>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <input type="text" class="form-control" required name="contact" id="contact" value="<?php echo e($contact); ?>">
                <label for="contact"><?php echo e(__('Contact')); ?><span class="required">*</span></label>
            </div>
            <?php if($errors->has('contact')): ?>
                <p class="text-right">
                    <span class="text-warning form-text"><?php echo e($errors->first('contact')); ?></span>
                </p>
            <?php endif; ?>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <input type="text" class="form-control" name="reference" id="reference" value="<?php echo e($reference); ?>">
                <label for="reference"><?php echo e(__('Reference')); ?></label>
            </div>
            <?php if($errors->has('reference')): ?>
                <p class="text-right">
                    <span class="text-warning form-text"><?php echo e($errors->first('reference')); ?></span>
                </p>
            <?php endif; ?>
        </div>
        <div class="col-12 mt-3">
            <h6 class="card-title"><?php echo e(__('Case')); ?></h6>
        </div>
        <div class="col-md-8 mb-3">
            <div class="form-floating">
                <input type="text" class="form-control" name="title" id="title" value="<?php echo e($title); ?>">
                <label for="title"><?php echo e(__('Case Title')); ?><span class="required">*</span></label>
            </div>
            <?php if($errors->has('title')): ?>
                <p class="text-right">
                    <span class="text-warning form-text"><?php echo e($errors->first('title')); ?></span>
                </p>
            <?php endif; ?>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <select name="category" id="category" class="form-select" required>
                    <option value="">-- Choose --</option>
                    <?php $__currentLoopData = getCaseCategories(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($key); ?>" <?php if($category == $key): ?> selected <?php endif; ?>>
                            <?php echo e($name); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <label for="category"><?php echo e(__('Category')); ?><span class="required">*</span></label>
            </div>
            <?php if($errors->has('category')): ?>
                <span class="text-warning form-text"><?php echo e($errors->first('category')); ?>

                                    </span>
            <?php endif; ?>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <select name="type" id="type" class="form-select" required>
                    <option value="">-- Choose --</option>
                    <?php $__currentLoopData = getCaseTypes(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($key); ?>" <?php if($type == $key): ?> selected <?php endif; ?>>
                            <?php echo e($name); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <label for="type"><?php echo e(__('Type')); ?></label>
            </div>
            <?php if($errors->has('type')): ?>
                <span class="text-warning form-text"><?php echo e($errors->first('type')); ?>

                                    </span>
            <?php endif; ?>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <select name="severity" id="severity" class="form-select" required>
                    <?php $__currentLoopData = config('settings.severity'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($value); ?>" <?php if($severity == $value): ?> selected <?php endif; ?>><?php echo e($value); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <label for="severity"><?php echo e(__('Severity Level')); ?><span class="required">*</span></label>
            </div>
            <?php if($errors->has('severity')): ?>
                <p class="text-right">
                    <span class="text-warning form-text"><?php echo e($errors->first('severity')); ?></span>
                </p>
            <?php endif; ?>
        </div>
        <div class="col-md-4 mb-3">
            <div class="form-floating">
                <input type="text" class="form-control" name="beneficiary" id="beneficiary" value="<?php echo e($beneficiary_id); ?>">
                <label for="beneficiary"><?php echo e(settings()->get('applicant_title','applicant')); ?> ID</label>
            </div>
            <?php if($errors->has('beneficiary')): ?>
                <span class="text-warning form-text"><?php echo e($errors->first('beneficiary')); ?>

                                    </span>
            <?php endif; ?>
        </div>
        <div class="col-md-12 mb-3">
            <div class="form-floating">
                <textarea name="description" id="description" required class="form-control" style="height:200px"><?php echo $description; ?></textarea>
                <label for="description"><?php echo e(__('Description')); ?><span class="required">*</span></label>
            </div>
            <?php if($errors->has('description')): ?>
                <span class="text-warning form-text"><?php echo e($errors->first('description')); ?>

                                        </span>
            <?php endif; ?>
        </div>
        <div class="col-md-5 mb-3">
            <input type="file" class="form-control" name="file_upload" id="file_upload">
            <?php if($errors->has('file_upload')): ?>
                <span class="text-warning form-text"><?php echo e($errors->first('file_upload')); ?>

                                        </span>
            <?php endif; ?>
        </div>
        <div class="col-md-5 mb-3">
            <button type="submit" class="btn btn-primary"><i class="fa fa-paper-plane mx-1"></i> <?php echo e(__('Save')); ?></button>
            <a href="<?php echo e(route('case.list')); ?>" class="btn btn-link text-danger"><?php echo e(__('Cancel')); ?></a>
        </div>
    </div>
</form>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231220141509/resources/views/cases/case-form.blade.php ENDPATH**/ ?>