<?php
    if (auth()->user()->is_admin) {
        $routeUpdate = 'applicant.updateApplicantRecord';
        $routeSave = 'applicant.saveApplicantRegistration';
    }
    else {
        $routeUpdate = 'customer.updateCustomerRecord';
        $routeSave = 'customer.saveCustomerRegistration';
    }
?>

<?php if(auth()->user()->is_admin): ?>
    <div class="row g-3">
        <div class="col-12">
            <?php if(session()->has('existing_applicants')): ?>
                <div class="accordion accordion-solid accordion-panel accordion-svg-toggle" id="view_application">
                    <div class="card mb-10">
                        <div class="card-header" id="application_process_log">
                            <div class="card-title collapsed" data-toggle="collapse" data-target="#application_process_log_collapse">
                                <div class="card-label font-weight-bolder text-danger"><?php echo e(__('Similar Applicants')); ?></div>
                                <span class="svg-icon">
                                                <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                        <polygon points="0 0 24 0 24 24 0 24" />
                                                        <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                                        <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                                    </g>
                                                </svg>
                                    <!--end::Svg Icon-->
                                            </span>
                            </div>
                        </div>
                        <div id="application_process_log_collapse" class="collapse" data-parent="#view_application">
                            <div class="card-body">
                                <div class="table-responsive mt-10">
                                    <table class="table table-bordered table-head-custom" id="applicants_info">
                                        <thead>
                                        <tr>
                                            <th style="width: 30px;">#</th>
                                            <th>Ref. ID</th>
                                            <th>Applicant Name</th>
                                            <th>Date of Birth</th>
                                            <th>Place of Birth</th>
                                            <th>View</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php $count=0; ?>
                                        <?php $__currentLoopData = session('existing_applicants'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $existing_applicant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($count+=1); ?></td>
                                                <td><?php echo e($existing_applicant->regID); ?></td>
                                                <td><?php echo "<strong>".strtoupper($existing_applicant->surnamess)."</strong>, ".ucwords($existing_applicant->first_names); ?></td>
                                                <td><?php echo e(date('d M Y',strtotime($existing_applicant->dobs))); ?></td>
                                                <td><?php echo e($existing_applicant->place_of_births); ?></td>
                                                <td><a href="javascript:;" class=" btn btn-icon btn-sm btn-primary mb-2  mr-1"
                                                       onclick="getApplicantInfo(<?php echo e($existing_applicant->id); ?>)"
                                                       data-toggle="modal" data-target="#staticBackdrop" title="<?php echo e(__("View Applicant")); ?>"><i class="la la-eye"></i></a></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php endif; ?>
<?php if($applicant && $completion['total'] < 100): ?>
    <?php $__env->startComponent('components.application-progress', ['completion'=>$completion]); ?><?php echo $__env->renderComponent(); ?>
<?php endif; ?>

<div class="row g-3">
    <div class="col-12">
        <div class="card">
            <div class="card-body border-bottom">
                <form
                    <?php if(isset($applicant)): ?>
                        action="<?php echo e(route($routeUpdate)); ?>"
                    <?php else: ?>
                        action="<?php echo e(route($routeSave)); ?>"
                    <?php endif; ?>
                    method="post"
                    enctype="multipart/form-data"><?php echo csrf_field(); ?>
                    <?php if(isset($applicant)): ?>
                        <?php echo method_field('PUT'); ?>
                        <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
                    <?php endif; ?>
                    <?php echo $__env->make('applicant.applicant-form.personal-details-form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </form>
            </div>
            <?php if($applicant): ?>
                <ul class="nav nav-tabs tab-card border-bottom-0 pt-2 fs-6 justify-content-center justify-content-md-start" role="tablist" id="details-tabs">
                    <li class="nav-item"><a class="nav-link active <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#family-tab">Next of kin</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#contact-tab">Contact</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#id-tab">Identity</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#marital-tab">Marital</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#banking-tab">Account</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#employment-tab">Employment</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#health-tab">Health</a>
                    <li class="nav-item"><a class="nav-link <?php echo e($disabled); ?>" data-bs-toggle="tab" href="#document-tab">Document</a>
                </ul>
            <?php endif; ?>
        </div>
    </div>
    <?php if($applicant): ?>
        <div class="tab-content mt-3">

            
            <div class="tab-pane fade show active" id="family-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('Register essential details about your relatives and dependents, ensuring a comprehensive and accurate beneficiary account profile.')); ?>

                        </p>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <input type="hidden" name="tab" value="family">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" name="value" class="form-control" placeholder="Search By Name">
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                                       data-bs-toggle="modal" data-bs-target="#add-family" >Add New Record</a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <?php if($familyDetails->count() > 0): ?>
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th width="25%">Name</th>
                                <th width="18%">Date Of Birth</th>
                                <th width="18%">Relationship</th>
                                <th width="24%">Identification Number</th>

                                <th width="7%" class="text-right">Action</th>
                            </tr>
                            </thead>
                            <tbody>

                            <?php $__currentLoopData = $familyDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $familyDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e(strtoupper($familyDetail->surname).', '.$familyDetail->first_name.' '.$familyDetail->other_name); ?></td>
                                    <td><?php echo e(date('d M Y',strtotime($familyDetail->date_of_birth))); ?></td>
                                    <td><?php echo e($familyDetail->type); ?></td>
                                    <td><?php echo e($familyDetail->dependent_reference_id); ?></td>

                                    <td class="text-right">
                                        <a href="javascript:;" class="btn btn-link btn-sm text-info" title="View"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('family','<?php echo e($familyDetail->id); ?>','<?php echo e($familyDetail->applicant_number); ?>','view')">
                                            <i class=" fa fa-info-circle"></i>
                                        </a>

                                        <a href="javascript:;" class="btn btn-link btn-sm text-primary" title="Edit"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('family','<?php echo e($familyDetail->id); ?>','<?php echo e($familyDetail->applicant_number); ?>','edit')">
                                            <i class="fa fa-edit"></i>
                                        </a>
                                        <a href="javascript:;" class="btn btn-link btn-sm text-danger" title="Remove"
                                           data-bs-toggle="modal" data-bs-target="#remove-record"
                                           onclick="removeRecord('family','<?php echo e($familyDetail->id); ?>')">
                                            <i class="fa fa-trash-o"></i>
                                        </a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="contact-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('Register and update your primary contact and address information, ensuring seamless communication and efficient access to important updates and notifications.')); ?>

                        </p>
                    </div>
                </div>

                <div class="col-12 text-end mb-4">
                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                       data-bs-toggle="modal" data-bs-target="#add-contact_details" >Add New Record</a>
                </div>
                <?php if($contactDetails->count() > 0): ?>
                    <div class="card mb-3">
                        <div class="card-body doctor-detail order-1 order-md-0">
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.address-structure','data' => ['contactDetails' => $contactDetails]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.address-structure'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['contactDetails' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($contactDetails)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        </div>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="id-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('Securely submit and manage your identification documents for verification and accurate beneficiary records.')); ?>

                        </p>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <input type="hidden" name="tab" value="identification">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" name="value" class="form-control" placeholder="Search By Name">
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                                       data-bs-toggle="modal" data-bs-target="#add-identification_details" >Add New Record</a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <?php if($idDetails->count() > 0): ?>
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th width="25%">ID Type</th>
                                <th width="25%">ID Number</th>
                                <th width="20%">Expiry Date</th>
                                <th width="18%">Document</th>

                                <th width="7%" class="text-right">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $idDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $idDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($idDetail->id_type); ?></td>
                                    <td><?php echo e($idDetail->id_number); ?></td>
                                    <td><?php if(!is_null($idDetail->expiry)): ?><?php echo e(date('d M Y', strtotime($idDetail->expiry))); ?><?php endif; ?></td>
                                    <td>
                                        <?php if($idDetail->document != null): ?>
                                            <a target="_blank" href="<?php echo e(route('download-file',['file_path'=>$idDetail->document])); ?>"><i class="fa fa-download"></i> <?php echo e(__('Download')); ?></a>
                                        <?php else: ?>
                                            <span class="text-muted"><?php echo e(__('No File uploaded.')); ?></span>
                                        <?php endif; ?>
                                    </td>



                                    <td class="text-right">
                                        <a href="javascript:;" class="btn btn-link btn-sm text-info" title="View"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('identification_details','<?php echo e($idDetail->id); ?>','<?php echo e($idDetail->applicant_number); ?>','view')">
                                            <i class=" fa fa-info-circle"></i>
                                        </a>
                                        <a href="javascript:;" class="btn btn-link btn-sm text-primary" title="Edit"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('identification_details','<?php echo e($idDetail->id); ?>','<?php echo e($idDetail->applicant_number); ?>','edit')">
                                            <i class="fa fa-edit"></i>
                                        </a>
                                        <a href="javascript:;" class="btn btn-link btn-sm text-danger" title="Remove"
                                           data-bs-toggle="modal" data-bs-target="#remove-record"
                                           onclick="removeRecord('identification_details','<?php echo e($idDetail->id); ?>')">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="marital-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('Specify their current marital status, providing essential information for tailored assistance and support within the social protection platform.')); ?>

                        </p>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <input type="hidden" name="tab" value="marital">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" name="value" class="form-control" placeholder="Search By Name">
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                                       data-bs-toggle="modal" data-bs-target="#add-marital_details" >Add New Record</a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <?php if($maritalDetails->count() > 0): ?>
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th width="25%">Status</th>
                                <th width="10%">Type</th>
                                <th width="25%">Spouse Ref. ID</th>
                                <th width="25%">Spouse Name</th>

                                <th width="7%" class="text-right">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $maritalDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maritalDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($maritalDetail->marriage_status); ?></td>
                                    <td><?php echo e($maritalDetail->marriage_type); ?></td>
                                    <td><?php echo e($maritalDetail->spouse_ref_id); ?></td>
                                    <td><?php echo e($maritalDetail->spouse_name); ?></td>

                                    <td class="text-right">
                                        <a href="javascript:;" class="btn btn-link btn-sm text-info" title="View"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('marital_details','<?php echo e($maritalDetail->id); ?>','<?php echo e($applicant->regID); ?>','view')">
                                            <i class=" fa fa-info-circle"></i>
                                        </a>
                                        <a href="javascript:;" class="btn btn-link btn-sm text-primary" title="Edit"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('marital_details','<?php echo e($maritalDetail->id); ?>','<?php echo e($applicant->regID); ?>','edit')">
                                            <i class="fa fa-edit"></i>
                                        </a>
                                        <a href="javascript:;" class="btn btn-link btn-sm text-danger" title="Remove"
                                           data-bs-toggle="modal" data-bs-target="#remove-record"
                                           onclick="removeRecord('marital_details','<?php echo e($maritalDetail->id); ?>')">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="banking-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <div class="col-12">
                            <p class="text-muted">
                                <?php echo e(__('Record your Merchant (merchant account and mobile money) details, ensuring seamless transactions and disbursement of benefits within the social protection platform.')); ?>

                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-12 text-end mb-4">
                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                       data-bs-toggle="modal" data-bs-target="#add-account_details" >Add New Record</a>
                    <?php if(false): ?>
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="GET">
                                    <input type="hidden" name="tab" value="bank">
                                    <?php echo csrf_field(); ?>
                                    <div class="input-group">
                                        <input type="text" name="value" class="form-control" placeholder="Search By Name">
                                        <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                        <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                                           data-bs-toggle="modal" data-bs-target="#add-bank" >Add New Record</a>
                                    </div>
                                </form>

                            </div>
                        </div>
                    <?php endif; ?>
                </div>
                <?php if($accountDetails->count() > 0): ?>
                    <div class="card my-4">
                        <div class="card-body">
                            <?php $__currentLoopData = $accountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="d-flex justify-content-between align-items-center divider mt-3">
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.account-card','data' => ['accountDetail' => $accountDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.account-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['accountDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($accountDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <div>
                                        <a href="javascript:;" class="btn btn-link btn-sm text-primary" title="Edit"
                                           data-bs-toggle="modal" data-bs-target="#more-details"
                                           onclick="getDetails('account_details','<?php echo e($accountDetail->id); ?>','<?php echo e($accountDetail->applicant_number); ?>','edit')">
                                            Edit
                                        </a> |
                                        <a href="javascript:;" class="btn btn-link btn-sm text-danger" title="Delete"
                                           data-bs-toggle="modal" data-bs-target="#remove-record"
                                           onclick="removeRecord('account_details','<?php echo e($accountDetail->id); ?>')">
                                            Remove
                                        </a>
                                    </div>
                                </div>

                                <hr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="employment-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('Chronicle your work experience and job-related details, contributing to a comprehensive beneficiary profile for tailored support and assistance.')); ?>

                        </p>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <input type="hidden" name="tab" value="employment">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" name="value" class="form-control" placeholder="Search By Name">
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                                       data-bs-toggle="modal" data-bs-target="#add-employment_details" >Add New Record</a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <?php if($employmentDetails->count() > 0): ?>
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th width="15%">Employment type</th>
                                <th width="25%">Company Name</th>
                                <th width="25%">Address</th>
                                <th width="18%">Mobile</th>

                                <th width="7%" class="text-right">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $employmentDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employmentDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($employmentDetail->employment_type); ?></td>
                                    <td><?php echo e($employmentDetail->employer_name); ?></td>
                                    <td><?php echo e($employmentDetail->employer_postal_address); ?></td>
                                    <td><?php echo e($employmentDetail->employer_mobile); ?></td>

                                    <td class="text-right">
                                        <button  data-bs-toggle="modal" data-bs-target="#more-details" type="button" class="btn btn-link btn-sm text-info" title="Edit" onclick="getDetails('employment_details','<?php echo e($employmentDetail->id); ?>','<?php echo e($employmentDetail->applicant_number); ?>','view')"><i class=" fa fa-info-circle"></i></button>
                                        <button  data-bs-toggle="modal" data-bs-target="#more-details" type="button" class="btn btn-link btn-sm text-primary" title="Edit" onclick="getDetails('employment_details','<?php echo e($employmentDetail->id); ?>','<?php echo e($employmentDetail->applicant_number); ?>','edit')"><i class="fa fa-edit"></i></button>
                                        <button  data-bs-toggle="modal" data-bs-target="#remove-record" type="button" class="btn btn-link btn-sm text-danger" title="Remove" onclick="removeRecord('employment_details','<?php echo e($employmentDetail->id); ?>')"><i class="fa fa-trash"></i></button>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="health-tab" role="tabpanel">
                <div class="row">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('Provide details about your medical history and existing health conditions, assisting in personalized support and healthcare services through the social protection platform.')); ?>

                        </p>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                <input type="hidden" name="tab" value="health">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <input type="text" name="value" class="form-control" placeholder="Search By Name">
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="javascript:void(0)" class="btn btn-primary px-4 text-capitalize"
                                       data-bs-toggle="modal" data-bs-target="#add-health_details" >Add New Record</a>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <?php if($healthDetails->count() > 0): ?>
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th width="20%">Health State</th>
                                <th width="18%">Date Confirmed</th>
                                <th width="30%">Hospital Confirmed</th>
                                <th width="15%">Document</th>

                                <th width="7%" class="text-right">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $healthDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $healthDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($healthDetail->health_type); ?></td>
                                    <td><?php if(!is_null($healthDetail->date_started)): ?><?php echo e(date('d M Y', strtotime($healthDetail->date_started))); ?><?php endif; ?></td>
                                    <td><?php echo e($healthDetail->confirmed_by); ?></td>
                                    <td>
                                        <?php if(empty(!$healthDetail->supporting_document)): ?>
                                            <a target="_blank" href="<?php echo e(route('download-file',['file_path'=>$healthDetail->supporting_document])); ?>"><i class="fa fa-download"></i> <?php echo e(__('Download')); ?></a><?php endif; ?>
                                    </td>

                                    <td class="text-right">
                                        <button  data-bs-toggle="modal" data-bs-target="#more-details" type="button" class="btn btn-link btn-sm text-info" title="Edit" onclick="getDetails('health_details','<?php echo e($healthDetail->id); ?>','<?php echo e($healthDetail->regID); ?>','view')"><i class=" fa fa-info-circle"></i></button>
                                        <button  data-bs-toggle="modal" data-bs-target="#more-details" type="button" class="btn btn-link btn-sm text-primary" title="Edit" onclick="getDetails('health_details','<?php echo e($healthDetail->id); ?>','<?php echo e($healthDetail->regID); ?>','edit')"><i class="fa fa-edit"></i></button>
                                        <button  data-bs-toggle="modal" data-bs-target="#remove-record" type="button" class="btn btn-link btn-sm text-danger" title="Remove" onclick="removeRecord('health_details','<?php echo e($healthDetail->id); ?>')"><i class="fa fa-trash"></i></button>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

            
            <div class="tab-pane fade" id="document-tab" role="tabpanel">
                <div class="row mb-4">
                    <div class="col-12">
                        <p class="text-muted">
                            <?php echo e(__('This section curates and lists all submitted documents, providing a comprehensive overview for both administrators and users to easily review their accumulated records during their scheme membership period.')); ?>

                        </p>
                    </div>
                </div>
                <?php if($applicant_docs->count() > 0): ?>
                    <div class="table-responsive mt-10">
                        <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                            <thead>
                            <tr>
                                <th width="50%">Document Type</th>
                                <th width="25%">Date Added</th>
                                <th width="25%" class="text-right">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $applicant_docs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $applicant_doc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($applicant_doc->type); ?></td>
                                    <td><?php echo e(date('d M Y', strtotime($applicant_doc->created_at))); ?></td>
                                    <td>
                                        <a target="_blank" href="<?php echo e(route('download-file',['file_path'=>$applicant_doc->url])); ?>"><i class="fa fa-download"></i> <?php echo e(__('Download')); ?></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                <?php else: ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.no-data','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('no-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <?php endif; ?>
            </div>

        </div>
    <?php endif; ?>
</div>

<?php $__env->startPush('scripts'); ?>
    <script src="<?php echo e(asset('assets/js/customjs/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/fancybox.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/dropify.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
    <script>

        $('document').ready(function() {
            imagePop();
            datePick();
            resident()
            $('.residential').hide();
            $('.email').hide();
            $('.telephone').hide();
            $('.postal').hide();
            $('.pos_res').hide();
            $('.household').hide();
            currentTab();
        });

        function currentTab() {
            $('a[data-bs-toggle="tab"]').on('show.bs.tab', function(e) {
                localStorage.setItem('activeTab', $(e.target).attr('href'));
            });

            let activeTab = localStorage.getItem('activeTab');
            if(activeTab){
                $('#details-tabs a[href="' + activeTab + '"]').tab('show');
            }

        }
        function resident() {
            var type_value = $('select#contact_type').val();
            if (type_value == 107) {
                $('.residential').show();
                $('.residential input').prop({'disabled':false});
                $('.pos_res').show();
                $('.pos_res select').prop({'disabled':false,'required':true});
                $('.pos_res input').prop({'disabled':false});
                $('.email').hide();
                $('.email input').prop({'disabled':true,'required':false});
                $('.telephone').hide();
                $('.telephone input').prop({'disabled':true,'required':false});
                $('.postal').hide();
                $('.postal select').prop({'disabled':true,'required':false});
                $('.household').hide();
                $('.household select').prop({'disabled':true,'required':false});
                $('.household input').prop({'disabled':true,'required':false});
            }
            else if (type_value == 108) {
                $('.residential').hide();
                $('.residential input').prop({'disabled':true,'required':false});
                $('.postal').show();
                $('.postal input').prop({'disabled':false,'required':true});
                $('.pos_res').show();
                $('.pos_res select').prop({'disabled':false,'required':true});
                $('.pos_res input').prop({'disabled':false});
                $('.telephone').hide();
                $('.telephone input').prop({'disabled':true,'required':false});
                $('.email').hide();
                $('.email input').prop({'disabled':true,'required':false});
                $('.household').hide();
                $('.household select').prop({'disabled':true,'required':false});
                $('.household input').prop({'disabled':true,'required':false});
            }
            else if (type_value == 109) {
                $('.residential').hide();
                $('.residential input').prop({'disabled':true,'required':false});
                $('.pos_res').hide();
                $('.pos_res select').prop({'disabled':true,'required':false});
                $('.pos_res input').prop({'disabled':true,'required':false});
                $('.telephone').show();
                $('.telephone input').prop({'disabled':false,'required':true});
                $('.postal').hide();
                $('.postal input').prop({'disabled':true,'required':false});
                $('.email').hide()
                $('.email input').prop({'disabled':true,'required':false});
                $('.household').hide();
                $('.household select').prop({'disabled':true,'required':false});
                $('.household input').prop({'disabled':true,'required':false});
            }
            else if (type_value == 110) {
                $('.residential').hide();
                $('.residential input').prop({'disabled':true,'required':false});
                $('.pos_res').hide();
                $('.pos_res select').prop({'disabled':true,'required':false});
                $('.pos_res input').prop({'disabled':true,'required':false});
                $('.email').show();
                $('.email input').prop({'disabled':false,'required':true});
                $('.telephone').hide();
                $('.telephone input').prop({'disabled':true,'required':false});
                $('.postal').hide();
                $('.postal input').prop({'disabled':true,'required':false});
                $('.household').hide();
                $('.household select').prop({'disabled':true,'required':false});
                $('.household input').prop({'disabled':true,'required':false});
            }
            else if (type_value == 137) {
                $('.residential').hide();
                $('.residential input').prop({'disabled':true,'required':false});
                $('.pos_res').hide();
                $('.pos_res select').prop({'disabled':true,'required':false});
                $('.pos_res input').prop({'disabled':true,'required':false});
                $('.email').hide();
                $('.email input').prop({'disabled':true,'required':false});
                $('.telephone').hide();
                $('.telephone input').prop({'disabled':true,'required':false});
                $('.postal').hide();
                $('.postal input').prop({'disabled':true,'required':false});
                $('.household').show();
                $('.household select').prop({'disabled':false,'required':true});
                $('.household input').prop({'disabled':false,'required':true});
            }
        }
        function datePick() {
            $('.datepicker').datepicker({
                format: "dd-mm-yyyy",
                orientation: 'bottom left'
            });
        }

        function imagePop() {
            $(".fancybox").fancybox({
                openEffect: "none",
                closeEffect: "none",
                ArrowRight: "next",
                ArrowLeft: "prev",
            });
        }

        function getDetails(table,id,applicant_number,state) {
            var path = "<?php echo e(route('applicant.viewApplicantRecordInfo')); ?>";
            $.ajaxSetup(    {
                headers: {
                    'X-CSRF-Token': $('meta[name=_token]').attr('content')
                }
            });
            $.ajax({
                url: path,
                type: 'GET',
                data: {table:table,record:id,app_id:applicant_number,action:state},
                beforeSend: function(){
                    $('#details-body').empty().html('<div class="text-center p-lg-5"><div class="spinner-border text-primary" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div> </div>');
                },
                success: function(data){
                    $('#details-body').empty().html(data.the_view);
                    $('#detail-title').empty().text(data.title);
                },
                complete:function(){
                    $.getScript("<?php echo e(asset('assets/js/customjs/custom.js')); ?>", function () {
                        resident();datePick();getMerchantsTypes();getMerchants();getMerchantBranches();
                    });
                },
                error: function (data) {
                }
            });
        }

        function removeRecord(table,id) {
            var path = "<?php echo e(route('applicant.viewApplicantRecordInfo')); ?>";
            $.ajaxSetup(    {
                headers: {
                    'X-CSRF-Token': $('meta[name=_token]').attr('content')
                }
            });
            $.ajax({
                url: path,
                type: 'GET',
                data: {table:table,record:id,action:'remove'},
                beforeSend: function(){
                    $('#remove-body').empty().html('<div class="text-center p-lg-5"><div class="spinner-border text-primary" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div> </div>');
                },
                success: function(data){
                    $('#remove-body-title').empty().text(data.title);
                    $('#remove-body').empty().html(data.the_view);
                },
                complete:function(){
                    $.getScript("<?php echo e(asset('assets/js/customjs/custom.js')); ?>", function () {
                    });
                },
                error: function (data) {
                }
            });
        }
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20240122145713/resources/views/applicant/includes/applicant-profile.blade.php ENDPATH**/ ?>