<div class="sidebar p-2 py-md-3 @cardClass bg-white">
    <div class="container-fluid">

        <h4 class="sidebar-title mb-0 flex-grow- text-center">
            <?php if(getProjectLogo() != null): ?>
                <img src="<?php echo e(asset(getProjectLogo())); ?>" class="navbar-brand app-logo no-filter" style="width: 120px" alt="Logo">
            <?php else: ?>
                <img src="<?php echo e(asset(config('app_settings.logo'))); ?>" class="navbar-brand footer-logo no-filter" alt="Alleviate" style="width: 120px">
            <?php endif; ?>
        </h4>

        <div class="main-menu flex-grow-">

            <ul class="menu-list mt-4">
                <?php if(canDo('administrator','view-dashboard')): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(['routes.dashboard'])); ?>" href="<?php echo e(route('dashboard')); ?>">
                        <i class="bi-house"></i>
                        <span class="ms-0"><?php echo e(__('Home')); ?></span>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(canDo('administrator','view-beneficiaries-list|search|view-member-info|add|edit|delete|member-records-update')): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(config('routes.beneficiaries'))); ?>" href="<?php echo e(route('applicant.getApplicantInfo')); ?>">
                        <i class="bi-file-earmark-text"></i>
                        <span class="ms-0"><?php echo e(__('Members')); ?></span>
                    </a>
                </li>
                <?php endif; ?>

                <?php $survey = false; $benefits_tour = null; ?>
                <?php $__currentLoopData = menu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(!isset($feature['icon']) || !isset($feature['route']) || !isset($feature['name'])) continue; ?>
                    <?php if(is_null($feature['icon']) || is_null($feature['route']) || is_null($feature['name'])) continue; ?>
                    <?php if(is_null(config('routes.'.$feature['name']))) continue; ?>

                    <?php if(canDo('administrator',$module_permissions->where('module','=',$feature['name'])->pluck('name')->toArray())): ?>
                    <li>
                        <?php
                            if ($feature['name'] == 'surveys') $survey = true;
                            if ($feature['name'] == 'benefits') $benefits_tour = 'benefits_tour';
                            $activeRoute = isRouteActive(config('routes.'.$feature['name']));
                        ?>
                        <a class="m-link <?php echo e($activeRoute); ?>" href="<?php echo e(route($feature['route'])); ?>" id="<?php echo e($benefits_tour); ?>" data-bs-container="body" data-bs-toggle="popover">
                            <?php echo $feature['icon']; ?>

                            <span class="ms-0"><?php echo e(__(Str::headline($feature['name']))); ?></span>
                        </a>
                    </li>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php if(canDo('owner','merchants') || systemUserCan()): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(config('routes.merchants'))); ?>" href="<?php echo e(route('merchants.list')); ?>">
                        <i class="bi-cash-stack"></i>
                        <span class="ms-0">Merchants</span>
                    </a>
                </li>
                <?php endif; ?>

                <?php if(systemUserCan()): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(config('routes.plans'))); ?>" href="<?php echo e(route('plan.list')); ?>">
                        <i class="bi-award-fill"></i>
                        <span class="ms-0">Plans</span>
                    </a>
                </li>
                <?php endif; ?>

                <?php if(canDo('owner','subscription') || systemUserCan()): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(config('routes.subscriptions'))); ?>" href="<?php echo e(route('subscription.list')); ?>">
                        <i class="fa fa-podcast"></i>
                        <span class="ms-0">Subscriptions</span>
                    </a>
                </li>
                <?php endif; ?>

                <?php if(systemUserCan()): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(config('routes.clients'))); ?>" href="<?php echo e(route('clients.index')); ?>">
                        <i class="fa fa-building-o"></i>
                        <span class="ms-0">Clients</span>
                    </a>
                </li>
                <?php endif; ?>

                <?php if(canDo('administrator','add-user|edit-user|view-user-list|search-user')): ?>
                <li>
                    <a class="m-link  <?php echo e(isRouteActive(config('routes.users'))); ?>" href="<?php echo e(route('account.users')); ?>">
                        <i class="bi-people-fill"></i>
                        <span class="ms-0">Users</span>
                    </a>
                </li>
                <?php endif; ?>
            </ul>

            <?php if($survey && canDo('administrator','take-survey')): ?>
                <ul class="menu-list">
                    <li>
                        <a class="m-link  <?php echo e(isRouteActive(config('routes.my-surveys'))); ?>" href="<?php echo e(route('survey.mySurveys')); ?>">
                            <i class="bi-chat-right-dots"></i>
                            <span class="ms-0">My Surveys
                            <?php if(pendingSurvey() > 0): ?>
                                    <span class="badge rounded-circle bg-success mx-1"><?php echo e(pendingSurvey()); ?></span>
                                <?php endif; ?>
                        </span>
                        </a>
                    </li>
                </ul>
            <?php endif; ?>

            <?php if(canDo('administrator','duplicate-detection|options|country|audit-logs')): ?>
            <ul class="menu-list">
                <li class="collapsed">
                    <a class="m-link <?php echo e(isRouteActive(config('routes.settings'))); ?>" data-bs-toggle="collapse" data-bs-target="#menu_settings" href="#">
                        <svg viewBox="0 0 16 16" width="18px" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path class="fill-secondary" d="M8 4.754a3.246 3.246 0 1 0 0 6.492 3.246 3.246 0 0 0 0-6.492zM5.754 8a2.246 2.246 0 1 1 4.492 0 2.246 2.246 0 0 1-4.492 0z"></path>
                            <path d="M9.796 1.343c-.527-1.79-3.065-1.79-3.592 0l-.094.319a.873.873 0 0 1-1.255.52l-.292-.16c-1.64-.892-3.433.902-2.54 2.541l.159.292a.873.873 0 0 1-.52 1.255l-.319.094c-1.79.527-1.79 3.065 0 3.592l.319.094a.873.873 0 0 1 .52 1.255l-.16.292c-.892 1.64.901 3.434 2.541 2.54l.292-.159a.873.873 0 0 1 1.255.52l.094.319c.527 1.79 3.065 1.79 3.592 0l.094-.319a.873.873 0 0 1 1.255-.52l.292.16c1.64.893 3.434-.902 2.54-2.541l-.159-.292a.873.873 0 0 1 .52-1.255l.319-.094c1.79-.527 1.79-3.065 0-3.592l-.319-.094a.873.873 0 0 1-.52-1.255l.16-.292c.893-1.64-.902-3.433-2.541-2.54l-.292.159a.873.873 0 0 1-1.255-.52l-.094-.319zm-2.633.283c.246-.835 1.428-.835 1.674 0l.094.319a1.873 1.873 0 0 0 2.693 1.115l.291-.16c.764-.415 1.6.42 1.184 1.185l-.159.292a1.873 1.873 0 0 0 1.116 2.692l.318.094c.835.246.835 1.428 0 1.674l-.319.094a1.873 1.873 0 0 0-1.115 2.693l.16.291c.415.764-.42 1.6-1.185 1.184l-.291-.159a1.873 1.873 0 0 0-2.693 1.116l-.094.318c-.246.835-1.428.835-1.674 0l-.094-.319a1.873 1.873 0 0 0-2.692-1.115l-.292.16c-.764.415-1.6-.42-1.184-1.185l.159-.291A1.873 1.873 0 0 0 1.945 8.93l-.319-.094c-.835-.246-.835-1.428 0-1.674l.319-.094A1.873 1.873 0 0 0 3.06 4.377l-.16-.292c-.415-.764.42-1.6 1.185-1.184l.292.159a1.873 1.873 0 0 0 2.692-1.115l.094-.319z"></path>
                        </svg>
                        <span class="ms-2">Settings</span>
                        <span class="arrow fa fa-angle-right ms-auto text-end"></span>
                    </a>
                    <!-- Menu: Sub menu ul -->
                    <ul class="sub-menu collapse" id="menu_settings">
                        <?php if(canDo('administrator','settings')): ?>
                        <li><a class="ms-link <?php echo e(isRouteActive(['routes.settings'])); ?>" href="<?php echo e(route('settings.setConfig')); ?>">Theme</a></li>
                        <?php endif; ?>
                        <?php if(canDo('administrator','duplicate-detection')): ?>
                        <li><a class="ms-link <?php echo e(isRouteActive(['duplicateDetection'])); ?>" href="<?php echo e(route('applicant.duplicateDetection')); ?>">Duplicate Detection</a></li>
                        <?php endif; ?>
                        <?php if(systemUserCan()): ?>
                        <li><a class="ms-link <?php echo e(isRouteActive(['settings.lookupCode','settings.lookup'])); ?>" href="<?php echo e(route('settings.lookupCode')); ?>">Option Menu</a></li>
                        <li><a class="ms-link <?php echo e(isRouteActive(['settings.accessLog'])); ?>" href="<?php echo e(route('settings.accessLog')); ?>">Access Logs</a></li>
                        <li><a class="ms-link <?php echo e(isRouteActive(['system.audit.trail'])); ?>" href="<?php echo e(route('system.audit.trail')); ?>">Audit Trail</a></li>
                        <?php endif; ?>
                    </ul>
                </li>
            </ul>
            <?php endif; ?>
        </div>

    </div>
</div>

<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231220141509/resources/views/layouts/sidebar.blade.php ENDPATH**/ ?>