<form action="<?php echo e(route('account.roles.create')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="access_type" value="backend">
    <div id="action-form">
        <div class="row">
            <div class="col-md-5 mb-3">
                <div class="form-floating">
                    <input type="text" required min="2" name="role_name" class="form-control"
                           value="<?php echo e(old('role_name')); ?>" id="role_name" placeholder="Type Name">
                    <label for="role_name">Name</label>
                </div>
                <?php if($errors->has('role_name')): ?>
                    <p class="text-right">
                        <span class="text-danger form-text"><?php echo e($errors->first('role_name')); ?></span>
                    </p>
                <?php endif; ?>
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <select name="lead" id="lead" class="form-control">
                        <option value="">-- Choose --</option>
                        <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($role_name->id); ?>" <?php if(old('lead') == $role_name->id): ?> selected <?php endif; ?>>
                                <?php echo e(Str::headline($role_name->name)); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <label for="lead">Manage By</label>
                </div>
                <?php if($errors->has('lead')): ?>
                    <p class="text-right">
                        <span class="text-danger form-text"><?php echo e($errors->first('lead')); ?></span>
                    </p>
                <?php endif; ?>
            </div>

            <div class="col-md-3 mb-3">
                <div class="form-floating">
                    <input type="text" required minlength="3" maxlength="3" name="code" value="<?php echo e(old('code')); ?>"
                           class="form-control text-uppercase" id="code" placeholder="ADM">
                    <label for="code">Short Name *</label>
                </div>
                <?php if($errors->has('code')): ?>
                    <p class="text-right">
                        <span class="text-danger form-text"><?php echo e($errors->first('code')); ?></span>
                    </p>
                <?php endif; ?>
            </div>

            <div class="col-md-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="role_desp" placeholder="Role Description" class="form-control" id="role_desp">
                    <label for="role_desp">Description</label>
                </div>
                <?php if($errors->has('role_desp')): ?>
                    <p class="text-right">
                        <span class="text-danger form-text"><?php echo e($errors->first('role_desp')); ?></span>
                    </p>
                <?php endif; ?>
            </div>

            <?php if(false): ?>
                <?php $__currentLoopData = config('settings.access_types'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-md-3 mb-3">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" onchange="getPermissions('<?php echo e($type); ?>')" name="access_type"
                                   value="<?php echo e($type); ?>" id="access_type<?php echo e($type); ?>">
                            <label class="form-check-label" for="access_type<?php echo e($type); ?>"><?php echo e(\Illuminate\Support\Str::headline($type)); ?></label>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-12 mb-3">
                    <?php if($errors->has('access_type')): ?>
                        <p class="text-right">
                            <span class="text-danger form-text"><?php echo e($errors->first('access_type')); ?></span>
                        </p>
                    <?php endif; ?>
                </div>
            <?php endif; ?>

        </div>

        <div class="mt-1">
            <?php echo $__env->make('roles.permissions', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>






    </div>

    <div class="form-group mt-5 text-end">
        <button class="btn btn-primary" type="submit"><i class="fa fa-paper-plane mx-1"></i>
            <?php echo e(__('Save')); ?></button>
    </div>
</form>


<script>
    function getPermissions(accessType,role=null) {
        var path = "<?php echo e(route('account.roles.loadPermissions')); ?>";
        $.ajaxSetup({
            headers: {
                'X-CSRF-Token': $('meta[name=_token]').attr('content')
            }
        });
        $.ajax({
            url: path,
            type: 'GET',
            data: {accessType: accessType,role_id:role},
            beforeSend: function () {
            },
            success: function (data) {
                $('#load-permissions').empty().html(data.theView);
            },
            complete: function () {
                $.getScript("<?php echo e(asset('assets/js/custom.js')); ?>", function () {
                });
            },
            error: function (data) {
                console.log(data)
            }
        });
    }
</script>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231231113858/resources/views/roles/empty_form.blade.php ENDPATH**/ ?>